#
# IMPORTANT - THIS FILE MUST BE SAVED WITH UTF-8 ENCODING ONLY. BEWARE IF EDITING!
#
SET FOREIGN_KEY_CHECKS=0;
SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";

CREATE TABLE IF NOT EXISTS `#__rokcandy` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `catid` int(11) NOT NULL,
  `macro` text COLLATE utf8_unicode_ci NOT NULL,
  `html` text COLLATE utf8_unicode_ci NOT NULL,
  `published` tinyint(1) NOT NULL,
  `checked_out` int(11) NOT NULL,
  `checked_out_time` datetime NOT NULL,
  `ordering` int(11) NOT NULL,
  `params` text COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 DEFAULT COLLATE=utf8_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__rokcommon_configs` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `extension` varchar(45) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `type` varchar(45) COLLATE utf8_unicode_ci NOT NULL,
  `file` varchar(256) COLLATE utf8_unicode_ci NOT NULL,
  `priority` int(10) NOT NULL DEFAULT '10',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 DEFAULT COLLATE=utf8_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__rokgallery_file_loves` (
  `file_id` int(10) unsigned NOT NULL DEFAULT '0',
  `kount` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`file_id`),
  UNIQUE KEY `file_id` (`file_id`),
  CONSTRAINT `#__file_loves_file_id_files_id` FOREIGN KEY (`file_id`) REFERENCES `#__rokgallery_files` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 DEFAULT COLLATE=utf8_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__rokgallery_file_tags` (
  `file_id` int(10) unsigned NOT NULL DEFAULT '0',
  `tag` varchar(50) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  PRIMARY KEY (`file_id`,`tag`),
  KEY `#__rokgallery_file_tags_file_id_idx` (`file_id`),
  CONSTRAINT `#__file_tags_file_id_files_id` FOREIGN KEY (`file_id`) REFERENCES `#__rokgallery_files` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 DEFAULT COLLATE=utf8_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__rokgallery_file_views` (
  `file_id` int(10) unsigned NOT NULL DEFAULT '0',
  `kount` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`file_id`),
  UNIQUE KEY `file_id` (`file_id`),
  CONSTRAINT `#__file_views_file_id__files_id` FOREIGN KEY (`file_id`) REFERENCES `#__rokgallery_files` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 DEFAULT COLLATE=utf8_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__rokgallery_files` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `filename` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `guid` char(36) COLLATE utf8_unicode_ci NOT NULL,
  `md5` char(32) COLLATE utf8_unicode_ci NOT NULL,
  `title` varchar(200) COLLATE utf8_unicode_ci NOT NULL,
  `description` text COLLATE utf8_unicode_ci,
  `license` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `xsize` int(10) unsigned NOT NULL,
  `ysize` int(10) unsigned NOT NULL,
  `filesize` int(10) unsigned NOT NULL,
  `type` char(20) COLLATE utf8_unicode_ci NOT NULL,
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  `slug` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `id` (`id`),
  UNIQUE KEY `guid` (`guid`),
  UNIQUE KEY `#__files_sluggable_idx` (`slug`),
  KEY `#__rokgallery_files_published_idx` (`published`),
  KEY `#__rokgallery_files_md5_idx` (`md5`),
  KEY `#__rokgallery_files_guid_idx` (`guid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 DEFAULT COLLATE=utf8_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__rokgallery_files_index` (
  `keyword` varchar(200) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `field` varchar(50) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `position` bigint(20) NOT NULL DEFAULT '0',
  `id` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`keyword`,`field`,`position`,`id`),
  KEY `#__rokgallery_files_index_id_idx` (`id`),
  CONSTRAINT `#__rokgallery_files_index_id_idx` FOREIGN KEY (`id`) REFERENCES `#__rokgallery_files` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 DEFAULT COLLATE=utf8_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__rokgallery_filters` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(200) COLLATE utf8_unicode_ci NOT NULL,
  `query` text COLLATE utf8_unicode_ci NOT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `rokgallery_profiles_name_idx` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 DEFAULT COLLATE=utf8_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__rokgallery_galleries` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(200) COLLATE utf8_unicode_ci NOT NULL,
  `filetags` longtext COLLATE utf8_unicode_ci,
  `width` int(10) unsigned NOT NULL DEFAULT '910',
  `height` int(10) unsigned NOT NULL DEFAULT '500',
  `keep_aspect` tinyint(1) DEFAULT '0',
  `force_image_size` tinyint(1) DEFAULT '0',
  `thumb_xsize` int(10) unsigned NOT NULL DEFAULT '190',
  `thumb_ysize` int(10) unsigned NOT NULL DEFAULT '150',
  `thumb_background` varchar(12) COLLATE utf8_unicode_ci DEFAULT NULL,
  `thumb_keep_aspect` tinyint(1) DEFAULT '0',
  `auto_publish` tinyint(1) DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `#__rokgallery_galleries_auto_publish_idx` (`auto_publish`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 DEFAULT COLLATE=utf8_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__rokgallery_jobs` (
  `id` char(36) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `type` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `properties` text COLLATE utf8_unicode_ci,
  `state` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `status` text COLLATE utf8_unicode_ci,
  `percent` bigint(20) unsigned DEFAULT NULL,
  `sm` text COLLATE utf8_unicode_ci NOT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `id` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 DEFAULT COLLATE=utf8_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__rokgallery_profiles` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(200) COLLATE utf8_unicode_ci NOT NULL,
  `profile` text COLLATE utf8_unicode_ci NOT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `#__rokgallery_profiles_name_idx` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 DEFAULT COLLATE=utf8_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__rokgallery_schema_version` (
  `version` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 DEFAULT COLLATE=utf8_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__rokgallery_slice_tags` (
  `slice_id` int(10) unsigned NOT NULL DEFAULT '0',
  `tag` varchar(50) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  PRIMARY KEY (`slice_id`,`tag`),
  KEY `rokgallery_slice_tags_slice_id_idx` (`slice_id`),
  CONSTRAINT `#__slice_tags_slice_id_slices_id` FOREIGN KEY (`slice_id`) REFERENCES `#__rokgallery_slices` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 DEFAULT COLLATE=utf8_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__rokgallery_slices` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `file_id` int(10) unsigned NOT NULL,
  `gallery_id` int(10) unsigned DEFAULT NULL,
  `guid` char(36) COLLATE utf8_unicode_ci NOT NULL,
  `title` varchar(200) COLLATE utf8_unicode_ci DEFAULT NULL,
  `caption` text COLLATE utf8_unicode_ci,
  `link` text COLLATE utf8_unicode_ci,
  `filesize` int(10) unsigned NOT NULL,
  `xsize` int(10) unsigned NOT NULL,
  `ysize` int(10) unsigned NOT NULL,
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `admin_thumb` tinyint(1) NOT NULL DEFAULT '0',
  `manipulations` longtext COLLATE utf8_unicode_ci,
  `palette` text COLLATE utf8_unicode_ci,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  `slug` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `thumb_xsize` int(10) unsigned NOT NULL,
  `thumb_ysize` int(10) unsigned NOT NULL,
  `thumb_keep_aspect` tinyint(1) NOT NULL DEFAULT '1',
  `thumb_background` varchar(12) COLLATE utf8_unicode_ci DEFAULT NULL,
  `ordering` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `id` (`id`),
  UNIQUE KEY `guid` (`guid`),
  UNIQUE KEY `#__rokgallery_slices_sluggable_idx` (`slug`,`gallery_id`),
  KEY `rokgallery_slices_published_idx` (`published`),
  KEY `rokgallery_slices_guid_idx` (`guid`),
  KEY `file_id_idx` (`file_id`),
  KEY `gallery_id_idx` (`gallery_id`),
  CONSTRAINT `#__slices_file_id_files_id` FOREIGN KEY (`file_id`) REFERENCES `#__rokgallery_files` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `#__slices_gallery_id_galleries_id` FOREIGN KEY (`gallery_id`) REFERENCES `#__rokgallery_galleries` (`id`) ON DELETE SET NULL ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 DEFAULT COLLATE=utf8_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__rokgallery_slices_index` (
  `keyword` varchar(200) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `field` varchar(50) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `position` bigint(20) NOT NULL DEFAULT '0',
  `id` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`keyword`,`field`,`position`,`id`),
  KEY `rokgallery_slices_index_id_idx` (`id`),
  CONSTRAINT `#__rokgallery_slices_index_id_idx` FOREIGN KEY (`id`) REFERENCES `#__rokgallery_slices` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 DEFAULT COLLATE=utf8_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__roksprocket_items` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `module_id` varchar(45) COLLATE utf8_unicode_ci NOT NULL,
  `provider` varchar(45) COLLATE utf8_unicode_ci NOT NULL,
  `provider_id` varchar(45) COLLATE utf8_unicode_ci NOT NULL,
  `order` int(10) unsigned NOT NULL,
  `params` text COLLATE utf8_unicode_ci,
  PRIMARY KEY (`id`),
  KEY `idx_module` (`module_id`),
  KEY `idx_module_order` (`module_id`,`order`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 DEFAULT COLLATE=utf8_unicode_ci;


TRUNCATE `#__assets`;
TRUNCATE `#__categories`;
TRUNCATE `#__content`;
TRUNCATE `#__content_frontpage`;
TRUNCATE `#__extensions`;
TRUNCATE `#__menu`;
TRUNCATE `#__menu_types`;
TRUNCATE `#__modules`;
TRUNCATE `#__modules_menu`;
TRUNCATE `#__rokcandy`;
TRUNCATE `#__rokcommon_configs`;
TRUNCATE `#__rokgallery_file_tags`;
TRUNCATE `#__rokgallery_files`;
TRUNCATE `#__rokgallery_files_index`;
TRUNCATE `#__rokgallery_galleries`;
TRUNCATE `#__rokgallery_schema_version`;
TRUNCATE `#__rokgallery_slices`;
TRUNCATE `#__rokgallery_slices_index`;
TRUNCATE `#__roksprocket_items`;
TRUNCATE `#__template_styles`;
TRUNCATE `#__update_sites`;
TRUNCATE `#__update_sites_extensions`;

INSERT IGNORE INTO `#__assets` (`id`, `parent_id`, `lft`, `rgt`, `level`, `name`, `title`, `rules`) VALUES (1,0,0,157,0,'root.1','Root Asset','{\"core.login.site\":{\"6\":1,\"2\":1},\"core.login.admin\":{\"6\":1},\"core.login.offline\":{\"6\":1},\"core.admin\":{\"8\":1},\"core.manage\":{\"7\":1},\"core.create\":{\"6\":1,\"3\":1},\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1},\"core.edit.own\":{\"6\":1,\"3\":1}}'),(2,1,1,2,1,'com_admin','com_admin','{}'),(3,1,3,6,1,'com_banners','com_banners','{\"core.admin\":{\"7\":1},\"core.manage\":{\"6\":1},\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(4,1,7,8,1,'com_cache','com_cache','{\"core.admin\":{\"7\":1},\"core.manage\":{\"7\":1}}'),(5,1,9,10,1,'com_checkin','com_checkin','{\"core.admin\":{\"7\":1},\"core.manage\":{\"7\":1}}'),(6,1,11,12,1,'com_config','com_config','{}'),(7,1,13,16,1,'com_contact','com_contact','{\"core.admin\":{\"7\":1},\"core.manage\":{\"6\":1},\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),(8,1,17,84,1,'com_content','com_content','{\"core.admin\":{\"7\":1},\"core.manage\":{\"6\":1},\"core.create\":{\"3\":1},\"core.delete\":[],\"core.edit\":{\"4\":1},\"core.edit.state\":{\"5\":1},\"core.edit.own\":[]}'),(9,1,85,86,1,'com_cpanel','com_cpanel','{}'),(10,1,87,88,1,'com_installer','com_installer','{\"core.admin\":[],\"core.manage\":{\"7\":0},\"core.delete\":{\"7\":0},\"core.edit.state\":{\"7\":0}}'),(11,1,89,90,1,'com_languages','com_languages','{\"core.admin\":{\"7\":1},\"core.manage\":[],\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(12,1,91,92,1,'com_login','com_login','{}'),(13,1,93,94,1,'com_mailto','com_mailto','{}'),(14,1,95,96,1,'com_massmail','com_massmail','{}'),(15,1,97,98,1,'com_media','com_media','{\"core.admin\":{\"7\":1},\"core.manage\":{\"6\":1},\"core.create\":{\"3\":1},\"core.delete\":{\"5\":1}}'),(16,1,99,100,1,'com_menus','com_menus','{\"core.admin\":{\"7\":1},\"core.manage\":[],\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(17,1,101,102,1,'com_messages','com_messages','{\"core.admin\":{\"7\":1},\"core.manage\":{\"7\":1}}'),(18,1,103,104,1,'com_modules','com_modules','{\"core.admin\":{\"7\":1},\"core.manage\":[],\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(19,1,105,108,1,'com_newsfeeds','com_newsfeeds','{\"core.admin\":{\"7\":1},\"core.manage\":{\"6\":1},\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),(20,1,109,110,1,'com_plugins','com_plugins','{\"core.admin\":{\"7\":1},\"core.manage\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(21,1,111,112,1,'com_redirect','com_redirect','{\"core.admin\":{\"7\":1},\"core.manage\":[]}'),(22,1,113,114,1,'com_search','com_search','{\"core.admin\":{\"7\":1},\"core.manage\":{\"6\":1}}'),(23,1,115,116,1,'com_templates','com_templates','{\"core.admin\":{\"7\":1},\"core.manage\":[],\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(24,1,117,120,1,'com_users','com_users','{\"core.admin\":{\"7\":1},\"core.manage\":[],\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(26,1,121,122,1,'com_wrapper','com_wrapper','{}'),(27,8,18,19,2,'com_content.category.2','Uncategorised','{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),(28,3,4,5,2,'com_banners.category.3','Uncategorised','{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(29,7,14,15,2,'com_contact.category.4','Uncategorised','{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),(30,19,106,107,2,'com_newsfeeds.category.5','Uncategorised','{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),(32,24,118,119,2,'com_users.notes.category.7','Uncategorised','{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(33,1,123,124,1,'com_finder','com_finder','{\"core.admin\":{\"7\":1},\"core.manage\":{\"6\":1}}'),(34,1,125,126,1,'com_joomlaupdate','com_joomlaupdate','{\"core.admin\":[],\"core.manage\":[],\"core.delete\":[],\"core.edit.state\":[]}'),(35,8,20,43,2,'com_content.category.8','Demo Articles','{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),(36,35,21,22,3,'com_content.article.1','Template Features','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(37,35,23,24,3,'com_content.article.2','Module Positions','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(38,35,25,26,3,'com_content.article.3','Module Variations','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(39,35,27,28,3,'com_content.article.4','Template Typography','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(40,35,29,30,3,'com_content.article.5','Menu Options','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(41,35,31,32,3,'com_content.article.6','Integrated Extensions','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(42,35,33,34,3,'com_content.article.7','Tutorials and Guides','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(43,35,35,36,3,'com_content.article.8','Installation Instructions','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(44,35,37,38,3,'com_content.article.9','Logo Editing','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(45,35,39,40,3,'com_content.article.10','Preset Styles','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(46,35,41,42,3,'com_content.article.11','About Joomla!','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(47,8,44,61,2,'com_content.category.9','Sample Content','{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),(48,47,45,46,3,'com_content.article.12','Donec Nunc Magna Posuere','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(49,47,47,48,3,'com_content.article.13','Lorem Ipsum Dolor Sit Amet','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(50,47,49,50,3,'com_content.article.14','Maecenas Varius Neque Nec','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(51,47,51,52,3,'com_content.article.15','Massa Diam Tristique Urna','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(52,47,53,54,3,'com_content.article.16','Nec Libero Laoreet Faucibus','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(53,47,55,56,3,'com_content.article.17','Sapien Eros Consetur Dolor','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(54,47,57,58,3,'com_content.article.18','Sed Imperdiet Ligula Nisi','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(55,47,59,60,3,'com_content.article.19','Vestibulum Dapibus Est Nulla','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(57,1,127,128,1,'com_gantry','gantry','{}'),(58,1,129,130,1,'com_roksprocket','roksprocket','{}'),(59,1,131,132,1,'com_rokcandy.category.11','Basic',''),(60,1,133,134,1,'com_rokcandy.category.12','Typography',''),(61,1,135,136,1,'com_rokcandy.category.13','Uncategorised',''),(62,1,137,138,1,'com_rokcandy','rokcandy','{}'),(63,73,79,80,3,'com_content.article.20','Top News of the Week.','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(64,8,62,69,2,'com_content.category.14','RokSprocket Tabs','{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),(65,64,63,64,3,'com_content.article.21','RokSprocket','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(66,64,65,66,3,'com_content.article.22','Menu System','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(67,64,67,68,3,'com_content.article.23','Styling','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(68,8,70,77,2,'com_content.category.15','RokSprocket Lists','{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),(69,68,71,72,3,'com_content.article.24','Custom Presets','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(70,68,73,74,3,'com_content.article.25','Per Menu Support','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(71,68,75,76,3,'com_content.article.26','and Many More...','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(72,1,139,140,1,'com_rokgallery','rokgallery','{}'),(73,8,78,83,2,'com_content.category.16','Frontpage','{\"core.create\":{\"6\":1,\"3\":1},\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1},\"core.edit.own\":{\"6\":1,\"3\":1}}'),(74,73,81,82,3,'com_content.article.27','Popular Features.','{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),(75,1,141,142,1,'com_tags','com_tags','{}'),(76,1,143,144,1,'com_contenthistory','com_contenthistory','{}'),(77,1,145,146,1,'com_ajax','com_ajax','{}'),(78,1,147,148,1,'com_postinstall','com_postinstall','{}'),(79,1,149,150,1,'com_fields','com_fields','{}'),(80,1,151,152,1,'com_associations','com_associations','{}'),(81,1,153,154,1,'com_privacy','com_privacy','{}'),(82,1,155,156,1,'com_actionlogs','com_actionlogs','{}');

INSERT IGNORE INTO `#__categories` (`id`, `asset_id`, `parent_id`, `lft`, `rgt`, `level`, `path`, `extension`, `title`, `alias`, `note`, `description`, `published`, `checked_out`, `checked_out_time`, `access`, `params`, `metadesc`, `metakey`, `metadata`, `created_user_id`, `created_time`, `modified_user_id`, `modified_time`, `hits`, `language`, `version`) VALUES (1,0,0,0,27,0,'','system','ROOT','root','','',1,0,'0000-00-00 00:00:00',1,'{}','','','',103,'2018-01-01 00:00:01',0,'0000-00-00 00:00:00',0,'*',1),(2,27,1,1,2,1,'uncategorised','com_content','Uncategorised','uncategorised','','',1,0,'0000-00-00 00:00:00',1,'{\"target\":\"\",\"image\":\"\"}','','','{\"page_title\":\"\",\"author\":\"\",\"robots\":\"\"}',103,'2018-01-01 00:00:01',0,'0000-00-00 00:00:00',0,'*',1),(3,28,1,3,4,1,'uncategorised','com_banners','Uncategorised','uncategorised','','',1,0,'0000-00-00 00:00:00',1,'{\"target\":\"\",\"image\":\"\",\"foobar\":\"\"}','','','{\"page_title\":\"\",\"author\":\"\",\"robots\":\"\"}',103,'2018-01-01 00:00:01',0,'0000-00-00 00:00:00',0,'*',1),(4,29,1,5,6,1,'uncategorised','com_contact','Uncategorised','uncategorised','','',1,0,'0000-00-00 00:00:00',1,'{\"target\":\"\",\"image\":\"\"}','','','{\"page_title\":\"\",\"author\":\"\",\"robots\":\"\"}',103,'2018-01-01 00:00:01',0,'0000-00-00 00:00:00',0,'*',1),(5,30,1,7,8,1,'uncategorised','com_newsfeeds','Uncategorised','uncategorised','','',1,0,'0000-00-00 00:00:00',1,'{\"target\":\"\",\"image\":\"\"}','','','{\"page_title\":\"\",\"author\":\"\",\"robots\":\"\"}',103,'2018-01-01 00:00:01',0,'0000-00-00 00:00:00',0,'*',1),(7,32,1,9,10,1,'uncategorised','com_users.notes','Uncategorised','uncategorised','','',1,0,'0000-00-00 00:00:00',1,'{\"target\":\"\",\"image\":\"\"}','','','{\"page_title\":\"\",\"author\":\"\",\"robots\":\"\"}',103,'2018-01-01 00:00:01',0,'0000-00-00 00:00:00',0,'*',1),(8,35,1,11,12,1,'demo-articles','com_content','Demo Articles','demo-articles','','',1,0,'0000-00-00 00:00:00',1,'{\"category_layout\":\"\",\"image\":\"\"}','','','{\"author\":\"\",\"robots\":\"\"}',103,'2018-01-01 00:00:01',0,'0000-00-00 00:00:00',0,'*',1),(9,47,1,13,14,1,'sample-content','com_content','Sample Content','sample-content','','',1,0,'0000-00-00 00:00:00',1,'{\"category_layout\":\"\",\"image\":\"\"}','','','{\"author\":\"\",\"robots\":\"\"}',103,'2018-01-01 00:00:01',0,'0000-00-00 00:00:00',0,'*',1),(11,59,1,15,16,1,'basic','com_rokcandy','Basic','basic','','',1,0,'0000-00-00 00:00:00',1,'','','','',103,'2018-01-01 00:00:01',0,'0000-00-00 00:00:00',0,'',1),(12,60,1,17,18,1,'typography','com_rokcandy','Typography','typography','','',1,0,'0000-00-00 00:00:00',1,'','','','',103,'2018-01-01 00:00:01',0,'0000-00-00 00:00:00',0,'',1),(13,61,1,19,20,1,'uncategorised','com_rokcandy','Uncategorised','uncategorised','','',1,0,'0000-00-00 00:00:00',1,'','','','',103,'2018-01-01 00:00:01',0,'0000-00-00 00:00:00',0,'',1),(14,64,1,21,22,1,'roksprocket-tabs','com_content','RokSprocket Tabs','roksprocket-tabs','','',1,0,'0000-00-00 00:00:00',1,'{\"category_layout\":\"\",\"image\":\"\"}','','','{\"author\":\"\",\"robots\":\"\"}',103,'2018-01-01 00:00:01',0,'0000-00-00 00:00:00',0,'*',1),(15,68,1,23,24,1,'roksprocket-lists','com_content','RokSprocket Lists','roksprocket-lists','','',1,0,'0000-00-00 00:00:00',1,'{\"category_layout\":\"\",\"image\":\"\"}','','','{\"author\":\"\",\"robots\":\"\"}',103,'2018-01-01 00:00:01',0,'0000-00-00 00:00:00',0,'*',1),(16,73,1,25,26,1,'frontpage','com_content','Frontpage','frontpage','','',1,0,'0000-00-00 00:00:00',1,'{\"category_layout\":\"\",\"image\":\"\"}','','','{\"author\":\"\",\"robots\":\"\"}',103,'2018-01-01 00:00:01',0,'0000-00-00 00:00:00',0,'*',1);

INSERT IGNORE INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`, `note`) VALUES (1,36,'Template Features','template-features','                                                                         <div class=\"rt-center\">\r\n  <span class=\"promo3\">The next generation layout and structure compliments the beautiful and intricate design of the template in conjunction with its many features and integrated extensions</span>\r\n</div>\r\n\r\n<br />\r\n\r\n<div class=\"rt-image rt-center largemargintop largemarginbottom\">\r\n  <img class=\"rt-noborder\" src=\"images/rocketlauncher/features/features-template-preview.png\" alt=\"image\" />\r\n</div>\r\n\r\n<br />\r\n\r\n<div class=\"rt-center largemargintop largemarginbottom\">\r\n  <span class=\"promo2\">Inside <strong>Cerulean</strong> Template</span><br />\r\n  <span class=\"promo3\">Everything You Need to Build Your Stunning Website</span>\r\n</div>\r\n\r\n<br />\r\n\r\n<div class=\"gantry-width-33 gantry-width-block rt-center\">\r\n  <div class=\"gantry-width-spacer\">\r\n    <div class=\"rt-image\">\r\n      <img src=\"images/rocketlauncher/features/feature-1.jpg\" alt=\"image\" />\r\n      <h3><a href=\"index.php?option=com_content&amp;view=article&amp;id=10&amp;Itemid=111\" target=\"_blank\"><span>Preset Styles</span></a></h3>\r\n    </div>\r\n  </div>\r\n</div>\r\n\r\n<div class=\"gantry-width-33 gantry-width-block rt-center\">\r\n  <div class=\"gantry-width-spacer\">\r\n    <div class=\"rt-image\">\r\n      <img src=\"images/rocketlauncher/features/feature-2.jpg\" alt=\"image\" />\r\n      <h3><a href=\"index.php?option=com_content&amp;view=article&amp;id=2&amp;Itemid=103\" target=\"_blank\"><span>Modules Position</span></a></h3>\r\n    </div>\r\n  </div>\r\n</div>\r\n\r\n<div class=\"gantry-width-33 gantry-width-block rt-center\">\r\n  <div class=\"gantry-width-spacer\">\r\n    <div class=\"rt-image\">\r\n      <img src=\"images/rocketlauncher/features/feature-3.jpg\" alt=\"image\" />\r\n      <h3><a href=\"index.php?option=com_content&amp;view=article&amp;id=3&amp;Itemid=104\" target=\"_blank\"><span>Module Variations</span></a></h3>\r\n    </div>\r\n  </div>\r\n</div>\r\n\r\n<div class=\"gantry-width-33 gantry-width-block rt-center\">\r\n  <div class=\"gantry-width-spacer\">\r\n    <div class=\"rt-image\">\r\n      <img src=\"images/rocketlauncher/features/feature-4.jpg\" alt=\"image\" />\r\n      <h3><a href=\"index.php?option=com_content&amp;view=article&amp;id=5&amp;Itemid=106\" target=\"_blank\"><span>Dropdown Menu</span></a></h3>\r\n    </div>\r\n  </div>\r\n</div>\r\n\r\n<div class=\"gantry-width-33 gantry-width-block rt-center\">\r\n  <div class=\"gantry-width-spacer\">\r\n    <div class=\"rt-image\">\r\n      <img src=\"images/rocketlauncher/features/feature-5.jpg\" alt=\"image\" />\r\n      <h3><a href=\"index.php?option=com_content&amp;view=article&amp;id=4&amp;Itemid=105\" target=\"_blank\"><span>Typography</span></a></h3>\r\n    </div>\r\n  </div>\r\n</div>\r\n\r\n<div class=\"gantry-width-33 gantry-width-block rt-center\">\r\n  <div class=\"gantry-width-spacer\">\r\n    <div class=\"rt-image\">\r\n      <img src=\"images/rocketlauncher/features/feature-6.jpg\" alt=\"image\" />\r\n      <h3><a href=\"index.php?option=com_content&amp;view=article&amp;id=6&amp;Itemid=107\" target=\"_blank\"><span>Integrated Extensions</span></a></h3>\r\n    </div>\r\n  </div>\r\n</div>\r\n\r\n<div class=\"gantry-width-33 gantry-width-block rt-center\">\r\n  <div class=\"gantry-width-spacer\">\r\n    <div class=\"rt-image\">\r\n      <img src=\"images/rocketlauncher/features/feature-7.jpg\" alt=\"image\" />\r\n      <h3><a href=\"index.php?option=com_content&amp;view=article&amp;id=9&amp;Itemid=110\" target=\"_blank\"><span>Logo Picker</span></a></h3>\r\n    </div>\r\n  </div>\r\n</div>\r\n\r\n<div class=\"gantry-width-33 gantry-width-block rt-center\">\r\n  <div class=\"gantry-width-spacer\">\r\n    <div class=\"rt-image\">\r\n      <img src=\"images/rocketlauncher/features/feature-8.jpg\" alt=\"image\" />\r\n      <h3><a href=\"index.php?option=com_content&amp;view=article&amp;id=6&amp;Itemid=107\" target=\"_blank\"><span>K2 (3rd Party)</span></a></h3>\r\n    </div>\r\n  </div>\r\n</div>\r\n\r\n<div class=\"gantry-width-33 gantry-width-block rt-center\">\r\n  <div class=\"gantry-width-spacer\">\r\n    <div class=\"rt-image\">\r\n      <img src=\"images/rocketlauncher/features/feature-9.jpg\" alt=\"image\" />\r\n      <h3><a href=\"index.php?option=com_content&amp;view=article&amp;id=11&amp;Itemid=112\" target=\"_blank\"><span>Joomla Stuff</span></a></h3>\r\n    </div>\r\n  </div>\r\n</div>\r\n\r\n<div class=\"clear\"></div><br />\r\n\r\n<div class=\"rt-center largemargintop largemarginbottom\">\r\n  <span class=\"promo2\"><strong>Gantry 4</strong> Framework</span><br />\r\n  <span class=\"promo3\">Powerful Framework that Makes Building Websites Easier</span>\r\n</div>\r\n\r\n<br />\r\n\r\n<div class=\"gantry-width-25 gantry-width-block\">\r\n  <div class=\"gantry-width-spacer\">\r\n    <ul class=\"list-icon info largemargintop\">\r\n      <li class=\"largemarginbottom\"><strong>Compact Grid System</strong><br />CSS grid framework to construct content by providing commonly used dimensions</li>\r\n      <li class=\"largemarginbottom hidden-tablet\"><strong>Stunning Admin UI</strong><br />Gantry provides a uniquely intuitive interface to control all aspects of the design</li>\r\n        <li class=\"largemarginbottom hidden-tablet\"><strong>Integrated Features</strong><br />Many built-in features such as font-sizer, Google Analytics, Date, etc</li>\r\n    </ul>\r\n  </div>\r\n</div>\r\n\r\n<div class=\"gantry-width-50 gantry-width-block\">\r\n  <div class=\"gantry-width-spacer\">\r\n    <div class=\"rt-image rt-center\">\r\n      <img class=\"rt-noborder\" src=\"images/rocketlauncher/features/feature-admin-panel.png\" alt=\"image\" />\r\n    </div>\r\n  </div>\r\n</div>\r\n\r\n<div class=\"gantry-width-25 gantry-width-block\">\r\n  <div class=\"gantry-width-spacer\">\r\n      <ul class=\"list-icon info largemargintop\">\r\n        <li class=\"largemarginbottom\"><strong>Source-Ordered Layout</strong><br />With up to 3 total sidebars, you can achieve highly complex mainbody layout scenarios</li>\r\n        <li class=\"largemarginbottom hidden-tablet\"><strong>Grid RTL Support</strong><br />Built in RTL support which will automatically order the layout to support RTL</li>\r\n        <li class=\"largemarginbottom hidden-tablet\"><strong>Multi-Page Configuration</strong><br />Assign different template configurations for one or several menu items/pages</li>\r\n      </ul>\r\n  </div>\r\n</div>\r\n\r\n<div class=\"clear\"></div><br />\r\n\r\n<div class=\"rt-center largemargintop largemarginbottom\">\r\n  <span class=\"promo2\"><strong>Interested</strong>? Want to try <strong>Cerulean</strong>?</span><br />\r\n  <a class=\"readon promo1 medmargintop\" href=\"http://www.rockettheme.com/joomla-templates/cerulean\" target=\"_blank\"><span><span class=\"icon-download-alt largepaddingtop\"></span> <span>Download</span></span></a>\r\n</div>\r\n\r\n<div class=\"clear\"></div><br />','',1,8,'2018-01-01 00:00:01',103,'RocketTheme','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2019-08-13 10:27:11','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":null,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":null,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":null,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',1,11,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*','',''),(2,37,'Module Positions','module-positions','<table class=\"table table-bordered gantry-center\">\r\n  <thead>\r\n    <tr>\r\n      <th colspan=\"6\"><h4>Top</h4></th>\r\n    </tr>\r\n  </thead>\r\n  <tbody>\r\n    <tr>\r\n      <td>A</td>\r\n      <td>B</td>\r\n      <td>C</td>\r\n      <td>D</td>\r\n      <td>E</td>\r\n      <td>F</td>\r\n    </tr>\r\n  </tbody>\r\n</table>\r\n\r\n<table class=\"table table-bordered gantry-center\">\r\n  <thead>\r\n    <tr>\r\n      <th colspan=\"6\"><h4>Slideshow</h4></th>\r\n    </tr>\r\n  </thead>\r\n</table>\r\n\r\n<table class=\"table table-bordered gantry-center\">\r\n  <thead>\r\n    <tr>\r\n      <th colspan=\"6\"><h4>Header</h4></th>\r\n    </tr>\r\n  </thead>\r\n  <tbody>\r\n    <tr>\r\n      <td>A</td>\r\n      <td>B</td>\r\n      <td>C</td>\r\n      <td>D</td>\r\n      <td>E</td>\r\n      <td>F</td>\r\n    </tr>\r\n  </tbody>\r\n</table>\r\n\r\n<table class=\"table table-bordered gantry-center\">\r\n  <thead>\r\n    <tr>\r\n      <th colspan=\"6\"><h4>Drawer</h4></th>\r\n    </tr>\r\n  </thead>\r\n</table>\r\n\r\n\r\n<table class=\"table table-bordered gantry-center\">\r\n  <thead>\r\n    <tr>\r\n      <th colspan=\"6\"><h4>Showcase</h4></th>\r\n    </tr>\r\n  </thead>\r\n  <tbody>\r\n    <tr>\r\n      <td>A</td>\r\n      <td>B</td>\r\n      <td>C</td>\r\n      <td>D</td>\r\n      <td>E</td>\r\n      <td>F</td>\r\n    </tr>\r\n  </tbody>\r\n</table>\r\n\r\n<table class=\"table table-bordered gantry-center\">\r\n  <thead>\r\n    <tr>\r\n      <th colspan=\"6\"><h4>Feature</h4></th>\r\n    </tr>\r\n  </thead>\r\n  <tbody>\r\n    <tr>\r\n      <td>A</td>\r\n      <td>B</td>\r\n      <td>C</td>\r\n      <td>D</td>\r\n      <td>E</td>\r\n      <td>F</td>\r\n    </tr>\r\n  </tbody>\r\n</table>\r\n\r\n<table class=\"table table-bordered gantry-center\">\r\n  <thead>\r\n    <tr>\r\n      <th colspan=\"6\"><h4>Utility</h4></th>\r\n    </tr>\r\n  </thead>\r\n  <tbody>\r\n    <tr>\r\n      <td>A</td>\r\n      <td>B</td>\r\n      <td>C</td>\r\n      <td>D</td>\r\n      <td>E</td>\r\n      <td>F</td>\r\n    </tr>\r\n  </tbody>\r\n</table>\r\n\r\n<table class=\"table table-bordered gantry-center\">\r\n  <thead>\r\n    <tr>\r\n      <th colspan=\"6\"><h4>Breadcrumb</h4></th>\r\n    </tr>\r\n  </thead>\r\n</table>\r\n\r\n<table class=\"table table-bordered gantry-center\">\r\n  <thead>\r\n    <tr>\r\n      <th colspan=\"6\"><h4>MainTop</h4></th>\r\n    </tr>\r\n  </thead>\r\n  <tbody>\r\n    <tr>\r\n      <td>A</td>\r\n      <td>B</td>\r\n      <td>C</td>\r\n      <td>D</td>\r\n      <td>E</td>\r\n      <td>F</td>\r\n    </tr>\r\n  </tbody>\r\n</table>\r\n\r\n<div class=\"gantry-width-50 gantry-width-block\">\r\n  <div class=\"gantry-width-spacer nomarginleft\">\r\n    <table class=\"table table-bordered gantry-center\">\r\n      <thead>\r\n        <tr>\r\n          <th colspan=\"3\"><h4>Content Top</h4></th>\r\n        </tr>\r\n      </thead>\r\n      <tbody>\r\n        <tr>\r\n          <td>A</td>\r\n          <td>B</td>\r\n          <td>C</td>\r\n        </tr>\r\n      </tbody>\r\n    </table>\r\n    <table class=\"table table-bordered gantry-center\">\r\n      <thead>\r\n        <tr>\r\n          <th colspan=\"3\"><h4>Mainbody</h4></th>\r\n        </tr>\r\n      </thead>\r\n    </table>\r\n    <table class=\"table table-bordered gantry-center\">\r\n      <thead>\r\n        <tr>\r\n          <th colspan=\"3\"><h4>Content Bottom</h4></th>\r\n        </tr>\r\n      </thead>\r\n      <tbody>\r\n        <tr>\r\n          <td>A</td>\r\n          <td>B</td>\r\n          <td>C</td>\r\n        </tr>\r\n      </tbody>\r\n    </table>\r\n  </div>\r\n</div>\r\n<div class=\"gantry-width-50 gantry-width-block\">\r\n  <div class=\"gantry-width-spacer nomarginright\">\r\n    <table class=\"table table-bordered gantry-center\">\r\n      <thead>\r\n        <tr>\r\n          <th colspan=\"3\"><h4>Sidebar</h4></th>\r\n        </tr>\r\n      </thead>\r\n      <tbody>\r\n        <tr>\r\n          <td style=\"height: 213px;vertical-align: middle\">A</td>\r\n          <td style=\"height: 213px;vertical-align: middle\">B</td>\r\n          <td style=\"height: 213px;vertical-align: middle\">C</td>\r\n        </tr>\r\n      </tbody>\r\n    </table>\r\n  </div>\r\n</div>\r\n<div class=\"clear\"></div>\r\n\r\n<table class=\"table table-bordered gantry-center\">\r\n  <thead>\r\n    <tr>\r\n      <th colspan=\"6\"><h4>MainBottom</h4></th>\r\n    </tr>\r\n  </thead>\r\n  <tbody>\r\n    <tr>\r\n      <td>A</td>\r\n      <td>B</td>\r\n      <td>C</td>\r\n      <td>D</td>\r\n      <td>E</td>\r\n      <td>F</td>\r\n    </tr>\r\n  </tbody>\r\n</table>\r\n\r\n<table class=\"table table-bordered gantry-center\">\r\n  <thead>\r\n    <tr>\r\n      <th colspan=\"6\"><h4>Extension</h4></th>\r\n    </tr>\r\n  </thead>\r\n  <tbody>\r\n    <tr>\r\n      <td>A</td>\r\n      <td>B</td>\r\n      <td>C</td>\r\n      <td>D</td>\r\n      <td>E</td>\r\n      <td>F</td>\r\n    </tr>\r\n  </tbody>\r\n</table>\r\n\r\n<table class=\"table table-bordered gantry-center\">\r\n  <thead>\r\n    <tr>\r\n      <th colspan=\"6\"><h4>Bottom</h4></th>\r\n    </tr>\r\n  </thead>\r\n  <tbody>\r\n    <tr>\r\n      <td>A</td>\r\n      <td>B</td>\r\n      <td>C</td>\r\n      <td>D</td>\r\n      <td>E</td>\r\n      <td>F</td>\r\n    </tr>\r\n  </tbody>\r\n</table>\r\n\r\n<table class=\"table table-bordered gantry-center\">\r\n  <thead>\r\n    <tr>\r\n      <th colspan=\"6\"><h4>Footer</h4></th>\r\n    </tr>\r\n  </thead>\r\n  <tbody>\r\n    <tr>\r\n      <td>A</td>\r\n      <td>B</td>\r\n      <td>C</td>\r\n      <td>D</td>\r\n      <td>E</td>\r\n      <td>F</td>\r\n    </tr>\r\n  </tbody>\r\n</table>\r\n\r\n<table class=\"table table-bordered gantry-center\">\r\n  <thead>\r\n    <tr>\r\n      <th colspan=\"6\"><h4>Copyright</h4></th>\r\n    </tr>\r\n  </thead>\r\n  <tbody>\r\n    <tr>\r\n      <td>A</td>\r\n      <td>B</td>\r\n      <td>C</td>\r\n      <td>D</td>\r\n      <td>E</td>\r\n      <td>F</td>\r\n    </tr>\r\n  </tbody>\r\n</table>\r\n\r\n<table class=\"table table-bordered gantry-center\">\r\n  <thead>\r\n    <tr>\r\n      <th colspan=\"6\"><h4>Debug</h4></th>\r\n    </tr>\r\n  </thead>\r\n</table>\r\n\r\n<table class=\"table table-bordered gantry-center\">\r\n  <thead>\r\n    <tr>\r\n      <th colspan=\"6\"><h4>Analytics</h4></th>\r\n    </tr>\r\n  </thead>\r\n</table> \r\n\r\n<div class=\"clear largemarginbottom\">&nbsp;</div>\r\n\r\n<div class=\"rt-center medpaddingtop smallpaddingbottom\"><a class=\"readon\"  href=\"http://www.gantry-framework.org/documentation/joomla/configure/layouts\"><span>Documentation: Gantry Framework Layouts</span></a></div>','',1,8,'2018-01-01 00:00:01',103,'RocketTheme','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2019-08-13 10:27:11','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":null,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":null,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":null,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',1,10,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*','',''),(3,38,'Module Variations','module-variations','<p class=\"nomarginbottom\">There are <strong>9 stylistic module class suffixes</strong>, these add a unique style variation to the module: <strong>box1-5</strong> and <strong>title1-4</strong>; and 25 structural suffixes, these affect the layout and metrics of the module.</p>','',1,8,'2018-01-01 00:00:01',103,'RocketTheme','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2019-08-13 10:27:11','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":null,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":null,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":null,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',1,9,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*','',''),(4,39,'Template Typography','template-typography','<!-- Typography\r\n================================================== -->\r\n<section id=\"typography\">\r\n  <div class=\"page-header\">\r\n    <h1>Typography</h1>\r\n  </div>\r\n\r\n<div class=\"gantry-width-block gantry-width-50\">\r\n<div class=\"gantry-left\">\r\n  <h2 id=\"headings\">Headings</h2>\r\n  <p>All HTML headings, <code>&lt;h1&gt;</code> through <code>&lt;h6&gt;</code> are available.</p>\r\n  <div class=\"gantry-example\">\r\n    <h1>h1. Heading 1</h1>\r\n    <h2>h2. Heading 2</h2>\r\n    <h3>h3. Heading 3</h3>\r\n    <h4>h4. Heading 4</h4>\r\n    <h5>h5. Heading 5</h5>\r\n    <h6>h6. Heading 6</h6>\r\n  </div>\r\n\r\n  <h3>Built with Less</h3>\r\n  <p>The typographic scale is based on two LESS variables in <strong>variables.less</strong>: <code>@baseFontSize</code> and <code>@baseLineHeight</code>. The first is the base font-size used throughout and the second is the base line-height. We use those variables and some simple math to create the margins, paddings, and line-heights of all our type and more. Customize them and Bootstrap adapts.</p>\r\n</div></div>\r\n\r\n<div class=\"gantry-width-block gantry-width-50\">\r\n<div class=\"gantry-right\">\r\n  <h2 id=\"body-copy\">Body copy</h2>\r\n  <p>Bootstrap\'s global default <code>font-size</code> is <strong>14px</strong>, with a <code>line-height</code> of <strong>1.7em</strong>. This is applied to the <code>&lt;body&gt;</code> and all paragraphs. In addition, <code>&lt;p&gt;</code> (paragraphs) receive a bottom margin of half their line-height (9px by default).</p>\r\n  <div class=\"gantry-example\">\r\n    <p>Nullam quis risus eget urna mollis ornare vel eu leo. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nullam id dolor id nibh ultricies vehicula.</p>\r\n  </div>\r\n  <pre class=\"prettyprint\">&lt;p&gt;...&lt;/p&gt;</pre>\r\n\r\n  <h3>Lead body copy</h3>\r\n  <p>Make a paragraph stand out by adding <code>.lead</code>.</p>\r\n  <div class=\"gantry-example\">\r\n    <p class=\"lead\">Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor. Duis mollis, est non commodo luctus.</p>\r\n  </div>\r\n  <pre class=\"prettyprint\">&lt;p class=&quot;lead&quot;&gt;...&lt;/p&gt;</pre>\r\n\r\n\r\n</div></div>\r\n<div class=\"clear\"></div>\r\n\r\n<br /><!-- SEPARATOR -->\r\n\r\n\r\n  <h2 id=\"emphasis\">Emphasis</h2>\r\n  <span>Make use of HTML\'s default emphasis tags with lightweight styles.</span><br />\r\n\r\n\r\n<div class=\"gantry-width-block gantry-width-50\">\r\n<div class=\"gantry-left\">\r\n  <h4><code>&lt;em&gt;</code></h4>\r\n  <p>For emphasizing a snippet of text with <em>stress</em></p>\r\n  <div class=\"gantry-example\">\r\n    <p>The following snippet of text is <em>rendered as italicized text</em>.</p>\r\n  </div>\r\n  <pre class=\"prettyprint\">&lt;em&gt;rendered as italicized text&lt;/em&gt;</pre>\r\n\r\n  <h4><code>&lt;strong&gt;</code></h4>\r\n  <p>For emphasizing a snippet of text with <strong>important</strong></p>\r\n  <div class=\"gantry-example\">\r\n    <p>The following snippet of text is <strong>rendered as bold text</strong>.</p>\r\n  </div>\r\n  <pre class=\"prettyprint\">&lt;strong&gt;rendered as bold text&lt;/strong&gt;</pre>\r\n</div></div>\r\n\r\n<div class=\"gantry-width-block gantry-width-50\">\r\n<div class=\"gantry-right\">\r\n  <h4><code>&lt;small&gt;</code></h4>\r\n  <p>For de-emphasizing inline or blocks of text, <small>use the small tag.</small></p>\r\n  <div class=\"gantry-example\">\r\n    <p><small>This line of text is meant to be treated as fine print.</small></p>\r\n  </div>\r\n<pre class=\"prettyprint\">&lt;p&gt;\r\n  &lt;small&gt;This line of text is meant to be treated as fine print.&lt;/small&gt;\r\n&lt;/p&gt;</pre><br />\r\n\r\n  <p><strong>Note:</strong> Feel free to use <code>&lt;b&gt;</code> and <code>&lt;i&gt;</code> in HTML5. <code>&lt;b&gt;</code> is meant to highlight words or phrases without conveying additional importance while <code>&lt;i&gt;</code> is mostly for voice, technical terms, etc.</p>\r\n</div></div>\r\n<div class=\"clear\"></div>\r\n\r\n<h3>Notice Styles</h3>\r\n\r\n<p>Use the <code>&lt;p&gt;</code> tag with <code>.success</code>, <code>.warning</code>, <code>.info</code> or <code>.error</code> classes.</p>\r\n\r\n<div class=\"gantry-width-block gantry-width-50\">\r\n<div class=\"gantry-left\">\r\n<div class=\"gantry-example\"><p class=\"success\">Nullam quis risus eget urna mollis ornare vel eu leo. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus.</p></div>\r\n<pre class=\"prettyprint\">&lt;p class=&quot;success&quot;&gt;...&lt;/p&gt;</pre>\r\n\r\n<div class=\"gantry-example\"><p class=\"info\">Nullam quis risus eget urna mollis ornare vel eu leo. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus.</p></div>\r\n<pre class=\"prettyprint\">&lt;p class=&quot;info&quot;&gt;...&lt;/p&gt;</pre>\r\n</div></div>    \r\n\r\n<div class=\"gantry-width-block gantry-width-50\">\r\n<div class=\"gantry-right\">\r\n<div class=\"gantry-example\"><p class=\"warning\">Nullam quis risus eget urna mollis ornare vel eu leo. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus.</p></div>\r\n<pre class=\"prettyprint\">&lt;p class=&quot;warning&quot;&gt;...&lt;/p&gt;</pre>\r\n\r\n<div class=\"gantry-example\"><p class=\"error\">Nullam quis risus eget urna mollis ornare vel eu leo. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus.</p></div>\r\n<pre class=\"prettyprint\">&lt;p class=&quot;error&quot;&gt;...&lt;/p&gt;</pre>\r\n</div></div>\r\n\r\n<div class=\"clear\"></div>\r\n\r\n\r\n<br /><!-- SEPARATOR -->\r\n\r\n<div class=\"gantry-width-block gantry-width-50\">\r\n<div class=\"gantry-left\" style=\"float: none;\">\r\n  <h2 id=\"abbreviations\">Abbreviations</h2>\r\n  <p>Stylized implementation of HTML\'s <code>&lt;abbr&gt;</code> element for abbreviations and acronyms to show the expanded version on hover. Abbreviations with a <code>title</code> attribute have a light dotted bottom border and a help cursor on hover, providing additional context on hover.</p>\r\n\r\n  <h4><code>&lt;abbr&gt;</code></h4>\r\n  <p>For expanded text on long hover of an abbreviation, include the <code>title</code> attribute.</p>\r\n  <div class=\"gantry-example\">\r\n    <p>An abbreviation of the word attribute is <abbr title=\"attribute\">attr</abbr>.</p>\r\n  </div>\r\n  <pre class=\"prettyprint\">&lt;abbr title=&quot;attribute&quot;&gt;attr&lt;/abbr&gt;</pre>\r\n\r\n  <h4><code>&lt;abbr class=\"initialism\"&gt;</code></h4>\r\n  <p>Add <code>.initialism</code> to an abbreviation for a slightly smaller font-size.</p>\r\n  <div class=\"gantry-example\">\r\n    <p><abbr title=\"HyperText Markup Language\" class=\"initialism\">HTML</abbr> is the best thing since sliced bread.</p>\r\n  </div>\r\n  <pre class=\"prettyprint\">&lt;abbr title=&quot;attribute&quot; class=&quot;initialism&quot;&gt;attr&lt;/abbr&gt;</pre>\r\n</div></div>\r\n\r\n<div class=\"gantry-width-block gantry-width-50\">\r\n<div class=\"gantry-right\">\r\n  <h2 id=\"addresses\">Addresses</h2>\r\n  <p>Stylized implementation of HTML\'s element to present contact information for the nearest ancestor or the entire body of work.</p>\r\n\r\n  <h4><code>&lt;address&gt;</code></h4>\r\n  <p>Preserve formatting by ending all lines with <code>&lt;br&gt;</code>.</p>\r\n  <div class=\"gantry-example\">\r\n    <address>\r\n      <strong>Twitter, Inc.</strong><br>\r\n      795 Folsom Ave, Suite 600<br>\r\n      San Francisco, CA 94107<br>\r\n      <abbr title=\"Phone\">P:</abbr> (123) 456-7890\r\n    </address>\r\n    <address>\r\n      <strong>Full Name</strong><br>\r\n      <a href=\"mailto:#\">first.last@gmail.com</a>\r\n    </address>\r\n  </div>\r\n<pre class=\"prettyprint linenums\">\r\n&lt;address&gt;\r\n  &lt;strong&gt;Twitter, Inc.&lt;/strong&gt;&lt;br&gt;\r\n  795 Folsom Ave, Suite 600&lt;br&gt;\r\n  San Francisco, CA 94107&lt;br&gt;\r\n  &lt;abbr title=&quot;Phone&quot;&gt;P:&lt;/abbr&gt; (123) 456-7890\r\n&lt;/address&gt;\r\n&lt;address&gt;\r\n  &lt;strong&gt;Full Name&lt;/strong&gt;&lt;br&gt;\r\n  &lt;a href=&quot;mailto:#&quot;&gt;first.last&#64;gmail.com&lt;/a&gt;\r\n&lt;/address&gt;\r\n</pre>\r\n</div></div>\r\n<div class=\"clear\"></div>\r\n\r\n<br /><!-- SEPARATOR -->\r\n\r\n\r\n  <h2 id=\"blockquotes\">Blockquotes</h2>\r\n  <p>For quoting blocks of content from another source within your document.</p>\r\n\r\n  <h3>Default blockqoute</h3>\r\n  <p>Wrap <code>&lt;blockquote&gt;</code> around any <abbr title=\"HyperText Markup Language\">HTML</abbr> as the quote. For straight quotes we recommend a <code>&lt;p&gt;</code>.</p>\r\n  <div class=\"gantry-example\">\r\n    <blockquote>\r\n      <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.</p>\r\n    </blockquote>\r\n  </div>\r\n<pre class=\"prettyprint linenums\">&lt;blockquote&gt;\r\n  &lt;p&gt;Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.&lt;/p&gt;\r\n&lt;/blockquote&gt;</pre>\r\n\r\n  <h3>Blockquote options</h3>\r\n  <span>Style and content changes for simple variations on a standard blockquote.</span><br />\r\n\r\n<div class=\"gantry-width-block gantry-width-50\">\r\n<div class=\"gantry-left\">\r\n  <h4>Naming a source</h4>\r\n  <p>Add <code>&lt;small&gt;</code> tag for identifying the source. Wrap the name of the source work in <code>&lt;cite&gt;</code>.</p>\r\n  <div class=\"gantry-example\">\r\n    <blockquote>\r\n      <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.</p>\r\n      <small>Someone famous in <cite title=\"Source Title\">Source Title</cite></small>\r\n    </blockquote>\r\n  </div>\r\n<pre class=\"prettyprint linenums\">&lt;blockquote&gt;\r\n  &lt;p&gt;Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.&lt;/p&gt;\r\n  &lt;small&gt;Someone famous &lt;cite title=&quot;Source Title&quot;&gt;Source Title&lt;/cite&gt;&lt;/small&gt;\r\n&lt;/blockquote&gt;</pre>\r\n</div></div>\r\n\r\n<div class=\"gantry-width-block gantry-width-50\">\r\n<div class=\"gantry-right\">\r\n  <h4>Alternate displays</h4>\r\n  <p>Use <code>.pull-right</code> for a floated, right-aligned blockquote.</p>\r\n  <div class=\"gantry-example\" style=\"overflow: hidden;\">\r\n    <blockquote class=\"pull-right\">\r\n      <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.</p>\r\n      <small>Someone famous in <cite title=\"Source Title\">Source Title</cite></small>\r\n    </blockquote>\r\n  </div>\r\n<pre class=\"prettyprint linenums\">&lt;blockquote class=&quot;pull-right&quot;&gt;\r\n  ...\r\n&lt;/blockquote&gt;</pre>\r\n</div></div>\r\n<div class=\"clear\"></div>\r\n\r\n<br /><!-- SEPARATOR -->\r\n\r\n\r\n  <!-- Lists -->\r\n  <h2 id=\"lists\">Lists</h2>\r\n\r\n<div class=\"gantry-width-block gantry-width-33\">\r\n<div class=\"gantry-left\">\r\n  <h3>Unordered</h3>\r\n  <p>A list of items in which the order does <em>not</em> explicitly matter.</p>\r\n  <div class=\"gantry-example\">\r\n    <ul>\r\n      <li>Lorem ipsum dolor sit amet</li>\r\n      <li>Nulla volutpat aliquam velit\r\n        <ul>\r\n          <li>Phasellus iaculis neque</li>\r\n          <li>Purus sodales ultricies</li>\r\n          <li>Vestibulum laoreet porttitor sem</li>\r\n          <li>Ac tristique libero volutpat at</li>\r\n        </ul>\r\n      </li>\r\n      <li>Faucibus porta lacus fringilla vel</li>\r\n      <li>Eget porttitor lorem</li>\r\n    </ul>\r\n  </div>\r\n<pre class=\"prettyprint linenums\">&lt;ul&gt;\r\n  &lt;li&gt;...&lt;/li&gt;\r\n&lt;/ul&gt;</pre>\r\n</div></div>\r\n\r\n<div class=\"gantry-width-block gantry-width-33\">\r\n<div class=\"gantry-left\">\r\n  <h3>Ordered</h3>\r\n  <p>A list of items in which the order <em>does</em> explicitly matter.</p>\r\n  <div class=\"gantry-example\">\r\n    <ol>\r\n      <li>Lorem ipsum dolor sit amet</li>\r\n      <li>Consectetur adipiscing elit</li>\r\n      <li>Integer molestie lorem at massa</li>\r\n      <li>Facilisis in pretium nisl aliquet</li>\r\n      <li>Nulla volutpat aliquam velit</li>\r\n      <li>Faucibus porta lacus fringilla vel</li>\r\n      <li>Aenean sit amet erat nunc</li>\r\n      <li>Eget porttitor lorem</li>\r\n    </ol>\r\n  </div>\r\n<pre class=\"prettyprint linenums\">&lt;ol&gt;\r\n  &lt;li&gt;...&lt;/li&gt;\r\n&lt;/ol&gt;</pre>\r\n</div></div>\r\n\r\n<div class=\"gantry-width-block gantry-width-33\">\r\n<div class=\"gantry-left\">\r\n<h3>Unstyled</h3>\r\n<p>A list of items with no <code>list-style</code> or additional left padding.</p>\r\n<div class=\"gantry-example\">\r\n  <ul class=\"unstyled\">\r\n      <li>Lorem ipsum dolor sit amet</li>\r\n      <li>Nulla volutpat aliquam velit\r\n        <ul>\r\n          <li>Phasellus iaculis neque</li>\r\n          <li>Purus sodales ultricies</li>\r\n          <li>Vestibulum laoreet porttitor sem</li>\r\n          <li>Ac tristique libero volutpat at</li>\r\n        </ul>\r\n      </li>\r\n      <li>Faucibus porta lacus fringilla vel</li>\r\n      <li>Eget porttitor lorem</li>\r\n  </ul>\r\n</div>\r\n<pre class=\"prettyprint linenums\">&lt;ul class=&quot;unstyled&quot;&gt;\r\n  &lt;li&gt;...&lt;/li&gt;\r\n&lt;/ul&gt;</pre>\r\n</div></div>\r\n\r\n<div class=\"clear\"></div>\r\n\r\n<div class=\"gantry-width-block gantry-width-50\">\r\n<div class=\"gantry-left\">\r\n<h3>Description</h3>\r\n<p>A list of terms with their associated descriptions.</p>\r\n<div class=\"gantry-example\">\r\n  <dl>\r\n    <dt>Description lists</dt>\r\n    <dd>A description list is perfect for defining terms.</dd>\r\n    <dt>Euismod</dt>\r\n    <dd>Vestibulum id ligula porta felis euismod semper eget lacinia odio sem nec elit.</dd>\r\n    <dd>Donec id elit non mi porta gravida at eget metus.</dd>\r\n    <dt>Malesuada porta</dt>\r\n    <dd>Etiam porta sem malesuada magna mollis euismod.</dd>\r\n  </dl>\r\n</div>\r\n<pre class=\"prettyprint linenums\">&lt;dl&gt;\r\n  &lt;dt&gt;...&lt;/dt&gt;\r\n  &lt;dd&gt;...&lt;/dd&gt;\r\n&lt;/dl&gt;</pre><br />\r\n<p>\r\n  <strong>Note:</strong>\r\n  Horizontal description lists will truncate terms that are too long to fit in the left column fix <code>text-overflow</code>. In narrower viewports, they will change to the default stacked layout.\r\n</p>\r\n</div></div>\r\n\r\n<div class=\"gantry-width-block gantry-width-50\">\r\n<div class=\"gantry-right\">\r\n<h3>Horizontal description</h3>\r\n<p>Make terms and descriptions in <code>&lt;dl&gt;</code> line up side-by-side.</p>\r\n<div class=\"gantry-example\">\r\n  <dl class=\"dl-horizontal\">\r\n    <dt>Description lists</dt>\r\n    <dd>A description list is perfect for defining terms.</dd>\r\n    <dt>Euismod</dt>\r\n    <dd>Vestibulum id ligula porta felis euismod semper eget lacinia odio sem nec elit.</dd>\r\n    <dd>Donec id elit non mi porta gravida at eget metus.</dd>\r\n    <dt>Malesuada porta</dt>\r\n    <dd>Etiam porta sem malesuada magna mollis euismod.</dd>\r\n    <dt>Felis euismod semper eget lacinia</dt>\r\n    <dd>Fusce dapibus, tellus ac cursus commodo, tortor mauris condimentum nibh, ut fermentum massa justo sit amet risus.</dd>\r\n  </dl>\r\n</div>\r\n<pre class=\"prettyprint linenums\">&lt;dl class=&quot;dl-horizontal&quot;&gt;\r\n  &lt;dt&gt;...&lt;/dt&gt;\r\n  &lt;dd&gt;...&lt;/dd&gt;\r\n&lt;/dl&gt;</pre>\r\n</div></div>\r\n<div class=\"clear\"></div>\r\n</section>\r\n\r\n\r\n\r\n<!-- Code\r\n================================================== -->\r\n<section id=\"code\">\r\n  <div class=\"page-header\">\r\n    <h1>Code</h1>\r\n  </div>\r\n<div class=\"gantry-width-block gantry-width-50\">\r\n<div class=\"gantry-left\">\r\n  <h2>Inline</h2>\r\n  <p>Wrap inline snippets of code with <code>&lt;code&gt;</code>.</p>\r\n<div class=\"gantry-example\">\r\nFor example, <code>&lt;section&gt;</code> should be wrapped as inline.\r\n</div>\r\n<pre class=\"prettyprint linenums\">For example, &lt;code&gt;&lt;section&gt;&lt;/code&gt; should be wrapped as inline.</pre>\r\n<p><strong>Note:</strong> Be sure to keep code within <code>&lt;pre&gt;</code> tags as close to the left as possible; it will render all tabs.</p>\r\n<p>You may optionally add the <code>.pre-scrollable</code> class which will set a max-height of 350px and provide a y-axis scrollbar.</p>\r\n\r\n</div></div>\r\n\r\n<div class=\"gantry-width-block gantry-width-50\">\r\n<div class=\"gantry-right\">\r\n  <h2>Basic block</h2>\r\n  <p>Use <code>&lt;pre&gt;</code> for multiple lines of code. Be sure to escape any angle brackets in the code for proper rendering.</p>\r\n<div class=\"gantry-example\">\r\n<pre>&lt;p&gt;Sample text here...&lt;/p&gt;</pre>\r\n</div>\r\n<pre class=\"prettyprint linenums\" style=\"margin-bottom: 9px;\">&lt;pre&gt;\r\n  &amp;lt;p&amp;gt;Sample text here...&amp;lt;/p&amp;gt;\r\n&lt;/pre&gt;</pre>\r\n</div></div>\r\n<div class=\"clear\"></div>\r\n\r\n<h2>Prettify</h2>\r\n<p>To add colored syntax highlight to the <code>&lt;pre&gt;</code> tag, then use the <code>.prettyprint</code> class or the <code>.prettyprint linenums</code> class.</p>\r\n\r\n<div class=\"gantry-example\">\r\n<pre class=\"prettyprint linenums\">&lt;?php /** Begin Debug **/ if ($gantry-&gt;countModules(&#x27;debug&#x27;)) : ?&gt;\r\n    &lt;div id=&quot;rt-debug&quot;&gt;\r\n    &lt;div class=&quot;rt-container&quot;&gt;\r\n      &lt;?php echo $gantry-&gt;displayModules(&#x27;debug&#x27;,&#x27;standard&#x27;,&#x27;standard&#x27;); ?&gt;\r\n      &lt;div class=&quot;clear&quot;&gt;&lt;/div&gt;\r\n    &lt;/div&gt;\r\n  &lt;/div&gt;\r\n  &lt;?php /** End Debug **/ endif; ?&gt;</pre>\r\n</div>\r\n<pre class=\"prettyprint linenums\">&lt;pre class=&quot;prettyprint linenums&quot;&gt;&lt;?php /** Begin Debug **/ if ($gantry-&gt;countModules(&#x27;debug&#x27;)) : ?&gt;\r\n  &lt;div id=&quot;rt-debug&quot;&gt;\r\n    &lt;div class=&quot;rt-container&quot;&gt;\r\n      &lt;?php echo $gantry-&gt;displayModules(&#x27;debug&#x27;,&#x27;standard&#x27;,&#x27;standard&#x27;); ?&gt;\r\n      &lt;div class=&quot;clear&quot;&gt;&lt;/div&gt;\r\n    &lt;/div&gt;\r\n  &lt;/div&gt;\r\n  &lt;?php /** End Debug **/ endif; ?&gt;&lt;/pre&gt;</pre>\r\n</section>\r\n\r\n\r\n\r\n<!-- Tables\r\n================================================== -->\r\n<section id=\"tables\">\r\n  <div class=\"page-header\">\r\n    <h1>Tables</h1>\r\n  </div>\r\n\r\n  <h2>Default styles</h2>\r\n  <p>For basic styling—light padding and only horizontal dividers—add the base class <code>.table</code> to any <code>&lt;table&gt;</code>.</p>\r\n  <div class=\"gantry-example\">\r\n    <table class=\"table\">\r\n      <thead>\r\n        <tr>\r\n          <th>#</th>\r\n          <th>First Name</th>\r\n          <th>Last Name</th>\r\n          <th>Username</th>\r\n        </tr>\r\n      </thead>\r\n      <tbody>\r\n        <tr>\r\n          <td>1</td>\r\n          <td>Mark</td>\r\n          <td>Otto</td>\r\n          <td>@mdo</td>\r\n        </tr>\r\n        <tr>\r\n          <td>2</td>\r\n          <td>Jacob</td>\r\n          <td>Thornton</td>\r\n          <td>@fat</td>\r\n        </tr>\r\n        <tr>\r\n          <td>3</td>\r\n          <td>Larry</td>\r\n          <td>the Bird</td>\r\n          <td>@twitter</td>\r\n        </tr>\r\n      </tbody>\r\n    </table>\r\n  </div>\r\n<pre class=\"prettyprint linenums\">&lt;table class=&quot;table&quot;&gt;\r\n  &hellip;\r\n&lt;/table&gt;</pre>\r\n\r\n\r\n<br /><!-- SEPARATOR -->\r\n\r\n  <h2>Optional classes</h2>\r\n  <span>Add any of the follow classes to the <code>.table</code> base class.</span><br />\r\n\r\n<div class=\"gantry-width-block gantry-width-50\">\r\n<div class=\"gantry-left\">\r\n  <h4><code>.table-striped</code></h4>\r\n  <p>Adds zebra-striping to any table row within the <code>&lt;tbody&gt;</code> via the <code>:nth-child</code> CSS selector (not available in IE7-IE8).</p>\r\n  <div class=\"gantry-example\">\r\n    <table class=\"table table-striped\">\r\n      <thead>\r\n        <tr>\r\n          <th>#</th>\r\n          <th>First Name</th>\r\n          <th>Last Name</th>\r\n          <th>Username</th>\r\n        </tr>\r\n      </thead>\r\n      <tbody>\r\n        <tr>\r\n          <td>1</td>\r\n          <td>Mark</td>\r\n          <td>Otto</td>\r\n          <td>@mdo</td>\r\n        </tr>\r\n        <tr>\r\n          <td>2</td>\r\n          <td>Jacob</td>\r\n          <td>Thornton</td>\r\n          <td>@fat</td>\r\n        </tr>\r\n        <tr>\r\n          <td>3</td>\r\n          <td>Larry</td>\r\n          <td>the Bird</td>\r\n          <td>@twitter</td>\r\n        </tr>\r\n      </tbody>\r\n    </table>\r\n  </div>\r\n<pre class=\"prettyprint linenums\" style=\"margin-bottom: 18px;\">&lt;table class=&quot;table table-striped&quot;&gt;\r\n  &hellip;\r\n&lt;/table&gt;</pre>\r\n  <h4><code>.table-hover</code></h4>\r\n  <p>Enable a hover state on table rows within a <code>&lt;tbody&gt;</code>.</p>\r\n  <div class=\"gantry-example\">\r\n    <table class=\"table table-hover\">\r\n      <thead>\r\n        <tr>\r\n          <th>#</th>\r\n          <th>First Name</th>\r\n          <th>Last Name</th>\r\n          <th>Username</th>\r\n        </tr>\r\n      </thead>\r\n      <tbody>\r\n        <tr>\r\n          <td>1</td>\r\n          <td>Mark</td>\r\n          <td>Otto</td>\r\n          <td>@mdo</td>\r\n        </tr>\r\n        <tr>\r\n          <td>2</td>\r\n          <td>Jacob</td>\r\n          <td>Thornton</td>\r\n          <td>@fat</td>\r\n        </tr>\r\n        <tr>\r\n          <td>3</td>\r\n          <td colspan=\"2\">Larry the Bird</td>\r\n          <td>@twitter</td>\r\n        </tr>\r\n      </tbody>\r\n    </table>\r\n  </div>\r\n<pre class=\"prettyprint linenums\" style=\"margin-bottom: 18px;\">&lt;table class=&quot;table table-hover&quot;&gt;\r\n  &hellip;\r\n&lt;/table&gt;</pre>\r\n</div></div>\r\n\r\n<div class=\"gantry-width-block gantry-width-50\">\r\n<div class=\"gantry-right\" style=\"float: none;\">\r\n  <h4><code>.table-bordered</code></h4>\r\n  <p>Add borders and rounded corners to the table.</p>\r\n  <div class=\"gantry-example\">\r\n    <table class=\"table table-bordered\">\r\n      <thead>\r\n        <tr>\r\n          <th>#</th>\r\n          <th>First Name</th>\r\n          <th>Last Name</th>\r\n          <th>Username</th>\r\n        </tr>\r\n      </thead>\r\n      <tbody>\r\n        <tr>\r\n          <td rowspan=\"2\">1</td>\r\n          <td>Mark</td>\r\n          <td>Otto</td>\r\n          <td>@mdo</td>\r\n        </tr>\r\n        <tr>\r\n          <td>Mark</td>\r\n          <td>Otto</td>\r\n          <td>@TwBootstrap</td>\r\n        </tr>\r\n        <tr>\r\n          <td>2</td>\r\n          <td>Jacob</td>\r\n          <td>Thornton</td>\r\n          <td>@fat</td>\r\n        </tr>\r\n        <tr>\r\n          <td>3</td>\r\n          <td colspan=\"2\">Larry the Bird</td>\r\n          <td>@twitter</td>\r\n        </tr>\r\n      </tbody>\r\n    </table>\r\n  </div>\r\n<pre class=\"prettyprint linenums\">&lt;table class=&quot;table table-bordered&quot;&gt;\r\n  &hellip;\r\n&lt;/table&gt;</pre>\r\n  <h4><code>.table-condensed</code></h4>\r\n  <p>Makes tables more compact by cutting cell padding in half.</p>\r\n  <div class=\"gantry-example\">\r\n    <table class=\"table table-condensed\">\r\n      <thead>\r\n        <tr>\r\n          <th>#</th>\r\n          <th>First Name</th>\r\n          <th>Last Name</th>\r\n          <th>Username</th>\r\n        </tr>\r\n      </thead>\r\n      <tbody>\r\n        <tr>\r\n          <td>1</td>\r\n          <td>Mark</td>\r\n          <td>Otto</td>\r\n          <td>@mdo</td>\r\n        </tr>\r\n        <tr>\r\n          <td>2</td>\r\n          <td>Jacob</td>\r\n          <td>Thornton</td>\r\n          <td>@fat</td>\r\n        </tr>\r\n        <tr>\r\n          <td>3</td>\r\n          <td colspan=\"2\">Larry the Bird</td>\r\n          <td>@twitter</td>\r\n        </tr>\r\n      </tbody>\r\n    </table>\r\n  </div>\r\n<pre class=\"prettyprint linenums\" style=\"margin-bottom: 18px;\">&lt;table class=&quot;table table-condensed&quot;&gt;\r\n  &hellip;\r\n&lt;/table&gt;</pre>\r\n</div></div>\r\n<div class=\"clear\"></div>\r\n\r\n<br /><!-- SEPARATOR -->\r\n\r\n  <h2>Optional row classes</h2>   \r\n  <p>Use contextual classes to color table rows.</p>\r\n     <table class=\"table table-bordered table-striped\">\r\n        <colgroup>\r\n          <col class=\"span1\">\r\n          <col class=\"span7\">\r\n        </colgroup>\r\n        <thead>\r\n          <tr>\r\n            <th>Class</th>\r\n            <th>Description</th>\r\n          </tr>\r\n        </thead>\r\n        <tbody>\r\n          <tr>\r\n            <td>\r\n              <code>.success</code>\r\n            </td>\r\n            <td>Indicates a successful or positive action.</td>\r\n          </tr>\r\n          <tr>\r\n            <td>\r\n              <code>.error</code>\r\n            </td>\r\n            <td>Indicates a dangerous or potentially negative action.</td>\r\n          </tr>\r\n          <tr>\r\n            <td>\r\n              <code>.warning</code>\r\n            </td>\r\n            <td>Indicates a warning that might need attention.</td>\r\n          </tr>\r\n          <tr>\r\n            <td>\r\n              <code>.info</code>\r\n            </td>\r\n            <td>Used as an alternative to the default styles.</td>\r\n          </tr>\r\n        </tbody>\r\n      </table>\r\n\r\n  <div class=\"gantry-example\">\r\n       <table class=\"table\">\r\n         <thead>\r\n           <tr>\r\n             <th>#</th>\r\n             <th>Product</th>\r\n             <th>Payment Taken</th>\r\n             <th>Status</th>\r\n           </tr>\r\n         </thead>\r\n         <tbody>\r\n           <tr class=\"success\">\r\n             <td>1</td>\r\n             <td>TB - Monthly</td>\r\n             <td>01/04/2012</td>\r\n             <td>Approved</td>\r\n           </tr>\r\n           <tr class=\"error\">\r\n             <td>2</td>\r\n             <td>TB - Monthly</td>\r\n             <td>02/04/2012</td>\r\n             <td>Declined</td>\r\n           </tr>\r\n           <tr class=\"warning\">\r\n             <td>3</td>\r\n             <td>TB - Monthly</td>\r\n             <td>03/04/2012</td>\r\n             <td>Pending</td>\r\n           </tr>\r\n           <tr class=\"info\">\r\n             <td>4</td>\r\n             <td>TB - Monthly</td>\r\n             <td>04/04/2012</td>\r\n             <td>Call in to confirm</td>\r\n           </tr>\r\n         </tbody>\r\n       </table>\r\n     </div>\r\n<pre class=\"prettyprint linenums\">...\r\n  &lt;tr class=&quot;success&quot;&gt;\r\n    &lt;td&gt;1&lt;/td&gt;\r\n    &lt;td&gt;TB - Monthly&lt;/td&gt;\r\n    &lt;td&gt;01/04/2012&lt;/td&gt;\r\n    &lt;td&gt;Approved&lt;/td&gt;\r\n  &lt;/tr&gt;\r\n...</pre>\r\n\r\n  <h2>Supported table markup</h2>\r\n  <p>List of supported table HTML elements and how they should be used.</p>\r\n  <table class=\"table table-bordered table-striped\">\r\n    <colgroup>\r\n      <col class=\"span1\">\r\n      <col class=\"span7\">\r\n    </colgroup>\r\n    <thead>\r\n      <tr>\r\n        <th>Tag</th>\r\n        <th>Description</th>\r\n      </tr>\r\n    </thead>\r\n    <tbody>\r\n      <tr>\r\n        <td>\r\n          <code>&lt;table&gt;</code>\r\n        </td>\r\n        <td>\r\n          Wrapping element for displaying data in a tabular format\r\n        </td>\r\n      </tr>\r\n      <tr>\r\n        <td>\r\n          <code>&lt;thead&gt;</code>\r\n        </td>\r\n        <td>\r\n          Container element for table header rows (<code>&lt;tr&gt;</code>) to label table columns\r\n        </td>\r\n      </tr>\r\n      <tr>\r\n        <td>\r\n          <code>&lt;tbody&gt;</code>\r\n        </td>\r\n        <td>\r\n          Container element for table rows (<code>&lt;tr&gt;</code>) in the body of the table\r\n        </td>\r\n      </tr>\r\n      <tr>\r\n        <td>\r\n          <code>&lt;tr&gt;</code>\r\n        </td>\r\n        <td>\r\n          Container element for a set of table cells (<code>&lt;td&gt;</code> or <code>&lt;th&gt;</code>) that appears on a single row\r\n        </td>\r\n      </tr>\r\n      <tr>\r\n        <td>\r\n          <code>&lt;td&gt;</code>\r\n        </td>\r\n        <td>\r\n          Default table cell\r\n        </td>\r\n      </tr>\r\n      <tr>\r\n        <td>\r\n          <code>&lt;th&gt;</code>\r\n        </td>\r\n        <td>\r\n          Special table cell for column (or row, depending on scope and placement) labels<br>\r\n          Must be used within a <code>&lt;thead&gt;</code>\r\n        </td>\r\n      </tr>\r\n      <tr>\r\n        <td>\r\n          <code>&lt;caption&gt;</code>\r\n        </td>\r\n        <td>\r\n          Description or summary of what the table holds, especially useful for screen readers\r\n        </td>\r\n      </tr>\r\n    </tbody>\r\n  </table>\r\n<pre class=\"prettyprint linenums\">&lt;table&gt;\r\n  &lt;caption&gt;...&lt;/caption&gt;\r\n  &lt;thead&gt;\r\n    &lt;tr&gt;\r\n      &lt;th&gt;...&lt;/th&gt;\r\n      &lt;th&gt;...&lt;/th&gt;\r\n    &lt;/tr&gt;\r\n  &lt;/thead&gt;\r\n  &lt;tbody&gt;\r\n    &lt;tr&gt;\r\n      &lt;td&gt;...&lt;/td&gt;\r\n      &lt;td&gt;...&lt;/td&gt;\r\n    &lt;/tr&gt;\r\n  &lt;/tbody&gt;\r\n&lt;/table&gt;</pre>\r\n\r\n</section>\r\n\r\n\r\n\r\n<!-- Forms\r\n================================================== -->\r\n<section id=\"forms\">\r\n  <div class=\"page-header\">\r\n    <h1>Forms</h1>\r\n  </div>\r\n\r\n<div class=\"gantry-width-block gantry-width-50\">\r\n<div class=\"gantry-left\" style=\"float: none;\">                \r\n  <h2>Default styles</h2>\r\n  <p>Individual form controls receive styling, but without any required base class on the <code>&lt;form&gt;</code> or large changes in markup. Results in stacked, left-aligned labels on top of form controls.</p>\r\n\r\n  <form class=\"gantry-example\"><fieldset>\r\n    <legend>Legend</legend>\r\n    <label>Label name</label>\r\n    <input type=\"text\" placeholder=\"Type something…\">\r\n    <span class=\"help-block\">Example block-level help text here.</span>\r\n    <label class=\"checkbox\">\r\n      <input type=\"checkbox\"> Check me out\r\n    </label>\r\n    <button type=\"submit\" class=\"btn\">Submit</button>\r\n  </fieldset></form>\r\n\r\n<pre class=\"prettyprint linenums\">&lt;form&gt;\r\n  &lt;legend&gt;Legend&lt;/legend&gt;\r\n  &lt;label&gt;Label name&lt;/label&gt;\r\n  &lt;input type=&quot;text&quot; placeholder=&quot;Type something&hellip;&quot;&gt;\r\n  &lt;span class=&quot;help-block&quot;&gt;Example block-level help text here.&lt;/span&gt;\r\n  &lt;label class=&quot;checkbox&quot;&gt;\r\n    &lt;input type=&quot;checkbox&quot;&gt; Check me out\r\n  &lt;/label&gt;\r\n  &lt;button type=&quot;submit&quot; class=&quot;btn&quot;&gt;Submit&lt;/button&gt;\r\n&lt;/form&gt;</pre><br />\r\n\r\n  <h2>Optional layouts</h2>\r\n  <p>Included with Bootstrap are three optional form layouts for common use cases.</p>\r\n\r\n  <h3>Search form</h3>\r\n  <p>Add <code>.form-search</code> to the form and <code>.search-query</code> to the <code>&lt;input&gt;</code> for an extra-rounded text input.</p>\r\n  <form class=\"gantry-example form-search\">\r\n    <input type=\"text\" class=\"input-medium search-query\">\r\n    <button type=\"submit\" class=\"btn\">Search</button>\r\n  </form>\r\n<pre class=\"prettyprint linenums\">&lt;form class=&quot;form-search&quot;&gt;\r\n  &lt;input type=&quot;text&quot; class=&quot;input-medium search-query&quot;&gt;\r\n  &lt;button type=&quot;submit&quot; class=&quot;btn&quot;&gt;Search&lt;/button&gt;\r\n&lt;/form&gt;</pre>\r\n\r\n  <h3>Inline form</h3>\r\n  <p>Add <code>.form-inline</code> for left-aligned labels and inline-block controls for a compact layout.</p>\r\n  <form class=\"gantry-example form-inline\">\r\n    <input type=\"text\" class=\"input-small\" placeholder=\"Email\">\r\n    <input type=\"password\" class=\"input-small\" placeholder=\"Password\">\r\n    <label class=\"checkbox\">\r\n      <input type=\"checkbox\"> Remember me\r\n    </label>\r\n    <button type=\"submit\" class=\"btn\">Sign in</button>\r\n  </form>\r\n<pre class=\"prettyprint linenums\">&lt;form class=&quot;form-inline&quot;&gt;\r\n  &lt;input type=&quot;text&quot; class=&quot;input-small&quot; placeholder=&quot;Email&quot;&gt;\r\n  &lt;input type=&quot;password&quot; class=&quot;input-small&quot; placeholder=&quot;Password&quot;&gt;\r\n  &lt;label class=&quot;checkbox&quot;&gt;\r\n    &lt;input type=&quot;checkbox&quot;&gt; Remember me\r\n  &lt;/label&gt;\r\n  &lt;button type=&quot;submit&quot; class=&quot;btn&quot;&gt;Sign in&lt;/button&gt;\r\n&lt;/form&gt;</pre>\r\n\r\n  <h3>Horizontal form</h3>\r\n  <p>Right align labels and float them to the left to make them appear on the same line as controls. Requires the most markup changes from a default form:</p>\r\n  <ul>\r\n    <li>Add <code>.form-horizontal</code> to the form</li>\r\n    <li>Wrap labels and controls in <code>.control-group</code></li>\r\n    <li>Add <code>.control-label</code> to the label</li>\r\n    <li>Wrap any associated controls in <code>.controls</code> for proper alignment</li>\r\n  </ul>\r\n  <form class=\"gantry-example form-horizontal\"><fieldset>\r\n    <legend>Legend</legend>\r\n    <div class=\"control-group\">\r\n      <label class=\"control-label\" for=\"inputEmail\">Email</label>\r\n      <div class=\"controls\">\r\n        <input type=\"text\" id=\"inputEmail\" placeholder=\"Email\">\r\n      </div>\r\n    </div>\r\n    <div class=\"control-group\">\r\n      <label class=\"control-label\" for=\"inputPassword\">Password</label>\r\n      <div class=\"controls\">\r\n        <input type=\"password\" id=\"inputPassword\" placeholder=\"Password\">\r\n      </div>\r\n    </div>\r\n    <div class=\"control-group\">\r\n      <div class=\"controls\">\r\n        <label class=\"checkbox\">\r\n          <input type=\"checkbox\"> Remember me\r\n        </label>\r\n        <button type=\"submit\" class=\"btn\">Sign in</button>\r\n      </div>\r\n    </div></fieldset>\r\n  </form>\r\n<pre class=\"prettyprint linenums\">&lt;form class=&quot;form-horizontal&quot;&gt;\r\n  &lt;div class=&quot;control-group&quot;&gt;\r\n    &lt;label class=&quot;control-label&quot; for=&quot;inputEmail&quot;&gt;Email&lt;/label&gt;\r\n    &lt;div class=&quot;controls&quot;&gt;\r\n      &lt;input type=&quot;text&quot; id=&quot;inputEmail&quot; placeholder=&quot;Email&quot;&gt;\r\n    &lt;/div&gt;\r\n  &lt;/div&gt;\r\n  &lt;div class=&quot;control-group&quot;&gt;\r\n    &lt;label class=&quot;control-label&quot; for=&quot;inputPassword&quot;&gt;Password&lt;/label&gt;\r\n    &lt;div class=&quot;controls&quot;&gt;\r\n      &lt;input type=&quot;password&quot; id=&quot;inputPassword&quot; placeholder=&quot;Password&quot;&gt;\r\n    &lt;/div&gt;\r\n  &lt;/div&gt;\r\n  &lt;div class=&quot;control-group&quot;&gt;\r\n    &lt;div class=&quot;controls&quot;&gt;\r\n      &lt;label class=&quot;checkbox&quot;&gt;\r\n        &lt;input type=&quot;checkbox&quot;&gt; Remember me\r\n      &lt;/label&gt;\r\n      &lt;button type=&quot;submit&quot; class=&quot;btn&quot;&gt;Sign in&lt;/button&gt;\r\n    &lt;/div&gt;\r\n  &lt;/div&gt;\r\n&lt;/form&gt;</pre>\r\n</div></div>\r\n\r\n<div class=\"gantry-width-block gantry-width-50\">\r\n<div class=\"gantry-right\">\r\n  <h2>Supported form controls</h2>\r\n  <p>Examples of standard form controls supported in an example form layout.</p>\r\n\r\n  <h3>Inputs</h3>\r\n  <p>Most common form control, text-based input fields. Includes support for all HTML5 types: text, password, datetime, datetime-local, date, month, time, week, number, email, url, search, tel, and color.</p>\r\n  <p>Requires the use of a specified <code>type</code> at all times.</p>\r\n  <form class=\"gantry-example form-inline\">\r\n    <input type=\"text\" placeholder=\"Text input\">\r\n  </form>\r\n<pre class=\"prettyprint linenums\">&lt;input type=&quot;text&quot; placeholder=&quot;Text input&quot;&gt;</pre>\r\n\r\n  <h3>Textarea</h3>\r\n  <p>Form control which supports multiple lines of text. Change <code>row</code> attribute as necessary.</p>\r\n  <form class=\"gantry-example form-inline\">\r\n    <textarea rows=\"3\"></textarea>\r\n  </form>\r\n<pre class=\"prettyprint linenums\">&lt;textarea rows=&quot;3&quot;&gt;&lt;/textarea&gt;</pre>\r\n\r\n  <h3>Checkboxes and radios</h3>\r\n  <p>Checkboxes are for selecting one or several options in a list while radios are for selecting one option from many.</p>\r\n  <h4>Default (stacked)</h4>\r\n  <form class=\"gantry-example\">\r\n    <label class=\"checkbox\">\r\n      <input type=\"checkbox\" value=\"\">\r\n      Option one is this and that—be sure to include why it\'s great\r\n    </label>\r\n    <br>\r\n    <label class=\"radio\">\r\n      <input type=\"radio\" name=\"optionsRadios\" id=\"optionsRadios1\" value=\"option1\" checked=\"\">\r\n      Option one is this and that—be sure to include why it\'s great\r\n    </label>\r\n    <label class=\"radio\">\r\n      <input type=\"radio\" name=\"optionsRadios\" id=\"optionsRadios2\" value=\"option2\">\r\n      Option two can be something else and selecting it will deselect option one\r\n    </label>\r\n  </form>\r\n<pre class=\"prettyprint linenums\">&lt;label class=&quot;checkbox&quot;&gt;\r\n  &lt;input type=&quot;checkbox&quot; value=&quot;&quot;&gt;\r\n  Option one is this and that&mdash;be sure to include why it&#x27;s great\r\n&lt;/label&gt;\r\n\r\n&lt;label class=&quot;radio&quot;&gt;\r\n  &lt;input type=&quot;radio&quot; name=&quot;optionsRadios&quot; id=&quot;optionsRadios1&quot; value=&quot;option1&quot; checked&gt;\r\n  Option one is this and that&mdash;be sure to include why it&#x27;s great\r\n&lt;/label&gt;\r\n&lt;label class=&quot;radio&quot;&gt;\r\n  &lt;input type=&quot;radio&quot; name=&quot;optionsRadios&quot; id=&quot;optionsRadios2&quot; value=&quot;option2&quot;&gt;\r\n  Option two can be something else and selecting it will deselect option one\r\n&lt;/label&gt;</pre>\r\n\r\n  <h4>Inline checkboxes</h4>\r\n  <p>Add the <code>.inline</code> class to a series of checkboxes or radios for controls appear on the same line.</p>\r\n  <form class=\"gantry-example\">\r\n    <label class=\"checkbox inline\">\r\n      <input type=\"checkbox\" id=\"inlineCheckbox1\" value=\"option1\"> 1\r\n    </label>\r\n    <label class=\"checkbox inline\">\r\n      <input type=\"checkbox\" id=\"inlineCheckbox2\" value=\"option2\"> 2\r\n    </label>\r\n    <label class=\"checkbox inline\">\r\n      <input type=\"checkbox\" id=\"inlineCheckbox3\" value=\"option3\"> 3\r\n    </label>\r\n  </form>\r\n<pre class=\"prettyprint linenums\">&lt;label class=&quot;checkbox inline&quot;&gt;\r\n  &lt;input type=&quot;checkbox&quot; id=&quot;inlineCheckbox1&quot; value=&quot;option1&quot;&gt; 1\r\n&lt;/label&gt;\r\n&lt;label class=&quot;checkbox inline&quot;&gt;\r\n  &lt;input type=&quot;checkbox&quot; id=&quot;inlineCheckbox2&quot; value=&quot;option2&quot;&gt; 2\r\n&lt;/label&gt;\r\n&lt;label class=&quot;checkbox inline&quot;&gt;\r\n  &lt;input type=&quot;checkbox&quot; id=&quot;inlineCheckbox3&quot; value=&quot;option3&quot;&gt; 3\r\n&lt;/label&gt;</pre>\r\n\r\n  <h3>Selects</h3>\r\n  <p>Use the default option or specify a <code>multiple=\"multiple\"</code> to show multiple options at once.</p>\r\n  <form class=\"gantry-example\">\r\n    <select>\r\n      <option>1</option>\r\n      <option>2</option>\r\n      <option>3</option>\r\n      <option>4</option>\r\n      <option>5</option>\r\n    </select>\r\n    <br>\r\n    <select multiple=\"multiple\">\r\n      <option>1</option>\r\n      <option>2</option>\r\n      <option>3</option>\r\n      <option>4</option>\r\n      <option>5</option>\r\n    </select>\r\n  </form>\r\n<pre class=\"prettyprint linenums\">&lt;select&gt;\r\n  &lt;option&gt;1&lt;/option&gt;\r\n  &lt;option&gt;2&lt;/option&gt;\r\n  &lt;option&gt;3&lt;/option&gt;\r\n  &lt;option&gt;4&lt;/option&gt;\r\n  &lt;option&gt;5&lt;/option&gt;\r\n&lt;/select&gt;\r\n\r\n&lt;select multiple=&quot;multiple&quot;&gt;\r\n  &lt;option&gt;1&lt;/option&gt;\r\n  &lt;option&gt;2&lt;/option&gt;\r\n  &lt;option&gt;3&lt;/option&gt;\r\n  &lt;option&gt;4&lt;/option&gt;\r\n  &lt;option&gt;5&lt;/option&gt;\r\n&lt;/select&gt;</pre>\r\n</div></div>\r\n\r\n<div class=\"clear\"></div>\r\n\r\n<br /><!-- SEPARATOR -->\r\n\r\n\r\n  <h2>Extending form controls</h2>\r\n  <p>Adding on top of existing browser controls, Bootstrap includes other useful form components.</p>\r\n\r\n  <h3>Prepended and appended inputs</h3>\r\n  <span>Add text or buttons before or after any text-based input. Do note that <code>select</code> elements are not supported here.</span><br />\r\n\r\n<div class=\"gantry-width-block gantry-width-50\">\r\n<div class=\"gantry-left\" style=\"float: none;\">\r\n  <h4>Default options</h4>\r\n  <p>Wrap an <code>.add-on</code> and an <code>input</code> with one of two classes to prepend or append text to an input.</p>\r\n  <form class=\"gantry-example\">\r\n    <div class=\"input-prepend\">\r\n      <span class=\"add-on\">@</span>\r\n      <input class=\"span2\" id=\"prependedInput\" size=\"16\" type=\"text\" placeholder=\"Username\">\r\n    </div>\r\n    <br>\r\n    <div class=\"input-append\">\r\n      <input class=\"span2\" id=\"appendedInput\" size=\"16\" type=\"text\">\r\n      <span class=\"add-on\">.00</span>\r\n    </div>\r\n  </form>\r\n<pre class=\"prettyprint linenums\">&lt;div class=&quot;input-prepend&quot;&gt;\r\n  &lt;span class=&quot;add-on&quot;&gt;@&lt;/span&gt;&lt;input class=&quot;span2&quot; id=&quot;prependedInput&quot; size=&quot;16&quot; type=&quot;text&quot; placeholder=&quot;Username&quot;&gt;\r\n&lt;/div&gt;\r\n&lt;div class=&quot;input-append&quot;&gt;\r\n  &lt;input class=&quot;span2&quot; id=&quot;appendedInput&quot; size=&quot;16&quot; type=&quot;text&quot;&gt;&lt;span class=&quot;add-on&quot;&gt;.00&lt;/span&gt;\r\n&lt;/div&gt;</pre>\r\n\r\n  <h4>Search form</h4>\r\n  <form class=\"gantry-example form-search\">\r\n    <div class=\"input-append\">\r\n      <input type=\"text\" class=\"span2 search-query\">\r\n      <button type=\"submit\" class=\"btn\">Search</button>\r\n    </div>\r\n    <br /><br /><div class=\"input-prepend\">\r\n      <button type=\"submit\" class=\"btn\">Search</button>\r\n      <input type=\"text\" class=\"span2 search-query\">\r\n    </div>\r\n  </form>\r\n<pre class=\"prettyprint linenums\">&lt;form class=&quot;form-search&quot;&gt;\r\n  &lt;div class=&quot;input-append&quot;&gt;\r\n    &lt;input type=&quot;text&quot; class=&quot;span2 search-query&quot;&gt;\r\n    &lt;button type=&quot;submit&quot; class=&quot;btn&quot;&gt;Search&lt;/button&gt;\r\n  &lt;/div&gt;\r\n  &lt;div class=&quot;input-prepend&quot;&gt;\r\n    &lt;button type=&quot;submit&quot; class=&quot;btn&quot;&gt;Search&lt;/button&gt;\r\n    &lt;input type=&quot;text&quot; class=&quot;span2 search-query&quot;&gt;\r\n  &lt;/div&gt;\r\n&lt;/form&gt;</pre>\r\n</div></div>\r\n\r\n<div class=\"gantry-width-block gantry-width-50\">\r\n<div class=\"gantry-right\" style=\"float: none;\">\r\n  <h4>Combined</h4>\r\n  <p>Use both classes and two instances of <code>.add-on</code> to prepend and append an input.</p>\r\n  <form class=\"gantry-example form-inline\">\r\n    <div class=\"input-prepend input-append\">\r\n      <span class=\"add-on\">$</span>\r\n      <input class=\"span2\" id=\"appendedPrependedInput\" size=\"16\" type=\"text\">\r\n      <span class=\"add-on\">.00</span>\r\n    </div>\r\n  </form>\r\n<pre class=\"prettyprint linenums\">&lt;div class=&quot;input-prepend input-append&quot;&gt;\r\n  &lt;span class=&quot;add-on&quot;&gt;$&lt;/span&gt;&lt;input class=&quot;span2&quot; id=&quot;appendedPrependedInput&quot; size=&quot;16&quot; type=&quot;text&quot;&gt;&lt;span class=&quot;add-on&quot;&gt;.00&lt;/span&gt;\r\n&lt;/div&gt;</pre>\r\n\r\n  <h4>Buttons instead of text</h4>\r\n  <p>Instead of a <code>&lt;span&gt;</code> with text, use a <code>.btn</code> to attach a button (or two) to an input.</p>\r\n  <form class=\"gantry-example\">\r\n    <div class=\"input-append\">\r\n      <input class=\"span2\" id=\"appendedInputButton\" size=\"16\" type=\"text\">\r\n      <button class=\"btn\" type=\"button\">Go!</button>\r\n    </div>\r\n    <br>\r\n    <div class=\"input-append\">\r\n      <input class=\"span2\" id=\"appendedInputButtons\" size=\"16\" type=\"text\">\r\n      <button class=\"btn\" type=\"button\">Search</button>\r\n      <button class=\"btn\" type=\"button\">Options</button>\r\n    </div>\r\n  </form>\r\n<pre class=\"prettyprint linenums\">&lt;div class=&quot;input-append&quot;&gt;\r\n  &lt;input class=&quot;span2&quot; id=&quot;appendedInputButton&quot; size=&quot;16&quot; type=&quot;text&quot;&gt;&lt;button class=&quot;btn&quot; type=&quot;button&quot;&gt;Go!&lt;/button&gt;\r\n&lt;/div&gt;\r\n\r\n&lt;div class=&quot;input-append&quot;&gt;\r\n  &lt;input class=&quot;span2&quot; id=&quot;appendedInputButtons&quot; size=&quot;16&quot; type=&quot;text&quot;&gt;&lt;button class=&quot;btn&quot; type=&quot;button&quot;&gt;Search&lt;/button&gt;&lt;button class=&quot;btn&quot; type=&quot;button&quot;&gt;Options&lt;/button&gt;\r\n&lt;/div&gt;</pre>\r\n\r\n</div></div>\r\n<div class=\"clear\"></div>\r\n\r\n<div class=\"gantry-width-block gantry-width-50\">\r\n<div class=\"gantry-left\">\r\n  <h3>Form actions</h3>\r\n  <p>End a form with a group of actions (buttons). When placed within a <code>.form-horizontal</code>, the buttons will automatically indent to line up with the form controls.</p>\r\n  <form class=\"gantry-example\">\r\n    <div class=\"form-actions\">\r\n      <button type=\"submit\" class=\"btn btn-primary\">Save changes</button>\r\n      <button type=\"button\" class=\"btn\">Cancel</button>\r\n    </div>\r\n  </form>\r\n<pre class=\"prettyprint linenums\">&lt;div class=&quot;form-actions&quot;&gt;\r\n  &lt;button type=&quot;submit&quot; class=&quot;btn btn-primary&quot;&gt;Save changes&lt;/button&gt;\r\n  &lt;button type=&quot;button&quot; class=&quot;btn&quot;&gt;Cancel&lt;/button&gt;\r\n&lt;/div&gt;</pre>\r\n\r\n  <h3>Help text</h3>\r\n  <p>Inline and block level support for help text that appears around form controls.</p>\r\n  <h4>Inline help</h4>\r\n  <form class=\"gantry-example form-inline\">\r\n    <input type=\"text\"> <span class=\"help-inline\">Inline help text</span>\r\n  </form>\r\n<pre class=\"prettyprint linenums\">&lt;input type=&quot;text&quot;&gt;&lt;span class=&quot;help-inline&quot;&gt;Inline help text&lt;/span&gt;</pre>\r\n\r\n  <h4>Block help</h4>\r\n  <form class=\"gantry-example form-inline\">\r\n    <input type=\"text\">\r\n    <span class=\"help-block\">A longer block of help text that breaks onto a new line and may extend beyond one line.</span>\r\n  </form>\r\n<pre class=\"prettyprint linenums\">&lt;input type=&quot;text&quot;&gt;&lt;span class=&quot;help-block&quot;&gt;A longer block of help text that breaks onto a new line and may extend beyond one line.&lt;/span&gt;</pre>\r\n</div></div>\r\n\r\n<div class=\"gantry-width-block gantry-width-50\">\r\n<div class=\"gantry-right\" style=\"float: none;\">\r\n  <h3>Control sizing</h3>\r\n  <p>Use relative sizing classes like <code>.input-large</code> or match your inputs to the grid column sizes using <code>.span*</code> classes.</p>\r\n\r\n  <h4>Relative sizing</h4>\r\n  <form class=\"gantry-example\" style=\"padding-bottom: 15px;\">\r\n    <div class=\"controls docs-input-sizes\">\r\n      <input class=\"input-mini\" type=\"text\" placeholder=\".input-mini\"><br />\r\n      <input class=\"input-small\" type=\"text\" placeholder=\".input-small\"><br />\r\n      <input class=\"input-medium\" type=\"text\" placeholder=\".input-medium\"><br />\r\n      <input class=\"input-large\" type=\"text\" placeholder=\".input-large\"><br />\r\n      <input class=\"input-xlarge\" type=\"text\" placeholder=\".input-xlarge\"><br />\r\n      <input class=\"input-xxlarge\" type=\"text\" placeholder=\".input-xxlarge\">\r\n    </div>\r\n  </form>\r\n<pre class=\"prettyprint linenums\">&lt;input class=&quot;input-mini&quot; type=&quot;text&quot; placeholder=&quot;.input-mini&quot;&gt;\r\n&lt;input class=&quot;input-small&quot; type=&quot;text&quot; placeholder=&quot;.input-small&quot;&gt;\r\n&lt;input class=&quot;input-medium&quot; type=&quot;text&quot; placeholder=&quot;.input-medium&quot;&gt;\r\n&lt;input class=&quot;input-large&quot; type=&quot;text&quot; placeholder=&quot;.input-large&quot;&gt;\r\n&lt;input class=&quot;input-xlarge&quot; type=&quot;text&quot; placeholder=&quot;.input-xlarge&quot;&gt;\r\n&lt;input class=&quot;input-xxlarge&quot; type=&quot;text&quot; placeholder=&quot;.input-xxlarge&quot;&gt;</pre><br />\r\n  <p>\r\n    <strong>Note:</strong> In future versions, we\'ll be altering the use of these relative input classes to match our button sizes. For example, <code>.input-large</code> will increase the padding and font-size of an input.\r\n  </p>\r\n\r\n  <h3>Uneditable inputs</h3>\r\n  <p>Present data in a form that\'s not editable without using actual form markup.</p>\r\n  <form class=\"gantry-example\">\r\n    <span class=\"input-xlarge uneditable-input\">Some value here</span>\r\n  </form>\r\n<pre class=\"prettyprint linenums\">&lt;span class=&quot;input-xlarge uneditable-input&quot;&gt;Some value here&lt;/span&gt;</pre>\r\n</div></div>\r\n<div class=\"clear\"></div>\r\n\r\n<br /><!-- SEPARATOR -->\r\n\r\n\r\n  <h2>Form control states</h2>\r\n  <span>Provide feedback to users or visitors with basic feedback states on form controls and labels.</span><br />\r\n\r\n<div class=\"gantry-width-block gantry-width-50\">\r\n<div class=\"gantry-left\">\r\n  <h3>Input focus</h3>\r\n  <p>We remove the default <code>outline</code> styles on some form controls and apply a <code>box-shadow</code> in its place for <code>:focus</code>.</p>\r\n  <form class=\"gantry-example form-inline\">\r\n    <input class=\"input-xlarge focused\" id=\"focusedInput\" type=\"text\" value=\"This is focused...\">\r\n  </form>\r\n<pre class=\"prettyprint linenums\">&lt;input class=&quot;input-xlarge&quot; id=&quot;focusedInput&quot; type=&quot;text&quot; value=&quot;This is focused...&quot;&gt;</pre>\r\n</div></div>\r\n\r\n<div class=\"gantry-width-block gantry-width-50\">\r\n<div class=\"gantry-right\">\r\n  <h3>Disabled inputs</h3>\r\n  <p>Add the <code>disabled</code> attribute on an input to prevent user input and trigger a slightly different look.</p>\r\n  <form class=\"gantry-example form-inline\">\r\n    <input class=\"input-xlarge\" id=\"disabledInput\" type=\"text\" placeholder=\"Disabled input here…\" disabled=\"\">\r\n  </form>\r\n<pre class=\"prettyprint linenums\">&lt;input class=&quot;input-xlarge&quot; id=&quot;disabledInput&quot; type=&quot;text&quot; placeholder=&quot;Disabled input here...&quot; disabled&gt;</pre>\r\n</div></div>\r\n<div class=\"clear\"></div>       \r\n\r\n<h3>Validation states</h3>\r\n<p>Bootstrap includes validation styles for error, warning, and success messages. To use, add the appropriate class to the surrounding <code>.control-group</code>.</p>\r\n\r\n<form class=\"gantry-example form-horizontal\">\r\n  <div class=\"control-group warning\">\r\n    <label class=\"control-label\" for=\"inputWarning\">Input with warning</label>\r\n    <div class=\"controls\">\r\n      <input type=\"text\" id=\"inputWarning\">\r\n      <span class=\"help-inline\">Something may have gone wrong</span>\r\n    </div>\r\n  </div>\r\n  <div class=\"control-group error\">\r\n    <label class=\"control-label\" for=\"inputError\">Input with error</label>\r\n    <div class=\"controls\">\r\n      <input type=\"text\" id=\"inputError\">\r\n      <span class=\"help-inline\">Please correct the error</span>\r\n    </div>\r\n  </div>\r\n  <div class=\"control-group info\">\r\n    <label class=\"control-label\" for=\"inputError\">Input with info</label>\r\n    <div class=\"controls\">\r\n      <input type=\"text\" id=\"inputError\">\r\n      <span class=\"help-inline\">Username is taken</span>\r\n    </div>\r\n  </div>\r\n  <div class=\"control-group success\">\r\n    <label class=\"control-label\" for=\"inputSuccess\">Input with success</label>\r\n    <div class=\"controls\">\r\n      <input type=\"text\" id=\"inputSuccess\">\r\n      <span class=\"help-inline\">Woohoo!</span>\r\n    </div>\r\n  </div>\r\n</form>   \r\n<pre class=\"prettyprint linenums\">&lt;div class=&quot;control-group warning&quot;&gt;\r\n  &lt;label class=&quot;control-label&quot; for=&quot;inputWarning&quot;&gt;Input with warning&lt;/label&gt;\r\n  &lt;div class=&quot;controls&quot;&gt;\r\n    &lt;input type=&quot;text&quot; id=&quot;inputWarning&quot;&gt;\r\n    &lt;span class=&quot;help-inline&quot;&gt;Something may have gone wrong&lt;/span&gt;\r\n  &lt;/div&gt;\r\n&lt;/div&gt;\r\n&lt;div class=&quot;control-group error&quot;&gt;\r\n  &lt;label class=&quot;control-label&quot; for=&quot;inputError&quot;&gt;Input with error&lt;/label&gt;\r\n  &lt;div class=&quot;controls&quot;&gt;\r\n    &lt;input type=&quot;text&quot; id=&quot;inputError&quot;&gt;\r\n    &lt;span class=&quot;help-inline&quot;&gt;Please correct the error&lt;/span&gt;\r\n  &lt;/div&gt;\r\n&lt;/div&gt;\r\n&lt;div class=&quot;control-group info&quot;&gt;\r\n  &lt;label class=&quot;control-label&quot; for=&quot;inputError&quot;&gt;Input with info&lt;/label&gt;\r\n  &lt;div class=&quot;controls&quot;&gt;\r\n    &lt;input type=&quot;text&quot; id=&quot;inputError&quot;&gt;\r\n    &lt;span class=&quot;help-inline&quot;&gt;Username is taken&lt;/span&gt;\r\n  &lt;/div&gt;\r\n&lt;/div&gt;\r\n&lt;div class=&quot;control-group success&quot;&gt;\r\n  &lt;label class=&quot;control-label&quot; for=&quot;inputSuccess&quot;&gt;Input with success&lt;/label&gt;\r\n  &lt;div class=&quot;controls&quot;&gt;\r\n    &lt;input type=&quot;text&quot; id=&quot;inputSuccess&quot;&gt;\r\n    &lt;span class=&quot;help-inline&quot;&gt;Woohoo!&lt;/span&gt;\r\n  &lt;/div&gt;\r\n&lt;/div&gt;</pre>\r\n</section>\r\n\r\n\r\n\r\n<!-- Buttons\r\n================================================== -->\r\n<section id=\"buttons\">\r\n  <div class=\"page-header\">\r\n    <h1>Buttons</h1>\r\n  </div>\r\n\r\n  <h2>Default buttons</h2>\r\n  <p>Button styles can be applied to anything with the <code>.btn</code> class applied. However, typically you\'ll want to apply these to only <code>&lt;a&gt;</code> and <code>&lt;button&gt;</code> elements for the best rendering.</p>\r\n<table class=\"table table-bordered table-striped\">\r\n  <thead>\r\n    <tr>\r\n      <th>Button</th>\r\n      <th>class=\"\"</th>\r\n      <th>Description</th>\r\n    </tr>\r\n  </thead>\r\n  <tbody>\r\n    <tr>\r\n      <td><button type=\"button\" class=\"btn\">Default</button></td>\r\n      <td><code>btn</code></td>\r\n      <td>Standard gray button with gradient</td>\r\n    </tr>\r\n    <tr>\r\n      <td><button type=\"button\" class=\"btn btn-primary\">Primary</button></td>\r\n      <td><code>btn btn-primary</code></td>\r\n      <td>Provides extra visual weight and identifies the primary action in a set of buttons</td>\r\n    </tr>\r\n    <tr>\r\n      <td><button type=\"button\" class=\"btn btn-info\">Info</button></td>\r\n      <td><code>btn btn-info</code></td>\r\n      <td>Used as an alternative to the default styles</td>\r\n    </tr>\r\n    <tr>\r\n      <td><button type=\"button\" class=\"btn btn-success\">Success</button></td>\r\n      <td><code>btn btn-success</code></td>\r\n      <td>Indicates a successful or positive action</td>\r\n    </tr>\r\n    <tr>\r\n      <td><button type=\"button\" class=\"btn btn-warning\">Warning</button></td>\r\n      <td><code>btn btn-warning</code></td>\r\n      <td>Indicates caution should be taken with this action</td>\r\n    </tr>\r\n    <tr>\r\n      <td><button type=\"button\" class=\"btn btn-danger\">Danger</button></td>\r\n      <td><code>btn btn-danger</code></td>\r\n      <td>Indicates a dangerous or potentially negative action</td>\r\n    </tr>\r\n    <tr>\r\n      <td><button type=\"button\" class=\"btn btn-inverse\">Inverse</button></td>\r\n      <td><code>btn btn-inverse</code></td>\r\n      <td>Alternate dark gray button, not tied to a semantic action or use</td>\r\n    </tr>\r\n    <tr>\r\n      <td><button type=\"button\" class=\"btn btn-link\">Link</button></td>\r\n      <td><code>btn btn-link</code></td>\r\n      <td>Deemphasize a button by making it look like a link while maintaining button behavior</td>\r\n    </tr>\r\n  </tbody>\r\n</table>\r\n\r\n  <h4>Cross browser compatibility</h4>\r\n  <p>IE9 doesn\'t crop background gradients on rounded corners, so we remove it. Related, IE9 jankifies disabled <code>button</code> elements, rendering text gray with a nasty text-shadow that we cannot fix.</p>\r\n\r\n\r\n  <h2>Button sizes</h2>\r\n  <p>Fancy larger or smaller buttons? Add <code>.btn-large</code>, <code>.btn-small</code>, or <code>.btn-mini</code> for additional sizes.</p>\r\n  <div class=\"gantry-example\">\r\n    <p>\r\n      <button type=\"button\" class=\"btn btn-large btn-primary\">Large button</button>\r\n      <button type=\"button\" class=\"btn btn-large\">Large button</button>\r\n    </p>\r\n    <p>\r\n      <button type=\"button\" class=\"btn btn-primary\">Default button</button>\r\n      <button type=\"button\" class=\"btn\">Default button</button>\r\n    </p>\r\n    <p>\r\n      <button type=\"button\" class=\"btn btn-small btn-primary\">Small button</button>\r\n      <button type=\"button\" class=\"btn btn-small\">Small button</button>\r\n    </p>\r\n    <p>\r\n      <button type=\"button\" class=\"btn btn-mini btn-primary\">Mini button</button>\r\n      <button type=\"button\" class=\"btn btn-mini\">Mini button</button>\r\n    </p>\r\n  </div>\r\n<pre class=\"prettyprint linenums\">&lt;p&gt;\r\n  &lt;button class=&quot;btn btn-large btn-primary&quot; type=&quot;button&quot;&gt;Large button&lt;/button&gt;\r\n  &lt;button class=&quot;btn btn-large&quot; type=&quot;button&quot;&gt;Large button&lt;/button&gt;\r\n&lt;/p&gt;\r\n&lt;p&gt;\r\n  &lt;button class=&quot;btn btn-primary&quot; type=&quot;button&quot;&gt;Default button&lt;/button&gt;\r\n  &lt;button class=&quot;btn&quot; type=&quot;button&quot;&gt;Default button&lt;/button&gt;\r\n&lt;/p&gt;\r\n&lt;p&gt;\r\n  &lt;button class=&quot;btn btn-small btn-primary&quot; type=&quot;button&quot;&gt;Small button&lt;/button&gt;\r\n  &lt;button class=&quot;btn btn-small&quot; type=&quot;button&quot;&gt;Small button&lt;/button&gt;\r\n&lt;/p&gt;\r\n&lt;p&gt;\r\n  &lt;button class=&quot;btn btn-mini btn-primary&quot; type=&quot;button&quot;&gt;Mini button&lt;/button&gt;\r\n  &lt;button class=&quot;btn btn-mini&quot; type=&quot;button&quot;&gt;Mini button&lt;/button&gt;\r\n&lt;/p&gt;</pre>\r\n<p>Create block level buttons—those that span the full width of a parent— by adding <code>.btn-block</code>.</p>\r\n<div class=\"gantry-example\">\r\n  <div class=\"well\" style=\"max-width: 400px; margin: 0 auto 10px;\">\r\n    <button type=\"button\" class=\"btn btn-large btn-block btn-primary\">Block level button</button>\r\n    <button type=\"button\" class=\"btn btn-large btn-block\">Block level button</button>\r\n  </div>\r\n</div>\r\n<pre class=\"prettyprint linenums\">&lt;button class=&quot;btn btn-large btn-block btn-primary&quot; type=&quot;button&quot;&gt;Block level button&lt;/button&gt;\r\n&lt;button class=&quot;btn btn-large btn-block&quot; type=&quot;button&quot;&gt;Block level button&lt;/button&gt;</pre>\r\n  \r\n  <h2>Disabled state</h2>\r\n  <p>Make buttons look unclickable by fading them back 50%.</p>\r\n\r\n<div class=\"gantry-width-block gantry-width-50\">\r\n<div class=\"gantry-left\">\r\n  <h3>Anchor element</h3>\r\n  <p>Add the <code>.disabled</code> class to <code>&lt;a&gt;</code> buttons.</p>\r\n  <p class=\"gantry-example\">\r\n    <a href=\"#\" class=\"btn btn-large btn-primary disabled\">Primary link</a>\r\n    <a href=\"#\" class=\"btn btn-large disabled\">Link</a>\r\n  </p>\r\n<pre class=\"prettyprint linenums\">&lt;a href=&quot;#&quot; class=&quot;btn btn-large btn-primary disabled&quot;&gt;Primary link&lt;/a&gt;\r\n&lt;a href=&quot;#&quot; class=&quot;btn btn-large disabled&quot;&gt;Link&lt;/a&gt;</pre><br />\r\n  <p>\r\n    <strong>Note:</strong>\r\n    We use <code>.disabled</code> as a utility class here, similar to the common <code>.active</code> class, so no prefix is required.\r\n  </p>\r\n</div></div>\r\n\r\n<div class=\"gantry-width-block gantry-width-50\">\r\n<div class=\"gantry-right\">\r\n  <h3>Button element</h3>\r\n  <p>Add the <code>disabled</code> attribute to <code>&lt;button&gt;</code> buttons.</p>\r\n  <p class=\"gantry-example\">\r\n    <button type=\"button\" class=\"btn btn-large btn-primary disabled\" disabled=\"disabled\">Primary button</button>\r\n    <button type=\"button\" class=\"btn btn-large\" disabled=\"\">Button</button>\r\n  </p>\r\n<pre class=\"prettyprint linenums\">&lt;button type=&quot;button&quot; class=&quot;btn btn-large btn-primary disabled&quot; disabled=&quot;disabled&quot;&gt;Primary button&lt;/button&gt;\r\n&lt;button type=&quot;button&quot; class=&quot;btn btn-large&quot; disabled&gt;Button&lt;/button&gt;</pre>\r\n</div></div>\r\n<div class=\"clear\"></div>\r\n\r\n\r\n  <h2>One class, multiple tags</h2>\r\n  <p>Use the <code>.btn</code> class on an <code>&lt;a&gt;</code>, <code>&lt;button&gt;</code>, or <code>&lt;input&gt;</code> element.</p>\r\n  <form class=\"gantry-example\">\r\n    <a class=\"btn\" href=\"\">Link</a>\r\n    <button class=\"btn\" type=\"submit\">Button</button>\r\n    <input class=\"btn\" type=\"button\" value=\"Input\">\r\n    <input class=\"btn\" type=\"submit\" value=\"Submit\">\r\n  </form>\r\n<pre class=\"prettyprint linenums\">&lt;a class=&quot;btn&quot; href=&quot;&quot;&gt;Link&lt;/a&gt;\r\n&lt;button class=&quot;btn&quot; type=&quot;submit&quot;&gt;Button&lt;/button&gt;\r\n&lt;input class=&quot;btn&quot; type=&quot;button&quot; value=&quot;Input&quot;&gt;\r\n&lt;input class=&quot;btn&quot; type=&quot;submit&quot; value=&quot;Submit&quot;&gt;</pre><br />\r\n  <p>As a best practice, try to match the element for your context to ensure matching cross-browser rendering. If you have an <code>input</code>, use an <code>&lt;input type=\"submit\"&gt;</code> for your button.</p>\r\n\r\n</section>\r\n\r\n<!-- Icons\r\n================================================== -->\r\n<h1>Icons</h1>\r\n<h2>Font Awesome</h2>\r\n\r\n  <p>Font Awesome is a pictographic language of web-related actions which delivers 220 icons. The Font Awesome webfont, CSS, and LESS files are licensed under CC BY 3.0 and you can find the full examples of usage at <a href=\"http://fortawesome.github.com/Font-Awesome\" target=\"_blank\">Font Awesome - http://fortawesome.github.com/Font-Awesome</a></p>\r\n\r\n<p>Add <code>.icon-CLASS_NAME</code> to any element, best used with a <code>&lt;span&gt;</code>.</p>\r\n\r\n<div class=\"gantry-example\">\r\n<h3>Web Icons</h3>\r\n  <div class=\"gantry-width-25 gantry-width-block\">\r\n    <div class=\"gantry-width-spacer\">\r\n      <span class=\"icon-adjust\"> icon-adjust</span><br /><br />\r\n      <span class=\"icon-asterisk\"> icon-asterisk</span><br /><br />\r\n      <span class=\"icon-ban-circle\"> icon-ban-circle</span><br /><br />\r\n      <span class=\"icon-bar-chart\"> icon-bar-chart</span><br /><br />\r\n      <span class=\"icon-barcode\"> icon-barcode</span><br /><br />\r\n      <span class=\"icon-beaker\"> icon-beaker</span><br /><br />\r\n      <span class=\"icon-bell\"> icon-bell</span><br /><br />\r\n      <span class=\"icon-bolt\"> icon-bolt</span><br /><br />\r\n      <span class=\"icon-book\"> icon-book</span><br /><br />\r\n      <span class=\"icon-bookmark\"> icon-bookmark</span><br /><br />\r\n      <span class=\"icon-bookmark-empty\"> icon-bookmark-empty</span><br /><br />\r\n      <span class=\"icon-briefcase\"> icon-briefcase</span><br /><br />\r\n      <span class=\"icon-bullhorn\"> icon-bullhorn</span><br /><br />\r\n      <span class=\"icon-calendar\"> icon-calendar</span><br /><br />\r\n      <span class=\"icon-camera\"> icon-camera</span><br /><br />\r\n      <span class=\"icon-camera-retro\"> icon-camera-retro</span><br /><br />\r\n      <span class=\"icon-certificate\"> icon-certificate</span><br /><br />\r\n      <span class=\"icon-check\"> icon-check</span><br /><br />\r\n      <span class=\"icon-check-empty\"> icon-check-empty</span><br /><br />\r\n      <span class=\"icon-cloud\"> icon-cloud</span><br /><br />\r\n      <span class=\"icon-cog\"> icon-cog</span><br /><br />\r\n      <span class=\"icon-cogs\"> icon-cogs</span><br /><br />\r\n      <span class=\"icon-comment\"> icon-comment</span><br /><br />\r\n      <span class=\"icon-comment-alt\"> icon-comment-alt</span><br /><br />\r\n      <span class=\"icon-comments\"> icon-comments</span><br /><br />\r\n      <span class=\"icon-comments-alt\"> icon-comments-alt</span><br /><br />\r\n      <span class=\"icon-credit-card\"> icon-credit-card</span><br /><br />\r\n      <span class=\"icon-dashboard\"> icon-dashboard</span><br /><br />\r\n      <span class=\"icon-download\"> icon-download</span><br /><br />\r\n      <span class=\"icon-download-alt\"> icon-download-alt</span><br /><br />\r\n      <span class=\"icon-edit\"> icon-edit</span><br /><br />\r\n      <span class=\"icon-envelope\"> icon-envelope</span><br /><br />\r\n      <span class=\"icon-envelope-alt\"> icon-envelope-alt</span><br /><br />\r\n    </div>\r\n  </div>\r\n  <div class=\"gantry-width-25 gantry-width-block\">\r\n    <div class=\"gantry-width-spacer\">\r\n      <span class=\"icon-exclamation-sign\"> icon-exclamation-sign</span><br /><br />\r\n      <span class=\"icon-external-link\"> icon-external-link</span><br /><br />\r\n      <span class=\"icon-eye-close\"> icon-eye-close</span><br /><br />\r\n      <span class=\"icon-eye-open\"> icon-eye-open</span><br /><br />\r\n      <span class=\"icon-facetime-video\"> icon-facetime-video</span><br /><br />\r\n      <span class=\"icon-film\"> icon-film</span><br /><br />\r\n      <span class=\"icon-filter\"> icon-filter</span><br /><br />\r\n      <span class=\"icon-fire\"> icon-fire</span><br /><br />\r\n      <span class=\"icon-flag\"> icon-flag</span><br /><br />\r\n      <span class=\"icon-folder-close\"> icon-folder-close</span><br /><br />\r\n      <span class=\"icon-folder-open\"> icon-folder-open</span><br /><br />\r\n      <span class=\"icon-gift\"> icon-gift</span><br /><br />\r\n      <span class=\"icon-glass\"> icon-glass</span><br /><br />\r\n      <span class=\"icon-globe\"> icon-globe</span><br /><br />\r\n      <span class=\"icon-group\"> icon-group</span><br /><br />\r\n      <span class=\"icon-hdd\"> icon-hdd</span><br /><br />\r\n      <span class=\"icon-headphones\"> icon-headphones</span><br /><br />\r\n      <span class=\"icon-heart\"> icon-heart</span><br /><br />\r\n      <span class=\"icon-heart-empty\"> icon-heart-empty</span><br /><br />\r\n      <span class=\"icon-home\"> icon-home</span><br /><br />\r\n      <span class=\"icon-inbox\"> icon-inbox</span><br /><br />\r\n      <span class=\"icon-info-sign\"> icon-info-sign</span><br /><br />\r\n      <span class=\"icon-key\"> icon-key</span><br /><br />\r\n      <span class=\"icon-leaf\"> icon-leaf</span><br /><br />\r\n      <span class=\"icon-legal\"> icon-legal</span><br /><br />\r\n      <span class=\"icon-lemon\"> icon-lemon</span><br /><br />\r\n      <span class=\"icon-lock\"> icon-lock</span><br /><br />\r\n      <span class=\"icon-unlock\"> icon-unlock</span><br /><br />\r\n      <span class=\"icon-magic\"> icon-magic</span><br /><br />\r\n      <span class=\"icon-magnet\"> icon-magnet</span><br /><br />\r\n      <span class=\"icon-map-marker\"> icon-map-marker</span><br /><br />\r\n      <span class=\"icon-minus\"> icon-minus</span><br /><br />\r\n      <span class=\"icon-minus-sign\"> icon-minus-sign</span><br /><br />\r\n    </div>\r\n  </div>\r\n  <div class=\"gantry-width-25 gantry-width-block\">\r\n    <div class=\"gantry-width-spacer\">\r\n      <span class=\"icon-money\"> icon-money</span><br /><br />\r\n      <span class=\"icon-move\"> icon-move</span><br /><br />\r\n      <span class=\"icon-music\"> icon-music</span><br /><br />\r\n      <span class=\"icon-off\"> icon-off</span><br /><br />\r\n      <span class=\"icon-ok\"> icon-ok</span><br /><br />\r\n      <span class=\"icon-ok-circle\"> icon-ok-circle</span><br /><br />\r\n      <span class=\"icon-ok-sign\"> icon-ok-sign</span><br /><br />\r\n      <span class=\"icon-pencil\"> icon-pencil</span><br /><br />\r\n      <span class=\"icon-picture\"> icon-picture</span><br /><br />\r\n      <span class=\"icon-plane\"> icon-plane</span><br /><br />\r\n      <span class=\"icon-plus\"> icon-plus</span><br /><br />\r\n      <span class=\"icon-plus-sign\"> icon-plus-sign</span><br /><br />\r\n      <span class=\"icon-print\"> icon-print</span><br /><br />\r\n      <span class=\"icon-pushpin\"> icon-pushpin</span><br /><br />\r\n      <span class=\"icon-qrcode\"> icon-qrcode</span><br /><br />\r\n      <span class=\"icon-question-sign\"> icon-question-sign</span><br /><br />\r\n      <span class=\"icon-random\"> icon-random</span><br /><br />\r\n      <span class=\"icon-refresh\"> icon-refresh</span><br /><br />\r\n      <span class=\"icon-remove\"> icon-remove</span><br /><br />\r\n      <span class=\"icon-remove-circle\"> icon-remove-circle</span><br /><br />\r\n      <span class=\"icon-remove-sign\"> icon-remove-sign</span><br /><br />\r\n      <span class=\"icon-reorder\"> icon-reorder</span><br /><br />\r\n      <span class=\"icon-resize-horizontal\"> icon-resize-horizontal</span><br /><br />\r\n      <span class=\"icon-resize-vertical\"> icon-resize-vertical</span><br /><br />\r\n      <span class=\"icon-retweet\"> icon-retweet</span><br /><br />\r\n      <span class=\"icon-road\"> icon-road</span><br /><br />\r\n      <span class=\"icon-rss\"> icon-rss</span><br /><br />\r\n      <span class=\"icon-screenshot\"> icon-screenshot</span><br /><br />\r\n      <span class=\"icon-search\"> icon-search</span><br /><br />\r\n      <span class=\"icon-share\"> icon-share</span><br /><br />\r\n      <span class=\"icon-share-alt\"> icon-share-alt</span><br /><br />\r\n      <span class=\"icon-shopping-cart\"> icon-shopping-cart</span><br /><br />\r\n    </div>\r\n  </div>\r\n  <div class=\"gantry-width-25 gantry-width-block\">\r\n    <div class=\"gantry-width-spacer\">\r\n      <span class=\"icon-signal\"> icon-signal</span><br /><br />\r\n      <span class=\"icon-signin\"> icon-signin</span><br /><br />\r\n      <span class=\"icon-signout\"> icon-signout</span><br /><br />\r\n      <span class=\"icon-sitemap\"> icon-sitemap</span><br /><br />\r\n      <span class=\"icon-sort\"> icon-sort</span><br /><br />\r\n      <span class=\"icon-sort-down\"> icon-sort-down</span><br /><br />\r\n      <span class=\"icon-sort-up\"> icon-sort-up</span><br /><br />\r\n      <span class=\"icon-star\"> icon-star</span><br /><br />\r\n      <span class=\"icon-star-empty\"> icon-star-empty</span><br /><br />\r\n      <span class=\"icon-star-half\"> icon-star-half</span><br /><br />\r\n      <span class=\"icon-tag\"> icon-tag</span><br /><br />\r\n      <span class=\"icon-tags\"> icon-tags</span><br /><br />\r\n      <span class=\"icon-tasks\"> icon-tasks</span><br /><br />\r\n      <span class=\"icon-thumbs-down\"> icon-thumbs-down</span><br /><br />\r\n      <span class=\"icon-thumbs-up\"> icon-thumbs-up</span><br /><br />\r\n      <span class=\"icon-time\"> icon-time</span><br /><br />\r\n      <span class=\"icon-tint\"> icon-tint</span><br /><br />\r\n      <span class=\"icon-trash\"> icon-trash</span><br /><br />\r\n      <span class=\"icon-trophy\"> icon-trophy</span><br /><br />\r\n      <span class=\"icon-truck\"> icon-truck</span><br /><br />\r\n      <span class=\"icon-umbrella\"> icon-umbrella</span><br /><br />\r\n      <span class=\"icon-upload\"> icon-upload</span><br /><br />\r\n      <span class=\"icon-upload-alt\"> icon-upload-alt</span><br /><br />\r\n      <span class=\"icon-user\"> icon-user</span><br /><br />\r\n      <span class=\"icon-user-md\"> icon-user-md</span><br /><br />\r\n      <span class=\"icon-volume-off\"> icon-volume-off</span><br /><br />\r\n      <span class=\"icon-volume-down\"> icon-volume-down</span><br /><br />\r\n      <span class=\"icon-volume-up\"> icon-volume-up</span><br /><br />\r\n      <span class=\"icon-warning-sign\"> icon-warning-sign</span><br /><br />\r\n      <span class=\"icon-wrench\"> icon-wrench</span><br /><br />\r\n      <span class=\"icon-zoom-in\"> icon-zoom-in</span><br /><br />\r\n      <span class=\"icon-zoom-out\"> icon-zoom-out</span><br /><br />\r\n    </div>\r\n  </div>\r\n  <div class=\"clear\"></div>\r\n  <div>\r\n    <h3>Text Editor Icons</h3>\r\n  </div>\r\n  <div class=\"gantry-width-25 gantry-width-block\">\r\n    <div class=\"gantry-width-spacer\">\r\n      <span class=\"icon-file\"> icon-file</span><br /><br />\r\n      <span class=\"icon-cut\"> icon-cut</span><br /><br />\r\n      <span class=\"icon-copy\"> icon-copy</span><br /><br />\r\n      <span class=\"icon-paste\"> icon-paste</span><br /><br />\r\n      <span class=\"icon-save\"> icon-save</span><br /><br />\r\n      <span class=\"icon-undo\"> icon-undo</span><br /><br />\r\n      <span class=\"icon-repeat\"> icon-repeat</span><br /><br />\r\n      <span class=\"icon-paper-clip\"> icon-paper-clip</span><br /><br />\r\n    </div>\r\n  </div>\r\n  <div class=\"gantry-width-25 gantry-width-block\">\r\n    <div class=\"gantry-width-spacer\">\r\n      <span class=\"icon-text-height\"> icon-text-height</span><br /><br />\r\n      <span class=\"icon-text-width\"> icon-text-width</span><br /><br />\r\n      <span class=\"icon-align-left\"> icon-align-left</span><br /><br />\r\n      <span class=\"icon-align-center\"> icon-align-center</span><br /><br />\r\n      <span class=\"icon-align-right\"> icon-align-right</span><br /><br />\r\n      <span class=\"icon-align-justify\"> icon-align-justify</span><br /><br />\r\n      <span class=\"icon-indent-left\"> icon-indent-left</span><br /><br />\r\n      <span class=\"icon-indent-right\"> icon-indent-right</span><br /><br />\r\n    </div>\r\n  </div>\r\n  <div class=\"gantry-width-25 gantry-width-block\">\r\n    <div class=\"gantry-width-spacer\">\r\n      <span class=\"icon-font\"> icon-font</span><br /><br />\r\n      <span class=\"icon-bold\"> icon-bold</span><br /><br />\r\n      <span class=\"icon-italic\"> icon-italic</span><br /><br />\r\n      <span class=\"icon-strikethrough\"> icon-strikethrough</span><br /><br />\r\n      <span class=\"icon-underline\"> icon-underline</span><br /><br />\r\n      <span class=\"icon-link\"> icon-link</span><br /><br />\r\n      <span class=\"icon-columns\"> icon-columns</span><br /><br />\r\n      <span class=\"icon-table\"> icon-table</span><br /><br />\r\n    </div>\r\n  </div>\r\n  <div class=\"gantry-width-25 gantry-width-block\">\r\n    <div class=\"gantry-width-spacer\">\r\n      <span class=\"icon-th-large\"> icon-th-large</span><br /><br />\r\n      <span class=\"icon-th\"> icon-th</span><br /><br />\r\n      <span class=\"icon-th-list\"> icon-th-list</span><br /><br />\r\n      <span class=\"icon-list\"> icon-list</span><br /><br />\r\n      <span class=\"icon-list-ol\"> icon-list-ol</span><br /><br />\r\n      <span class=\"icon-list-ul\"> icon-list-ul</span><br /><br />\r\n      <span class=\"icon-list-alt\"> icon-list-alt</span><br /><br />\r\n    </div>\r\n  </div>\r\n  <div class=\"clear\"></div>\r\n  <div>\r\n    <h3>Directional Icons</h3>\r\n  </div>\r\n  <div class=\"gantry-width-25 gantry-width-block\">\r\n    <div class=\"gantry-width-spacer\">\r\n      <span class=\"icon-arrow-down\"> icon-arrow-down</span><br /><br />\r\n      <span class=\"icon-arrow-left\"> icon-arrow-left</span><br /><br />\r\n      <span class=\"icon-arrow-right\"> icon-arrow-right</span><br /><br />\r\n      <span class=\"icon-arrow-up\"> icon-arrow-up</span><br /><br />\r\n      <span class=\"icon-chevron-down\"> icon-chevron-down</span><br /><br />\r\n    </div>\r\n  </div>\r\n  <div class=\"gantry-width-25 gantry-width-block\">\r\n    <div class=\"gantry-width-spacer\">\r\n      <span class=\"icon-circle-arrow-down\"> icon-circle-arrow-down</span><br /><br />\r\n      <span class=\"icon-circle-arrow-left\"> icon-circle-arrow-left</span><br /><br />\r\n      <span class=\"icon-circle-arrow-right\"> icon-circle-arrow-right</span><br /><br />\r\n      <span class=\"icon-circle-arrow-up\"> icon-circle-arrow-up</span><br /><br />\r\n      <span class=\"icon-chevron-left\"> icon-chevron-left</span><br /><br />\r\n    </div>\r\n  </div>\r\n  <div class=\"gantry-width-25 gantry-width-block\">\r\n    <div class=\"gantry-width-spacer\">\r\n      <span class=\"icon-caret-down\"> icon-caret-down</span><br /><br />\r\n      <span class=\"icon-caret-left\"> icon-caret-left</span><br /><br />\r\n      <span class=\"icon-caret-right\"> icon-caret-right</span><br /><br />\r\n      <span class=\"icon-caret-up\"> icon-caret-up</span><br /><br />\r\n      <span class=\"icon-chevron-right\"> icon-chevron-right</span><br /><br />\r\n    </div>\r\n  </div>\r\n  <div class=\"gantry-width-25 gantry-width-block\">\r\n    <div class=\"gantry-width-spacer\">\r\n      <span class=\"icon-hand-down\"> icon-hand-down</span><br /><br />\r\n      <span class=\"icon-hand-left\"> icon-hand-left</span><br /><br />\r\n      <span class=\"icon-hand-right\"> icon-hand-right</span><br /><br />\r\n      <span class=\"icon-hand-up\"> icon-hand-up</span><br /><br />\r\n      <span class=\"icon-chevron-up\"> icon-chevron-up</span><br /><br />\r\n    </div>\r\n  </div>\r\n<div class=\"clear\"></div>\r\n  <div>\r\n    <h3>Video Player Icons</h3>\r\n  </div>\r\n  <div class=\"gantry-width-25 gantry-width-block\">\r\n    <div class=\"gantry-width-spacer\">\r\n      <span class=\"icon-play-circle\"> icon-play-circle</span><br /><br />\r\n      <span class=\"icon-play\"> icon-play</span><br /><br />\r\n      <span class=\"icon-pause\"> icon-pause</span><br /><br />\r\n      <span class=\"icon-stop\"> icon-stop</span><br /><br />\r\n    </div>\r\n  </div>\r\n  <div class=\"gantry-width-25 gantry-width-block\">\r\n    <div class=\"gantry-width-spacer\">\r\n      <span class=\"icon-step-backward\"> icon-step-backward</span><br /><br />\r\n      <span class=\"icon-fast-backward\"> icon-fast-backward</span><br /><br />\r\n      <span class=\"icon-backward\"> icon-backward</span><br /><br />\r\n      <span class=\"icon-forward\"> icon-forward</span><br /><br />\r\n    </div>\r\n  </div>\r\n  <div class=\"gantry-width-25 gantry-width-block\">\r\n    <div class=\"gantry-width-spacer\">\r\n      <span class=\"icon-fast-forward\"> icon-fast-forward</span><br /><br />\r\n      <span class=\"icon-step-forward\"> icon-step-forward</span><br /><br />\r\n      <span class=\"icon-eject\"> icon-eject</span><br /><br />\r\n    </div>\r\n  </div>\r\n  <div class=\"gantry-width-25 gantry-width-block\">\r\n    <div class=\"gantry-width-spacer\">\r\n      <span class=\"icon-fullscreen\"> icon-fullscreen</span><br /><br />\r\n      <span class=\"icon-resize-full\"> icon-resize-full</span><br /><br />\r\n      <span class=\"icon-resize-small\"> icon-resize-small</span><br /><br />\r\n    </div>\r\n  </div>\r\n  <div class=\"clear\"></div>\r\n  <div>\r\n    <h3>Social Icons</h3>\r\n  </div>\r\n  <div class=\"gantry-width-25 gantry-width-block\">\r\n    <div class=\"gantry-width-spacer\">\r\n      <span class=\"icon-phone\"> icon-phone</span><br /><br />\r\n      <span class=\"icon-phone-sign\"> icon-phone-sign</span><br /><br />\r\n      <span class=\"icon-facebook\"> icon-facebook</span><br /><br />\r\n      <span class=\"icon-facebook-sign\"> icon-facebook-sign</span><br /><br />\r\n    </div>\r\n  </div>\r\n  <div class=\"gantry-width-25 gantry-width-block\">\r\n    <div class=\"gantry-width-spacer\">\r\n      <span class=\"icon-twitter\"> icon-twitter</span><br /><br />\r\n      <span class=\"icon-twitter-sign\"> icon-twitter-sign</span><br /><br />\r\n      <span class=\"icon-github\"> icon-github</span><br /><br />\r\n      <span class=\"icon-github-sign\"> icon-github-sign</span><br /><br />\r\n    </div>\r\n  </div>\r\n  <div class=\"gantry-width-25 gantry-width-block\">\r\n    <div class=\"gantry-width-spacer\">\r\n      <span class=\"icon-linkedin\"> icon-linkedin</span><br /><br />\r\n      <span class=\"icon-linkedin-sign\"> icon-linkedin-sign</span><br /><br />\r\n      <span class=\"icon-pinterest\"> icon-pinterest</span><br /><br />\r\n      <span class=\"icon-pinterest-sign\"> icon-pinterest-sign</span><br /><br />\r\n    </div>\r\n  </div>\r\n  <div class=\"gantry-width-25 gantry-width-block\">\r\n    <div class=\"gantry-width-spacer\">\r\n      <span class=\"icon-google-plus\"> icon-google-plus</span><br /><br />\r\n      <span class=\"icon-google-plus-sign\"> icon-google-plus-sign</span><br /><br />\r\n      <span class=\"icon-sign-blank\"> icon-sign-blank</span><br /><br />\r\n    </div>\r\n  </div>\r\n<div class=\"clear\"></div>\r\n</div>\r\n<pre class=\"prettyprint linenums\">&lt;span class=\"icon-CLASS_NAME\"&gt;\r\n  ...\r\n&lt;/span&gt;\r\n&lt;span class=\"icon-download\"&gt;\r\n  ...\r\n&lt;/span&gt;</pre>\r\n\r\n<div class=\"clear\"></div>\r\n\r\n<!-- Notice\r\n================================================== -->\r\n<p><em>The documented typography above is a modified version of the reference guide available at: <a href=\"http://twitter.github.com/bootstrap/base-css.html\">http://twitter.github.com/bootstrap/base-css.html</a></em></p>','',1,8,'2018-01-01 00:00:01',103,'RocketTheme','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2019-08-13 10:27:11','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":null,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":null,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":null,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',1,8,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*','',''),(5,40,'Menu Options','menu-options','<p class=\"error\">RokNavMenu is the core of all the powerful Cerulean menu system. Please ensure you are using the latest version of RokNavMenu, available <a href=\"http://www.rockettheme.com/extensions-joomla/roknavmenu\" target=\"_blank\">here</a>.</p>\r\n\r\n<h2>Dropdown Menu</h2>\r\n\r\n<p>The <strong>Dropdown Menu</strong> is an advanced CSS drive dropdown menu system. It offers advanced structural features such as multiple columns, inline icons and text, inline modules and positions, custom column widths, item distribution and menu offset. All of these are configurable for each menu item.</p>\r\n\r\n<div class=\"rt-image\">\r\n  <img src=\"images/rocketlauncher/menu-options/dropdownmenu.jpg\" alt=\"Dropdown Menu\" />\r\n</div>\r\n\r\n<div class=\"clear largemarginbottom\">&nbsp;</div><br />\r\n\r\n<h2>SplitMenu</h2>\r\n\r\n<p>A static menu system that displays 1st level items in the main horizontal menu and further children in the Sidebar.</p>\r\n\r\n<div class=\"rt-image\">\r\n  <img src=\"images/rocketlauncher/menu-options/splitmenu.jpg\" alt=\"SplitMenu\" />\r\n</div>\r\n\r\n<div class=\"clear largemarginbottom\">&nbsp;</div><br />\r\n\r\n<p class=\"notice\">All Menu Items can be edited from <strong>Admin &rarr; Menu &rarr; <em>Menu Name</em> &rarr; <em>Menu Item</em></strong>.</p>\r\n\r\n<br />\r\n\r\n<p class=\"rt-image rt-floatleft nomarginbottom\">\r\n<img class=\"rt-noborder\" src=\"images/rocketlauncher/features/responsive-nav.png\" alt=\"image\" width=\"200px\" height=\"auto\" />\r\n</p>\r\n\r\n<h2>Responsive Mode: Smartphone</h2>\r\n\r\n<p>For mobile devices, there are two options, a dropdown panel menu with items in a tree format or a select box using the browsers own UI elements. Chose a format in the template\'s menu settings.</p>\r\n\r\n<p>The mobile menu is active for both the Dropdown Menu and SplitMenu.</p>\r\n\r\n<div class=\"clear\"></div><br />\r\n\r\n<h2>Creating child menu items</h2>\r\n\r\n<p>Go to <strong>Admin &rarr; Menu &rarr; <em>A Menu</em> &rarr; <em>A Menu Item</em> &rarr; Select a <em>Parent Item</em></strong>, and it will appear as a child of it.</p>\r\n\r\n<div class=\"rt-demo-block gantry-width-50 gantry-width-block\">\r\n  <div class=\"gantry-width-spacer\">\r\n    <div class=\"rt-image\">\r\n      <img src=\"images/rocketlauncher/menu-options/childmenu-1.jpg\" alt=\"image\" />\r\n    </div> \r\n  </div>\r\n</div>\r\n\r\n<div class=\"rt-demo-block gantry-width-50 gantry-width-block\">\r\n  <div class=\"gantry-width-spacer\">\r\n    <div class=\"rt-image\">\r\n      <img src=\"images/rocketlauncher/menu-options/childmenu-2.jpg\" alt=\"image\" />\r\n    </div>  \r\n  </div>\r\n</div>\r\n\r\n<div class=\"clear\"></div>\r\n','',1,8,'2018-01-01 00:00:01',103,'RocketTheme','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2019-08-13 10:27:11','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":null,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":null,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":null,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',1,7,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*','',''),(6,41,'Integrated Extensions','integrated-extensions','<div class=\"rt-center largemargintop largemarginbottom\">\r\n  <span class=\"promo2\">Integrated Extensions</span><br />\r\n  <span class=\"promo3\">Enhance Your Website with the <strong>Powerful Tools</strong></span>\r\n</div>\r\n\r\n<div class=\"clear\"></div>\r\n\r\n<div class=\"rt-center\">\r\n<a target=\"_blank\" href=\"http://www.rockettheme.com/joomla-templates/cerulean\" class=\"readon promo1 medmargintop\"><span><span class=\"icon-download-alt\"></span> Download</span></a>\r\n</div>','',1,8,'2018-01-01 00:00:01',103,'RocketTheme','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2019-08-13 10:27:11','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":null,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":null,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":null,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',1,6,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*','',''),(7,42,'Tutorials and Guides','tutorials-and-guides','<p>Cerulean for Joomla is a RocketTheme Joomla Template Club release featuring the revolutionary Gantry Joomla Template Framework. Gantry is a comprehensive set of building blocks to enable the rapid development and realization of a design into a flexible and powerful web platform theme.</p>\r\n\r\n<p class=\"info\">To configure the template, navigate to <strong>Extensions &rarr; Template Manager &rarr; <em>rt_cerulean</em></strong>. Mouseover the labels to view a description of each parameter.</p>','',1,8,'2018-01-01 00:00:01',103,'RocketTheme','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2019-08-13 10:27:11','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":null,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":null,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":null,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',1,5,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*','',''),(8,43,'Installation Instructions','installation-instructions','<p>The following is a guide that covers how to set up your new <strong>Cerulean</strong> template on your Joomla! site. Here you can find an overview of the files included in the Cerulean release and instructions on installing and activating the template in your Joomla! install.</p>\r\n\r\n<p class=\"info nomarginbottom\"><strong>Note:</strong> The <strong>Bundle</strong> Template is only necessary if the Gantry Library is not installed at <strong>/libraries/gantry directory</strong>.</p>\r\n\r\n<br />\r\n\r\n<h3>Step 1 - Installation</h3>\r\n\r\n<ol class=\"largemarginbottom\">\r\n  <li>Install from <strong>Admin &rarr; Extensions &rarr; Extensions Manager</strong></li>\r\n  <li>Browse for <strong>rt_cerulean.zip</strong> and click <strong>Upload &amp; Install</strong></li>  \r\n</ol>\r\n\r\n<div class=\"rt-image\">\r\n  <img alt=\"Image\" src=\"images/rocketlauncher/installation/installation-1.jpg\" />\r\n</div>\r\n<br />\r\n<div class=\"rt-image\">\r\n  <img alt=\"Image\" src=\"images/rocketlauncher/installation/installation-j30-1.jpg\" />\r\n</div>\r\n\r\n<div class=\"clear\">&nbsp;</div>\r\n\r\n<br />\r\n\r\n<h3>Step 2 - Template Default</h3>\r\n\r\n<ol class=\"largemarginbottom\">\r\n  <li>Make the template default at <strong>Admin &rarr; Extensions &rarr; Template Manager</strong></li>\r\n  <li>Select <strong>rt_cerulean</strong></li>\r\n  <li>Press <strong>Make Default</strong></li>\r\n</ol>\r\n\r\n<div class=\"rt-image\">\r\n  <img alt=\"Image\" src=\"images/rocketlauncher/installation/installation-2.jpg\" />\r\n</div>\r\n<br />\r\n<div class=\"rt-image\">\r\n  <img alt=\"Image\" src=\"images/rocketlauncher/installation/installation-j30-2.jpg\" />\r\n</div>\r\n\r\n<div class=\"clear largemarginbottom\">&nbsp;</div><br />\r\n\r\n<h2>RocketLauncher Instructions</h2>\r\n\r\n<p class=\"nomarginbottom\">We always recommend installing a <strong>RocketLauncher</strong> first to trial and understand the template more effectively. It must be installed as <strong>new</strong>, and <strong>not</strong> over an existing Joomla install.</p>\r\n\r\n<br />\r\n\r\n<h3>Step 1 - Upload</h3>\r\n\r\n<ul class=\"medmarginbottom\">\r\n  <li><strong>Download</strong> the RocketLauncher</li>\r\n  <li><strong>Unzip</strong> the file</li>\r\n  <li><strong>Upload</strong> the created folder to your server</li>\r\n</ul>\r\n\r\n<p class=\"info nomarginbottom\"><strong>Note:</strong> You can upload all the files via FTP, or use cPanel or SSH to upload the zip and unzip directly onto the server. Enquire with your hosting provider.</p>\r\n\r\n<br />\r\n\r\n<h3>Step 2 - Installation</h3>\r\n\r\n<ul>\r\n  <li>Go to <a href=\"#\">www.yoursite.com/<em>*folder name*</em></a></li>\r\n  <li>Follow the Installation instructions</li>\r\n  <li>Ensure you click <em class=\"bold2\">Install Sample Data</em> during installation</li>\r\n  <li>Remove the installation folder in the Installation interface</li>\r\n</ul>\r\n','',1,8,'2018-01-01 00:00:01',103,'RocketTheme','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2019-08-13 10:27:11','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":null,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":null,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":null,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',1,4,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*','',''),(9,44,'Logo Editing','logo-editing','<p>There are two methods of changing the Cerulean logo: <strong>via the logo picker</strong> and <strong>manual</strong> change.</p>\r\n\r\n<h3>The Logo Picker</h3>\r\n\r\n<ol>\r\n  <li>Enable <strong>Logo</strong> and set to <strong>Custom</strong> at <em>Admin &rarr; Extensions &rarr; Templates Manager &rarr; rt_cerulean &rarr; Features.</em></li>\r\n  <li>Set <strong>Logo Picker</strong> to either <strong>RokGallery</strong> or <strong>MediaManager</strong>.</li>\r\n  <li><strong>Select</strong> your logo, <strong>Insert</strong> and <strong>Save</strong></li>\r\n</ol>\r\n\r\n<br />\r\n\r\n<div class=\"rt-image\">\r\n  <img src=\"images/rocketlauncher/logo-editing/logo-panel.jpg\" alt=\"Logo Panel\" />\r\n</div>\r\n\r\n<div class=\"clear largemarginbottom\">&nbsp;</div><br />\r\n\r\n<div class=\"rt-image\">\r\n  <img src=\"images/rocketlauncher/logo-editing/select-logo.jpg\" alt=\"Select Logo\" />\r\n</div>\r\n\r\n<div class=\"clear largemarginbottom\">&nbsp;</div><br />\r\n\r\n<h3>Manual Change</h3>\r\n\r\n<ol>\r\n  <li>Enable <strong>Logo</strong> and set <strong>Type</strong> to <strong>Cerulean</strong>.</li>\r\n  <li>Upload <strong>logo.png</strong> to the <br /><strong> /templates/rt_cerulean/images/logo/#style/</strong> directory</li>\r\n  <li>Clear your browser cache and refresh.</li>\r\n</ol>\r\n\r\n<div class=\"clear\"></div><br />\r\n\r\n<p>If you cannot see your new logo, ensure you have uploaded it to the right directory and the directory permissions are writeable. Enquire with your hosting provider.</p>\r\n\r\n<a target=\"_blank\" href=\"http://www.rockettheme.com/joomla-templates/cerulean\" class=\"readon\"><span>Download Sources Here</span></a>\r\n\r\n<div class=\"clear\"></div>\r\n','',1,8,'2018-01-01 00:00:01',103,'RocketTheme','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2019-08-13 10:27:11','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":null,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":null,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":null,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',1,3,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*','',''),(10,45,'Preset Styles','preset-styles','<p>The <strong>Style Settings</strong> panel in the Gantry based theme administration interface provides several options for configuring the main built in stylistic aspects of the template.</p>\r\n\r\n<div class=\"rt-image\">\r\n  <img src=\"images/rocketlauncher/styles/admin-style-panel.jpg\" alt=\"Style\" />\r\n</div>\r\n\r\n<br />\r\n\r\n<p>Gantry also provides the ability for you to create your own custom presets based on any parameter in the theme administrator. You should determine which parameters you wish to configure to be a part of the presets.</p>\r\n\r\n<div class=\"clear\"></div>\r\n\r\n<br />\r\n\r\n<h2>Assigning a Style</h2>\r\n\r\n<p>With Gantry, the ability to assign a certain style to an individual page has never been easier and/or more efficient. Just follow these simple steps:</p>\r\n\r\n<ul>\r\n  <li>Go to <strong>Extensions → Template Manager → rt_cerulean &rarr; Assignments &rarr; <em>*Menu Item*</em></strong></li>  \r\n  <li>Select your preset from <strong>Show Presets</strong>, configure and save.</li>\r\n</ul>\r\n\r\n<br />\r\n\r\n<p>After setting your defaults to the desired values, select the Menu Items button and choose the menu item you wish to modify the parameters for. You will then see a series of checkboxes on the left of all the supported parameters.</p>\r\n\r\n<p>Select the checkbox next to the parameter you wish to modify, it will then become active, and you can modify as you wish. Clicking “<strong>Save</strong>” in the toolbar will then save this configuration.</p>\r\n\r\n<a href=\"http://gantry-framework.org/documentation/joomla/configure/style\" class=\"readon largemargintop\"><span>Gantry Framework: Style Configuration</span></a>\r\n','',1,8,'2018-01-01 00:00:01',103,'RocketTheme','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2019-08-13 10:27:11','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":null,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":null,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":null,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',1,2,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*','',''),(11,46,'About Joomla!','about-joomla','<h3>What is Joomla?</h3>\r\n<p>Joomla is an award-winning content management system (CMS), which enables you to build Web sites and powerful online applications. Many aspects, including its ease-of-use and extensibility, have made Joomla the most popular Web site software available. Best of all, Joomla is an open source solution that is freely available to everyone.</p>\r\n\r\n<p>With millions of websites running on Joomla, the software is used by individuals, small &amp; medium-sized businesses, and large organizations worldwide to easily create &amp; build a variety of websites &amp; web-enabled applications.</p>\r\n\r\n<h3>What Joomla! can do?</h3>\r\n<p>Joomla is used all over the world to power Web sites of all shapes and sizes. For example:</p>\r\n<ul>\r\n  <li>Corporate Web sites or portals</li>\r\n  <li>Corporate intranets and extranets</li>\r\n  <li>Online magazines, newspapers, and publications</li>\r\n  <li>E-commerce and online reservations</li>\r\n  <li>Government applications</li>\r\n  <li>Small business Web sites</li>\r\n  <li>Non-profit and organizational Web sites</li>\r\n  <li>Community-based portals</li>\r\n  <li>School and church Web sites</li>\r\n  <li>Personal or family homepages</li>\r\n</ul>\r\n\r\n<br />\r\n\r\n<h3>Site and Administrator</h3>\r\n<p>Your site actually has two separate sites. The site (also called the front end) is what visitors to your site will see. The administrator (also called the back end) is only used by people managing your site. You can access the administrator by clicking the \"Site Administrator\" link on the \"This Site\" menu or by adding /administrator to the end of you domain name.</p>\r\n<p>Log in to the administrator using the username and password created during the installation of Joomla.</p>\r\n\r\n<h3>Learn More</h3>\r\n<p>There is much more to learn about how to use Joomla! to create the web site you envision. You can learn much more at the <a href=\"http://docs.joomla.org\" target=\"_blank\">Joomla! documentation site</a> and on the<a href=\"http://forum.joomla.org\" target=\"_blank\"> Joomla! forums</a>.</p>\r\n\r\n<a href=\"http://www.joomla.org/\" target=\"_blank\" class=\"readon\"><span>Visit Joomla!</span></a>','',1,8,'2018-01-01 00:00:01',103,'RocketTheme','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2019-08-13 10:27:11','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":null,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":null,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":null,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"rt_cerulean:ceruleanblog\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',1,1,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*','',''),(12,48,'Donec Nunc Magna Posuere','donec-nunc-magna-posuere','<p>Lorem ipsum dolor sit amet, consecetur adipiscing elit. Etiam dapibus, tellus ac ornare aliquam, massa diam tristique urna, id faucibus lectus erat ut pede.</p>\r\n\r\n<p>Maecenas varius neque nec libero laoreet faucibus. Phasellus sodales, lectus sed vulputate rutrum, ipsum nulla lacinia magna, sed imperdiet ligula nisi eu ipsum. Donec nunc magna, posuere eget, aliquam in, vulputate in, lacus.</p>\r\n\r\n','\r\n\r\n<p>In erat. Pellentesque erat. Mauris vehicula vestibulum justo. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nulla pulvinar est. Integer urna. Pellentesque pulvinar dui a magna. Nulla facilisi.</p>\r\n\r\n<p>Proin imperdiet. Aliquam ornare, metus vitae gravida dignissim, nisi nisl ultricies felis, ac tristique enim pede eget elit. Integer non erat nec turpis sollicitudin malesuada. Vestibulum dapibus. Nulla facilisi. Nulla iaculis, leo sit amet mollis luctus, sapien eros consecetur dolor, eu faucibus elit nibh eu nibh. Maecenas lacus pede, lobortis non, rhoncus id, tristique a, mi. Cras auctor libero vitae sem vestibulum euismod. Nunc fermentum.</p>',1,9,'2018-01-01 00:00:01',103,'RocketTheme','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2019-08-13 10:27:11','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":null,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":null,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":null,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',1,7,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*','',''),(13,49,'Lorem Ipsum Dolor Sit Amet','lorem-ipsum-dolor-sit-amet','<p>Lorem ipsum dolor sit amet, consecetur adipiscing elit. Etiam dapibus, tellus ac ornare aliquam, massa diam tristique urna, id faucibus lectus erat ut pede.</p>\r\n\r\n<p>Maecenas varius neque nec libero laoreet faucibus. Phasellus sodales, lectus sed vulputate rutrum, ipsum nulla lacinia magna, sed imperdiet ligula nisi eu ipsum. Donec nunc magna, posuere eget, aliquam in, vulputate in, lacus.</p>\r\n\r\n','\r\n\r\n<p>In erat. Pellentesque erat. Mauris vehicula vestibulum justo. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nulla pulvinar est. Integer urna. Pellentesque pulvinar dui a magna. Nulla facilisi.</p>\r\n\r\n<p>Proin imperdiet. Aliquam ornare, metus vitae gravida dignissim, nisi nisl ultricies felis, ac tristique enim pede eget elit. Integer non erat nec turpis sollicitudin malesuada. Vestibulum dapibus. Nulla facilisi. Nulla iaculis, leo sit amet mollis luctus, sapien eros consecetur dolor, eu faucibus elit nibh eu nibh. Maecenas lacus pede, lobortis non, rhoncus id, tristique a, mi. Cras auctor libero vitae sem vestibulum euismod. Nunc fermentum.</p>',1,9,'2018-01-01 00:00:01',103,'RocketTheme','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2019-08-13 10:27:11','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":null,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":null,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":null,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',1,6,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*','',''),(14,50,'Maecenas Varius Neque Nec','maecenas-varius-neque-nec','<p>Lorem ipsum dolor sit amet, consecetur adipiscing elit. Etiam dapibus, tellus ac ornare aliquam, massa diam tristique urna, id faucibus lectus erat ut pede.</p>\r\n\r\n<p>Maecenas varius neque nec libero laoreet faucibus. Phasellus sodales, lectus sed vulputate rutrum, ipsum nulla lacinia magna, sed imperdiet ligula nisi eu ipsum. Donec nunc magna, posuere eget, aliquam in, vulputate in, lacus.</p>\r\n\r\n','\r\n\r\n<p>In erat. Pellentesque erat. Mauris vehicula vestibulum justo. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nulla pulvinar est. Integer urna. Pellentesque pulvinar dui a magna. Nulla facilisi.</p>\r\n\r\n<p>Proin imperdiet. Aliquam ornare, metus vitae gravida dignissim, nisi nisl ultricies felis, ac tristique enim pede eget elit. Integer non erat nec turpis sollicitudin malesuada. Vestibulum dapibus. Nulla facilisi. Nulla iaculis, leo sit amet mollis luctus, sapien eros consecetur dolor, eu faucibus elit nibh eu nibh. Maecenas lacus pede, lobortis non, rhoncus id, tristique a, mi. Cras auctor libero vitae sem vestibulum euismod. Nunc fermentum.</p>',1,9,'2018-01-01 00:00:01',103,'RocketTheme','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2019-08-13 10:27:11','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":null,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":null,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":null,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',1,5,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*','',''),(15,51,'Massa Diam Tristique Urna','massa-diam-tristique-urna','<p>Lorem ipsum dolor sit amet, consecetur adipiscing elit. Etiam dapibus, tellus ac ornare aliquam, massa diam tristique urna, id faucibus lectus erat ut pede.</p>\r\n\r\n<p>Maecenas varius neque nec libero laoreet faucibus. Phasellus sodales, lectus sed vulputate rutrum, ipsum nulla lacinia magna, sed imperdiet ligula nisi eu ipsum. Donec nunc magna, posuere eget, aliquam in, vulputate in, lacus.</p>\r\n\r\n','\r\n\r\n<p>In erat. Pellentesque erat. Mauris vehicula vestibulum justo. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nulla pulvinar est. Integer urna. Pellentesque pulvinar dui a magna. Nulla facilisi.</p>\r\n\r\n<p>Proin imperdiet. Aliquam ornare, metus vitae gravida dignissim, nisi nisl ultricies felis, ac tristique enim pede eget elit. Integer non erat nec turpis sollicitudin malesuada. Vestibulum dapibus. Nulla facilisi. Nulla iaculis, leo sit amet mollis luctus, sapien eros consecetur dolor, eu faucibus elit nibh eu nibh. Maecenas lacus pede, lobortis non, rhoncus id, tristique a, mi. Cras auctor libero vitae sem vestibulum euismod. Nunc fermentum.</p>',1,9,'2018-01-01 00:00:01',103,'RocketTheme','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2019-08-13 10:27:11','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":null,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":null,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":null,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',1,4,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*','',''),(16,52,'Nec Libero Laoreet Faucibus','nec-libero-laoreet-faucibus','<p>Lorem ipsum dolor sit amet, consecetur adipiscing elit. Etiam dapibus, tellus ac ornare aliquam, massa diam tristique urna, id faucibus lectus erat ut pede.</p>\r\n\r\n<p>Maecenas varius neque nec libero laoreet faucibus. Phasellus sodales, lectus sed vulputate rutrum, ipsum nulla lacinia magna, sed imperdiet ligula nisi eu ipsum. Donec nunc magna, posuere eget, aliquam in, vulputate in, lacus.</p>\r\n\r\n','\r\n\r\n<p>In erat. Pellentesque erat. Mauris vehicula vestibulum justo. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nulla pulvinar est. Integer urna. Pellentesque pulvinar dui a magna. Nulla facilisi.</p>\r\n\r\n<p>Proin imperdiet. Aliquam ornare, metus vitae gravida dignissim, nisi nisl ultricies felis, ac tristique enim pede eget elit. Integer non erat nec turpis sollicitudin malesuada. Vestibulum dapibus. Nulla facilisi. Nulla iaculis, leo sit amet mollis luctus, sapien eros consecetur dolor, eu faucibus elit nibh eu nibh. Maecenas lacus pede, lobortis non, rhoncus id, tristique a, mi. Cras auctor libero vitae sem vestibulum euismod. Nunc fermentum.</p>',1,9,'2018-01-01 00:00:01',103,'RocketTheme','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2019-08-13 10:27:11','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":null,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":null,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":null,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',1,3,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*','',''),(17,53,'Sapien Eros Consetur Dolor','sapien-eros-consetur-dolor','<p>Lorem ipsum dolor sit amet, consecetur adipiscing elit. Etiam dapibus, tellus ac ornare aliquam, massa diam tristique urna, id faucibus lectus erat ut pede.</p>\r\n\r\n<p>Maecenas varius neque nec libero laoreet faucibus. Phasellus sodales, lectus sed vulputate rutrum, ipsum nulla lacinia magna, sed imperdiet ligula nisi eu ipsum. Donec nunc magna, posuere eget, aliquam in, vulputate in, lacus.</p>\r\n\r\n','\r\n\r\n<p>In erat. Pellentesque erat. Mauris vehicula vestibulum justo. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nulla pulvinar est. Integer urna. Pellentesque pulvinar dui a magna. Nulla facilisi.</p>\r\n\r\n<p>Proin imperdiet. Aliquam ornare, metus vitae gravida dignissim, nisi nisl ultricies felis, ac tristique enim pede eget elit. Integer non erat nec turpis sollicitudin malesuada. Vestibulum dapibus. Nulla facilisi. Nulla iaculis, leo sit amet mollis luctus, sapien eros consecetur dolor, eu faucibus elit nibh eu nibh. Maecenas lacus pede, lobortis non, rhoncus id, tristique a, mi. Cras auctor libero vitae sem vestibulum euismod. Nunc fermentum.</p>',1,9,'2018-01-01 00:00:01',103,'RocketTheme','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2019-08-13 10:27:11','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":null,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":null,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":null,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',1,2,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*','',''),(18,54,'Sed Imperdiet Ligula Nisi','sed-imperdiet-ligula-nisi','<p>Lorem ipsum dolor sit amet, consecetur adipiscing elit. Etiam dapibus, tellus ac ornare aliquam, massa diam tristique urna, id faucibus lectus erat ut pede.</p>\r\n\r\n<p>Maecenas varius neque nec libero laoreet faucibus. Phasellus sodales, lectus sed vulputate rutrum, ipsum nulla lacinia magna, sed imperdiet ligula nisi eu ipsum. Donec nunc magna, posuere eget, aliquam in, vulputate in, lacus.</p>\r\n\r\n','\r\n\r\n<p>In erat. Pellentesque erat. Mauris vehicula vestibulum justo. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nulla pulvinar est. Integer urna. Pellentesque pulvinar dui a magna. Nulla facilisi.</p>\r\n\r\n<p>Proin imperdiet. Aliquam ornare, metus vitae gravida dignissim, nisi nisl ultricies felis, ac tristique enim pede eget elit. Integer non erat nec turpis sollicitudin malesuada. Vestibulum dapibus. Nulla facilisi. Nulla iaculis, leo sit amet mollis luctus, sapien eros consecetur dolor, eu faucibus elit nibh eu nibh. Maecenas lacus pede, lobortis non, rhoncus id, tristique a, mi. Cras auctor libero vitae sem vestibulum euismod. Nunc fermentum.</p>',1,9,'2018-01-01 00:00:01',103,'RocketTheme','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2019-08-13 10:27:11','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":null,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":null,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":null,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',1,1,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*','',''),(19,55,'Vestibulum Dapibus Est Nulla','vestibulum-dapibus-est-nulla','<p>Lorem ipsum dolor sit amet, consecetur adipiscing elit. Etiam dapibus, tellus ac ornare aliquam, massa diam tristique urna, id faucibus lectus erat ut pede.</p>\r\n\r\n<p>Maecenas varius neque nec libero laoreet faucibus. Phasellus sodales, lectus sed vulputate rutrum, ipsum nulla lacinia magna, sed imperdiet ligula nisi eu ipsum. Donec nunc magna, posuere eget, aliquam in, vulputate in, lacus.</p>\r\n\r\n','\r\n\r\n<p>In erat. Pellentesque erat. Mauris vehicula vestibulum justo. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nulla pulvinar est. Integer urna. Pellentesque pulvinar dui a magna. Nulla facilisi.</p>\r\n\r\n<p>Proin imperdiet. Aliquam ornare, metus vitae gravida dignissim, nisi nisl ultricies felis, ac tristique enim pede eget elit. Integer non erat nec turpis sollicitudin malesuada. Vestibulum dapibus. Nulla facilisi. Nulla iaculis, leo sit amet mollis luctus, sapien eros consecetur dolor, eu faucibus elit nibh eu nibh. Maecenas lacus pede, lobortis non, rhoncus id, tristique a, mi. Cras auctor libero vitae sem vestibulum euismod. Nunc fermentum.</p>',1,9,'2018-01-01 00:00:01',103,'RocketTheme','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2019-08-13 10:27:11','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":null,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":null,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":null,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',1,0,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*','',''),(20,63,'Top News of the Week.','top-news-of-the-week','<div class=\"angled\">\r\n    <img src=\"images/rocketlauncher/frontpage/featured/img1.jpg\" alt=\"image\">\r\n</div>\r\n\r\n<div class=\"smallmarginbottom submedmargintop rt-relative\">\r\n    <span class=\"rt-teaser\">Issue 11/2012</span>\r\n    <div class=\"rt-floatright rt-teaser\">\r\n    	<a href=\"#\" class=\"button rt-btn-condensed\">Videos</a>\r\n		<a href=\"#\" class=\"button rt-btn-condensed\">Blog</a>\r\n	</div>\r\n</div>\r\n<div class=\"clear\"></div>\r\n\r\n<p class=\"hidden-large\"><strong>Cerulean</strong>, the December 2012 template release, is a beautifully constructed template with a three-dimensional styled design to add <strong>depth</strong> to content.</p>\r\n<p class=\"visible-large\"><strong>Cerulean</strong> is a beautifully constructed template with a three-dimensional styled design to add <strong>depth</strong> to your content.</p>\r\n<a href=\"index.php?option=com_content&amp;view=article&amp;id=1&amp;Itemid=102\" class=\"readon\">Read More</a>','',1,16,'2018-01-01 00:00:01',103,'RocketTheme','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2019-08-13 10:27:11','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":null,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":null,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":null,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"1\",\"show_modify_date\":\"1\",\"show_publish_date\":\"1\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',1,1,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',1,'*','',''),(21,65,'RokSprocket','roksprocket','<h4 class=\"nomargintop medmarginbottom\">Content Extension</h4>\n<p class=\"rt-image\">\n<img alt=\"image\" src=\"images/rocketlauncher/frontpage/roksprocket-tabs/img1.jpg\" />\n</p>    \n<p><span class=\"visible-tablet\">A powerful <strong>content</strong> extension with mosaic, lists, headlines, tabs and <strong>features</strong> modes.</span><span class=\"hidden-tablet\">A powerful <strong>content</strong> extension with mosaic, lists, headlines, tabs and <strong>features</strong> modes and <strong>integrated</strong> template styling.</span></p>','',1,14,'2018-01-01 00:00:01',103,'RocketTheme','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2019-08-13 10:27:11','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":null,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":null,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":null,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',1,2,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*','',''),(22,66,'Menu System','menu-system','<h4 class=\"nomargintop medmarginbottom\">Two Menu Options</h4>\r\n<p class=\"rt-image\">\r\n<img alt=\"image\" src=\"images/rocketlauncher/frontpage/roksprocket-tabs/img2.jpg\" />\r\n</p>    \r\n<p><span class=\"visible-tablet\">Choose between a CSS driven <strong>dropdown</strong> menu with advanced options or a static <strong>splitmenu</strong>.</span><span class=\"hidden-tablet\">Choose between a CSS driven <strong>dropdown</strong> menu with advanced options, such as inline module positions, or a static <strong>splitmenu</strong>.</span></p>','',1,14,'2018-01-01 00:00:01',103,'RocketTheme','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2019-08-13 10:27:11','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":null,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":null,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":null,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',1,1,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*','',''),(23,67,'Styling','styling','<h4 class=\"nomargintop medmarginbottom\">Presets and Suffixes</h4>\r\n<p class=\"rt-image\">\r\n<img alt=\"image\" src=\"images/rocketlauncher/frontpage/roksprocket-tabs/img3.jpg\" />\r\n</p>    \r\n<p><span class=\"visible-tablet\">Select from a wide array of <strong>preset</strong> style variations and module class <strong>suffixes</strong> to individualize your site.</span><span class=\"hidden-tablet\">Select from a wide array of <strong>preset</strong> style variations and configure your layout with module class <strong>suffixes</strong> to individualize your site.</span></p>','',1,14,'2018-01-01 00:00:01',103,'RocketTheme','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2019-08-13 10:27:11','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":null,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":null,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":null,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',1,0,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*','',''),(24,69,'Custom Presets','custom-presets','<p>Create custom presets to easily save any configured style combination</p>','',1,15,'2018-01-01 00:00:01',103,'RocketTheme','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2019-08-13 10:27:11','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":null,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":null,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":null,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',1,2,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*','',''),(25,70,'Per Menu Support','per-menu-support','<p>Configure Gantry settings for individual menu items for complete control</p>','',1,15,'2018-01-01 00:00:01',103,'RocketTheme','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2019-08-13 10:27:11','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":null,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":null,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":null,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',1,1,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*','',''),(26,71,'and Many More...','and-many-more','<p>Gantry is packed full of a wide portfolio of features and functions</p>','',1,15,'2018-01-01 00:00:01',103,'RocketTheme','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2019-08-13 10:27:11','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":null,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":null,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":null,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',1,0,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',0,'*','',''),(27,74,'Popular Features.','popular-features','[module-156]','',1,16,'2018-01-01 00:00:01',103,'RocketTheme','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2019-08-13 10:27:11','0000-00-00 00:00:00','{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}','{\"urla\":null,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":null,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":null,\"urlctext\":\"\",\"targetc\":\"\"}','{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"1\",\"show_modify_date\":\"1\",\"show_publish_date\":\"1\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}',1,2,'','',1,0,'{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}',1,'*','','');

INSERT IGNORE INTO `#__content_frontpage` (`content_id`, `ordering`) VALUES (20,2),(27,1);

INSERT IGNORE INTO `#__extensions` (`extension_id`, `package_id`, `name`, `type`, `element`, `folder`, `client_id`, `enabled`, `access`, `protected`, `manifest_cache`, `params`, `custom_data`, `system_data`, `checked_out`, `checked_out_time`, `ordering`, `state`) VALUES (1,0,'com_mailto','component','com_mailto','',0,1,1,1,'{\"name\":\"com_mailto\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_MAILTO_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mailto\"}','','','',0,'0000-00-00 00:00:00',0,0),(2,0,'com_wrapper','component','com_wrapper','',0,1,1,1,'{\"name\":\"com_wrapper\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\\n\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_WRAPPER_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"wrapper\"}','','','',0,'0000-00-00 00:00:00',0,0),(3,0,'com_admin','component','com_admin','',1,1,1,1,'{\"name\":\"com_admin\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_ADMIN_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(4,0,'com_banners','component','com_banners','',1,1,1,0,'{\"name\":\"com_banners\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_BANNERS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"banners\"}','{\"purchase_type\":\"3\",\"track_impressions\":\"0\",\"track_clicks\":\"0\",\"metakey_prefix\":\"\"}','','',0,'0000-00-00 00:00:00',0,0),(5,0,'com_cache','component','com_cache','',1,1,1,1,'{\"name\":\"com_cache\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_CACHE_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(6,0,'com_categories','component','com_categories','',1,1,1,1,'{\"name\":\"com_categories\",\"type\":\"component\",\"creationDate\":\"December 2007\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_CATEGORIES_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(7,0,'com_checkin','component','com_checkin','',1,1,1,1,'{\"name\":\"com_checkin\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_CHECKIN_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(8,0,'com_contact','component','com_contact','',1,1,1,0,'{\"name\":\"com_contact\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_CONTACT_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"contact\"}','{\"show_contact_category\":\"hide\",\"show_contact_list\":\"0\",\"presentation_style\":\"sliders\",\"show_name\":\"1\",\"show_position\":\"1\",\"show_email\":\"0\",\"show_street_address\":\"1\",\"show_suburb\":\"1\",\"show_state\":\"1\",\"show_postcode\":\"1\",\"show_country\":\"1\",\"show_telephone\":\"1\",\"show_mobile\":\"1\",\"show_fax\":\"1\",\"show_webpage\":\"1\",\"show_misc\":\"1\",\"show_image\":\"1\",\"image\":\"\",\"allow_vcard\":\"0\",\"show_articles\":\"0\",\"show_profile\":\"0\",\"show_links\":\"0\",\"linka_name\":\"\",\"linkb_name\":\"\",\"linkc_name\":\"\",\"linkd_name\":\"\",\"linke_name\":\"\",\"contact_icons\":\"0\",\"icon_address\":\"\",\"icon_email\":\"\",\"icon_telephone\":\"\",\"icon_mobile\":\"\",\"icon_fax\":\"\",\"icon_misc\":\"\",\"show_headings\":\"1\",\"show_position_headings\":\"1\",\"show_email_headings\":\"0\",\"show_telephone_headings\":\"1\",\"show_mobile_headings\":\"0\",\"show_fax_headings\":\"0\",\"allow_vcard_headings\":\"0\",\"show_suburb_headings\":\"1\",\"show_state_headings\":\"1\",\"show_country_headings\":\"1\",\"show_email_form\":\"1\",\"show_email_copy\":\"1\",\"banned_email\":\"\",\"banned_subject\":\"\",\"banned_text\":\"\",\"validate_session\":\"1\",\"custom_reply\":\"0\",\"redirect\":\"\",\"show_category_crumb\":\"0\",\"metakey\":\"\",\"metadesc\":\"\",\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}','','',0,'0000-00-00 00:00:00',0,0),(9,0,'com_cpanel','component','com_cpanel','',1,1,1,1,'{\"name\":\"com_cpanel\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_CPANEL_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(10,0,'com_installer','component','com_installer','',1,1,1,1,'{\"name\":\"com_installer\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_INSTALLER_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(11,0,'com_languages','component','com_languages','',1,1,1,1,'{\"name\":\"com_languages\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_LANGUAGES_XML_DESCRIPTION\",\"group\":\"\"}','{\"administrator\":\"en-GB\",\"site\":\"en-GB\"}','','',0,'0000-00-00 00:00:00',0,0),(12,0,'com_login','component','com_login','',1,1,1,1,'{\"name\":\"com_login\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_LOGIN_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(13,0,'com_media','component','com_media','',1,1,0,1,'{\"name\":\"com_media\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_MEDIA_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"media\"}','{\"upload_extensions\":\"bmp,csv,doc,gif,ico,jpg,jpeg,odg,odp,ods,odt,pdf,png,ppt,swf,txt,xcf,xls,BMP,CSV,DOC,GIF,ICO,JPG,JPEG,ODG,ODP,ODS,ODT,PDF,PNG,PPT,SWF,TXT,XCF,XLS\",\"upload_maxsize\":\"10\",\"file_path\":\"images\",\"image_path\":\"images\",\"restrict_uploads\":\"1\",\"allowed_media_usergroup\":\"3\",\"check_mime\":\"1\",\"image_extensions\":\"bmp,gif,jpg,png\",\"ignore_extensions\":\"\",\"upload_mime\":\"image\\/jpeg,image\\/gif,image\\/png,image\\/bmp,application\\/x-shockwave-flash,application\\/msword,application\\/excel,application\\/pdf,application\\/powerpoint,text\\/plain,application\\/x-zip\",\"upload_mime_illegal\":\"text\\/html\",\"enable_flash\":\"0\"}','','',0,'0000-00-00 00:00:00',0,0),(14,0,'com_menus','component','com_menus','',1,1,1,1,'{\"name\":\"com_menus\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_MENUS_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(15,0,'com_messages','component','com_messages','',1,1,1,1,'{\"name\":\"com_messages\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_MESSAGES_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(16,0,'com_modules','component','com_modules','',1,1,1,1,'{\"name\":\"com_modules\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_MODULES_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(17,0,'com_newsfeeds','component','com_newsfeeds','',1,1,1,0,'{\"name\":\"com_newsfeeds\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_NEWSFEEDS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"newsfeeds\"}','{\"show_feed_image\":\"1\",\"show_feed_description\":\"1\",\"show_item_description\":\"1\",\"feed_word_count\":\"0\",\"show_headings\":\"1\",\"show_name\":\"1\",\"show_articles\":\"0\",\"show_link\":\"1\",\"show_description\":\"1\",\"show_description_image\":\"1\",\"display_num\":\"\",\"show_pagination_limit\":\"1\",\"show_pagination\":\"1\",\"show_pagination_results\":\"1\",\"show_cat_items\":\"1\"}','','',0,'0000-00-00 00:00:00',0,0),(18,0,'com_plugins','component','com_plugins','',1,1,1,1,'{\"name\":\"com_plugins\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_PLUGINS_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(19,0,'com_search','component','com_search','',1,1,1,0,'{\"name\":\"com_search\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_SEARCH_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"search\"}','{\"enabled\":\"0\",\"show_date\":\"1\"}','','',0,'0000-00-00 00:00:00',0,0),(20,0,'com_templates','component','com_templates','',1,1,1,1,'{\"name\":\"com_templates\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_TEMPLATES_XML_DESCRIPTION\",\"group\":\"\"}','{\"template_positions_display\":\"0\",\"upload_limit\":\"2\",\"image_formats\":\"gif,bmp,jpg,jpeg,png\",\"source_formats\":\"txt,less,ini,xml,js,php,css,scss,yaml,twig\",\"font_formats\":\"woff,ttf,otf,eot,svg\",\"compressed_formats\":\"zip\"}','','',0,'0000-00-00 00:00:00',0,0),(22,0,'com_content','component','com_content','',1,1,0,1,'{\"name\":\"com_content\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_CONTENT_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"content\"}','{\"article_layout\":\"_:default\",\"show_title\":\"1\",\"link_titles\":\"1\",\"show_intro\":\"1\",\"show_category\":\"0\",\"link_category\":\"1\",\"show_parent_category\":\"0\",\"link_parent_category\":\"0\",\"show_author\":\"0\",\"link_author\":\"0\",\"show_create_date\":\"0\",\"show_modify_date\":\"0\",\"show_publish_date\":\"0\",\"show_item_navigation\":\"0\",\"show_vote\":\"0\",\"show_readmore\":\"1\",\"show_readmore_title\":\"0\",\"readmore_limit\":\"100\",\"show_icons\":\"0\",\"show_print_icon\":\"0\",\"show_email_icon\":\"0\",\"show_hits\":\"0\",\"show_noauth\":\"0\",\"urls_position\":\"0\",\"show_publishing_options\":\"1\",\"show_article_options\":\"1\",\"show_urls_images_frontend\":\"0\",\"show_urls_images_backend\":\"1\",\"targeta\":0,\"targetb\":0,\"targetc\":0,\"float_intro\":\"left\",\"float_fulltext\":\"left\",\"category_layout\":\"_:blog\",\"show_category_title\":\"0\",\"show_description\":\"0\",\"show_description_image\":\"0\",\"maxLevel\":\"1\",\"show_empty_categories\":\"0\",\"show_no_articles\":\"1\",\"show_subcat_desc\":\"1\",\"show_cat_num_articles\":\"0\",\"show_base_description\":\"1\",\"maxLevelcat\":\"-1\",\"show_empty_categories_cat\":\"0\",\"show_subcat_desc_cat\":\"1\",\"show_cat_num_articles_cat\":\"1\",\"num_leading_articles\":\"0\",\"num_intro_articles\":\"4\",\"num_columns\":\"1\",\"num_links\":\"4\",\"multi_column_order\":\"0\",\"show_subcategory_content\":\"0\",\"show_pagination_limit\":\"1\",\"filter_field\":\"hide\",\"show_headings\":\"1\",\"list_show_date\":\"0\",\"date_format\":\"\",\"list_show_hits\":\"1\",\"list_show_author\":\"1\",\"orderby_pri\":\"order\",\"orderby_sec\":\"rdate\",\"order_date\":\"published\",\"show_pagination\":\"2\",\"show_pagination_results\":\"1\",\"show_feed_link\":\"1\",\"feed_summary\":\"0\",\"feed_show_readmore\":\"0\"}','','',0,'0000-00-00 00:00:00',0,0),(23,0,'com_config','component','com_config','',1,1,0,1,'{\"name\":\"com_config\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_CONFIG_XML_DESCRIPTION\",\"group\":\"\"}','{\"filters\":{\"1\":{\"filter_type\":\"NH\",\"filter_tags\":\"\",\"filter_attributes\":\"\"},\"6\":{\"filter_type\":\"BL\",\"filter_tags\":\"\",\"filter_attributes\":\"\"},\"7\":{\"filter_type\":\"NONE\",\"filter_tags\":\"\",\"filter_attributes\":\"\"},\"2\":{\"filter_type\":\"NH\",\"filter_tags\":\"\",\"filter_attributes\":\"\"},\"3\":{\"filter_type\":\"BL\",\"filter_tags\":\"\",\"filter_attributes\":\"\"},\"4\":{\"filter_type\":\"BL\",\"filter_tags\":\"\",\"filter_attributes\":\"\"},\"5\":{\"filter_type\":\"BL\",\"filter_tags\":\"\",\"filter_attributes\":\"\"},\"8\":{\"filter_type\":\"NONE\",\"filter_tags\":\"\",\"filter_attributes\":\"\"}}}','','',0,'0000-00-00 00:00:00',0,0),(24,0,'com_redirect','component','com_redirect','',1,1,0,1,'{\"name\":\"com_redirect\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_REDIRECT_XML_DESCRIPTION\",\"group\":\"\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(25,0,'com_users','component','com_users','',1,1,0,1,'{\"name\":\"com_users\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_USERS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"users\"}','{\"allowUserRegistration\":\"1\",\"new_usertype\":\"2\",\"useractivation\":\"1\",\"frontend_userparams\":\"1\",\"mailSubjectPrefix\":\"\",\"mailBodySuffix\":\"\"}','','',0,'0000-00-00 00:00:00',0,0),(27,0,'com_finder','component','com_finder','',1,1,0,0,'{\"name\":\"com_finder\",\"type\":\"component\",\"creationDate\":\"August 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_FINDER_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"finder\"}','{\"show_description\":\"1\",\"description_length\":255,\"allow_empty_query\":\"0\",\"show_url\":\"1\",\"show_advanced\":\"1\",\"expand_advanced\":\"0\",\"show_date_filters\":\"0\",\"highlight_terms\":\"1\",\"opensearch_name\":\"\",\"opensearch_description\":\"\",\"batch_size\":\"50\",\"memory_table_limit\":30000,\"title_multiplier\":\"1.7\",\"text_multiplier\":\"0.7\",\"meta_multiplier\":\"1.2\",\"path_multiplier\":\"2.0\",\"misc_multiplier\":\"0.3\",\"stemmer\":\"snowball\"}','','',0,'0000-00-00 00:00:00',0,0),(28,0,'com_joomlaupdate','component','com_joomlaupdate','',1,1,0,1,'{\"name\":\"com_joomlaupdate\",\"type\":\"component\",\"creationDate\":\"February 2012\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.6.2\",\"description\":\"COM_JOOMLAUPDATE_XML_DESCRIPTION\",\"group\":\"\"}','{\"updatesource\":\"sts\",\"customurl\":\"\"}','','',0,'0000-00-00 00:00:00',0,0),(29,0,'com_tags','component','com_tags','',1,1,1,1,'{\"name\":\"com_tags\",\"type\":\"component\",\"creationDate\":\"December 2013\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.1.0\",\"description\":\"COM_TAGS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"tags\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(30,0,'com_contenthistory','component','com_contenthistory','',1,1,1,0,'{\"name\":\"com_contenthistory\",\"type\":\"component\",\"creationDate\":\"May 2013\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.2.0\",\"description\":\"COM_CONTENTHISTORY_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"contenthistory\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(31,0,'com_ajax','component','com_ajax','',1,1,1,1,'{\"name\":\"com_ajax\",\"type\":\"component\",\"creationDate\":\"August 2013\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.2.0\",\"description\":\"COM_AJAX_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"ajax\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(32,0,'com_postinstall','component','com_postinstall','',1,1,1,1,'{\"name\":\"com_postinstall\",\"type\":\"component\",\"creationDate\":\"September 2013\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.2.0\",\"description\":\"COM_POSTINSTALL_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(33,0,'com_fields','component','com_fields','',1,1,1,0,'{\"name\":\"com_fields\",\"type\":\"component\",\"creationDate\":\"March 2016\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.7.0\",\"description\":\"COM_FIELDS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"fields\"}','','','',0,'0000-00-00 00:00:00',0,0),(34,0,'com_associations','component','com_associations','',1,1,1,0,'{\"name\":\"com_associations\",\"type\":\"component\",\"creationDate\":\"January 2017\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.7.0\",\"description\":\"COM_ASSOCIATIONS_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(35,0,'com_privacy','component','com_privacy','',1,1,1,1,'{\"name\":\"com_privacy\",\"type\":\"component\",\"creationDate\":\"May 2018\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.9.0\",\"description\":\"COM_PRIVACY_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"privacy\"}','','','',0,'0000-00-00 00:00:00',0,0),(36,0,'com_actionlogs','component','com_actionlogs','',1,1,1,1,'{\"name\":\"com_actionlogs\",\"type\":\"component\",\"creationDate\":\"May 2018\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.9.0\",\"description\":\"COM_ACTIONLOGS_XML_DESCRIPTION\",\"group\":\"\"}','{\"ip_logging\":0,\"csv_delimiter\":\",\",\"loggable_extensions\":[\"com_banners\",\"com_cache\",\"com_categories\",\"com_checkin\",\"com_config\",\"com_contact\",\"com_content\",\"com_installer\",\"com_media\",\"com_menus\",\"com_messages\",\"com_modules\",\"com_newsfeeds\",\"com_plugins\",\"com_redirect\",\"com_tags\",\"com_templates\",\"com_users\"]}','','',0,'0000-00-00 00:00:00',0,0),(102,0,'LIB_PHPUTF8','library','phputf8','',0,1,1,1,'{\"name\":\"LIB_PHPUTF8\",\"type\":\"library\",\"creationDate\":\"2006\",\"author\":\"Harry Fuecks\",\"copyright\":\"Copyright various authors\",\"authorEmail\":\"hfuecks@gmail.com\",\"authorUrl\":\"http:\\/\\/sourceforge.net\\/projects\\/phputf8\",\"version\":\"0.5\",\"description\":\"LIB_PHPUTF8_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"phputf8\"}','','','',0,'0000-00-00 00:00:00',0,0),(103,0,'LIB_JOOMLA','library','joomla','',0,1,1,1,'{\"name\":\"LIB_JOOMLA\",\"type\":\"library\",\"creationDate\":\"2008\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"https:\\/\\/www.joomla.org\",\"version\":\"13.1\",\"description\":\"LIB_JOOMLA_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"joomla\"}','{\"mediaversion\":\"2c9bb94315362a4f19367d791a0618ce\"}','','',0,'0000-00-00 00:00:00',0,0),(104,0,'LIB_IDNA','library','idna_convert','',0,1,1,1,'{\"name\":\"LIB_IDNA\",\"type\":\"library\",\"creationDate\":\"2004\",\"author\":\"phlyLabs\",\"copyright\":\"2004-2011 phlyLabs Berlin, http:\\/\\/phlylabs.de\",\"authorEmail\":\"phlymail@phlylabs.de\",\"authorUrl\":\"http:\\/\\/phlylabs.de\",\"version\":\"0.8.0\",\"description\":\"LIB_IDNA_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"idna_convert\"}','','','',0,'0000-00-00 00:00:00',0,0),(105,0,'FOF','library','fof','',0,1,1,1,'{\"name\":\"FOF\",\"type\":\"library\",\"creationDate\":\"2015-04-22 13:15:32\",\"author\":\"Nicholas K. Dionysopoulos \\/ Akeeba Ltd\",\"copyright\":\"(C)2011-2015 Nicholas K. Dionysopoulos\",\"authorEmail\":\"nicholas@akeebabackup.com\",\"authorUrl\":\"https:\\/\\/www.akeebabackup.com\",\"version\":\"2.4.3\",\"description\":\"LIB_FOF_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"fof\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(106,0,'LIB_PHPASS','library','phpass','',0,1,1,1,'{\"name\":\"LIB_PHPASS\",\"type\":\"library\",\"creationDate\":\"2004-2006\",\"author\":\"Solar Designer\",\"copyright\":\"\",\"authorEmail\":\"solar@openwall.com\",\"authorUrl\":\"http:\\/\\/www.openwall.com\\/phpass\\/\",\"version\":\"0.3\",\"description\":\"LIB_PHPASS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"phpass\"}','','','',0,'0000-00-00 00:00:00',0,0),(200,0,'mod_articles_archive','module','mod_articles_archive','',0,1,1,0,'{\"name\":\"mod_articles_archive\",\"type\":\"module\",\"creationDate\":\"July 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_ARTICLES_ARCHIVE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_articles_archive\"}','','','',0,'0000-00-00 00:00:00',0,0),(201,0,'mod_articles_latest','module','mod_articles_latest','',0,1,1,0,'{\"name\":\"mod_articles_latest\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_LATEST_NEWS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_articles_latest\"}','','','',0,'0000-00-00 00:00:00',0,0),(202,0,'mod_articles_popular','module','mod_articles_popular','',0,1,1,0,'{\"name\":\"mod_articles_popular\",\"type\":\"module\",\"creationDate\":\"July 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_POPULAR_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_articles_popular\"}','','','',0,'0000-00-00 00:00:00',0,0),(203,0,'mod_banners','module','mod_banners','',0,1,1,0,'{\"name\":\"mod_banners\",\"type\":\"module\",\"creationDate\":\"July 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_BANNERS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_banners\"}','','','',0,'0000-00-00 00:00:00',0,0),(204,0,'mod_breadcrumbs','module','mod_breadcrumbs','',0,1,1,1,'{\"name\":\"mod_breadcrumbs\",\"type\":\"module\",\"creationDate\":\"July 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_BREADCRUMBS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_breadcrumbs\"}','','','',0,'0000-00-00 00:00:00',0,0),(205,0,'mod_custom','module','mod_custom','',0,1,1,1,'{\"name\":\"mod_custom\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_CUSTOM_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_custom\"}','','','',0,'0000-00-00 00:00:00',0,0),(206,0,'mod_feed','module','mod_feed','',0,1,1,0,'{\"name\":\"mod_feed\",\"type\":\"module\",\"creationDate\":\"July 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_FEED_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_feed\"}','','','',0,'0000-00-00 00:00:00',0,0),(207,0,'mod_footer','module','mod_footer','',0,1,1,0,'{\"name\":\"mod_footer\",\"type\":\"module\",\"creationDate\":\"July 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_FOOTER_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_footer\"}','','','',0,'0000-00-00 00:00:00',0,0),(208,0,'mod_login','module','mod_login','',0,1,1,1,'{\"name\":\"mod_login\",\"type\":\"module\",\"creationDate\":\"July 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_LOGIN_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_login\"}','','','',0,'0000-00-00 00:00:00',0,0),(209,0,'mod_menu','module','mod_menu','',0,1,1,1,'{\"name\":\"mod_menu\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_MENU_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_menu\"}','','','',0,'0000-00-00 00:00:00',0,0),(210,0,'mod_articles_news','module','mod_articles_news','',0,1,1,0,'{\"name\":\"mod_articles_news\",\"type\":\"module\",\"creationDate\":\"July 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_ARTICLES_NEWS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_articles_news\"}','','','',0,'0000-00-00 00:00:00',0,0),(211,0,'mod_random_image','module','mod_random_image','',0,1,1,0,'{\"name\":\"mod_random_image\",\"type\":\"module\",\"creationDate\":\"July 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_RANDOM_IMAGE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_random_image\"}','','','',0,'0000-00-00 00:00:00',0,0),(212,0,'mod_related_items','module','mod_related_items','',0,1,1,0,'{\"name\":\"mod_related_items\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_RELATED_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_related_items\"}','','','',0,'0000-00-00 00:00:00',0,0),(213,0,'mod_search','module','mod_search','',0,1,1,0,'{\"name\":\"mod_search\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_SEARCH_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_search\"}','','','',0,'0000-00-00 00:00:00',0,0),(214,0,'mod_stats','module','mod_stats','',0,1,1,0,'{\"name\":\"mod_stats\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_STATS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_stats\"}','','','',0,'0000-00-00 00:00:00',0,0),(215,0,'mod_syndicate','module','mod_syndicate','',0,1,1,1,'{\"name\":\"mod_syndicate\",\"type\":\"module\",\"creationDate\":\"May 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_SYNDICATE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_syndicate\"}','','','',0,'0000-00-00 00:00:00',0,0),(216,0,'mod_users_latest','module','mod_users_latest','',0,1,1,0,'{\"name\":\"mod_users_latest\",\"type\":\"module\",\"creationDate\":\"December 2009\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_USERS_LATEST_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_users_latest\"}','','','',0,'0000-00-00 00:00:00',0,0),(218,0,'mod_whosonline','module','mod_whosonline','',0,1,1,0,'{\"name\":\"mod_whosonline\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_WHOSONLINE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_whosonline\"}','','','',0,'0000-00-00 00:00:00',0,0),(219,0,'mod_wrapper','module','mod_wrapper','',0,1,1,0,'{\"name\":\"mod_wrapper\",\"type\":\"module\",\"creationDate\":\"October 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_WRAPPER_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_wrapper\"}','','','',0,'0000-00-00 00:00:00',0,0),(220,0,'mod_articles_category','module','mod_articles_category','',0,1,1,0,'{\"name\":\"mod_articles_category\",\"type\":\"module\",\"creationDate\":\"February 2010\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_ARTICLES_CATEGORY_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_articles_category\"}','','','',0,'0000-00-00 00:00:00',0,0),(221,0,'mod_articles_categories','module','mod_articles_categories','',0,1,1,0,'{\"name\":\"mod_articles_categories\",\"type\":\"module\",\"creationDate\":\"February 2010\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_ARTICLES_CATEGORIES_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_articles_categories\"}','','','',0,'0000-00-00 00:00:00',0,0),(222,0,'mod_languages','module','mod_languages','',0,1,1,1,'{\"name\":\"mod_languages\",\"type\":\"module\",\"creationDate\":\"February 2010\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.5.0\",\"description\":\"MOD_LANGUAGES_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_languages\"}','','','',0,'0000-00-00 00:00:00',0,0),(223,0,'mod_finder','module','mod_finder','',0,1,0,0,'{\"name\":\"mod_finder\",\"type\":\"module\",\"creationDate\":\"August 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_FINDER_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_finder\"}','','','',0,'0000-00-00 00:00:00',0,0),(300,0,'mod_custom','module','mod_custom','',1,1,1,1,'{\"name\":\"mod_custom\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_CUSTOM_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_custom\"}','','','',0,'0000-00-00 00:00:00',0,0),(301,0,'mod_feed','module','mod_feed','',1,1,1,0,'{\"name\":\"mod_feed\",\"type\":\"module\",\"creationDate\":\"July 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_FEED_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_feed\"}','','','',0,'0000-00-00 00:00:00',0,0),(302,0,'mod_latest','module','mod_latest','',1,1,1,0,'{\"name\":\"mod_latest\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_LATEST_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_latest\"}','','','',0,'0000-00-00 00:00:00',0,0),(303,0,'mod_logged','module','mod_logged','',1,1,1,0,'{\"name\":\"mod_logged\",\"type\":\"module\",\"creationDate\":\"January 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_LOGGED_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_logged\"}','','','',0,'0000-00-00 00:00:00',0,0),(304,0,'mod_login','module','mod_login','',1,1,1,1,'{\"name\":\"mod_login\",\"type\":\"module\",\"creationDate\":\"March 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_LOGIN_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_login\"}','','','',0,'0000-00-00 00:00:00',0,0),(305,0,'mod_menu','module','mod_menu','',1,1,1,0,'{\"name\":\"mod_menu\",\"type\":\"module\",\"creationDate\":\"March 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_MENU_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_menu\"}','','','',0,'0000-00-00 00:00:00',0,0),(307,0,'mod_popular','module','mod_popular','',1,1,1,0,'{\"name\":\"mod_popular\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_POPULAR_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_popular\"}','','','',0,'0000-00-00 00:00:00',0,0),(308,0,'mod_quickicon','module','mod_quickicon','',1,1,1,1,'{\"name\":\"mod_quickicon\",\"type\":\"module\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_QUICKICON_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_quickicon\"}','','','',0,'0000-00-00 00:00:00',0,0),(309,0,'mod_status','module','mod_status','',1,1,1,0,'{\"name\":\"mod_status\",\"type\":\"module\",\"creationDate\":\"February 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_STATUS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_status\"}','','','',0,'0000-00-00 00:00:00',0,0),(310,0,'mod_submenu','module','mod_submenu','',1,1,1,0,'{\"name\":\"mod_submenu\",\"type\":\"module\",\"creationDate\":\"February 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_SUBMENU_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_submenu\"}','','','',0,'0000-00-00 00:00:00',0,0),(311,0,'mod_title','module','mod_title','',1,1,1,0,'{\"name\":\"mod_title\",\"type\":\"module\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_TITLE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_title\"}','','','',0,'0000-00-00 00:00:00',0,0),(312,0,'mod_toolbar','module','mod_toolbar','',1,1,1,1,'{\"name\":\"mod_toolbar\",\"type\":\"module\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_TOOLBAR_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_toolbar\"}','','','',0,'0000-00-00 00:00:00',0,0),(313,0,'mod_multilangstatus','module','mod_multilangstatus','',1,1,1,0,'{\"name\":\"mod_multilangstatus\",\"type\":\"module\",\"creationDate\":\"September 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_MULTILANGSTATUS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_multilangstatus\"}','{\"cache\":\"0\"}','','',0,'0000-00-00 00:00:00',0,0),(314,0,'mod_version','module','mod_version','',1,1,1,0,'{\"name\":\"mod_version\",\"type\":\"module\",\"creationDate\":\"January 2012\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_VERSION_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_version\"}','{\"format\":\"short\",\"product\":\"1\",\"cache\":\"0\"}','','',0,'0000-00-00 00:00:00',0,0),(315,0,'mod_stats_admin','module','mod_stats_admin','',1,1,1,0,'{\"name\":\"mod_stats_admin\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_STATS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_stats_admin\"}','{\"serverinfo\":\"0\",\"siteinfo\":\"0\",\"counter\":\"0\",\"increase\":\"0\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}','','',0,'0000-00-00 00:00:00',0,0),(316,0,'mod_tags_popular','module','mod_tags_popular','',0,1,1,0,'{\"name\":\"mod_tags_popular\",\"type\":\"module\",\"creationDate\":\"January 2013\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.1.0\",\"description\":\"MOD_TAGS_POPULAR_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_tags_popular\"}','{\"maximum\":\"5\",\"timeframe\":\"alltime\",\"owncache\":\"1\"}','','',0,'0000-00-00 00:00:00',0,0),(317,0,'mod_tags_similar','module','mod_tags_similar','',0,1,1,0,'{\"name\":\"mod_tags_similar\",\"type\":\"module\",\"creationDate\":\"January 2013\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.1.0\",\"description\":\"MOD_TAGS_SIMILAR_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_tags_similar\"}','{\"maximum\":\"5\",\"matchtype\":\"any\",\"owncache\":\"1\"}','','',0,'0000-00-00 00:00:00',0,0),(318,0,'mod_sampledata','module','mod_sampledata','',1,1,1,0,'{\"name\":\"mod_sampledata\",\"type\":\"module\",\"creationDate\":\"July 2017\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.8.0\",\"description\":\"MOD_SAMPLEDATA_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_sampledata\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(319,0,'mod_latestactions','module','mod_latestactions','',1,1,1,0,'{\"name\":\"mod_latestactions\",\"type\":\"module\",\"creationDate\":\"May 2018\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.9.0\",\"description\":\"MOD_LATESTACTIONS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_latestactions\"}','{}','','',0,'1970-01-01 00:00:00',0,0),(320,0,'mod_privacy_dashboard','module','mod_privacy_dashboard','',1,1,1,0,'{\"name\":\"mod_privacy_dashboard\",\"type\":\"module\",\"creationDate\":\"June 2018\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.9.0\",\"description\":\"MOD_PRIVACY_DASHBOARD_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"mod_privacy_dashboard\"}','{}','','',0,'1970-01-01 00:00:00',0,0),(400,0,'plg_authentication_gmail','plugin','gmail','authentication',0,0,1,0,'{\"name\":\"plg_authentication_gmail\",\"type\":\"plugin\",\"creationDate\":\"February 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_GMAIL_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"gmail\"}','{\"applysuffix\":\"0\",\"suffix\":\"\",\"verifypeer\":\"1\",\"user_blacklist\":\"\"}','','',0,'0000-00-00 00:00:00',1,0),(401,0,'plg_authentication_joomla','plugin','joomla','authentication',0,1,1,1,'{\"name\":\"plg_authentication_joomla\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_AUTH_JOOMLA_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"joomla\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(402,0,'plg_authentication_ldap','plugin','ldap','authentication',0,0,1,0,'{\"name\":\"plg_authentication_ldap\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_LDAP_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"ldap\"}','{\"host\":\"\",\"port\":\"389\",\"use_ldapV3\":\"0\",\"negotiate_tls\":\"0\",\"no_referrals\":\"0\",\"auth_method\":\"bind\",\"base_dn\":\"\",\"search_string\":\"\",\"users_dn\":\"\",\"username\":\"admin\",\"password\":\"bobby7\",\"ldap_fullname\":\"fullName\",\"ldap_email\":\"mail\",\"ldap_uid\":\"uid\"}','','',0,'0000-00-00 00:00:00',3,0),(403,0,'plg_content_contact','plugin','contact','content',0,1,1,0,'{\"name\":\"plg_content_contact\",\"type\":\"plugin\",\"creationDate\":\"January 2014\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.2.2\",\"description\":\"PLG_CONTENT_CONTACT_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"contact\"}','','','',0,'0000-00-00 00:00:00',1,0),(404,0,'plg_content_emailcloak','plugin','emailcloak','content',0,1,1,0,'{\"name\":\"plg_content_emailcloak\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_CONTENT_EMAILCLOAK_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"emailcloak\"}','{\"mode\":\"1\"}','','',0,'0000-00-00 00:00:00',1,0),(406,0,'plg_content_loadmodule','plugin','loadmodule','content',0,1,1,0,'{\"name\":\"plg_content_loadmodule\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_LOADMODULE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"loadmodule\"}','{\"style\":\"xhtml\"}','','',0,'2011-09-18 15:22:50',0,0),(407,0,'plg_content_pagebreak','plugin','pagebreak','content',0,1,1,0,'{\"name\":\"plg_content_pagebreak\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_CONTENT_PAGEBREAK_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"pagebreak\"}','{\"title\":\"1\",\"multipage_toc\":\"1\",\"showall\":\"1\"}','','',0,'0000-00-00 00:00:00',4,0),(408,0,'plg_content_pagenavigation','plugin','pagenavigation','content',0,1,1,0,'{\"name\":\"plg_content_pagenavigation\",\"type\":\"plugin\",\"creationDate\":\"January 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_PAGENAVIGATION_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"pagenavigation\"}','{\"position\":\"1\"}','','',0,'0000-00-00 00:00:00',5,0),(409,0,'plg_content_vote','plugin','vote','content',0,1,1,0,'{\"name\":\"plg_content_vote\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_VOTE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"vote\"}','{}','','',0,'0000-00-00 00:00:00',6,0),(410,0,'plg_editors_codemirror','plugin','codemirror','editors',0,1,1,1,'{\"name\":\"plg_editors_codemirror\",\"type\":\"plugin\",\"creationDate\":\"28 March 2011\",\"author\":\"Marijn Haverbeke\",\"copyright\":\"Copyright (C) 2014 - 2017 by Marijn Haverbeke <marijnh@gmail.com> and others\",\"authorEmail\":\"marijnh@gmail.com\",\"authorUrl\":\"http:\\/\\/codemirror.net\\/\",\"version\":\"5.40.0\",\"description\":\"PLG_CODEMIRROR_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"codemirror\"}','{\"lineNumbers\":\"1\",\"lineWrapping\":\"1\",\"matchTags\":\"1\",\"matchBrackets\":\"1\",\"marker-gutter\":\"1\",\"autoCloseTags\":\"1\",\"autoCloseBrackets\":\"1\",\"autoFocus\":\"1\",\"theme\":\"default\",\"tabmode\":\"indent\"}','','',0,'0000-00-00 00:00:00',1,0),(411,0,'plg_editors_none','plugin','none','editors',0,1,1,1,'{\"name\":\"plg_editors_none\",\"type\":\"plugin\",\"creationDate\":\"September 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_NONE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"none\"}','{}','','',0,'0000-00-00 00:00:00',2,0),(412,0,'plg_editors_tinymce','plugin','tinymce','editors',0,1,1,0,'{\"name\":\"plg_editors_tinymce\",\"type\":\"plugin\",\"creationDate\":\"2005-2019\",\"author\":\"Tiny Technologies, Inc\",\"copyright\":\"Tiny Technologies, Inc\",\"authorEmail\":\"N\\/A\",\"authorUrl\":\"https:\\/\\/www.tiny.cloud\",\"version\":\"4.5.11\",\"description\":\"PLG_TINY_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"tinymce\"}','{\"mode\":\"1\",\"skin\":\"0\",\"entity_encoding\":\"raw\",\"lang_mode\":\"0\",\"lang_code\":\"en\",\"text_direction\":\"ltr\",\"content_css\":\"1\",\"content_css_custom\":\"\",\"relative_urls\":\"1\",\"newlines\":\"0\",\"invalid_elements\":\"script,applet,iframe\",\"extended_elements\":\"\",\"toolbar\":\"top\",\"toolbar_align\":\"left\",\"html_height\":\"550\",\"html_width\":\"750\",\"resizing\":\"true\",\"resize_horizontal\":\"false\",\"element_path\":\"1\",\"fonts\":\"1\",\"paste\":\"1\",\"searchreplace\":\"1\",\"insertdate\":\"1\",\"format_date\":\"%Y-%m-%d\",\"inserttime\":\"1\",\"format_time\":\"%H:%M:%S\",\"colors\":\"1\",\"table\":\"1\",\"smilies\":\"1\",\"media\":\"1\",\"hr\":\"1\",\"directionality\":\"1\",\"fullscreen\":\"1\",\"style\":\"1\",\"layer\":\"1\",\"xhtmlxtras\":\"1\",\"visualchars\":\"1\",\"nonbreaking\":\"1\",\"template\":\"1\",\"blockquote\":\"1\",\"wordcount\":\"1\",\"advimage\":\"1\",\"advlink\":\"1\",\"advlist\":\"1\",\"autosave\":\"1\",\"contextmenu\":\"1\",\"inlinepopups\":\"1\",\"custom_plugin\":\"\",\"custom_button\":\"\"}','','',0,'0000-00-00 00:00:00',3,0),(413,0,'plg_editors-xtd_article','plugin','article','editors-xtd',0,1,1,0,'{\"name\":\"plg_editors-xtd_article\",\"type\":\"plugin\",\"creationDate\":\"October 2009\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_ARTICLE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"article\"}','{}','','',0,'0000-00-00 00:00:00',1,0),(414,0,'plg_editors-xtd_image','plugin','image','editors-xtd',0,1,1,0,'{\"name\":\"plg_editors-xtd_image\",\"type\":\"plugin\",\"creationDate\":\"August 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_IMAGE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"image\"}','{}','','',0,'0000-00-00 00:00:00',2,0),(415,0,'plg_editors-xtd_pagebreak','plugin','pagebreak','editors-xtd',0,1,1,0,'{\"name\":\"plg_editors-xtd_pagebreak\",\"type\":\"plugin\",\"creationDate\":\"August 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_EDITORSXTD_PAGEBREAK_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"pagebreak\"}','{}','','',0,'0000-00-00 00:00:00',3,0),(416,0,'plg_editors-xtd_readmore','plugin','readmore','editors-xtd',0,1,1,0,'{\"name\":\"plg_editors-xtd_readmore\",\"type\":\"plugin\",\"creationDate\":\"March 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_READMORE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"readmore\"}','{}','','',0,'0000-00-00 00:00:00',4,0),(417,0,'plg_search_categories','plugin','categories','search',0,1,1,0,'{\"name\":\"plg_search_categories\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_SEARCH_CATEGORIES_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"categories\"}','{\"search_limit\":\"50\",\"search_content\":\"1\",\"search_archived\":\"1\"}','','',0,'0000-00-00 00:00:00',0,0),(418,0,'plg_search_contacts','plugin','contacts','search',0,1,1,0,'{\"name\":\"plg_search_contacts\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_SEARCH_CONTACTS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"contacts\"}','{\"search_limit\":\"50\",\"search_content\":\"1\",\"search_archived\":\"1\"}','','',0,'0000-00-00 00:00:00',0,0),(419,0,'plg_search_content','plugin','content','search',0,1,1,0,'{\"name\":\"plg_search_content\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_SEARCH_CONTENT_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"content\"}','{\"search_limit\":\"50\",\"search_content\":\"1\",\"search_archived\":\"1\"}','','',0,'0000-00-00 00:00:00',0,0),(420,0,'plg_search_newsfeeds','plugin','newsfeeds','search',0,1,1,0,'{\"name\":\"plg_search_newsfeeds\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_SEARCH_NEWSFEEDS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"newsfeeds\"}','{\"search_limit\":\"50\",\"search_content\":\"1\",\"search_archived\":\"1\"}','','',0,'0000-00-00 00:00:00',0,0),(422,0,'plg_system_languagefilter','plugin','languagefilter','system',0,0,1,1,'{\"name\":\"plg_system_languagefilter\",\"type\":\"plugin\",\"creationDate\":\"July 2010\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_SYSTEM_LANGUAGEFILTER_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"languagefilter\"}','{}','','',0,'0000-00-00 00:00:00',1,0),(423,0,'plg_system_p3p','plugin','p3p','system',0,1,1,0,'{\"name\":\"plg_system_p3p\",\"type\":\"plugin\",\"creationDate\":\"September 2010\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_P3P_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"p3p\"}','{\"headers\":\"NOI ADM DEV PSAi COM NAV OUR OTRo STP IND DEM\"}','','',0,'0000-00-00 00:00:00',2,0),(424,0,'plg_system_cache','plugin','cache','system',0,0,1,1,'{\"name\":\"plg_system_cache\",\"type\":\"plugin\",\"creationDate\":\"February 2007\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_CACHE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"cache\"}','{\"browsercache\":\"0\",\"cachetime\":\"15\"}','','',0,'0000-00-00 00:00:00',9,0),(425,0,'plg_system_debug','plugin','debug','system',0,1,1,0,'{\"name\":\"plg_system_debug\",\"type\":\"plugin\",\"creationDate\":\"December 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_DEBUG_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"debug\"}','{\"profile\":\"1\",\"queries\":\"1\",\"memory\":\"1\",\"language_files\":\"1\",\"language_strings\":\"1\",\"strip-first\":\"1\",\"strip-prefix\":\"\",\"strip-suffix\":\"\"}','','',0,'0000-00-00 00:00:00',4,0),(426,0,'plg_system_log','plugin','log','system',0,1,1,1,'{\"name\":\"plg_system_log\",\"type\":\"plugin\",\"creationDate\":\"April 2007\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_LOG_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"log\"}','{}','','',0,'0000-00-00 00:00:00',5,0),(427,0,'plg_system_redirect','plugin','redirect','system',0,1,1,1,'{\"name\":\"plg_system_redirect\",\"type\":\"plugin\",\"creationDate\":\"April 2009\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_SYSTEM_REDIRECT_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"redirect\"}','{}','','',0,'0000-00-00 00:00:00',6,0),(428,0,'plg_system_remember','plugin','remember','system',0,1,1,1,'{\"name\":\"plg_system_remember\",\"type\":\"plugin\",\"creationDate\":\"April 2007\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_REMEMBER_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"remember\"}','{}','','',0,'0000-00-00 00:00:00',7,0),(429,0,'plg_system_sef','plugin','sef','system',0,1,1,0,'{\"name\":\"plg_system_sef\",\"type\":\"plugin\",\"creationDate\":\"December 2007\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_SEF_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"sef\"}','{}','','',0,'0000-00-00 00:00:00',8,0),(430,0,'plg_system_logout','plugin','logout','system',0,1,1,1,'{\"name\":\"plg_system_logout\",\"type\":\"plugin\",\"creationDate\":\"April 2009\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_SYSTEM_LOGOUT_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"logout\"}','{}','','',0,'0000-00-00 00:00:00',3,0),(431,0,'plg_user_contactcreator','plugin','contactcreator','user',0,0,1,0,'{\"name\":\"plg_user_contactcreator\",\"type\":\"plugin\",\"creationDate\":\"August 2009\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_CONTACTCREATOR_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"contactcreator\"}','{\"autowebpage\":\"\",\"category\":\"34\",\"autopublish\":\"0\"}','','',0,'0000-00-00 00:00:00',1,0),(432,0,'plg_user_joomla','plugin','joomla','user',0,1,1,0,'{\"name\":\"plg_user_joomla\",\"type\":\"plugin\",\"creationDate\":\"December 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_USER_JOOMLA_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"joomla\"}','{\"autoregister\":\"1\"}','','',0,'0000-00-00 00:00:00',2,0),(433,0,'plg_user_profile','plugin','profile','user',0,0,1,0,'{\"name\":\"plg_user_profile\",\"type\":\"plugin\",\"creationDate\":\"January 2008\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_USER_PROFILE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"profile\"}','{\"register-require_address1\":\"1\",\"register-require_address2\":\"1\",\"register-require_city\":\"1\",\"register-require_region\":\"1\",\"register-require_country\":\"1\",\"register-require_postal_code\":\"1\",\"register-require_phone\":\"1\",\"register-require_website\":\"1\",\"register-require_favoritebook\":\"1\",\"register-require_aboutme\":\"1\",\"register-require_tos\":\"1\",\"register-require_dob\":\"1\",\"profile-require_address1\":\"1\",\"profile-require_address2\":\"1\",\"profile-require_city\":\"1\",\"profile-require_region\":\"1\",\"profile-require_country\":\"1\",\"profile-require_postal_code\":\"1\",\"profile-require_phone\":\"1\",\"profile-require_website\":\"1\",\"profile-require_favoritebook\":\"1\",\"profile-require_aboutme\":\"1\",\"profile-require_tos\":\"1\",\"profile-require_dob\":\"1\"}','','',0,'0000-00-00 00:00:00',0,0),(434,0,'plg_extension_joomla','plugin','joomla','extension',0,1,1,1,'{\"name\":\"plg_extension_joomla\",\"type\":\"plugin\",\"creationDate\":\"May 2010\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_EXTENSION_JOOMLA_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"joomla\"}','{}','','',0,'0000-00-00 00:00:00',1,0),(435,0,'plg_content_joomla','plugin','joomla','content',0,1,1,0,'{\"name\":\"plg_content_joomla\",\"type\":\"plugin\",\"creationDate\":\"November 2010\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_CONTENT_JOOMLA_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"joomla\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(436,0,'plg_system_languagecode','plugin','languagecode','system',0,0,1,0,'{\"name\":\"plg_system_languagecode\",\"type\":\"plugin\",\"creationDate\":\"November 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_SYSTEM_LANGUAGECODE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"languagecode\"}','{}','','',0,'0000-00-00 00:00:00',10,0),(437,0,'plg_quickicon_joomlaupdate','plugin','joomlaupdate','quickicon',0,1,1,1,'{\"name\":\"plg_quickicon_joomlaupdate\",\"type\":\"plugin\",\"creationDate\":\"August 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_QUICKICON_JOOMLAUPDATE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"joomlaupdate\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(438,0,'plg_quickicon_extensionupdate','plugin','extensionupdate','quickicon',0,1,1,1,'{\"name\":\"plg_quickicon_extensionupdate\",\"type\":\"plugin\",\"creationDate\":\"August 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_QUICKICON_EXTENSIONUPDATE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"extensionupdate\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(439,0,'plg_captcha_recaptcha','plugin','recaptcha','captcha',0,1,1,0,'{\"name\":\"plg_captcha_recaptcha\",\"type\":\"plugin\",\"creationDate\":\"December 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.4.0\",\"description\":\"PLG_CAPTCHA_RECAPTCHA_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"recaptcha\"}','{\"public_key\":\"\",\"private_key\":\"\",\"theme\":\"clean\"}','','',0,'0000-00-00 00:00:00',0,0),(440,0,'plg_system_highlight','plugin','highlight','system',0,1,1,0,'{\"name\":\"plg_system_highlight\",\"type\":\"plugin\",\"creationDate\":\"August 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_SYSTEM_HIGHLIGHT_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"highlight\"}','{}','','',0,'0000-00-00 00:00:00',7,0),(441,0,'plg_content_finder','plugin','finder','content',0,0,1,0,'{\"name\":\"plg_content_finder\",\"type\":\"plugin\",\"creationDate\":\"December 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_CONTENT_FINDER_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"finder\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(442,0,'plg_finder_categories','plugin','categories','finder',0,1,1,0,'{\"name\":\"plg_finder_categories\",\"type\":\"plugin\",\"creationDate\":\"August 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_FINDER_CATEGORIES_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"categories\"}','{}','','',0,'0000-00-00 00:00:00',1,0),(443,0,'plg_finder_contacts','plugin','contacts','finder',0,1,1,0,'{\"name\":\"plg_finder_contacts\",\"type\":\"plugin\",\"creationDate\":\"August 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_FINDER_CONTACTS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"contacts\"}','{}','','',0,'0000-00-00 00:00:00',2,0),(444,0,'plg_finder_content','plugin','content','finder',0,1,1,0,'{\"name\":\"plg_finder_content\",\"type\":\"plugin\",\"creationDate\":\"August 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_FINDER_CONTENT_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"content\"}','{}','','',0,'0000-00-00 00:00:00',3,0),(445,0,'plg_finder_newsfeeds','plugin','newsfeeds','finder',0,1,1,0,'{\"name\":\"plg_finder_newsfeeds\",\"type\":\"plugin\",\"creationDate\":\"August 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_FINDER_NEWSFEEDS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"newsfeeds\"}','{}','','',0,'0000-00-00 00:00:00',4,0),(447,0,'plg_finder_tags','plugin','tags','finder',0,1,1,0,'{\"name\":\"plg_finder_tags\",\"type\":\"plugin\",\"creationDate\":\"February 2013\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_FINDER_TAGS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"tags\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(448,0,'plg_twofactorauth_totp','plugin','totp','twofactorauth',0,0,1,0,'{\"name\":\"plg_twofactorauth_totp\",\"type\":\"plugin\",\"creationDate\":\"August 2013\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.2.0\",\"description\":\"PLG_TWOFACTORAUTH_TOTP_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"totp\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(449,0,'plg_authentication_cookie','plugin','cookie','authentication',0,1,1,0,'{\"name\":\"plg_authentication_cookie\",\"type\":\"plugin\",\"creationDate\":\"July 2013\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_AUTH_COOKIE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"cookie\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(450,0,'plg_twofactorauth_yubikey','plugin','yubikey','twofactorauth',0,0,1,0,'{\"name\":\"plg_twofactorauth_yubikey\",\"type\":\"plugin\",\"creationDate\":\"September 2013\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.2.0\",\"description\":\"PLG_TWOFACTORAUTH_YUBIKEY_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"yubikey\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(451,0,'plg_search_tags','plugin','tags','search',0,1,1,0,'{\"name\":\"plg_search_tags\",\"type\":\"plugin\",\"creationDate\":\"March 2014\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_SEARCH_TAGS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"tags\"}','{\"search_limit\":\"50\",\"show_tagged_items\":\"1\"}','','',0,'0000-00-00 00:00:00',0,0),(452,0,'plg_system_updatenotification','plugin','updatenotification','system',0,1,1,0,'{\"name\":\"plg_system_updatenotification\",\"type\":\"plugin\",\"creationDate\":\"May 2015\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.5.0\",\"description\":\"PLG_SYSTEM_UPDATENOTIFICATION_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"updatenotification\"}','{\"lastrun\":1565692069}','','',0,'0000-00-00 00:00:00',0,0),(453,0,'plg_editors-xtd_module','plugin','module','editors-xtd',0,1,1,0,'{\"name\":\"plg_editors-xtd_module\",\"type\":\"plugin\",\"creationDate\":\"October 2015\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.5.0\",\"description\":\"PLG_MODULE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"module\"}','','','',0,'0000-00-00 00:00:00',0,0),(454,0,'plg_system_stats','plugin','stats','system',0,1,1,0,'{\"name\":\"plg_system_stats\",\"type\":\"plugin\",\"creationDate\":\"November 2013\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.5.0\",\"description\":\"PLG_SYSTEM_STATS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"stats\"}','{\"mode\":3,\"lastrun\":\"\",\"unique_id\":\"add56facb7238ad1b39e60a7c18468d1f5304b27\",\"interval\":12}','','',0,'0000-00-00 00:00:00',0,0),(455,0,'plg_installer_packageinstaller','plugin','packageinstaller','installer',0,1,1,1,'{\"name\":\"plg_installer_packageinstaller\",\"type\":\"plugin\",\"creationDate\":\"May 2016\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.6.0\",\"description\":\"PLG_INSTALLER_PACKAGEINSTALLER_PLUGIN_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"packageinstaller\"}','','','',0,'0000-00-00 00:00:00',1,0),(456,0,'PLG_INSTALLER_FOLDERINSTALLER','plugin','folderinstaller','installer',0,1,1,1,'{\"name\":\"PLG_INSTALLER_FOLDERINSTALLER\",\"type\":\"plugin\",\"creationDate\":\"May 2016\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.6.0\",\"description\":\"PLG_INSTALLER_FOLDERINSTALLER_PLUGIN_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"folderinstaller\"}','','','',0,'0000-00-00 00:00:00',2,0),(457,0,'PLG_INSTALLER_URLINSTALLER','plugin','urlinstaller','installer',0,1,1,1,'{\"name\":\"PLG_INSTALLER_URLINSTALLER\",\"type\":\"plugin\",\"creationDate\":\"May 2016\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.6.0\",\"description\":\"PLG_INSTALLER_URLINSTALLER_PLUGIN_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"urlinstaller\"}','','','',0,'0000-00-00 00:00:00',3,0),(458,0,'plg_quickicon_phpversioncheck','plugin','phpversioncheck','quickicon',0,1,1,1,'{\"name\":\"plg_quickicon_phpversioncheck\",\"type\":\"plugin\",\"creationDate\":\"August 2016\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.7.0\",\"description\":\"PLG_QUICKICON_PHPVERSIONCHECK_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"phpversioncheck\"}','','','',0,'0000-00-00 00:00:00',0,0),(459,0,'plg_editors-xtd_menu','plugin','menu','editors-xtd',0,1,1,0,'{\"name\":\"plg_editors-xtd_menu\",\"type\":\"plugin\",\"creationDate\":\"August 2016\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.7.0\",\"description\":\"PLG_EDITORS-XTD_MENU_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"menu\"}','','','',0,'0000-00-00 00:00:00',0,0),(460,0,'plg_editors-xtd_contact','plugin','contact','editors-xtd',0,1,1,0,'{\"name\":\"plg_editors-xtd_contact\",\"type\":\"plugin\",\"creationDate\":\"October 2016\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.7.0\",\"description\":\"PLG_EDITORS-XTD_CONTACT_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"contact\"}','','','',0,'0000-00-00 00:00:00',0,0),(461,0,'plg_system_fields','plugin','fields','system',0,1,1,0,'{\"name\":\"plg_system_fields\",\"type\":\"plugin\",\"creationDate\":\"March 2016\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.7.0\",\"description\":\"PLG_SYSTEM_FIELDS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"fields\"}','','','',0,'0000-00-00 00:00:00',0,0),(462,0,'plg_fields_calendar','plugin','calendar','fields',0,1,1,0,'{\"name\":\"plg_fields_calendar\",\"type\":\"plugin\",\"creationDate\":\"March 2016\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.7.0\",\"description\":\"PLG_FIELDS_CALENDAR_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"calendar\"}','','','',0,'0000-00-00 00:00:00',0,0),(463,0,'plg_fields_checkboxes','plugin','checkboxes','fields',0,1,1,0,'{\"name\":\"plg_fields_checkboxes\",\"type\":\"plugin\",\"creationDate\":\"March 2016\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.7.0\",\"description\":\"PLG_FIELDS_CHECKBOXES_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"checkboxes\"}','','','',0,'0000-00-00 00:00:00',0,0),(464,0,'plg_fields_color','plugin','color','fields',0,1,1,0,'{\"name\":\"plg_fields_color\",\"type\":\"plugin\",\"creationDate\":\"March 2016\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.7.0\",\"description\":\"PLG_FIELDS_COLOR_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"color\"}','','','',0,'0000-00-00 00:00:00',0,0),(465,0,'plg_fields_editor','plugin','editor','fields',0,1,1,0,'{\"name\":\"plg_fields_editor\",\"type\":\"plugin\",\"creationDate\":\"March 2016\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.7.0\",\"description\":\"PLG_FIELDS_EDITOR_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"editor\"}','','','',0,'0000-00-00 00:00:00',0,0),(466,0,'plg_fields_imagelist','plugin','imagelist','fields',0,1,1,0,'{\"name\":\"plg_fields_imagelist\",\"type\":\"plugin\",\"creationDate\":\"March 2016\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.7.0\",\"description\":\"PLG_FIELDS_IMAGELIST_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"imagelist\"}','','','',0,'0000-00-00 00:00:00',0,0),(467,0,'plg_fields_integer','plugin','integer','fields',0,1,1,0,'{\"name\":\"plg_fields_integer\",\"type\":\"plugin\",\"creationDate\":\"March 2016\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.7.0\",\"description\":\"PLG_FIELDS_INTEGER_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"integer\"}','{\"multiple\":\"0\",\"first\":\"1\",\"last\":\"100\",\"step\":\"1\"}','','',0,'0000-00-00 00:00:00',0,0),(468,0,'plg_fields_list','plugin','list','fields',0,1,1,0,'{\"name\":\"plg_fields_list\",\"type\":\"plugin\",\"creationDate\":\"March 2016\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.7.0\",\"description\":\"PLG_FIELDS_LIST_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"list\"}','','','',0,'0000-00-00 00:00:00',0,0),(469,0,'plg_fields_media','plugin','media','fields',0,1,1,0,'{\"name\":\"plg_fields_media\",\"type\":\"plugin\",\"creationDate\":\"March 2016\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.7.0\",\"description\":\"PLG_FIELDS_MEDIA_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"media\"}','','','',0,'0000-00-00 00:00:00',0,0),(470,0,'plg_fields_radio','plugin','radio','fields',0,1,1,0,'{\"name\":\"plg_fields_radio\",\"type\":\"plugin\",\"creationDate\":\"March 2016\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.7.0\",\"description\":\"PLG_FIELDS_RADIO_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"radio\"}','','','',0,'0000-00-00 00:00:00',0,0),(471,0,'plg_fields_sql','plugin','sql','fields',0,1,1,0,'{\"name\":\"plg_fields_sql\",\"type\":\"plugin\",\"creationDate\":\"March 2016\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.7.0\",\"description\":\"PLG_FIELDS_SQL_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"sql\"}','','','',0,'0000-00-00 00:00:00',0,0),(472,0,'plg_fields_text','plugin','text','fields',0,1,1,0,'{\"name\":\"plg_fields_text\",\"type\":\"plugin\",\"creationDate\":\"March 2016\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.7.0\",\"description\":\"PLG_FIELDS_TEXT_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"text\"}','','','',0,'0000-00-00 00:00:00',0,0),(473,0,'plg_fields_textarea','plugin','textarea','fields',0,1,1,0,'{\"name\":\"plg_fields_textarea\",\"type\":\"plugin\",\"creationDate\":\"March 2016\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.7.0\",\"description\":\"PLG_FIELDS_TEXTAREA_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"textarea\"}','','','',0,'0000-00-00 00:00:00',0,0),(474,0,'plg_fields_url','plugin','url','fields',0,1,1,0,'{\"name\":\"plg_fields_url\",\"type\":\"plugin\",\"creationDate\":\"March 2016\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.7.0\",\"description\":\"PLG_FIELDS_URL_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"url\"}','','','',0,'0000-00-00 00:00:00',0,0),(475,0,'plg_fields_user','plugin','user','fields',0,1,1,0,'{\"name\":\"plg_fields_user\",\"type\":\"plugin\",\"creationDate\":\"March 2016\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.7.0\",\"description\":\"PLG_FIELDS_USER_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"user\"}','','','',0,'0000-00-00 00:00:00',0,0),(476,0,'plg_fields_usergrouplist','plugin','usergrouplist','fields',0,1,1,0,'{\"name\":\"plg_fields_usergrouplist\",\"type\":\"plugin\",\"creationDate\":\"March 2016\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.7.0\",\"description\":\"PLG_FIELDS_USERGROUPLIST_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"usergrouplist\"}','','','',0,'0000-00-00 00:00:00',0,0),(477,0,'plg_content_fields','plugin','fields','content',0,1,1,0,'{\"name\":\"plg_content_fields\",\"type\":\"plugin\",\"creationDate\":\"February 2017\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.7.0\",\"description\":\"PLG_CONTENT_FIELDS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"fields\"}','','','',0,'0000-00-00 00:00:00',0,0),(478,0,'plg_editors-xtd_fields','plugin','fields','editors-xtd',0,1,1,0,'{\"name\":\"plg_editors-xtd_fields\",\"type\":\"plugin\",\"creationDate\":\"February 2017\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.7.0\",\"description\":\"PLG_EDITORS-XTD_FIELDS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"fields\"}','','','',0,'0000-00-00 00:00:00',0,0),(479,0,'plg_sampledata_blog','plugin','blog','sampledata',0,0,1,0,'{\"name\":\"plg_sampledata_blog\",\"type\":\"plugin\",\"creationDate\":\"July 2017\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.8.0\",\"description\":\"PLG_SAMPLEDATA_BLOG_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"blog\"}','','','',0,'0000-00-00 00:00:00',0,0),(480,0,'plg_system_sessiongc','plugin','sessiongc','system',0,1,1,0,'{\"name\":\"plg_system_sessiongc\",\"type\":\"plugin\",\"creationDate\":\"February 2018\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.8.6\",\"description\":\"PLG_SYSTEM_SESSIONGC_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"sessiongc\"}','','','',0,'0000-00-00 00:00:00',0,0),(481,0,'plg_fields_repeatable','plugin','repeatable','fields',0,1,1,0,'{\"name\":\"plg_fields_repeatable\",\"type\":\"plugin\",\"creationDate\":\"April 2018\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.9.0\",\"description\":\"PLG_FIELDS_REPEATABLE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"repeatable\"}','','','',0,'0000-00-00 00:00:00',0,0),(482,0,'plg_content_confirmconsent','plugin','confirmconsent','content',0,0,1,0,'{\"name\":\"plg_content_confirmconsent\",\"type\":\"plugin\",\"creationDate\":\"May 2018\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.9.0\",\"description\":\"PLG_CONTENT_CONFIRMCONSENT_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"confirmconsent\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(483,0,'PLG_SYSTEM_ACTIONLOGS','plugin','actionlogs','system',0,0,1,0,'{\"name\":\"PLG_SYSTEM_ACTIONLOGS\",\"type\":\"plugin\",\"creationDate\":\"May 2018\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.9.0\",\"description\":\"PLG_SYSTEM_ACTIONLOGS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"actionlogs\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(484,0,'PLG_ACTIONLOG_JOOMLA','plugin','joomla','actionlog',0,1,1,0,'{\"name\":\"PLG_ACTIONLOG_JOOMLA\",\"type\":\"plugin\",\"creationDate\":\"May 2018\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.9.0\",\"description\":\"PLG_ACTIONLOG_JOOMLA_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"joomla\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(485,0,'plg_system_privacyconsent','plugin','privacyconsent','system',0,0,1,0,'{\"name\":\"plg_system_privacyconsent\",\"type\":\"plugin\",\"creationDate\":\"April 2018\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.9.0\",\"description\":\"PLG_SYSTEM_PRIVACYCONSENT_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"privacyconsent\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(486,0,'plg_system_logrotation','plugin','logrotation','system',0,1,1,0,'{\"name\":\"plg_system_logrotation\",\"type\":\"plugin\",\"creationDate\":\"May 2018\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.9.0\",\"description\":\"PLG_SYSTEM_LOGROTATION_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"logrotation\"}','{\"lastrun\":1565692069}','','',0,'0000-00-00 00:00:00',0,0),(487,0,'plg_privacy_user','plugin','user','privacy',0,1,1,0,'{\"name\":\"plg_privacy_user\",\"type\":\"plugin\",\"creationDate\":\"May 2018\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.9.0\",\"description\":\"PLG_PRIVACY_USER_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"user\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(488,0,'plg_quickicon_privacycheck','plugin','privacycheck','quickicon',0,1,1,0,'{\"name\":\"plg_quickicon_privacycheck\",\"type\":\"plugin\",\"creationDate\":\"June 2018\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.9.0\",\"description\":\"PLG_QUICKICON_PRIVACYCHECK_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"privacycheck\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(489,0,'plg_user_terms','plugin','terms','user',0,0,1,0,'{\"name\":\"plg_user_terms\",\"type\":\"plugin\",\"creationDate\":\"June 2018\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.9.0\",\"description\":\"PLG_USER_TERMS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"terms\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(490,0,'plg_privacy_contact','plugin','contact','privacy',0,1,1,0,'{\"name\":\"plg_privacy_contact\",\"type\":\"plugin\",\"creationDate\":\"July 2018\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.9.0\",\"description\":\"PLG_PRIVACY_CONTACT_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"contact\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(491,0,'plg_privacy_content','plugin','content','privacy',0,1,1,0,'{\"name\":\"plg_privacy_content\",\"type\":\"plugin\",\"creationDate\":\"July 2018\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.9.0\",\"description\":\"PLG_PRIVACY_CONTENT_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"content\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(492,0,'plg_privacy_message','plugin','message','privacy',0,1,1,0,'{\"name\":\"plg_privacy_message\",\"type\":\"plugin\",\"creationDate\":\"July 2018\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.9.0\",\"description\":\"PLG_PRIVACY_MESSAGE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"message\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(493,0,'plg_privacy_actionlogs','plugin','actionlogs','privacy',0,1,1,0,'{\"name\":\"plg_privacy_actionlogs\",\"type\":\"plugin\",\"creationDate\":\"July 2018\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.9.0\",\"description\":\"PLG_PRIVACY_ACTIONLOGS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"actionlogs\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(494,0,'plg_captcha_recaptcha_invisible','plugin','recaptcha_invisible','captcha',0,0,1,0,'{\"name\":\"plg_captcha_recaptcha_invisible\",\"type\":\"plugin\",\"creationDate\":\"November 2017\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.8\",\"description\":\"PLG_CAPTCHA_RECAPTCHA_INVISIBLE_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"recaptcha_invisible\"}','{\"public_key\":\"\",\"private_key\":\"\",\"theme\":\"clean\"}','','',0,'0000-00-00 00:00:00',0,0),(495,0,'plg_privacy_consents','plugin','consents','privacy',0,1,1,0,'{\"name\":\"plg_privacy_consents\",\"type\":\"plugin\",\"creationDate\":\"July 2018\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.9.0\",\"description\":\"PLG_PRIVACY_CONSENTS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"consents\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(503,0,'beez3','template','beez3','',0,1,1,0,'{\"name\":\"beez3\",\"type\":\"template\",\"creationDate\":\"25 November 2009\",\"author\":\"Angie Radtke\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters, Inc. All rights reserved.\",\"authorEmail\":\"a.radtke@derauftritt.de\",\"authorUrl\":\"http:\\/\\/www.der-auftritt.de\",\"version\":\"3.1.0\",\"description\":\"TPL_BEEZ3_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"templateDetails\"}','{\"wrapperSmall\":\"53\",\"wrapperLarge\":\"72\",\"sitetitle\":\"\",\"sitedescription\":\"\",\"navposition\":\"center\",\"templatecolor\":\"nature\"}','','',0,'0000-00-00 00:00:00',0,0),(504,0,'hathor','template','hathor','',1,1,1,0,'{\"name\":\"hathor\",\"type\":\"template\",\"creationDate\":\"May 2010\",\"author\":\"Andrea Tarr\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters, Inc. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"\",\"version\":\"3.0.0\",\"description\":\"TPL_HATHOR_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"templateDetails\"}','{\"showSiteName\":\"0\",\"colourChoice\":\"0\",\"boldText\":\"0\"}','','',0,'0000-00-00 00:00:00',0,0),(506,0,'protostar','template','protostar','',0,1,1,0,'{\"name\":\"protostar\",\"type\":\"template\",\"creationDate\":\"4\\/30\\/2012\",\"author\":\"Kyle Ledbetter\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters, Inc. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"\",\"version\":\"1.0\",\"description\":\"TPL_PROTOSTAR_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"templateDetails\"}','{\"templateColor\":\"\",\"logoFile\":\"\",\"googleFont\":\"1\",\"googleFontName\":\"Open+Sans\",\"fluidContainer\":\"0\"}','','',0,'0000-00-00 00:00:00',0,0),(507,0,'isis','template','isis','',1,1,1,0,'{\"name\":\"isis\",\"type\":\"template\",\"creationDate\":\"3\\/30\\/2012\",\"author\":\"Kyle Ledbetter\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters, Inc. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"\",\"version\":\"1.0\",\"description\":\"TPL_ISIS_XML_DESCRIPTION\",\"group\":\"\",\"filename\":\"templateDetails\"}','{\"templateColor\":\"\",\"logoFile\":\"\"}','','',0,'0000-00-00 00:00:00',0,0),(600,802,'English (en-GB)','language','en-GB','',0,1,1,1,'{\"name\":\"English (en-GB)\",\"type\":\"language\",\"creationDate\":\"July 2019\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.9.10\",\"description\":\"en-GB site language\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(601,802,'English (en-GB)','language','en-GB','',1,1,1,1,'{\"name\":\"English (en-GB)\",\"type\":\"language\",\"creationDate\":\"July 2019\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.9.10\",\"description\":\"en-GB administrator language\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(700,0,'files_joomla','file','joomla','',0,1,1,1,'{\"name\":\"files_joomla\",\"type\":\"file\",\"creationDate\":\"July 2019\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2019 Open Source Matters. All rights reserved\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.9.10\",\"description\":\"FILES_JOOMLA_XML_DESCRIPTION\",\"group\":\"\"}','','','',0,'0000-00-00 00:00:00',0,0),(802,0,'English (en-GB) Language Pack','package','pkg_en-GB','',0,1,1,1,'{\"name\":\"English (en-GB) Language Pack\",\"type\":\"package\",\"creationDate\":\"July 2019\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2019 Open Source Matters, Inc. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.9.10.1\",\"description\":\"en-GB language pack\",\"group\":\"\",\"filename\":\"pkg_en-GB\"}','','','',0,'0000-00-00 00:00:00',0,0),(10002,10060,'COM_GANTRY','component','com_gantry','',1,1,0,0,'{\"name\":\"COM_GANTRY\",\"type\":\"component\",\"creationDate\":\"May 26, 2019\",\"author\":\"RocketTheme, LLC\",\"copyright\":\"(C) 2005 - 2019 RocketTheme, LLC. All rights reserved.\",\"authorEmail\":\"support@rockettheme.com\",\"authorUrl\":\"http:\\/\\/www.rockettheme.com\",\"version\":\"4.1.41\",\"description\":\"Gantry 4 component. Needs to be enabled at all times.\",\"group\":\"\",\"filename\":\"gantry\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(10003,10060,'System - Gantry 4','plugin','gantry','system',0,1,1,0,'{\"name\":\"System - Gantry 4\",\"type\":\"plugin\",\"creationDate\":\"May 26, 2019\",\"author\":\"RocketTheme, LLC\",\"copyright\":\"(C) 2005 - 2019 RocketTheme, LLC. All rights reserved.\",\"authorEmail\":\"support@rockettheme.com\",\"authorUrl\":\"http:\\/\\/www.rockettheme.com\",\"version\":\"4.1.41\",\"description\":\"Gantry 4 system plugin. Needs to be enabled at all times.\",\"group\":\"\",\"filename\":\"gantry\"}','{}','','',0,'0000-00-00 00:00:00',1,0),(10006,10065,'System - RokCommon','plugin','rokcommon','system',0,1,1,0,'{\"name\":\"System - RokCommon\",\"type\":\"plugin\",\"creationDate\":\"February 19, 2019\",\"author\":\"RocketTheme, LLC\",\"copyright\":\"(C) 2005 - 2019 RocketTheme, LLC. All rights reserved.\",\"authorEmail\":\"support@rockettheme.com\",\"authorUrl\":\"http:\\/\\/www.rockettheme.com\",\"version\":\"3.2.7\",\"description\":\"RokCommon System Plugin\",\"group\":\"\",\"filename\":\"rokcommon\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(10007,10069,'RokSprocket','component','com_roksprocket','',1,1,0,0,'{\"name\":\"RokSprocket\",\"type\":\"component\",\"creationDate\":\"February 11, 2019\",\"author\":\"RocketTheme, LLC\",\"copyright\":\"(C) 2005 - 2019 RocketTheme, LLC. All rights reserved.\",\"authorEmail\":\"support@rockettheme.com\",\"authorUrl\":\"http:\\/\\/www.rockettheme.com\",\"version\":\"2.1.26\",\"description\":\"RokSprocket\",\"group\":\"\",\"filename\":\"roksprocket\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(10008,10069,'RokSprocket Module','module','mod_roksprocket','',0,1,1,0,'{\"name\":\"RokSprocket Module\",\"type\":\"module\",\"creationDate\":\"February 11, 2019\",\"author\":\"RocketTheme, LLC\",\"copyright\":\"(C) 2005 - 2019 RocketTheme, LLC. All rights reserved.\",\"authorEmail\":\"support@rockettheme.com\",\"authorUrl\":\"http:\\/\\/www.rockettheme.com\",\"version\":\"2.1.26\",\"description\":\"RokSprocket makes it easy to display content in a dynamic, visual layout.\",\"group\":\"\",\"filename\":\"mod_roksprocket\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(10009,10069,'System - RokSprocket','plugin','roksprocket','system',0,1,1,0,'{\"name\":\"System - RokSprocket\",\"type\":\"plugin\",\"creationDate\":\"February 11, 2019\",\"author\":\"RocketTheme, LLC\",\"copyright\":\"(C) 2005 - 2019 RocketTheme, LLC. All rights reserved.\",\"authorEmail\":\"support@rockettheme.com\",\"authorUrl\":\"http:\\/\\/www.rockettheme.com\",\"version\":\"2.1.26\",\"description\":\"RokSprocket System Plugin\",\"group\":\"\",\"filename\":\"roksprocket\"}','{}','','',0,'0000-00-00 00:00:00',1,0),(10010,10069,'Content - RokInjectModule','plugin','rokinjectmodule','content',0,1,1,0,'{\"name\":\"Content - RokInjectModule\",\"type\":\"plugin\",\"creationDate\":\"February 11, 2019\",\"author\":\"RocketTheme, LLC\",\"copyright\":\"(C) 2005 - 2019 RocketTheme, LLC. All rights reserved.\",\"authorEmail\":\"support@rockettheme.com\",\"authorUrl\":\"http:\\/\\/www.rockettheme.com\",\"version\":\"2.1.26\",\"description\":\"RokInjectModule Content Plugin.  Use format [module-{moduleid}] in your article to inject a module. You can also specify a style, eg: [module-28 style=xhtml]\",\"group\":\"\",\"filename\":\"rokinjectmodule\"}','{}','','',0,'0000-00-00 00:00:00',5,0),(10012,0,'RokPad','plugin','rokpad','editors',0,1,1,0,'{\"name\":\"RokPad\",\"type\":\"plugin\",\"creationDate\":\"August 30, 2018\",\"author\":\"RocketTheme, LLC\",\"copyright\":\"(C) 2005 - 2018 RocketTheme, LLC. All rights reserved.\",\"authorEmail\":\"support@rockettheme.com\",\"authorUrl\":\"http:\\/\\/www.rockettheme.com\",\"version\":\"2.1.10\",\"description\":\"\\n        <div class=\\\"rokpad-description\\\">\\n        <img src=\\\"..\\/plugins\\/editors\\/rokpad\\/assets\\/admin\\/images\\/rokpad.jpg\\\" class=\\\"img-padding\\\" \\/><h1>RokPad<\\/h1>\\n        <h2>The Power of Desktop Text Editor in a Joomla!<\\/h2>\\n        <p>Ever wished you could use a powerful desktop text editor such as Textmate, SublimeText, or UltraEdit directly on a Joomla! web site?  Now with RokPad we provide many features and capabilities that traditionally would only be found in a powerful desktop editor.  RokPad provides advanced functions such as an Ajax saving action, syntax highlighting, configurable themes, multiple cursors and selections, shortcut keys, multiple language support, and many other incredible features.<\\/p>\\n\\n        <h2>Key Features:<\\/h2>\\n        <ul class=\\\"features\\\">\\n\\t\\t\\t<li>Code Highlighter built on the great ACE Editor<\\/li>\\n\\t        <li>Support for CSS, HTML, JavaScript, JSON, LESS, Markdown, PHP, SQL, Plain Text, Textile, XML and more...<\\/li>\\n\\t        <li>Ajax save and Automatic Save options. You\'ll never loose your content again, nor wait until the page has finished reloading after a save!<\\/li>\\n\\t        <li>Save, Undo, Redo, Goto line, Advanced Search and Search &amp; Replace, Full Screen. Settings like Themes, Font Size, Code Folding, Wrap Mode, Invisible Characters, Print Margin, Highlight of selected word<\\/li>\\n\\t        <li>26 Themes to choose from<\\/li>\\n\\t        <li>Resizable Editor by dragging the Statusbar<\\/li>\\n\\t        <li>Keyboard shortcuts<\\/li>\\n\\t        <li>Brackets match<\\/li>\\n\\t        <li>Multiple cursors and selections<\\/li>\\n\\t        <li>Vertical Selection<\\/li>\\n\\t        <li>Ability to insert at multiple locations xtd-buttons shortcodes, all at once.<\\/li>\\n\\t        <li>Shortcodes and Universal Tag Insertion<\\/li>\\n\\t        <li>Drag &amp; Drop of text from external applications such as other Browser Tabs\\/windows or Native Applications (Supported on Firefox, Chrome, IE10 and Safari)<\\/li>\\n\\t        <li>Import local files by Drag &amp; Drop directly from your desktop! (Supported on Firefox, Chrome, IE10 and Safari 6+)<\\/li>\\n\\t        <li>And much more!<\\/li>\\n        <\\/ul>\\n        <\\/div>\\n        \",\"group\":\"\",\"filename\":\"rokpad\"}','{\"autosave-enabled\":\"0\",\"autosave-time\":\"5\",\"theme\":\"fluidvision\",\"font-size\":\"12px\",\"fold-style\":\"markbeginend\",\"use-wrap-mode\":\"free\",\"selection-style\":\"1\",\"highlight-active-line\":\"1\",\"highlight-selected-word\":\"1\",\"show-invisibles\":\"0\",\"show-gutter\":\"1\",\"show-print-margin\":\"1\",\"fade-fold-widgets\":\"0\"}','','',0,'0000-00-00 00:00:00',1,0),(10014,0,'System - RokExtender','plugin','rokextender','system',0,1,1,0,'{\"name\":\"System - RokExtender\",\"type\":\"plugin\",\"creationDate\":\"October 31, 2012\",\"author\":\"RocketTheme, LLC\",\"copyright\":\"(C) 2005 - 2012 RocketTheme, LLC. All rights reserved.\",\"authorEmail\":\"support@rockettheme.com\",\"authorUrl\":\"http:\\/\\/www.rockettheme.com\",\"version\":\"2.0.0\",\"description\":\"System - Gantry\",\"group\":\"\",\"filename\":\"rokextender\"}','{\"registered\":\"\\/modules\\/mod_roknavmenu\\/lib\\/RokNavMenuEvents.php\"}','','',0,'0000-00-00 00:00:00',1,0),(10015,0,'RokNavMenu','module','mod_roknavmenu','',0,1,1,0,'{\"name\":\"RokNavMenu\",\"type\":\"module\",\"creationDate\":\"February 3, 2017\",\"author\":\"RocketTheme, LLC\",\"copyright\":\"(C) 2005 - 2017 RocketTheme, LLC. All rights reserved.\",\"authorEmail\":\"support@rockettheme.com\",\"authorUrl\":\"http:\\/\\/www.rockettheme.com\",\"version\":\"2.0.9\",\"description\":\"RocketTheme Customizable Navigation Menu\",\"group\":\"\",\"filename\":\"mod_roknavmenu\"}','{\"limit_levels\":\"0\",\"startLevel\":\"0\",\"endLevel\":\"0\",\"showAllChildren\":\"0\",\"filteringspacer2\":\"\",\"theme\":\"default\",\"custom_layout\":\"default.php\",\"custom_formatter\":\"default.php\",\"cache\":\"0\",\"module_cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"itemid\"}','','',0,'0000-00-00 00:00:00',0,0),(10017,0,'RokCandy','component','com_rokcandy','',1,1,0,0,'{\"name\":\"RokCandy\",\"type\":\"component\",\"creationDate\":\"February 15, 2019\",\"author\":\"RocketTheme, LLC\",\"copyright\":\"(C) 2005 - 2019 RocketTheme, LLC. All rights reserved.\",\"authorEmail\":\"support@rockettheme.com\",\"authorUrl\":\"http:\\/\\/www.rockettheme.com\",\"version\":\"2.0.3\",\"description\":\"\\n\\t\\tRokCandy is a simple yet powerful macro system for Joomla 2.5 \\/ 3.  It provides the ability to create and categorize macros that can be used throughout your site.\\n\\t\",\"group\":\"\",\"filename\":\"rokcandy\"}','{\"forcecache\":\"0\",\"adminenabled\":\"0\",\"editenabled\":\"0\",\"contentPlugin\":\"0\",\"disabled\":\"\"}','','',0,'0000-00-00 00:00:00',0,0),(10018,0,'Button - RokCandy','plugin','rokcandy','editors-xtd',0,1,1,0,'{\"name\":\"Button - RokCandy\",\"type\":\"plugin\",\"creationDate\":\"February 15, 2019\",\"author\":\"RocketTheme, LLC\",\"copyright\":\"(C) 2005 - 2019 RocketTheme, LLC. All rights reserved.\",\"authorEmail\":\"support@rockettheme.com\",\"authorUrl\":\"http:\\/\\/www.rockettheme.com\",\"version\":\"2.0.3\",\"description\":\"This is an Editor Button to allow selection of RokCandy macros\",\"group\":\"\",\"filename\":\"rokcandy\"}','{}','','',0,'0000-00-00 00:00:00',5,0),(10019,0,'System - RokCandy','plugin','rokcandy','system',0,1,1,0,'{\"name\":\"System - RokCandy\",\"type\":\"plugin\",\"creationDate\":\"February 15, 2019\",\"author\":\"RocketTheme, LLC\",\"copyright\":\"(C) 2005 - 2019 RocketTheme, LLC. All rights reserved.\",\"authorEmail\":\"support@rockettheme.com\",\"authorUrl\":\"http:\\/\\/www.rockettheme.com\",\"version\":\"2.0.3\",\"description\":\"This is the RokCandy system plugin that performs the macro replacement\",\"group\":\"\",\"filename\":\"rokcandy\"}','{}','','',0,'0000-00-00 00:00:00',50,0),(10021,10067,'System - RokBox','plugin','rokbox','system',0,1,1,0,'{\"name\":\"System - RokBox\",\"type\":\"plugin\",\"creationDate\":\"January 16, 2019\",\"author\":\"RocketTheme, LLC\",\"copyright\":\"(C) 2005 - 2019 RocketTheme, LLC. All rights reserved.\",\"authorEmail\":\"support@rockettheme.com\",\"authorUrl\":\"http:\\/\\/www.rockettheme.com\",\"version\":\"2.0.15\",\"description\":\"\\n        <div class=\\\"rokbox-description\\\">\\n        <img src=\\\"..\\/plugins\\/system\\/rokbox\\/assets\\/admin\\/images\\/rokbox.jpg\\\" class=\\\"img-padding\\\" \\/><h1>RokBox2<\\/h1>\\n        <p>RokBox2 is a fully responsive modal pop-up plug-in for Joomla.  It displays <strong>images<\\/strong>, <strong>videos<\\/strong>, <strong>embedded widgets<\\/strong>, <strong>Ajax content<\\/strong> and <strong>Joomla modules<\\/strong>.<\\/p>\\n\\n        <p>RokBox2 contains a <strong>Content plug-in<\\/strong> and <strong>Button Editor plug-in<\\/strong>. The <strong>Content plug-in<\\/strong> can auto-generate thumbnails of <strong>local images<\\/strong> that can be used as content for your RokBox2 links. All thumbnails generated are <strong>responsive<\\/strong> so that they can easily adapt to any device. The <strong>Button Editor plug-in<\\/strong> allows for easy creation of RokBox2 style snippets with just a few clicks.<\\/p>\\n        <p>RokBox2 also provides backward compatibility for RokBox1 style <code>{rokbox}<\\/code> syntax.<\\/p>\\n\\n        <h2>Key Features:<\\/h2>\\n        <ul class=\\\"features\\\">\\n            <li>HTML5 and CSS3<\\/li>\\n            <li>Fully Responsive<\\/li>\\n            <li>Auto thumbnails generator<\\/li>\\n            <li>Captions supporting HTML syntax<\\/li>\\n            <li>Ajax Content listener<\\/li>\\n            <li>Multiple media types supported:\\n                <ul class=\\\"features\\\">\\n                    <li>Images: base64 encoded, jpg, gif, png, bmp, webp<\\/li>\\n                    <li>HTML5 Video and Audio<\\/li>\\n                    <li>TwitPic<\\/li>\\n                    <li>Instagram<\\/li>\\n                    <li>YouTube<\\/li>\\n                    <li>Vimeo<\\/li>\\n                    <li>Telly (ex TwitVid)<\\/li>\\n                    <li>Metacafe<\\/li>\\n                    <li>Dailymotion<\\/li>\\n                    <li>Spotify<\\/li>\\n                    <li>Google Maps<\\/li>\\n                <\\/ul>\\n            <\\/li>\\n            <li>Fit\\/Unfit Screen: If an image is too big it gets shrunk to fit the view-port but you can always click the Fit Screen icon to expand it and scroll.<\\/li>\\n            <li>Albums to group related images<\\/li>\\n            <li>Key Bindings for easy navigation: <code>&larr;<\\/code> (Previous), <code>&rarr;<\\/code> (Next), <code>f<\\/code> Fitscreen\\/Unfitscreen, <code>esc<\\/code> Close<\\/li>\\n        <\\/ul>\\n\\n        <p class=\\\"note\\\"><strong>NOTE:<\\/strong> RokBox2 consists of 3 plug-ins: <strong>Content<\\/strong>, <strong>System<\\/strong> and <strong>Editor Button<\\/strong>. Make sure to have a look at all three plug-in manager pages to get an idea of what they do.<\\/p>\\n        <\\/div>\\n        \",\"group\":\"\",\"filename\":\"rokbox\"}','{\"theme\":\"light\",\"custom-theme\":\"sample\",\"custom-legacy\":\"0\",\"width\":\"640\",\"height\":\"460\",\"transition\":\"Quad.easeOut\",\"duration\":\"200\",\"chase\":\"40\",\"effect\":\"quicksilver\",\"frame-border\":\"20\",\"content-padding\":\"0\",\"arrows-height\":\"35\",\"captions\":\"1\",\"captionsDelay\":\"800\",\"scrolling\":\"0\",\"keyEvents\":\"1\",\"overlay_background\":\"#000000\",\"overlay_opacity\":\"0.85\",\"overlay_duration\":\"200\",\"overlay_transition\":\"Quad.easeInOut\",\"autoplay\":\"true\",\"ytautoplay\":\"0\",\"ythighquality\":\"0\",\"controller\":\"false\",\"bgcolor\":\"#f3f3f3\",\"vimeoColor\":\"00adef\",\"vimeoPortrait\":\"0\",\"vimeoTitle\":\"0\",\"vimeoFullScreen\":\"1\",\"vimeoByline\":\"0\"}','','',0,'0000-00-00 00:00:00',1,0),(10022,10067,'RokBox','plugin','rokbox','content',0,1,1,0,'{\"name\":\"RokBox\",\"type\":\"plugin\",\"creationDate\":\"January 16, 2019\",\"author\":\"RocketTheme, LLC\",\"copyright\":\"(C) 2005 - 2019 RocketTheme, LLC. All rights reserved.\",\"authorEmail\":\"support@rockettheme.com\",\"authorUrl\":\"http:\\/\\/www.rockettheme.com\",\"version\":\"2.0.15\",\"description\":\"\\n        <div class=\\\"rokbox-description\\\">\\n        <img src=\\\"..\\/plugins\\/system\\/rokbox\\/assets\\/admin\\/images\\/rokbox.jpg\\\" class=\\\"img-padding\\\" \\/><h1>RokBox2<\\/h1>\\n        <p>Auto generates thumbnails of <strong>local images<\\/strong> that can be used as content for your RokBox2 links. All thumbnails generated are <strong>responsive<\\/strong> so that they can be easily adapted to any device. RokBox2 Content plugins also provides backward compatibility for the old discontinued RokBox1 that allowed writing snippets through the <code>{rokbox}<\\/code> syntax.<\\/p>\\n\\n        <p class=\\\"note\\\"><strong>NOTE:<\\/strong> RokBox2 comes with 3 plugins: <strong>Content<\\/strong>, <strong>System<\\/strong> and <strong>Editor Button<\\/strong>. Make sure to have a look at all three plugin manager pages to get an idea of what they do.<\\/p>\\n        <\\/div>\\n        \",\"group\":\"\",\"filename\":\"rokbox\"}','{\"remote_sizes\":\"0\",\"thumb_ext\":\"_thumb\",\"thumb_class\":\"album\",\"thumb_custom\":\"0\",\"thumb_dir\":\"cache\",\"thumb_width\":\"150\",\"thumb_height\":\"100\",\"thumb_quality\":\"90\"}','','',0,'0000-00-00 00:00:00',1,0),(10024,0,'System - RokBooster','plugin','rokbooster','system',0,0,1,0,'{\"name\":\"System - RokBooster\",\"type\":\"plugin\",\"creationDate\":\"February 22, 2019\",\"author\":\"RocketTheme, LLC\",\"copyright\":\"(C) 2005 - 2019 RocketTheme, LLC. All rights reserved.\",\"authorEmail\":\"support@rockettheme.com\",\"authorUrl\":\"http:\\/\\/www.rockettheme.com\",\"version\":\"1.1.18\",\"description\":\"\\n        \\n        <div class=\\\"booster-description\\\">\\n        <img src=\\\"..\\/plugins\\/system\\/rokbooster\\/assets\\/images\\/rokbooster.jpg\\\" class=\\\"img-padding\\\" \\/><h1>RokBooster<\\/h1>\\n        <p>Increase the speed of your site by enabling the RokBooster plug-in.  This advanced extensions will <strong>compress<\\/strong> and <strong>combine<\\/strong> your <strong>CSS<\\/strong> and <strong>JavaScript<\\/strong> into as few files as possible each.  RokBooster can dramatically reduce the number of HTTP calls a browser has to make, and sending those compressed files GZipped means your pages will load faster with less load on your server.<\\/p>\\n\\n        <h2>Key Features:<\\/h2>\\n        <ul class=\\\"features\\\">\\n            <li>Combine and compress CSS and JavaScript into as few files as possible<\\/li>\\n            <li>GZip compression used to send CSS and JavaScript files<\\/li>\\n            <li>Compress Inline CSS and JavaScript<\\/li>\\n            <li>Customizable cache timeout<\\/li>\\n            <li>Background rendering, so initial file processing won\'t slow your users down<\\/li>\\n            <li>Full page scan allows for non-header JavaScript and CSS to be included<\\/li>\\n            <li>Ability to ignore specific CSS and JavaScript files<\\/li>\\n        <\\/ul>\\n        <p class=\\\"note\\\"><strong>NOTE:<\\/strong> Clearing the Joomla cache will remove the RokBooster compressed cache files causing them to regenerate on the next page hit<\\/p>\\n        <\\/div>\\n        \\n    \",\"group\":\"\",\"filename\":\"rokbooster\"}','{\"cache_time\":\"60\",\"minify_css\":\"1\",\"style_sort\":\"RokBooster_Compressor_Sort_ExternalOnTop\",\"inline_css\":\"1\",\"imported_css\":\"1\",\"minify_js\":\"1\",\"script_sort\":\"RokBooster_Compressor_Sort_ExternalOnTop\",\"inline_js\":\"1\",\"max_data_uri_image_size\":\"21612\",\"convert_css_images\":\"1\",\"convert_page_images\":\"1\",\"ignored_files\":\"\\/media\\/editors\\/tinymce\\/jscripts\\/tiny_mce\\/tiny_mce.js\",\"scan_method\":\"header\",\"use_background_processing\":\"1\",\"disable_for_ie\":\"1\",\"debugloglevel\":\"63\"}','','',0,'0000-00-00 00:00:00',100,0),(10026,0,'RokAjaxSearch','module','mod_rokajaxsearch','',0,1,1,0,'{\"name\":\"RokAjaxSearch\",\"type\":\"module\",\"creationDate\":\"August 30, 2018\",\"author\":\"RocketTheme, LLC\",\"copyright\":\"(C) 2005 - 2018 RocketTheme, LLC. All rights reserved.\",\"authorEmail\":\"support@rockettheme.com\",\"authorUrl\":\"http:\\/\\/www.rockettheme.com\",\"version\":\"2.0.6\",\"description\":\"RokAjaxSearch is an ajaxian searcher that displays the results immediately and allows to choose the\\n        proper one.\\n    \",\"group\":\"\",\"filename\":\"mod_rokajaxsearch\"}','{\"search_page\":\"index.php?option=com_search&view=search&tmpl=component\",\"adv_search_page\":\"index.php?option=com_search&view=search\",\"include_css\":\"0\",\"theme\":\"blue\",\"searchphrase\":\"any\",\"ordering\":\"newest\",\"limit\":\"10\",\"perpage\":\"3\",\"websearch\":\"0\",\"blogsearch\":\"0\",\"imagesearch\":\"0\",\"videosearch\":\"0\",\"websearch_api\":\"\",\"show_pagination\":\"1\",\"safesearch\":\"MODERATE\",\"image_size\":\"MEDIUM\",\"show_estimated\":\"1\",\"hide_divs\":\"\",\"include_link\":\"1\",\"show_description\":\"1\",\"include_category\":\"1\",\"show_readmore\":\"1\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}','','',0,'0000-00-00 00:00:00',0,0),(10030,0,'rt_cerulean','template','rt_cerulean','',0,1,1,0,'{\"name\":\"rt_cerulean\",\"type\":\"template\",\"creationDate\":\"January 29, 2019\",\"author\":\"RocketTheme, LLC\",\"copyright\":\"(C) 2005 - 2019 RocketTheme, LLC. All rights reserved.\",\"authorEmail\":\"support@rockettheme.com\",\"authorUrl\":\"http:\\/\\/www.rockettheme.com\",\"version\":\"1.10\",\"description\":\"Cerulean Template\",\"group\":\"\",\"filename\":\"templateDetails\"}','{\"master\":\"true\"}','','',0,'0000-00-00 00:00:00',0,0),(10033,10068,'RokGallery','component','com_rokgallery','',1,1,0,0,'{\"name\":\"RokGallery\",\"type\":\"component\",\"creationDate\":\"May  2, 2019\",\"author\":\"RocketTheme, LLC\",\"copyright\":\"(C) 2005 - 2019 RocketTheme, LLC. All rights reserved.\",\"authorEmail\":\"support@rockettheme.com\",\"authorUrl\":\"http:\\/\\/www.rockettheme.com\",\"version\":\"2.45\",\"description\":\"RokGallery\",\"group\":\"\",\"filename\":\"rokgallery\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(10034,10068,'RokGallery Module','module','mod_rokgallery','',0,1,1,0,'{\"name\":\"RokGallery Module\",\"type\":\"module\",\"creationDate\":\"May  2, 2019\",\"author\":\"RocketTheme, LLC\",\"copyright\":\"(C) 2005 - 2019 RocketTheme, LLC. All rights reserved.\",\"authorEmail\":\"support@rockettheme.com\",\"authorUrl\":\"http:\\/\\/www.rockettheme.com\",\"version\":\"2.45\",\"description\":\"Module for displaying RokGallery\",\"group\":\"\",\"filename\":\"mod_rokgallery\"}','{\"link\":\"0\",\"default_menuitem\":\"0\",\"title\":\"false\",\"caption\":\"false\",\"sort_by\":\"gallery_ordering\",\"sort_direction\":\"ASC\",\"limit_count\":\"10\",\"css_style\":\"light\",\"layout\":\"grid\",\"columns\":\"1\",\"arrows\":\"onhover\",\"navigation\":\"thumbnails\",\"animation_type\":\"random\",\"animation_duration\":\"500\",\"autoplay_enabled\":\"0\",\"autoplay_delay\":\"7\",\"showcase_arrows\":\"onhover\",\"showcase_image_position\":\"left\",\"showcase_imgpadding\":\"0\",\"showcase_animation_type\":\"random\",\"showcase_captionsanimation\":\"crossfade\",\"showcase_animation_duration\":\"500\",\"showcase_autoplay_enabled\":\"0\",\"showcase_autoplay_delay\":\"7\",\"showcase_responsive_arrows\":\"onhover\",\"showcase_responsive_image_position\":\"left\",\"showcase_responsive_imgpadding\":\"0\",\"showcase_responsive_animation_type\":\"random\",\"showcase_responsive_captionsanimation\":\"crossfade\",\"showcase_responsive_animation_duration\":\"500\",\"showcase_responsive_autoplay_enabled\":\"0\",\"showcase_responsive_autoplay_delay\":\"7\",\"cache\":\"0\",\"cache_time\":\"900\",\"cachemode\":\"static\"}','','',0,'0000-00-00 00:00:00',0,0),(10035,10068,'Button - RokGallery','plugin','rokgallery','editors-xtd',0,1,1,0,'{\"name\":\"Button - RokGallery\",\"type\":\"plugin\",\"creationDate\":\"May  2, 2019\",\"author\":\"RocketTheme, LLC\",\"copyright\":\"(C) 2005 - 2019 RocketTheme, LLC. All rights reserved.\",\"authorEmail\":\"support@rockettheme.com\",\"authorUrl\":\"http:\\/\\/www.rockettheme.com\",\"version\":\"2.45\",\"description\":\"This is an Editor Button to allow selection of RokGallery Slices\",\"group\":\"\",\"filename\":\"rokgallery\"}','{}','','',0,'0000-00-00 00:00:00',50,0),(10036,10068,'System - RokGallery','plugin','rokgallery','system',0,1,1,0,'{\"name\":\"System - RokGallery\",\"type\":\"plugin\",\"creationDate\":\"May  2, 2019\",\"author\":\"RocketTheme, LLC\",\"copyright\":\"(C) 2005 - 2019 RocketTheme, LLC. All rights reserved.\",\"authorEmail\":\"support@rockettheme.com\",\"authorUrl\":\"http:\\/\\/www.rockettheme.com\",\"version\":\"2.45\",\"description\":\"A system level support plugin for RokGallery.\",\"group\":\"\",\"filename\":\"rokgallery\"}','{}','','',0,'0000-00-00 00:00:00',50,0),(10052,10067,'Button - RokBox','plugin','rokbox','editors-xtd',0,1,1,0,'{\"name\":\"Button - RokBox\",\"type\":\"plugin\",\"creationDate\":\"January 16, 2019\",\"author\":\"RocketTheme, LLC\",\"copyright\":\"(C) 2005 - 2019 RocketTheme, LLC. All rights reserved.\",\"authorEmail\":\"support@rockettheme.com\",\"authorUrl\":\"http:\\/\\/www.rockettheme.com\",\"version\":\"2.0.15\",\"description\":\"This is an Editor Button to allow injection of RokBox snippets into your Content\",\"group\":\"\",\"filename\":\"rokbox\"}','{}','','',0,'0000-00-00 00:00:00',1,0),(10060,0,'pkg_gantry','package','pkg_gantry','',0,1,1,0,'{\"name\":\"pkg_gantry\",\"type\":\"package\",\"creationDate\":\"May 26, 2019\",\"author\":\"RocketTheme, LLC\",\"copyright\":\"(C) 2005 - 2019 RocketTheme, LLC. All rights reserved.\",\"authorEmail\":\"support@rockettheme.com\",\"authorUrl\":\"http:\\/\\/www.rockettheme.com\",\"version\":\"4.1.41\",\"description\":\"PKG_GANTRY_DESCRIPTION\",\"group\":\"\",\"filename\":\"pkg_gantry\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(10065,0,'pkg_rokcommon','package','pkg_rokcommon','',0,1,1,0,'{\"name\":\"pkg_rokcommon\",\"type\":\"package\",\"creationDate\":\"February 19, 2019\",\"author\":\"RocketTheme, LLC\",\"copyright\":\"(C) 2005 - 2019 RocketTheme, LLC. All rights reserved.\",\"authorEmail\":\"support@rockettheme.com\",\"authorUrl\":\"http:\\/\\/www.rockettheme.com\",\"version\":\"3.2.7\",\"description\":\"RocketTheme shared library\",\"group\":\"\",\"filename\":\"pkg_rokcommon\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(10067,0,'pkg_rokbox','package','pkg_rokbox','',0,1,1,0,'{\"name\":\"pkg_rokbox\",\"type\":\"package\",\"creationDate\":\"January 16, 2019\",\"author\":\"RocketTheme, LLC\",\"copyright\":\"(C) 2005 - 2019 RocketTheme, LLC. All rights reserved.\",\"authorEmail\":\"support@rockettheme.com\",\"authorUrl\":\"http:\\/\\/www.rockettheme.com\",\"version\":\"2.0.15\",\"description\":\"RokBox\",\"group\":\"\",\"filename\":\"pkg_rokbox\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(10068,0,'pkg_rokgallery','package','pkg_rokgallery','',0,1,1,0,'{\"name\":\"pkg_rokgallery\",\"type\":\"package\",\"creationDate\":\"May  2, 2019\",\"author\":\"RocketTheme, LLC\",\"copyright\":\"(C) 2005 - 2019 RocketTheme, LLC. All rights reserved.\",\"authorEmail\":\"support@rockettheme.com\",\"authorUrl\":\"http:\\/\\/www.rockettheme.com\",\"version\":\"2.45\",\"description\":\"RokGallery\",\"group\":\"\",\"filename\":\"pkg_rokgallery\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(10069,0,'pkg_roksprocket','package','pkg_roksprocket','',0,1,1,0,'{\"name\":\"pkg_roksprocket\",\"type\":\"package\",\"creationDate\":\"February 11, 2019\",\"author\":\"RocketTheme, LLC\",\"copyright\":\"(C) 2005 - 2019 RocketTheme, LLC. All rights reserved.\",\"authorEmail\":\"support@rockettheme.com\",\"authorUrl\":\"http:\\/\\/www.rockettheme.com\",\"version\":\"2.1.26\",\"description\":\"RokSprocket\",\"group\":\"\",\"filename\":\"pkg_roksprocket\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(10071,10060,'Gantry 4 Framework','library','gantry','',0,1,1,0,'{\"name\":\"Gantry 4 Framework\",\"type\":\"library\",\"creationDate\":\"May 26, 2019\",\"author\":\"RocketTheme, LLC\",\"copyright\":\"(C) 2005 - 2019 RocketTheme, LLC. All rights reserved.\",\"authorEmail\":\"support@rockettheme.com\",\"authorUrl\":\"http:\\/\\/www.rockettheme.com\",\"version\":\"4.1.41\",\"description\":\"LIB_GANTRY_DESCRIPTION\",\"group\":\"\",\"filename\":\"gantry\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(10072,0,'pkg_rokcandy','package','pkg_rokcandy','',0,1,1,0,'{\"name\":\"pkg_rokcandy\",\"type\":\"package\",\"creationDate\":\"February 15, 2019\",\"author\":\"RocketTheme, LLC\",\"copyright\":\"(C) 2005 - 2019 RocketTheme, LLC. All rights reserved.\",\"authorEmail\":\"support@rockettheme.com\",\"authorUrl\":\"http:\\/\\/www.rockettheme.com\",\"version\":\"2.0.3\",\"description\":\"RokCandy\",\"group\":\"\",\"filename\":\"pkg_rokcandy\"}','{}','','',0,'0000-00-00 00:00:00',0,0),(10073,0,'RokCommon','library','rokcommon','',0,1,1,0,'{\"name\":\"RokCommon\",\"type\":\"library\",\"creationDate\":\"February 19, 2019\",\"author\":\"RocketTheme, LLC\",\"copyright\":\"(C) 2005 - 2019 RocketTheme, LLC. All rights reserved.\",\"authorEmail\":\"support@rockettheme.com\",\"authorUrl\":\"http:\\/\\/www.rockettheme.com\",\"version\":\"3.2.7\",\"description\":\"RocketTheme shared library\",\"group\":\"\",\"filename\":\"rokcommon\"}','{}','','',0,'0000-00-00 00:00:00',0,0);

INSERT IGNORE INTO `#__menu` (`id`, `menutype`, `title`, `alias`, `note`, `path`, `link`, `type`, `published`, `parent_id`, `level`, `component_id`, `checked_out`, `checked_out_time`, `browserNav`, `access`, `img`, `template_style_id`, `params`, `lft`, `rgt`, `home`, `language`, `client_id`) VALUES (1,'','Menu_Item_Root','root','','','','',1,0,0,0,0,'0000-00-00 00:00:00',0,0,'',0,'',0,109,0,'*',0),(2,'main','com_banners','Banners','','Banners','index.php?option=com_banners','component',1,1,1,4,0,'0000-00-00 00:00:00',0,0,'class:banners',0,'',1,10,0,'*',1),(3,'main','com_banners','Banners','','Banners/Banners','index.php?option=com_banners','component',1,2,2,4,0,'0000-00-00 00:00:00',0,0,'class:banners',0,'',2,3,0,'*',1),(4,'main','com_banners_categories','Categories','','Banners/Categories','index.php?option=com_categories&extension=com_banners','component',1,2,2,6,0,'0000-00-00 00:00:00',0,0,'class:banners-cat',0,'',4,5,0,'*',1),(5,'main','com_banners_clients','Clients','','Banners/Clients','index.php?option=com_banners&view=clients','component',1,2,2,4,0,'0000-00-00 00:00:00',0,0,'class:banners-clients',0,'',6,7,0,'*',1),(6,'main','com_banners_tracks','Tracks','','Banners/Tracks','index.php?option=com_banners&view=tracks','component',1,2,2,4,0,'0000-00-00 00:00:00',0,0,'class:banners-tracks',0,'',8,9,0,'*',1),(7,'main','com_contact','Contacts','','Contacts','index.php?option=com_contact','component',1,1,1,8,0,'0000-00-00 00:00:00',0,0,'class:contact',0,'',11,16,0,'*',1),(8,'main','com_contact_contacts','Contacts','','Contacts/Contacts','index.php?option=com_contact','component',1,7,2,8,0,'0000-00-00 00:00:00',0,0,'class:contact',0,'',12,13,0,'*',1),(9,'main','com_contact_categories','Categories','','Contacts/Categories','index.php?option=com_categories&extension=com_contact','component',1,7,2,6,0,'0000-00-00 00:00:00',0,0,'class:contact-cat',0,'',14,15,0,'*',1),(10,'main','com_messages','Messaging','','Messaging','index.php?option=com_messages','component',1,1,1,15,0,'0000-00-00 00:00:00',0,0,'class:messages',0,'',17,20,0,'*',1),(11,'main','com_messages_add','New Private Message','','Messaging/New Private Message','index.php?option=com_messages&task=message.add','component',1,10,2,15,0,'0000-00-00 00:00:00',0,0,'class:messages-add',0,'',18,19,0,'*',1),(13,'main','com_newsfeeds','News Feeds','','News Feeds','index.php?option=com_newsfeeds','component',1,1,1,17,0,'0000-00-00 00:00:00',0,0,'class:newsfeeds',0,'',21,26,0,'*',1),(14,'main','com_newsfeeds_feeds','Feeds','','News Feeds/Feeds','index.php?option=com_newsfeeds','component',1,13,2,17,0,'0000-00-00 00:00:00',0,0,'class:newsfeeds',0,'',22,23,0,'*',1),(15,'main','com_newsfeeds_categories','Categories','','News Feeds/Categories','index.php?option=com_categories&extension=com_newsfeeds','component',1,13,2,6,0,'0000-00-00 00:00:00',0,0,'class:newsfeeds-cat',0,'',24,25,0,'*',1),(16,'main','com_redirect','Redirect','','Redirect','index.php?option=com_redirect','component',1,1,1,24,0,'0000-00-00 00:00:00',0,0,'class:redirect',0,'',35,36,0,'*',1),(17,'main','com_search','Basic Search','','Basic Search','index.php?option=com_search','component',1,1,1,19,0,'0000-00-00 00:00:00',0,0,'class:search',0,'',31,32,0,'*',1),(21,'main','com_finder','Smart Search','','Smart Search','index.php?option=com_finder','component',1,1,1,27,0,'0000-00-00 00:00:00',0,0,'class:finder',0,'',29,30,0,'*',1),(22,'main','com_joomlaupdate','Joomla! Update','','Joomla! Update','index.php?option=com_joomlaupdate','component',1,1,1,28,0,'0000-00-00 00:00:00',0,0,'class:joomlaupdate',0,'',33,34,0,'*',1),(23,'main','com_tags','Tags','','Tags','index.php?option=com_tags','component',1,1,1,29,0,'0000-00-00 00:00:00',0,1,'class:tags',0,'',37,38,0,'',1),(101,'mainmenu','Home','home','','home','index.php?option=com_content&view=category&layout=rt_cerulean:ceruleanblog&id=16','component',1,1,1,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"layout_type\":\"blog\",\"show_category_title\":\"\",\"show_description\":\"\",\"show_description_image\":\"\",\"maxLevel\":\"\",\"show_empty_categories\":\"\",\"show_no_articles\":\"\",\"show_subcat_desc\":\"\",\"show_cat_num_articles\":\"\",\"page_subheading\":\"\",\"num_leading_articles\":\"1\",\"num_intro_articles\":\"1\",\"num_columns\":\"1\",\"num_links\":\"0\",\"multi_column_order\":\"1\",\"show_subcategory_content\":\"\",\"orderby_pri\":\"\",\"orderby_sec\":\"order\",\"order_date\":\"\",\"show_pagination\":\"2\",\"show_pagination_results\":\"1\",\"show_title\":\"\",\"link_titles\":\"0\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"1\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_readmore\":\"\",\"show_readmore_title\":\"\",\"show_icons\":\"0\",\"show_print_icon\":\"0\",\"show_email_icon\":\"0\",\"show_hits\":\"\",\"show_noauth\":\"\",\"show_feed_link\":\"1\",\"feed_summary\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"Cerulean - December 2012 Template Demo\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\" dec12-home\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"dropdown_item_subtext\":\"\",\"dropdown_customimage\":\"\",\"dropdown_customicon\":\"-1\",\"dropdown_customclass\":\"\",\"dropdown_columns\":\"1\",\"dropdown_distribution\":\"even\",\"dropdown_manual_distribution\":\"\",\"dropdown_dropdown_width\":\"\",\"dropdown_column_widths\":\"\",\"dropdown_children_group\":\"0\",\"dropdown_children_type\":\"menuitems\",\"dropdown_modules\":\"114\",\"dropdown_module_positions\":\"\",\"splitmenu_item_subtext\":\"\",\"splitmenu_customimage\":\"\",\"splitmenu_customicon\":\"-1\",\"splitmenu_customclass\":\"\"}',27,28,1,'*',0),(102,'mainmenu','Features','features','','features','index.php?option=com_content&view=article&id=1','component',1,1,1,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"0\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"dropdown_item_subtext\":\"\",\"dropdown_customimage\":\"\",\"dropdown_customicon\":\"-1\",\"dropdown_customclass\":\"\",\"dropdown_columns\":\"1\",\"dropdown_distribution\":\"even\",\"dropdown_manual_distribution\":\"\",\"dropdown_dropdown_width\":\"\",\"dropdown_column_widths\":\"\",\"dropdown_children_group\":\"0\",\"dropdown_children_type\":\"menuitems\",\"dropdown_modules\":\"141\",\"dropdown_module_positions\":\"\",\"splitmenu_item_subtext\":\"\",\"splitmenu_customimage\":\"\",\"splitmenu_customicon\":\"-1\",\"splitmenu_customclass\":\"\"}',39,70,0,'*',0),(103,'mainmenu','Module Positions','module-positions','','features/module-positions','index.php?option=com_content&view=article&id=2','component',1,102,2,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',40,41,0,'*',0),(104,'mainmenu','Module Variations','module-variations','','features/module-variations','index.php?option=com_content&view=article&id=3','component',1,102,2,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',42,43,0,'*',0),(105,'mainmenu','Typography','typography','','features/typography','index.php?option=com_content&view=article&id=4','component',1,102,2,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',44,45,0,'*',0),(106,'mainmenu','Menu Options','menu-options','','features/menu-options','index.php?option=com_content&view=article&id=5','component',1,102,2,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"dropdown_item_subtext\":\"\",\"dropdown_customimage\":\"\",\"dropdown_customicon\":\"\",\"dropdown_customclass\":\"\",\"dropdown_columns\":\"2\",\"dropdown_distribution\":\"even\",\"dropdown_manual_distribution\":\"\",\"dropdown_dropdown_width\":\"360\",\"dropdown_column_widths\":\"180,180\",\"dropdown_children_group\":\"0\",\"dropdown_children_type\":\"menuitems\",\"dropdown_modules\":\"17\",\"dropdown_module_positions\":\"\",\"splitmenu_item_subtext\":\"\",\"splitmenu_customimage\":\"\",\"splitmenu_customicon\":\"\",\"splitmenu_customclass\":\"\"}',46,63,0,'*',0),(107,'mainmenu','Extensions','extensions','','features/extensions','index.php?option=com_content&view=article&id=6','component',1,102,2,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"0\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"0\",\"show_print_icon\":\"0\",\"show_email_icon\":\"0\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"dropdown_item_subtext\":\"\",\"dropdown_customimage\":\"\",\"dropdown_customicon\":\"-1\",\"dropdown_customclass\":\"\",\"dropdown_columns\":\"1\",\"dropdown_distribution\":\"even\",\"dropdown_manual_distribution\":\"\",\"dropdown_dropdown_width\":\"\",\"dropdown_column_widths\":\"\",\"dropdown_children_group\":\"0\",\"dropdown_children_type\":\"menuitems\",\"dropdown_modules\":\"141\",\"dropdown_module_positions\":\"\",\"splitmenu_item_subtext\":\"\",\"splitmenu_customimage\":\"\",\"splitmenu_customicon\":\"-1\",\"splitmenu_customclass\":\"\"}',64,65,0,'*',0),(108,'mainmenu','Tutorials','tutorials','','tutorials','index.php?option=com_content&view=article&id=7','component',1,1,1,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',73,82,0,'*',0),(109,'mainmenu','Installation','installation','','tutorials/installation','index.php?option=com_content&view=article&id=8','component',1,108,2,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',74,75,0,'*',0),(110,'mainmenu','Logo Editing','logo-editing','','tutorials/logo-editing','index.php?option=com_content&view=article&id=9','component',1,108,2,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',76,77,0,'*',0),(111,'mainmenu','Styles','styles','','styles','index.php?option=com_content&view=article&id=10','component',1,1,1,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"dropdown_item_subtext\":\"\",\"dropdown_customimage\":\"\",\"dropdown_customicon\":\"-1\",\"dropdown_customclass\":\"\",\"dropdown_columns\":\"1\",\"dropdown_distribution\":\"even\",\"dropdown_manual_distribution\":\"\",\"dropdown_dropdown_width\":\"185\",\"dropdown_column_widths\":\"\",\"dropdown_children_group\":\"0\",\"dropdown_children_type\":\"modules\",\"dropdown_modules\":\"175\",\"dropdown_module_positions\":\"\",\"splitmenu_item_subtext\":\"\",\"splitmenu_customimage\":\"\",\"splitmenu_customicon\":\"-1\",\"splitmenu_customclass\":\"\"}',83,84,0,'*',0),(112,'mainmenu','J! Stuff','j-stuff','','j-stuff','index.php?option=com_content&view=article&id=11','component',1,1,1,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}',85,90,0,'*',0),(113,'mainmenu','404 Error Page','2012-11-07-20-57-04','','features/2012-11-07-20-57-04','index.php/404','url',1,102,2,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1}',66,67,0,'*',0),(114,'mainmenu','More Details','2012-11-07-20-59-21','','features/2012-11-07-20-59-21','http://www.rockettheme.com/joomla-templates/cerulean','url',1,102,2,0,0,'0000-00-00 00:00:00',1,1,'',0,'{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1}',68,69,0,'*',0),(115,'mainmenu','Forum Guides','2012-11-07-21-00-15','','tutorials/2012-11-07-21-00-15','http://www.rockettheme.com/forum/index.php?f=688&rb_v=viewforum','url',1,108,2,0,0,'0000-00-00 00:00:00',1,1,'',0,'{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"dropdown_item_subtext\":\"\",\"dropdown_customimage\":\"\",\"dropdown_customicon\":\"-1\",\"dropdown_customclass\":\"\",\"dropdown_columns\":\"1\",\"dropdown_distribution\":\"even\",\"dropdown_manual_distribution\":\"\",\"dropdown_dropdown_width\":\"\",\"dropdown_column_widths\":\"\",\"dropdown_children_group\":\"0\",\"dropdown_children_type\":\"menuitems\",\"dropdown_modules\":\"141\",\"dropdown_module_positions\":\"\",\"splitmenu_item_subtext\":\"\",\"splitmenu_customimage\":\"\",\"splitmenu_customicon\":\"-1\",\"splitmenu_customclass\":\"\"}',78,79,0,'*',0),(116,'mainmenu','Gantry Framework','2012-11-07-21-01-54','','tutorials/2012-11-07-21-01-54','http://www.gantry-framework.org/documentation','url',1,108,2,0,0,'0000-00-00 00:00:00',1,1,'',0,'{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"dropdown_item_subtext\":\"\",\"dropdown_customimage\":\"\",\"dropdown_customicon\":\"-1\",\"dropdown_customclass\":\"\",\"dropdown_columns\":\"1\",\"dropdown_distribution\":\"even\",\"dropdown_manual_distribution\":\"\",\"dropdown_dropdown_width\":\"\",\"dropdown_column_widths\":\"\",\"dropdown_children_group\":\"0\",\"dropdown_children_type\":\"menuitems\",\"dropdown_modules\":\"141\",\"dropdown_module_positions\":\"\",\"splitmenu_item_subtext\":\"\",\"splitmenu_customimage\":\"\",\"splitmenu_customicon\":\"-1\",\"splitmenu_customclass\":\"\"}',80,81,0,'*',0),(117,'mainmenu','Member Access','member-access','','j-stuff/member-access','index.php?option=com_users&view=login','component',1,112,2,25,0,'0000-00-00 00:00:00',0,1,'',0,'{\"login_redirect_url\":\"\",\"logindescription_show\":\"1\",\"login_description\":\"The RocketTheme Joomla Template Club features exclusive access to professional Joomla templates to help transform your Joomla based site and set you apart from the competition. Complimentary access to to the new RocketTheme Extensions Club is provided for all RocketTheme Joomla Club members.\",\"login_image\":\"\",\"logout_redirect_url\":\"\",\"logoutdescription_show\":\"1\",\"logout_description\":\"\",\"logout_image\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"Member Access\",\"show_page_heading\":1,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"dropdown_item_subtext\":\"\",\"dropdown_customimage\":\"\",\"dropdown_customicon\":\"-1\",\"dropdown_customclass\":\"\",\"dropdown_columns\":\"1\",\"dropdown_distribution\":\"even\",\"dropdown_manual_distribution\":\"\",\"dropdown_dropdown_width\":\"\",\"dropdown_column_widths\":\"\",\"dropdown_children_group\":\"0\",\"dropdown_children_type\":\"menuitems\",\"dropdown_modules\":\"142\",\"dropdown_module_positions\":\"\",\"splitmenu_item_subtext\":\"\",\"splitmenu_customimage\":\"\",\"splitmenu_customicon\":\"-1\",\"splitmenu_customclass\":\"\"}',86,87,0,'*',0),(118,'mainmenu','Category Blog','category-blog','','j-stuff/category-blog','index.php?option=com_content&view=category&layout=rt_cerulean:ceruleanblog&id=9','component',1,112,2,22,0,'0000-00-00 00:00:00',0,1,'',0,'{\"layout_type\":\"blog\",\"show_category_title\":\"\",\"show_description\":\"\",\"show_description_image\":\"\",\"maxLevel\":\"\",\"show_empty_categories\":\"\",\"show_no_articles\":\"\",\"show_subcat_desc\":\"\",\"show_cat_num_articles\":\"\",\"page_subheading\":\"\",\"num_leading_articles\":\"1\",\"num_intro_articles\":\"3\",\"num_columns\":\"1\",\"num_links\":\"4\",\"multi_column_order\":\"\",\"show_subcategory_content\":\"\",\"orderby_pri\":\"\",\"orderby_sec\":\"\",\"order_date\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"1\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"1\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_readmore\":\"\",\"show_readmore_title\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"show_feed_link\":\"\",\"feed_summary\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"dropdown_item_subtext\":\"\",\"dropdown_customimage\":\"\",\"dropdown_customicon\":\"-1\",\"dropdown_customclass\":\"\",\"dropdown_columns\":\"1\",\"dropdown_distribution\":\"even\",\"dropdown_manual_distribution\":\"\",\"dropdown_dropdown_width\":\"\",\"dropdown_column_widths\":\"\",\"dropdown_children_group\":\"0\",\"dropdown_children_type\":\"menuitems\",\"dropdown_modules\":\"141\",\"dropdown_module_positions\":\"\",\"splitmenu_item_subtext\":\"\",\"splitmenu_customimage\":\"\",\"splitmenu_customicon\":\"-1\",\"splitmenu_customclass\":\"\"}',88,89,0,'*',0),(125,'mainmenu','Menu Examples','menu-examples','','features/menu-options/menu-examples','index.php?Itemid=','alias',1,106,3,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"aliasoptions\":\"106\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"dropdown_item_subtext\":\"\",\"dropdown_customimage\":\"\",\"dropdown_customicon\":\"\",\"dropdown_customclass\":\"\",\"dropdown_columns\":\"1\",\"dropdown_distribution\":\"even\",\"dropdown_manual_distribution\":\"\",\"dropdown_dropdown_width\":\"\",\"dropdown_column_widths\":\"\",\"dropdown_children_group\":\"1\",\"dropdown_children_type\":\"menuitems\",\"dropdown_modules\":\"17\",\"dropdown_module_positions\":\"\",\"splitmenu_item_subtext\":\"\",\"splitmenu_customimage\":\"\",\"splitmenu_customicon\":\"\",\"splitmenu_customclass\":\"\"}',47,54,0,'*',0),(126,'mainmenu','Menu Types','menu-types','','features/menu-options/menu-types','index.php?Itemid=','alias',1,106,3,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"aliasoptions\":\"106\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"dropdown_item_subtext\":\"\",\"dropdown_customimage\":\"\",\"dropdown_customicon\":\"\",\"dropdown_customclass\":\"\",\"dropdown_columns\":\"1\",\"dropdown_distribution\":\"even\",\"dropdown_manual_distribution\":\"\",\"dropdown_dropdown_width\":\"\",\"dropdown_column_widths\":\"\",\"dropdown_children_group\":\"1\",\"dropdown_children_type\":\"menuitems\",\"dropdown_modules\":\"17\",\"dropdown_module_positions\":\"\",\"splitmenu_item_subtext\":\"\",\"splitmenu_customimage\":\"\",\"splitmenu_customicon\":\"\",\"splitmenu_customclass\":\"\"}',55,62,0,'*',0),(127,'mainmenu','Child Item','child-item','','features/menu-options/menu-examples/child-item','index.php?Itemid=','alias',1,125,4,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"aliasoptions\":\"106\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"dropdown_item_subtext\":\"\",\"dropdown_customimage\":\"\",\"dropdown_customicon\":\"\",\"dropdown_customclass\":\"\",\"dropdown_columns\":\"1\",\"dropdown_distribution\":\"even\",\"dropdown_manual_distribution\":\"\",\"dropdown_dropdown_width\":\"\",\"dropdown_column_widths\":\"\",\"dropdown_children_group\":\"0\",\"dropdown_children_type\":\"menuitems\",\"dropdown_modules\":\"17\",\"dropdown_module_positions\":\"\",\"splitmenu_item_subtext\":\"\",\"splitmenu_customimage\":\"\",\"splitmenu_customicon\":\"\",\"splitmenu_customclass\":\"\"}',48,49,0,'*',0),(128,'mainmenu','Menu Icon','menu-icon','','features/menu-options/menu-examples/menu-icon','index.php?Itemid=','alias',1,125,4,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"aliasoptions\":\"106\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"dropdown_item_subtext\":\"\",\"dropdown_customimage\":\"\",\"dropdown_customicon\":\"icon-list-ul\",\"dropdown_customclass\":\"\",\"dropdown_columns\":\"1\",\"dropdown_distribution\":\"even\",\"dropdown_manual_distribution\":\"\",\"dropdown_dropdown_width\":\"\",\"dropdown_column_widths\":\"\",\"dropdown_children_group\":\"0\",\"dropdown_children_type\":\"menuitems\",\"dropdown_modules\":\"17\",\"dropdown_module_positions\":\"\",\"splitmenu_item_subtext\":\"\",\"splitmenu_customimage\":\"\",\"splitmenu_customicon\":\"\",\"splitmenu_customclass\":\"\"}',50,51,0,'*',0),(129,'mainmenu','Module Menu','module-menu','','features/menu-options/menu-examples/module-menu','index.php?Itemid=','alias',1,125,4,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"aliasoptions\":\"106\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"dropdown_item_subtext\":\"\",\"dropdown_customimage\":\"\",\"dropdown_customicon\":\"\",\"dropdown_customclass\":\"\",\"dropdown_columns\":\"1\",\"dropdown_distribution\":\"even\",\"dropdown_manual_distribution\":\"\",\"dropdown_dropdown_width\":\"250\",\"dropdown_column_widths\":\"\",\"dropdown_children_group\":\"0\",\"dropdown_children_type\":\"modulepos\",\"dropdown_modules\":\"17\",\"dropdown_module_positions\":\"menu-mod\",\"splitmenu_item_subtext\":\"\",\"splitmenu_customimage\":\"\",\"splitmenu_customicon\":\"\",\"splitmenu_customclass\":\"\"}',52,53,0,'*',0),(130,'mainmenu','Dropdown Menu','2012-11-08-14-44-13','','features/menu-options/menu-types/2012-11-08-14-44-13','index.php?option=com_content&view=article&id=5&Itemid=106&menu-type=dropdownmenu','url',1,126,4,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"dropdown_item_subtext\":\"\",\"dropdown_customimage\":\"\",\"dropdown_customicon\":\"\",\"dropdown_customclass\":\"\",\"dropdown_columns\":\"1\",\"dropdown_distribution\":\"even\",\"dropdown_manual_distribution\":\"\",\"dropdown_dropdown_width\":\"\",\"dropdown_column_widths\":\"\",\"dropdown_children_group\":\"0\",\"dropdown_children_type\":\"menuitems\",\"dropdown_modules\":\"17\",\"dropdown_module_positions\":\"\",\"splitmenu_item_subtext\":\"\",\"splitmenu_customimage\":\"\",\"splitmenu_customicon\":\"\",\"splitmenu_customclass\":\"\"}',56,57,0,'*',0),(131,'mainmenu','Split Menu','2012-11-08-14-44-14','','features/menu-options/menu-types/2012-11-08-14-44-14','index.php?option=com_content&view=article&id=5&Itemid=106&menu-type=splitmenu','url',1,126,4,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"dropdown_item_subtext\":\"\",\"dropdown_customimage\":\"\",\"dropdown_customicon\":\"\",\"dropdown_customclass\":\"\",\"dropdown_columns\":\"1\",\"dropdown_distribution\":\"even\",\"dropdown_manual_distribution\":\"\",\"dropdown_dropdown_width\":\"\",\"dropdown_column_widths\":\"\",\"dropdown_children_group\":\"0\",\"dropdown_children_type\":\"menuitems\",\"dropdown_modules\":\"17\",\"dropdown_module_positions\":\"\",\"splitmenu_item_subtext\":\"\",\"splitmenu_customimage\":\"\",\"splitmenu_customicon\":\"\",\"splitmenu_customclass\":\"\"}',58,59,0,'*',0),(132,'mainmenu','No Menu','2012-11-08-14-44-15','','features/menu-options/menu-types/2012-11-08-14-44-15','index.php?option=com_content&view=article&id=5&Itemid=106&menu-type=nomenu','url',1,126,4,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"dropdown_item_subtext\":\"\",\"dropdown_customimage\":\"\",\"dropdown_customicon\":\"\",\"dropdown_customclass\":\"\",\"dropdown_columns\":\"1\",\"dropdown_distribution\":\"even\",\"dropdown_manual_distribution\":\"\",\"dropdown_dropdown_width\":\"\",\"dropdown_column_widths\":\"\",\"dropdown_children_group\":\"0\",\"dropdown_children_type\":\"menuitems\",\"dropdown_modules\":\"17\",\"dropdown_module_positions\":\"\",\"splitmenu_item_subtext\":\"\",\"splitmenu_customimage\":\"\",\"splitmenu_customicon\":\"\",\"splitmenu_customclass\":\"\"}',60,61,0,'*',0),(133,'copyrightmenu','Guides','guides','','guides','index.php?Itemid=','alias',1,1,1,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"aliasoptions\":\"108\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"dropdown_item_subtext\":\"\",\"dropdown_customimage\":\"\",\"dropdown_customicon\":\"\",\"dropdown_customclass\":\"\",\"dropdown_columns\":\"1\",\"dropdown_distribution\":\"even\",\"dropdown_manual_distribution\":\"\",\"dropdown_dropdown_width\":\"\",\"dropdown_column_widths\":\"\",\"dropdown_children_group\":\"0\",\"dropdown_children_type\":\"menuitems\",\"dropdown_modules\":\"136\",\"dropdown_module_positions\":\"\",\"splitmenu_item_subtext\":\"\",\"splitmenu_customimage\":\"\",\"splitmenu_customicon\":\"\",\"splitmenu_customclass\":\"\"}',91,92,0,'*',0),(134,'copyrightmenu','Addons','addons','','addons','index.php?Itemid=','alias',1,1,1,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"aliasoptions\":\"107\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"dropdown_item_subtext\":\"\",\"dropdown_customimage\":\"\",\"dropdown_customicon\":\"\",\"dropdown_customclass\":\"\",\"dropdown_columns\":\"1\",\"dropdown_distribution\":\"even\",\"dropdown_manual_distribution\":\"\",\"dropdown_dropdown_width\":\"\",\"dropdown_column_widths\":\"\",\"dropdown_children_group\":\"0\",\"dropdown_children_type\":\"menuitems\",\"dropdown_modules\":\"136\",\"dropdown_module_positions\":\"\",\"splitmenu_item_subtext\":\"\",\"splitmenu_customimage\":\"\",\"splitmenu_customicon\":\"\",\"splitmenu_customclass\":\"\"}',93,94,0,'*',0),(135,'copyrightmenu','Menu','menu','','menu','index.php?Itemid=','alias',1,1,1,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"aliasoptions\":\"106\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"dropdown_item_subtext\":\"\",\"dropdown_customimage\":\"\",\"dropdown_customicon\":\"\",\"dropdown_customclass\":\"\",\"dropdown_columns\":\"1\",\"dropdown_distribution\":\"even\",\"dropdown_manual_distribution\":\"\",\"dropdown_dropdown_width\":\"\",\"dropdown_column_widths\":\"\",\"dropdown_children_group\":\"0\",\"dropdown_children_type\":\"menuitems\",\"dropdown_modules\":\"136\",\"dropdown_module_positions\":\"\",\"splitmenu_item_subtext\":\"\",\"splitmenu_customimage\":\"\",\"splitmenu_customicon\":\"\",\"splitmenu_customclass\":\"\"}',95,96,0,'*',0),(136,'copyrightmenu','Presets','presets','','presets','index.php?Itemid=','alias',1,1,1,0,0,'0000-00-00 00:00:00',0,1,'',0,'{\"aliasoptions\":\"111\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"dropdown_item_subtext\":\"\",\"dropdown_customimage\":\"\",\"dropdown_customicon\":\"\",\"dropdown_customclass\":\"\",\"dropdown_columns\":\"1\",\"dropdown_distribution\":\"even\",\"dropdown_manual_distribution\":\"\",\"dropdown_dropdown_width\":\"\",\"dropdown_column_widths\":\"\",\"dropdown_children_group\":\"0\",\"dropdown_children_type\":\"menuitems\",\"dropdown_modules\":\"136\",\"dropdown_module_positions\":\"\",\"splitmenu_item_subtext\":\"\",\"splitmenu_customimage\":\"\",\"splitmenu_customicon\":\"\",\"splitmenu_customclass\":\"\"}',97,98,0,'*',0),(138,'main','com_postinstall','Post-installation messages','','Post-installation messages','index.php?option=com_postinstall','component',1,1,1,32,0,'0000-00-00 00:00:00',0,1,'class:postinstall',0,'',71,72,0,'*',1),(140,'main','com_associations','multilingual-associations','','multilingual-associations','index.php?option=com_associations','component',1,1,1,34,0,'0000-00-00 00:00:00',0,1,'class:associations',0,'{}',99,100,0,'*',1),(143,'main','COM_ROKCANDY','com-rokcandy','','com-rokcandy','index.php?option=com_rokcandy','component',1,1,1,10017,0,'0000-00-00 00:00:00',0,1,'components/com_rokcandy/assets/rokcandy-icon-16.png',0,'{}',101,106,0,'',1),(144,'main','COM_ROKCANDY_SUBMENU_MACROS','com-rokcandy-submenu-macros','','com-rokcandy/com-rokcandy-submenu-macros','index.php?option=com_rokcandy','component',1,143,2,10017,0,'0000-00-00 00:00:00',0,1,'components/com_rokcandy/assets/rokcandy-icon-16.png',0,'{}',102,103,0,'',1),(145,'main','COM_ROKCANDY_SUBMENU_CATEGORIES','com-rokcandy-submenu-categories','','com-rokcandy/com-rokcandy-submenu-categories','index.php?option=com_categories&extension=com_rokcandy','component',1,143,2,10017,0,'0000-00-00 00:00:00',0,1,'components/com_rokcandy/assets/icon-16-category.png',0,'{}',104,105,0,'',1),(146,'main','RokGallery','rokgallery','','rokgallery','index.php?option=com_rokgallery','component',1,1,1,10033,0,'0000-00-00 00:00:00',0,1,'components/com_rokgallery/assets/images/rokgallery_16x16.png',0,'{}',107,108,0,'',1);

INSERT IGNORE INTO `#__menu_types` (`id`, `asset_id`, `menutype`, `title`, `description`, `client_id`) VALUES (1,0,'mainmenu','Main Menu','The main menu for the site',0),(2,0,'copyrightmenu','Copyright Menu','Copyright Menu',0);

INSERT IGNORE INTO `#__modules` (`id`, `asset_id`, `title`, `note`, `content`, `ordering`, `position`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `published`, `module`, `access`, `showtitle`, `params`, `client_id`, `language`) VALUES (2,0,'Login','','',1,'login',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_login',1,1,'',1,'*'),(3,0,'Popular Articles','','',3,'cpanel',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_popular',3,1,'{\"count\":\"5\",\"catid\":\"\",\"user_id\":\"0\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"0\",\"automatic_title\":\"1\"}',1,'*'),(4,0,'Recently Added Articles','','',4,'cpanel',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_latest',3,1,'{\"count\":\"5\",\"ordering\":\"c_dsc\",\"catid\":\"\",\"user_id\":\"0\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"0\",\"automatic_title\":\"1\"}',1,'*'),(8,0,'Toolbar','','',1,'toolbar',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_toolbar',3,1,'',1,'*'),(9,0,'Quick Icons','','',1,'icon',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_quickicon',3,1,'',1,'*'),(10,0,'Logged-in Users','','',2,'cpanel',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_logged',3,1,'{\"count\":\"5\",\"name\":\"1\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"0\",\"automatic_title\":\"1\"}',1,'*'),(12,0,'Admin Menu','','',1,'menu',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_menu',3,1,'{\"layout\":\"\",\"moduleclass_sfx\":\"\",\"shownew\":\"1\",\"showhelp\":\"1\",\"cache\":\"0\"}',1,'*'),(13,0,'Admin Submenu','','',1,'submenu',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_submenu',3,1,'',1,'*'),(14,0,'User Status','','',2,'status',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_status',3,1,'',1,'*'),(15,0,'Title','','',1,'title',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_title',3,1,'',1,'*'),(79,0,'Multilanguage status','','',1,'status',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',0,'mod_multilangstatus',3,1,'{\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"0\"}',1,'*'),(86,0,'Joomla Version','','',1,'footer',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_version',3,1,'{\"format\":\"short\",\"product\":\"1\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"0\"}',1,'*'),(90,0,'Responsive Layouts Showcase','','<div class=\"rt-center largemargintop largemarginbottom\">\r\n  <span class=\"promo2\"><strong>Responsive</strong> Layout</span><br />\r\n  <span class=\"promo3\">A responsive design automatically adapts itself to a particular viewing environment such as desktop, tablet or mobile, without the need for separate layouts for varying platforms</span>\r\n</div>\r\n\r\n<div class=\"rt-image rt-center largemargintop largemarginbottom\">\r\n  <img class=\"rt-noborder\" alt=\"image\" src=\"images/rocketlauncher/features/responsive.png\" />\r\n</div>\r\n\r\n<div class=\"clear\"></div>\r\n\r\n<div class=\"gantry-width-33 gantry-width-block\">\r\n  <div class=\"gantry-width-spacer\">\r\n    <h4 class=\"smallmarginbottom\">Responsive Frameworks</h4>\r\n    <p>We use the responsive layout based on <a target=\"_blank\" href=\"http://twitter.github.com/bootstrap/\" class=\"external\"><strong>Twitter\'s Bootstrap Framework</strong></a>, with its collection of utility classes, to provide a flexible responsive design.</p>\r\n    <a href=\"http://www.rockettheme.com/blog/team/1550-responsive-design-and-gantry4\" class=\"readon\"><span class=\"icon-external-link\"></span><span> Read Blog</span></a>\r\n  </div>\r\n</div>\r\n\r\n<div class=\"gantry-width-33 gantry-width-block\">\r\n  <div class=\"gantry-width-spacer\">\r\n    <h4 class=\"smallmarginbottom\">RocketTheme Extensions</h4>\r\n    <p>The RokSprocket and RokGallery extensions are built to work with a responsive layout and support mobile touch events, such as <strong>\'swipe\'</strong>.</p>\r\n    <a href=\"http://www.rockettheme.com/blog/team/1555-responsive-design-rocketthemes-extensions\" class=\"readon\"><span class=\"icon-external-link\"></span><span> Read Blog</span></a>\r\n  </div>\r\n</div>\r\n\r\n<div class=\"gantry-width-33 gantry-width-block\">\r\n  <div class=\"gantry-width-spacer\">\r\n    <h4 class=\"smallmarginbottom\">Media Queries in JavaScript</h4>\r\n    <p>We have created a new helper class, <strong>RokMediaQueries.js</strong>, which provides a unified system that enables extensions to add media query listeners.</p>\r\n    <a href=\"http://www.rockettheme.com/blog/team/1555-responsive-design-rocketthemes-extensions\" class=\"readon\"><span class=\"icon-external-link\"></span><span> Read Blog</span></a>\r\n  </div>\r\n</div>\r\n\r\n<div class=\"clear\"></div>',1,'feature-a',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,0,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(91,0,'Responsive Layouts','','<div class=\"rt-image\">\r\n  <img class=\"rt-noborder\" alt=\"image\" src=\"images/rocketlauncher/features/responsive-1.jpg\" />\r\n</div>\r\n\r\n<br />\r\n\r\n<span>Cerulean\'s responsive grid system is designed for desktop, tablet and smartphone systems, each with minor modifications to ensure compatibility in each mode. The table above shows the breakdown of screen resolutions and associated devices, and what layout characters are then applied to each.</span>',1,'utility-a',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"box1 title2\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(92,0,'Responsive Classes','','<div class=\"rt-image\">\r\n  <img class=\"rt-noborder\" alt=\"image\" src=\"images/rocketlauncher/features/responsive-2.jpg\" />\r\n</div>\r\n\r\n<br />\r\n\r\n<span>Another useful feature available, via Bootstrap, is the collection of responsive utility classes that can be used to help tweak layouts by providing a simple method of showing or hiding modules. Insert the above module class suffixes into your settings to show/hide a module for a particular mode.</span>',1,'utility-b',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"box1 title2\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(93,0,'Media Queries','','<p>In terms of media queries, the breakdown is:</p>\r\n<pre class=\"lines rt-pre-col2\">\r\n/* Smartphones */\r\n@media (max-width: 480px) { ... }\r\n\r\n/* Smartphones to Tablets */\r\n@media (min-width: 481px) and (max-width: 767px) { ... }\r\n\r\n/* Tablets */\r\n@media (min-width: 768px) and (max-width: 959px) { ... }\r\n\r\n/* Desktop */\r\n@media (min-width: 960px) and (max-width: 1199px) { ... }\r\n\r\n/* Large Display */\r\n@media (min-width: 1200px) { ... }\r\n</pre>',1,'maintop-a',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"box2 title1\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(94,0,'Navigation','','<div class=\"gantry-width-50 gantry-width-block\">\r\n	<div class=\"gantry-width-spacer\">\r\n		<div class=\"rt-image rt-center\">\r\n		    <img class=\"rt-noborder\" src=\"images/rocketlauncher/features/responsive-nav.png\" alt=\"image\" />\r\n		</div>		\r\n	</div>\r\n</div>\r\n\r\n<div class=\"gantry-width-50 gantry-width-block\">\r\n	<div class=\"gantry-width-spacer\">\r\n		<p>For mobile devices, there are two options, a dropdown panel menu with items in a tree format or a select box using the browsers own UI elements. Chose a format in the template\'s menu settings.</p>\r\n\r\n		<p class=\"hidden-tablet\">The <strong>Dropdown Menu</strong> is a CSS driven dropdown menu, offering such features as multiple columns<span class=\"hidden-large hidden-desktop\">, inline icons, subtext, modules and positions, custom column widths, item distribution</span> and menu offsets. </p>\r\n\r\n		<p><strong>SplitMenu</strong> displays 1st level items in the navigation bar and children in the Sidebar.</p>	\r\n	</div>\r\n</div>\r\n\r\n<div class=\"clear\"></div>',1,'maintop-b',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"box2 title1\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(95,0,'Features Footer','','<div class=\"gantry-width-66 gantry-width-block\">\r\n  <div class=\"gantry-width-space\">\r\n    <h3>All the Features<span class=\"hidden-tablet\"> - in One Complete List</span></h3>\r\n    <h4>Cerulean Template</h4>\r\n    \r\n    <div class=\"gantry-width-50 gantry-width-block\">\r\n      <div class=\"gantry-width-space\">\r\n        <ul class=\"circle\">\r\n          <li>6 Preset Styles</li>\r\n          <li>78 Module Positions</li>\r\n          <li>Powered by Gantry 4</li>\r\n          <li>Dropdown Menu</li>\r\n          <li>SplitMenu</li>\r\n          <li>Custom Typography</li>\r\n        </ul>\r\n      </div>\r\n    </div>\r\n    \r\n    <div class=\"gantry-width-50 gantry-width-block\">\r\n      <div class=\"gantry-width-space\">\r\n        <ul class=\"circle\">\r\n          <li>RokGallery Styling</li>\r\n          <li>RokSprocket Styling</li>\r\n          <li>K2 Styling</li>\r\n          <li>Gantry Framework</li>\r\n          <li>Major Browsers Support</li>\r\n          <li>HTML5, CSS3, LESS CSS</li>\r\n        </ul>\r\n      </div>\r\n    </div>\r\n    \r\n    <div class=\"clear\"></div>\r\n    \r\n    <h4>Gantry Framework</h4>\r\n\r\n    <div class=\"gantry-width-50 gantry-width-block\">\r\n      <div class=\"gantry-width-space\">\r\n        <ul class=\"circle\">\r\n          <li>CSS Grid Framework</li>\r\n          <li>Responsive HTML5 base template</li>\r\n          <li>Stunning Admin Interface</li>\r\n          <li>Source Ordered Mainbody</li>\r\n          <li>Extensive Administrator Interface</li>\r\n        </ul>\r\n      </div>\r\n    </div>\r\n    \r\n    <div class=\"gantry-width-50 gantry-width-block\">\r\n      <div class=\"gantry-width-space\">\r\n        <ul class=\"circle\">\r\n          <li>Built-in Less Compiler</li>\r\n          <li>Versatile Layout</li>\r\n          <li>Grid RTL Support</li>\r\n          <li>Google Web Fonts Support</li>   \r\n          <li>Per Browser based CSS / JS control</li>\r\n        </ul>\r\n      </div>\r\n    </div>\r\n    \r\n    <div class=\"clear\"></div>\r\n\r\n  </div>\r\n</div>\r\n\r\n\r\n<div class=\"gantry-width-33 gantry-width-block\">\r\n  <div class=\"gantry-width-space\">\r\n    <h3>Requirements</h3>\r\n    <ul class=\"checkmark\">\r\n      <li><strong>Apache 2.x or Microsoft IIS 7</strong><br />\r\n        <em>Most widely deployed web server software, required for Joomla!</em></li>\r\n      <li><strong>PHP 5.3+</strong> &amp; <strong>MySQL 5.0.4+</strong><br />\r\n        <em>General-purpose server-side scripting language for web development and a popular open-source database system.</em></li>\r\n      <li><strong>Joomla! 2.5.x</strong> or <strong>Joomla! 3.0.x</strong><br />\r\n        <em>Please download the latest version at <a class=\"normalfont nobold\" href=\"http://www.joomla.org\" target=\"_blank\">www.joomla.org</a>.</em></li>\r\n      <li><strong>Gantry Framework</strong><br />\r\n        <em>Please ensure you are using the latest version of <a class=\"normalfont nobold\" href=\"http://www.gantry-framework.org\" target=\"_blank\">Gantry</a>.</em></li>\r\n      <li><strong>RokNavMenu Module</strong><br />\r\n        <em>Core <a class=\"normalfont nobold\" href=\"index.php?option=com_content&amp;view=article&amp;id=5&amp;Itemid=112\">menu system</a> for RocketTheme templates.</em></li>\r\n    </ul>\r\n  <div class=\"clear\"></div>\r\n  </div>\r\n</div>\r\n\r\n<div class=\"clear\"></div>',1,'footer-a',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,0,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(96,0,'Collapsible Positions','','<p>If no modules are published to a position, the entire area or row will not appear or collapse.</p>',1,'sidebar-a',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"box5 title3\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(97,0,'Injected Gantry Features','','<div class=\"rt-image\">\r\n  <img alt=\"Non-Standard Elements\" src=\"images/rocketlauncher/module-positions/injected-features.jpg\" />\r\n</div>\r\n\r\n<div class=\"clear largemarginbottom\">&nbsp;</div>\r\n\r\n<!-- <p class=\"hidden-tablet\">In the Gantry framework we use the term Feature to mean a specific bit of functionality. Features are flexible enough that they can be used to perform almost any kind of logic you would need.</p> -->\r\n\r\n<p class=\"nomarginbottom\">There are <strong>Features</strong> that are injected into a position when enabled, and are stacked vertically; which includes: Social Buttons, Date, Font Sizer, Login Panel, Popup Module, Branding, Copyright, To-Top Scroller, System Messages, Reset Settings, and Google Analytics.</p>',17,'sidebar-a',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"box1 title2\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(98,0,'MainBody / Sidebar Layouts','','<p>Configure at <strong>Admin &rarr; Extensions &rarr; Template Manager &rarr; rt_cerulean</strong>, then go to <strong>Layouts</strong> tab and set the varying Mainbody/Sidebar layout possibilities.</p>\r\n\r\n<div class=\"gantry-width-33 gantry-width-block\">\r\n  <div class=\"gantry-width-spacer\">\r\n    <div class=\"rt-image\">\r\n      <img src=\"images/rocketlauncher/module-positions/position-config-mb1.jpg\" alt=\"image\"/>\r\n    </div>\r\n  </div>\r\n</div>\r\n\r\n<div class=\"gantry-width-33 gantry-width-block\">\r\n  <div class=\"gantry-width-spacer\">\r\n    <div class=\"rt-image\">\r\n      <img src=\"images/rocketlauncher/module-positions/position-config-mb2.jpg\" alt=\"image\"/>\r\n    </div>\r\n  </div>\r\n</div>\r\n\r\n<div class=\"gantry-width-33 gantry-width-block\">\r\n  <div class=\"gantry-width-spacer\">\r\n    <div class=\"rt-image\">\r\n      <img src=\"images/rocketlauncher/module-positions/position-config-mb3.jpg\" alt=\"image\"/>\r\n    </div>\r\n  </div>\r\n</div>\r\n\r\n<div class=\"clear\"></div><br />\r\n\r\n<p class=\"attention\">Note: If no modules are assigned to the Sidebar positions, the Mainbody will become full width.</p>\r\n\r\n<div class=\"rt-image\">\r\n  <img alt=\"Module Positions\" src=\"images/rocketlauncher/module-positions/gantry-layout.jpg\" />\r\n</div>\r\n',1,'mainbottom-a',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"box3\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(99,0,'Basic: Using Gantry Layouts','','<div class=\"gantry-width-25 gantry-width-block\">\r\n  <div class=\"gantry-width-spacer\">\r\n    <a rel=\"rokbox[745 505]\" title=\"Video Tutorial :: Using Gantry Layouts\" href=\"http://www.gantry-framework.org/videos/joomla/g4-module-widths.mp4\">\r\n      <span class=\"rt-image\">\r\n        <img src=\"images/rocketlauncher/module-positions/using-layouts.jpg\" alt=\"Using Layouts\" />\r\n      </span>\r\n    </a>\r\n  </div>\r\n</div>\r\n\r\n<div class=\"gantry-width-75 gantry-width-block\">\r\n  <div class=\"gantry-width-spacer\">\r\n    <p>To find out about <strong>Gantry Layouts</strong> and <strong>Module Widths</strong>, check out this screencast which covers basic concepts of configuring layout with a combination of module setting and the Gantry layout control.</p>\r\n\r\n    <a class=\"readon smallmargintop\" href=\"http://www.gantry-framework.org/documentation/joomla/configure/layouts\" target=\"_blank\"><span>View : Using Layouts</span></a>\r\n  </div>    \r\n</div>\r\n\r\n<div class=\"clear\"></div>',1,'footer-a',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"title3\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(100,0,'Advanced: Adding Positions','','<div class=\"gantry-width-25 gantry-width-block\">\r\n  <div class=\"gantry-width-spacer\">\r\n    <a rel=\"rokbox[745 505]\" title=\"Video Tutorial :: Module Positions\" href=\"http://www.gantry-framework.org/videos/joomla/g4-module-positions.mp4\">\r\n      <span class=\"rt-image\">\r\n      <img src=\"images/rocketlauncher/module-positions/adding-module-positions.jpg\" alt=\"Adding Module Positions\" />\r\n      </span>  \r\n    </a>\r\n  </div>\r\n</div>\r\n\r\n<div class=\"gantry-width-75 gantry-width-block\">\r\n  <div class=\"gantry-width-spacer\">\r\n    <p>Check out this quick screencast on <strong>Module Positions</strong> to get an overview of how module positions work within Gantry Framework. Click below button to learn how to <strong>add a new row of module positions</strong>.</p>\r\n\r\n    <a class=\"readon smallmargintop\" href=\"http://www.gantry-framework.org/documentation/joomla/customize/adding-module-positions\" target=\"_blank\"><span>Learn : Adding Positions</span></a>\r\n  </div>    \r\n</div>\r\n\r\n<div class=\"clear\"></div>',1,'footer-b',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"title3\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(101,0,'Using a Suffix','','<p>Enter any available suffixes at <strong>Extensions &rarr; Module Manager &rarr; <em>Module</em> &rarr; Module Class Suffix</strong>.</p>\r\n<p class=\"notice nomarginbottom\">You can compound multiple suffixes together such as: <strong><em>box1 title3</em></strong>.</p>',4,'sidebar-a',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"box1 title2\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(102,0,'Standard Variations: 25 Additional Module Class Suffixes','','<ul>\r\n  <li><strong>rt-center:</strong> centres the content of the module.</li>\r\n  <li><strong>shadow2-10</strong> adds varying shadows around the module.</li>\r\n  <li><strong>rounded and basic:</strong> changes the border style of the module.</li>\r\n  <li><strong>standardcase, uppercase, lowercase:</strong> change the case of the module title.</li>  \r\n  <li><strong>nomargintop, nomarginright, nomarginbottom, nomarginleft, nomarginall:</strong> removes the various margins around the module.</li>    \r\n  <li><strong>nopaddingtop, nopaddingright, nopaddingbottom, nopaddingleft, nopaddingall:</strong> removes the various paddings around the module</li>    \r\n</ul>',1,'footer-a',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"title4\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(103,0,'Why Use RokCandy','','<p><strong>RokCandy</strong> is the ideal solution for those with <strong>limited coding skills</strong> or those who implement our templates for their clients.</p>\r\n\r\n<p>It is <strong>free</strong> from the WYSIWYG editors horrific filtering habits and can be easily pre-configured for your <strong>personal needs</strong> or the needs of your client.</p>\r\n\r\n<a href=\"http://www.rockettheme.com/extensions-joomla/rokcandy\" class=\"readon\" target=\"_blank\"><span>Download : RokCandy</span></a>',1,'footer-a',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"title3\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(104,0,'Video : Using Typography','','<div class=\"gantry-width-25 gantry-width-block\">\r\n  <div class=\"gantry-width-spacer nomargintop\">\r\n    <a href=\"http://www.rockettheme.com/video/joomla15/using-typography-joomla15.mov\" title=\"Video Tutorial :: Joomla Using Typography Video Tutorial\" rel=\"rokbox[540 380]\">\r\n      <span class=\"rt-image\">\r\n        <img src=\"images/rocketlauncher/typography/using-typography.jpg\" alt=\"Using Typography\" />\r\n      </span>\r\n    </a>\r\n  </div>\r\n</div>\r\n\r\n<div class=\"gantry-width-75 gantry-width-block\">\r\n  <div class=\"gantry-width-spacer nomargintop\">\r\n    <p>Check out this quick screencast to learn how to use RokCandy to enhance your Joomla! content. The tags are very easy to learn and this guide shows you how to use all the styles.</p>\r\n    <a href=\"http://www.rockettheme.com/video/joomla15/using-typography-joomla15.mov\" title=\"Video Tutorial :: Joomla Using Typography Video Tutorial\" rel=\"rokbox[540 380]\" class=\"readon\"><span>Watch : Using Typography</span></a>\r\n  </div>    \r\n</div>\r\n\r\n<div class=\"clear\"></div>',1,'footer-b',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"title3\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(105,0,'Set Menu Type','','<div class=\"gantry-width-50 gantry-width-block\">\r\n  <div class=\"gantry-width-spacer\">\r\n      <p class=\"visible-large\">RokNavMenu provides a feature rich platform for extending the menu, allowing for overrides and plugins for the menu itself, in addition to versatile theming capabilities and so much more.</p>\r\n      \r\n    <p>To find all the parameters for Dropdown Menu &amp; SplitMenu on Cerulean template, such as position, please navigate to:</p>\r\n    \r\n    <ul class=\"dots\">\r\n      <li><strong>Extensions &rarr; Template Manager &rarr; rt_cerulean</strong></li>\r\n      <li>Then go to <strong>Menu</strong> tab, and set the Menu parameters</li>\r\n    </ul>\r\n    \r\n    <p class=\"largemargintop attention\">Descriptions of each template parameter can be seen when you mouseover the label of each option.</p>\r\n  </div>\r\n</div>\r\n\r\n<div class=\"gantry-width-50 gantry-width-block\">\r\n  <div class=\"gantry-width-spacer\">\r\n    <div class=\"rt-image\">\r\n      <img src=\"images/rocketlauncher/menu-options/menu-setting.jpg\" alt=\"Set Menu\" />\r\n    </div>\r\n  </div>\r\n</div>\r\n\r\n<div class=\"clear\"></div>',1,'feature-a',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"box1\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(106,0,'Dropdown Menu','','<div>\r\n    <p>A CSS driven dropdown menu, with subtext line, multi-columns, icons and more.</p>\r\n    <a href=\"index.php?option=com_content&amp;view=article&amp;id=5&amp;Itemid=106&amp;menu-type=dropdownmenu\" class=\"readon\"><span>Switch to Dropdown Menu</span></a>\r\n</div>',10,'sidebar-a',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"box4\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(107,0,'Split Menu','','<div>\r\n    <p>A static menu system that displays 1st level items in the main horizontal menu and all children in the Sidebar.</p>\r\n    <a href=\"index.php?option=com_content&amp;view=article&amp;id=5&amp;Itemid=112&amp;menu-type=splitmenu\" class=\"readon\"><span>Switch to SplitMenu</span></a>\r\n</div>',11,'sidebar-a',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"box4\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(108,0,'No Menu','','<p>An option to disable the menu, allowing for normal module use of the navigation position.</p>',12,'sidebar-a',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"box4\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(109,0,'SubText Line','','<p>The option that allows you to insert additional text to the Menu Item Title, including the SubMenu Item Title. There is separate styling for this, making it useful for adding snippets to menu items.</p>',1,'footer-a',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"title3\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(110,0,'Menu Icon','','<p>RokNavMenu provides the option to display a small icon image, powered by FontAwesome, for the menu item. The menu icon can be displayed both for the parent items and the child items.</p>',1,'footer-b',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"title3\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(111,0,'Multi-Columns','','<p>Who needs a single dropdown column when you can have as many as you want? Using the built-in configurable parameters, you can make up to four incredible multi column dropdowns.</p>',1,'footer-c',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"title3\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(113,0,'K2 (3rd Party) Styling Support','','<div class=\"gantry-width-50 gantry-width-block\">\r\n  <div class=\"gantry-width-spacer\">\r\n    <div class=\"rt-image\">\r\n      <img class=\"rt-noborder\" src=\"images/rocketlauncher/extensions/ext-k2-1.png\" alt=\"image\" />\r\n    </div>\r\n  </div>\r\n</div>\r\n<div class=\"gantry-width-50 gantry-width-block\">\r\n  <div class=\"gantry-width-spacer\">\r\n    <div class=\"rt-image\">\r\n      <img class=\"rt-noborder\" src=\"images/rocketlauncher/extensions/ext-k2-2.png\" alt=\"image\" />\r\n    </div>\r\n  </div> \r\n</div>\r\n\r\n<div class=\"clear\"></div>\r\n\r\n<div class=\"gantry-width-spacer\">\r\n  <p>K2 is the popular powerful content extension for Joomla! with CCK-like features. The version used in this Demo site is <strong>2.6.2</strong>. K2 was built as a complete replacement of the default article system in Joomla!. Install it like any Joomla! extension, import your articles from the default Joomla! article system and you instantly get a host of new features for your existing content.</p>\r\n  <p class=\"alert\">The 3rd party component K2 is NOT included in RocketLauncher. You will need to download them from <a target=\"_blank\" href=\"http://getk2.org/\">Get K2</a> and configure them on your site.</p>\r\n</div>',1,'maintop-a',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(114,0,'RokBooster','','<p>Increase the speed of your site by enabling the RokBooster plug-in. RokBooster can dramatically reduce the number of HTTP calls a browser has to make, and sending those compressed files GZipped means your pages will load faster with less load.</p>\r\n<a class=\"readon\" href=\"http://www.rockettheme.com/extensions-joomla/rokbooster\" target=\"_blank\">Download: RokBooster</a>',6,'content-bottom-a',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"box4 title4\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(115,0,'RokPad','','<p>RokPad provides advanced functions such as an Ajax saving action, syntax highlighting, multiple cursors and selections, shortcut keys, and many other incredible features that traditionally would only be found in a powerful desktop editor.</p>\r\n<a class=\"readon\" href=\"http://www.rockettheme.com/extensions-joomla/rokpad\" target=\"_blank\">Download: RokPad</a>',5,'content-bottom-b',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"box4 title4\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(116,0,'Extensions Footer','','<div class=\"gantry-width-70 gantry-width-block\">\r\n  <div class=\"gantry-width-spacer\">\r\n    <h3>All RocketTheme Extensions</h3>\r\n    <p>Many of our extensions were developed to accompany RocketTheme templates but we have now created versions that are intended to work independently of our templates if you wish.</p>\r\n\r\n    <h4 class=\"nomarginbottom\">Club Extensions</h4>\r\n    \r\n    <div class=\"gantry-width-33 gantry-width-block\">\r\n      <div class=\"gantry-width-spacer\">\r\n        <ul class=\"circle\">\r\n          <li><a href=\"http://www.rockettheme.com/extensions-joomla/rokgallery\" target=\"_blank\">RokGallery</a></li>\r\n          <li><a href=\"http://www.rockettheme.com/extensions-joomla/rokstock\" target=\"_blank\">RokStock</a></li>\r\n        </ul>\r\n      </div>\r\n    </div>\r\n    \r\n    <div class=\"gantry-width-33 gantry-width-block\">\r\n      <div class=\"gantry-width-spacer\">\r\n        <ul class=\"circle\">  \r\n          <li><a href=\"http://www.rockettheme.com/extensions-joomla/rokminievents\" target=\"_blank\">RokMiniEvents</a></li>\r\n          <li><a href=\"http://www.rockettheme.com/extensions-joomla/rokweather\" target=\"_blank\">RokWeather</a></li>\r\n        </ul>\r\n      </div>\r\n    </div>\r\n\r\n    <div class=\"gantry-width-33 gantry-width-block\">\r\n      <div class=\"gantry-width-spacer\">\r\n        <ul class=\"circle\">\r\n                    <li><a href=\"http://www.rockettheme.com/extensions-joomla/rokpad\" target=\"_blank\">RokPad</a></li>\r\n          <li><a href=\"http://www.rockettheme.com/extensions-joomla/rokfeaturetable\" target=\"_blank\">RokFeatureTable</a></li>\r\n        </ul>  \r\n      </div>\r\n    </div>    \r\n    \r\n    <div class=\"clear\"></div>\r\n    \r\n    <h4 class=\"nomargintop nomarginbottom\">Free Extensions</h4>\r\n\r\n    <div class=\"gantry-width-33 gantry-width-block\">\r\n      <div class=\"gantry-width-spacer\">\r\n        <ul class=\"circle\">\r\n          <li><a href=\"http://www.rockettheme.com/extensions-joomla/roksprocket\" target=\"_blank\">RokSprocket</a></li>\r\n          <li><a href=\"http://www.rockettheme.com/extensions-joomla/rokbox\" target=\"_blank\">RokBox</a></li>\r\n          <li><a href=\"http://www.rockettheme.com/extensions-joomla/rokbooster\" target=\"_blank\">RokBooster</a></li>\r\n        </ul>\r\n      </div>\r\n    </div>   \r\n\r\n    <div class=\"gantry-width-33 gantry-width-block\">\r\n      <div class=\"gantry-width-spacer\">\r\n        <ul class=\"circle\">\r\n          <li><a href=\"http://www.rockettheme.com/extensions-joomla/roknavmenu\" target=\"_blank\">RokNavMenu</a></li>\r\n          <li><a href=\"http://www.rockettheme.com/extensions-joomla/rokquickcart\" target=\"_blank\">RokQuickCart</a></li>\r\n          <li><a href=\"http://www.rockettheme.com/extensions-joomla/rokcandy\" target=\"_blank\">RokCandy</a></li>\r\n        </ul>\r\n      </div>\r\n    </div>   \r\n\r\n    <div class=\"gantry-width-33 gantry-width-block\">\r\n      <div class=\"gantry-width-spacer\">\r\n        <ul class=\"circle\">\r\n          <li><a href=\"http://www.rockettheme.com/extensions-joomla/rokajaxsearch\" target=\"_blank\">RokAjaxSearch</a></li>      \r\n          <li><a href=\"http://www.rockettheme.com/extensions-joomla/rokcomments\" target=\"_blank\">RokComments</a></li>\r\n        </ul>  \r\n      </div>\r\n    </div>            \r\n\r\n    <div class=\"clear\"></div>\r\n  </div>\r\n</div>\r\n\r\n\r\n<div class=\"gantry-width-30 gantry-width-block\">\r\n  <div class=\"gantry-width-spacer\">\r\n    <h3>Download</h3>\r\n    \r\n    <p>You can download the extensions from:</p>\r\n    \r\n    <ul class=\"normalfont nomarginbottom checkmark\">\r\n      <li><strong>Cerulean Download Page:</strong><br /><strong>rt_cerulean-extensions.zip</strong> for J2.5. Unzip the file, it contains all the extensions used for Cerulean template.</li>\r\n      <li class=\"nomarginbottom\"><strong>RocketTheme Extensions Page:</strong><br />Contains all individual extensions which are available from the Extensions section of RokDownloads.</li>\r\n    </ul>\r\n    \r\n    <a href=\"http://www.rockettheme.com/extensions-downloads/\" target=\"_blank\" class=\"readon largemargintop\"><span>Download : Extensions</span></a>\r\n  <div class=\"clear\"></div>\r\n  </div>\r\n</div>\r\n<div class=\"clear\"></div>',0,'footer-a',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,0,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(117,0,'Installation','','<div>\r\n    <p>Download and install the <strong>Bundle</strong> file if Gantry is not installed, use the Standard Template file if <a href=\"index.php?option=com_content&amp;view=article&amp;id=8&amp;Itemid=109\">Gantry</a> is already present.</p>\r\n    <a href=\"index.php?option=com_content&amp;view=article&amp;id=8&amp;Itemid=109\" class=\"readon\"><span>More Information</span></a>\r\n</div>    ',1,'feature-a',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"box2 title1\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(118,0,'Demo Replica','','<div>\r\n    <p>You may deploy a <a href=\"index.php?option=com_content&amp;view=article&amp;id=8&amp;Itemid=109\">replica</a> of this month\'s demo with ease, using the readily available <strong>RocketLauncher</strong> package.</p>\r\n    <a href=\"index.php?option=com_content&amp;view=article&amp;id=8&amp;Itemid=109\" class=\"readon\"><span>More Information</span></a>\r\n</div>',1,'feature-b',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"box2 title1\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(119,0,'Configuration','','<p>An overview of template files and instructions for installing &amp; configuring Cerulean template.</p>\r\n<a class=\"readon\" href=\"index.php?option=com_content&amp;view=article&amp;id=8&amp;Itemid=109\"><span>Read More</span></a>',1,'content-top-a',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"box1 title2\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(120,0,'Logo Editing','','<p>An overview for customizing your logo with your organization or company name and logo.</p>\r\n<a class=\"readon\" href=\"index.php?option=com_content&amp;view=article&amp;id=9&amp;Itemid=110\"><span>Read More</span></a>',1,'content-top-b',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"box1 title2\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(121,0,'Video Documentation','','<div class=\"gantry-width-50 gantry-width-block\">\r\n  <div class=\"gantry-width-spacer\">\r\n    <ul>\r\n        <li><a class=\"nobold\" href=\"http://www.gantry-framework.org/videos/joomla/g4-install.mp4\" title=\"Video Tutorial :: Gantry Installation\" rel=\"rokbox[503 356]\">Install Gantry</a></li>\r\n        <li><a class=\"nobold\" href=\"http://www.gantry-framework.org/videos/joomla/g4-features.mp4\" title=\"Video Tutorial :: Gantry Features\" rel=\"rokbox[504 336]\">Gantry Features</a></li>\r\n        <li><a class=\"nobold\" href=\"http://www.gantry-framework.org/media/videos/module_widths.mov\" title=\"Video Tutorial :: Using Layouts\" rel=\"rokbox[503 356]\">Gantry Layout</a></li>\r\n        <li><a class=\"nobold\" href=\"http://www.gantry-framework.org/videos/joomla/g4-module-positions.mp4\" title=\"Video Tutorial :: Module Positions\" rel=\"rokbox[503 356]\">Module Positions</a></li>  \r\n    </ul>   \r\n  </div>\r\n</div>\r\n\r\n<div class=\"gantry-width-50 gantry-width-block\">\r\n  <div class=\"gantry-width-spacer nomarginright nomarginleft\">\r\n    <ul>\r\n        <li><a class=\"nobold\" rel=\"rokbox[503 356]\" title=\"Video Tutorial :: Module Width\" href=\"http://www.gantry-framework.org/videos/joomla/g4-module-widths.mp4\">Module Width</a></li>\r\n        <li><a class=\"nobold\" rel=\"rokbox[504 336]\" title=\"Video Tutorial :: Module Variations\" href=\"http://www.gantry-framework.org/videos/joomla/g4-module-variations.mp4\">Module Variations</a></li>\r\n		<li><a class=\"nobold\" rel=\"rokbox[504 336]\" title=\"Video Tutorial :: Force Module Positionsr\" href=\"http://www.gantry-framework.org/videos/joomla/g4-forcepos.mp4\">Force<span class=\"visible-large\"> Module</span> Positions</a></li>\r\n		<li><a class=\"nobold\" rel=\"rokbox[504 336](joomla15basic)\" title=\"Video Tutorial :: Template Overrides\" href=\"http://www.gantry-framework.org/videos/joomla/g4-overrides.mp4\">Template Overrides</a></li>\r\n	</ul>   \r\n  </div>\r\n</div>\r\n\r\n<div class=\"clear\"></div>\r\n\r\n<a href=\"http://www.gantry-framework.org/documentation\" target=\"_blank\" class=\"readon largemargintop smallmarginbottom\"><span>View All</span></a>',7,'content-bottom-a',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"box3 title3\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(122,0,'Forum Tutorials','','<div class=\"gantry-width-50 gantry-width-block\">\r\n  <div class=\"gantry-width-spacer\">\r\n    <ul>\r\n      <li><a class=\"nobold\" href=\"http://www.rockettheme.com/forum/index.php?f=688&amp;t=182702&amp;rb_v=viewtopic\" target=\"_blank\">Editing the Logo</a></li>\r\n      <li><a class=\"nobold\" href=\"http://www.rockettheme.com/forum/index.php?f=688&amp;t=182703&amp;rb_v=viewtopic\" target=\"_blank\">Template Text</a></li>\r\n      <li><a class=\"nobold\" href=\"http://www.rockettheme.com/forum/index.php?f=688&amp;t=182704&amp;rb_v=viewtopic\" target=\"_blank\">RokBox Login</a></li>\r\n      <li><a class=\"nobold\" href=\"http://www.rockettheme.com/forum/index.php?f=688&amp;t=182705&amp;rb_v=viewtopic\" target=\"_blank\">Popup Module</a></li>\r\n    </ul>   \r\n  </div>\r\n</div>\r\n\r\n<div class=\"gantry-width-50 gantry-width-block\">\r\n  <div class=\"gantry-width-spacer nomarginright nomarginleft\">\r\n    <ul>\r\n      <li><a class=\"nobold\" href=\"http://www.rockettheme.com/forum/index.php?f=688&amp;t=182706&amp;rb_v=viewtopic\" target=\"_blank\">Template Guide</a></li>\r\n      <li><a class=\"nobold\" href=\"http://www.rockettheme.com/forum/index.php?f=688&amp;t=182707&amp;rb_v=viewtopic\" target=\"_blank\">Template FAQs</a></li>\r\n      <li><a class=\"nobold\" href=\"http://www.rockettheme.com/forum/index.php?f=688&amp;t=182708&amp;rb_v=viewtopic\" target=\"_blank\">Responsive Classes</a></li>\r\n      <li><a class=\"nobold\" href=\"http://www.rockettheme.com/forum/index.php?f=688&amp;t=182709&amp;rb_v=viewtopic\" target=\"_blank\">Demo Content</a></li>\r\n    </ul>   \r\n  </div>\r\n</div>\r\n\r\n<div class=\"clear\"></div>\r\n\r\n<a class=\"readon largemargintop smallmarginbottom\" target=\"_blank\" href=\"http://www.rockettheme.com/forum/index.php?f=688&amp;rb_v=viewforum\"><span>View All</span></a>',6,'content-bottom-b',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"box3 title3\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(123,0,'Joomla Docs','','<p>Joomla.org is an invaluable resource for general information on how to use, configure and modify Joomla.</p>\r\n<a href=\"http://docs.joomla.org\" class=\"readon\" target=\"_blank\"><span>Read More</span></a>',1,'footer-a',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"title3 hidden-phone\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(124,0,'Theme Help','','<p>We provide tutorials of RocketTheme template installation, RocketLauncher and other template related topics.</p>\r\n<a href=\"http://www.rockettheme.com/joomla-tutorials\" class=\"readon\" target=\"_blank\"><span>Read More</span></a>',1,'footer-b',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"title3 hidden-phone\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(125,0,'Gantry Info','','<p>More extensive details of the Gantry Framework, inclusive of both written and video tutorials, please visit the Gantry Site.</p>\r\n<a href=\"http://www.gantry-framework.org/\" target=\"_blank\" class=\"readon\"><span>Learn More</span></a>',1,'footer-c',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"title3\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(126,0,'Requirements','','<ul class=\"checkmark nomarginbottom\">\r\n  <li><strong>Apache 2.x or Microsoft IIS 7</strong></li>\r\n  <li><strong>PHP 5.3.x</strong></li>\r\n  <li><strong>MySQL 5.0.4 or higher</strong></li>\r\n  <li><strong>Joomla! 2.5.x / 3.0.x</strong></li> \r\n  <li><strong>Gantry Framework</strong></li>\r\n  <li class=\"nomarginbottom\"><strong>RokNavMenu Module</strong></li>\r\n</ul>',13,'sidebar-a',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"box2 title1\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(127,0,'RocketLauncher','','<p class=\"medmarginbottom\"><strong>RocketLauncher</strong> is a customized <strong>Joomla</strong> install, that installs a <strong>replica</strong> of the <strong>demo</strong>.</p>\r\n<p class=\"alert nomarginbottom\"><strong>Note</strong>: All sample content images will be replaced with blank versions in the RocketLauncher.</p>',14,'sidebar-a',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"box1 title2\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(128,0,'Forum Guides','','<ul>\r\n  <li><a class=\"nobold\" href=\"http://www.rockettheme.com/forum/index.php?f=688&amp;t=182702&amp;rb_v=viewtopic\" target=\"_blank\"><span class=\"visible-large\">How to </span>Edit the Logo</a></li>\r\n  <li><a class=\"nobold\" href=\"http://www.rockettheme.com/forum/index.php?f=688&amp;t=182703&amp;rb_v=viewtopic\" target=\"_blank\"><span class=\"visible-large\">How to Change </span>Template Text</a></li>\r\n  <li><a class=\"nobold\" href=\"http://www.rockettheme.com/forum/index.php?f=688&amp;t=182704&amp;rb_v=viewtopic\" target=\"_blank\"><span class=\"visible-large\">How to Enable </span>RokBox Login</a></li>\r\n  <li><a class=\"nobold\" href=\"http://www.rockettheme.com/forum/index.php?f=688&amp;t=182705&amp;rb_v=viewtopic\" target=\"_blank\"><span class=\"visible-large\">How to Activate </span>Popup Module</a></li>\r\n  <li><a class=\"nobold\" href=\"http://www.rockettheme.com/forum/index.php?f=688&amp;t=182706&amp;rb_v=viewtopic\" target=\"_blank\">Template Guide<span class=\"visible-large\"> and Information</span></a></li>\r\n  <li><a class=\"nobold\" href=\"http://www.rockettheme.com/forum/index.php?f=688&amp;t=182707&amp;rb_v=viewtopic\" target=\"_blank\"><span class=\"visible-large\">Cerulean </span>Template FAQs</a></li>\r\n  <li><a class=\"nobold\" href=\"http://www.rockettheme.com/forum/index.php?f=688&amp;t=182708&amp;rb_v=viewtopic\" target=\"_blank\">Responsive Classes<span class=\"visible-large\"> in Cerulean</span></a></li>\r\n  <li><a class=\"nobold\" href=\"http://www.rockettheme.com/forum/index.php?f=688&amp;t=182709&amp;rb_v=viewtopic\" target=\"_blank\"><span class=\"visible-large\">How to Replicate </span>Demo Content</a></li>\r\n</ul>   \r\n\r\n<a class=\"readon largemargintop smallmarginbottom\" target=\"_blank\" href=\"http://www.rockettheme.com/forum/index.php?f=688&amp;rb_v=viewforum\"><span>View All</span></a>',18,'sidebar-a',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"box1 title2\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(129,0,'Video Docs','','<ul>\r\n  <li><a class=\"nobold\" href=\"http://www.gantry-framework.org/videos/joomla/g4-install.mp4\" title=\"Video Tutorial :: Gantry Installation\" rel=\"rokbox[503 356]\"><span class=\"visible-large\">How to </span>Install Gantry</a></li>\r\n  <li><a class=\"nobold\" href=\"http://www.gantry-framework.org/videos/joomla/g4-features.mp4\" title=\"Video Tutorial :: Gantry Features\" rel=\"rokbox[504 336]\"><span class=\"visible-large\">Find Out </span>Gantry Features</a></li>\r\n  <li><a class=\"nobold\" href=\"http://www.gantry-framework.org/media/videos/module_widths.mov\" title=\"Video Tutorial :: Using Layouts\" rel=\"rokbox[503 356]\"><span class=\"visible-large\">Learn </span>Gantry Layout</a></li>\r\n  <li><a class=\"nobold\" href=\"http://www.gantry-framework.org/videos/joomla/g4-module-positions.mp4\" title=\"Video Tutorial :: Module Positions\" rel=\"rokbox[503 356]\"><span class=\"visible-large\">Check Gantry </span>Module Positions</a></li>  \r\n  <li><a class=\"nobold\" rel=\"rokbox[503 356]\" title=\"Video Tutorial :: Module Width\" href=\"http://www.gantry-framework.org/videos/joomla/g4-module-widths.mp4\"><span class=\"visible-large\">How to Adjust </span>Module Width</a></li>\r\n  <li><a class=\"nobold\" rel=\"rokbox[504 336]\" title=\"Video Tutorial :: Module Variations\" href=\"http://www.gantry-framework.org/videos/joomla/g4-module-variations.mp4\"><span class=\"visible-large\">View Gantry </span>Module Variations</a></li>\r\n  <li><a class=\"nobold\" rel=\"rokbox[504 336]\" title=\"Video Tutorial :: Force Module Positionsr\" href=\"http://www.gantry-framework.org/videos/joomla/g4-forcepos.mp4\"><span class=\"visible-large\">How to </span>Force Module Positions</a></li>\r\n  <li><a class=\"nobold\" rel=\"rokbox[504 336](joomla15basic)\" title=\"Video Tutorial :: Template Overrides\" href=\"http://www.gantry-framework.org/videos/joomla/g4-overrides.mp4\"><span class=\"visible-large\">How to Do </span>Template Overrides</a></li>\r\n</ul>\r\n<a href=\"http://www.gantry-framework.org/documentation\" target=\"_blank\" class=\"readon largemargintop smallmarginbottom\"><span>View All</span></a>',19,'sidebar-a',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"box2 title1\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(130,0,'Essential Files','','<ul class=\"list-icon checkmark normalfont nomarginbottom\">\r\n  <li><strong>Gantry Framework</strong> - Download the latest version of Gantry Framework from <a href=\"\" target=\"_blank\">http://www.gantry-framework.org/</a> for update</li>\r\n  <li><strong>Template (Standalone)</strong> <em>rt_cerulean.zip</em> - Standalone template file without the Gantry Framework (If Gantry is already installed)</li>\r\n  <li><strong>Template (Bundle)</strong> <em>rt_cerulean-bundle.zip</em> - Template plus the Gantry Framework (If Gantry is not installed)</li>\r\n  <li><strong>RokNavMenu</strong> <em>rt_cerulean-extensions.zip(<strong>unzip first</strong>) and find mod_roknavmenu.zip</em> - Required for the menu to work</li>\r\n</ul>',1,'footer-a',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"title3\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(131,0,'Additional Files','','<ul class=\"list-icon checkmark normalfont nomarginbottom\">\r\n  <li><strong>Source PNG(s)</strong> <em>rt_cerulean-sources.zip</em> - Adobe® Fireworks PNG source file(s) and any applicable fonts</li>\r\n  <li><strong>Source BG PNG(s)</strong> <em>rt_cerulean-sources-bg.zip</em> - Adobe® Fireworks PNG BG source file(s) — <em>Only distributed if the template has complex BGs</em></li>\r\n  <li><strong>Extensions</strong> <em>rt_cerulean-extensions.zip</em> - All extensions used for the template (Unzip first to find the individual extension)</li>\r\n  <li><strong>RocketLauncher</strong> <em>rt_cerulean-rocketlauncher.zip</em> - Demo replica installer. It needs a fresh Joomla! installation</li>\r\n</ul>',1,'footer-b',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"title4\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(132,0,'6 Preset Styles - Preview Live','','<div>\r\n    <p class=\"notice\">View all styles live by appending <strong>?presets=preset#</strong> or <strong>&amp;presets=preset#</strong> to the end of your URL such as <strong><a href=\"#\">http://yoursite.com/index.php?presets=preset4</a></strong>.</p>\r\n\r\n    <p>In sequential order, <strong>Preset 1 - Preset 6</strong>. Please click on the image to load a live example of each style variation.</p>\r\n</div>\r\n\r\n<div class=\"gantry-width-33 gantry-width-block rt-center\">\r\n  <div class=\"gantry-width-spacer\">\r\n    <a href=\"index.php?option=com_content&amp;view=article&amp;id=10&amp;Itemid=111&amp;presets=preset1\">\r\n      <span class=\"rt-image\">\r\n        <img alt=\"Preset 1\" src=\"images/rocketlauncher/styles/ss1.jpg\" />\r\n      </span>\r\n    </a>\r\n  </div>\r\n</div>\r\n<div class=\"gantry-width-33 gantry-width-block rt-center\">\r\n  <div class=\"gantry-width-spacer\">\r\n    <a href=\"index.php?option=com_content&amp;view=article&amp;id=10&amp;Itemid=111&amp;presets=preset2\">\r\n      <span class=\"rt-image\">\r\n        <img alt=\"Preset 2\" src=\"images/rocketlauncher/styles/ss2.jpg\" />\r\n      </span>\r\n    </a>\r\n  </div>\r\n</div>\r\n<div class=\"gantry-width-33 gantry-width-block rt-center\">\r\n  <div class=\"gantry-width-spacer\">\r\n    <a href=\"index.php?option=com_content&amp;view=article&amp;id=10&amp;Itemid=111&amp;presets=preset3\">\r\n      <span class=\"rt-image\">\r\n        <img alt=\"Preset 3\" src=\"images/rocketlauncher/styles/ss3.jpg\" />\r\n      </span>\r\n    </a>\r\n  </div>\r\n</div>\r\n<div class=\"gantry-width-33 gantry-width-block rt-center\">\r\n  <div class=\"gantry-width-spacer\">\r\n    <a href=\"index.php?option=com_content&amp;view=article&amp;id=10&amp;Itemid=111&amp;presets=preset4\">\r\n      <span class=\"rt-image\">\r\n        <img alt=\"Preset 4\" src=\"images/rocketlauncher/styles/ss4.jpg\" />\r\n      </span>\r\n    </a>\r\n  </div>\r\n</div>\r\n<div class=\"gantry-width-33 gantry-width-block rt-center\">\r\n  <div class=\"gantry-width-spacer\">\r\n    <a href=\"index.php?option=com_content&amp;view=article&amp;id=10&amp;Itemid=111&amp;presets=preset5\">\r\n      <span class=\"rt-image\">\r\n        <img alt=\"Preset 5\" src=\"images/rocketlauncher/styles/ss5.jpg\" />\r\n      </span>\r\n    </a>\r\n  </div>\r\n</div>\r\n<div class=\"gantry-width-33 gantry-width-block rt-center\">\r\n  <div class=\"gantry-width-spacer\">\r\n    <a href=\"index.php?option=com_content&amp;view=article&amp;id=10&amp;Itemid=111&amp;presets=preset6\">\r\n      <span class=\"rt-image\">\r\n        <img alt=\"Preset 6\" src=\"images/rocketlauncher/styles/ss6.jpg\" />\r\n      </span>\r\n    </a>\r\n  </div>\r\n</div>\r\n\r\n<div class=\"clear\"></div>\r\n',1,'feature-a',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"box2 title1\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(133,0,'Custom Presets','','<p class=\"hidden-tablet\">Gantry provides the ability for you to create your own custom presets based on any parameter in the template administrator.</p>\r\n\r\n<ul class=\"circle-large\">\r\n  <li>Go to <strong>Extensions &rarr; Template Manager &rarr; rt_cerulean</strong></li>\r\n  <li>Click \"<strong>Presets</strong>\"</li>\r\n  <li>Configure the Settings</li>\r\n  <li>Click <strong>Save &rarr; Save Preset</strong></li>\r\n  <li>Follow the <strong>Preset Saver procedure</strong></li>\r\n</ul>\r\n\r\n<div class=\"hidden-tablet\">\r\n<p class=\"notice\">You can edit the prebuilt presets in the <strong>gantry.config.php</strong> file, or use the User Interface method outlined above.</p>\r\n</div>\r\n\r\n<p class=\"visible-large\">When you create a new custom preset, there is a default image used in the preset chooser to represent this. You can create your own thumbnail for each style by creating a png file that is the \'short\' name of the preset with the dimensions of 180px x 100px.</p>\r\n\r\n<a class=\"readon\" href=\"http://www.gantry-framework.org/documentation/joomla/customize/custom-presets\" target=\"_blank\">Gantry Framework: Custom Presets</a>',1,'footer-a',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"title4 hidden-phone\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(134,0,'Preset Footer','','<div class=\"rt-image largemarginbottom\"><img alt=\"image\" src=\"images/rocketlauncher/styles/presets-save.jpg\" /></div>\r\n<div class=\"clear\"></div>\r\n<div class=\"rt-image\"><img alt=\"image\" src=\"images/rocketlauncher/styles/presets-create.jpg\" /></div>',1,'footer-b',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"title3\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(135,0,'RocketTheme Clubs','','<div>\r\n  <h4 class=\"nomarginbottom\">Joomla Templates Club</h4>\r\n  <p>Best known template club in JoomlaSphere</p>\r\n</div>\r\n\r\n<div>\r\n  <h4 class=\"nomarginbottom\">Wordpress Themes Club</h4>\r\n  <p>Provides a stunningly unique blog design</p>\r\n</div>\r\n\r\n<div>\r\n  <h4 class=\"nomarginbottom\">Magento Templates Club</h4>\r\n  <p>eCommerce template platform for growth</p>\r\n</div>  \r\n\r\n<div>\r\n  <h4 class=\"nomarginbottom\">phpBB3 Styles Club</h4>\r\n  <p>Transform phpBB3 into a professional forum</p>\r\n</div>  \r\n\r\n<a href=\"https://www.rockettheme.com/join-a-club\" class=\"readon\" target=\"_blank\"><span>Join Now</span></a>',8,'sidebar-a',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"box5 title4\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(136,0,'Newsflash','','',8,'content-bottom-a',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_articles_news',1,1,'{\"catid\":[\"9\"],\"image\":\"0\",\"item_title\":\"0\",\"link_titles\":\"\",\"item_heading\":\"h4\",\"showLastSeparator\":\"1\",\"readmore\":\"0\",\"count\":\"1\",\"ordering\":\"a.publish_up\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"box1 title2\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"itemid\"}',0,'*'),(137,0,'Main Menu','','',7,'sidebar-a',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_menu',1,1,'{\"menutype\":\"mainmenu\",\"startLevel\":\"1\",\"endLevel\":\"0\",\"showAllChildren\":\"0\",\"tag_id\":\"\",\"class_sfx\":\"\",\"window_open\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"box1 title2\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"itemid\"}',0,'*'),(138,0,'Member Access','','',20,'sidebar-a',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_login',1,1,'{\"pretext\":\"\",\"posttext\":\"\",\"login\":\"\",\"logout\":\"\",\"greeting\":\"1\",\"name\":\"0\",\"usesecure\":\"0\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"box5 title4\",\"cache\":\"0\"}',0,'*'),(139,0,'Who\'s Online','','',22,'sidebar-a',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_whosonline',1,1,'{\"showmode\":\"0\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"box3\",\"cache\":\"0\",\"filter_groups\":\"0\"}',0,'*'),(140,0,'Module in Menu','','<p>This is an example of a module being displayed inside the menu <strong>dropdowns</strong>.</p>\r\n<p><a href=\"#\" class=\"readon\"><span>Read More</span></a></p>',0,'menu-mod',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(141,0,'Copyright Menu','','',1,'bottommenu',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_menu',1,0,'{\"menutype\":\"copyrightmenu\",\"startLevel\":\"1\",\"endLevel\":\"0\",\"showAllChildren\":\"0\",\"tag_id\":\"\",\"class_sfx\":\"\",\"window_open\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"bottom-menu hidden-phone\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"itemid\"}',0,'*'),(142,0,'title1','','<p>An example module using the <strong>title1</strong> module suffix.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consecetur adipiscing elit donec sit amet nibh.</p>',1,'content-bottom-a',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"title1\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(143,0,'title3','','<p>An example module using the <strong>title3</strong> module suffix.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consecetur adipiscing elit donec sit amet nibh.</p>',2,'content-bottom-a',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"title3\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(144,0,'box1','','<p>An example module using the <strong>box1</strong> module suffix.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consecetur adipiscing elit donec sit amet nibh.</p>',3,'content-bottom-a',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"box1\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(145,0,'box3','','<p>An example module using the <strong>box3</strong> module suffix.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consecetur adipiscing elit donec sit amet nibh.</p>',4,'content-bottom-a',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"box3\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(146,0,'title2','','<p>An example module using the <strong>title2</strong> module suffix.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consecetur adipiscing elit donec sit amet nibh.</p>',1,'content-bottom-b',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"title2\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(147,0,'title4','','<p>An example module using the <strong>title4</strong> module suffix.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consecetur adipiscing elit donec sit amet nibh.</p>',2,'content-bottom-b',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"title4\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(148,0,'box2','','<p>An example module using the <strong>box2</strong> module suffix.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consecetur adipiscing elit donec sit amet nibh.</p>',3,'content-bottom-b',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"box2\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(149,0,'box4','','<p>An example module using the <strong>box4</strong> module suffix.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consecetur adipiscing elit donec sit amet nibh.</p>',4,'content-bottom-b',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"box4\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(150,0,'box2 title3','','<p>An example module using the <strong>box2 title3</strong> module suffix.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consecetur adipiscing elit donec sit amet nibh.</p>\r\n\r\n<a href=\"#\" class=\"readon\">Read More ...</a>',6,'sidebar-a',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"box2 title3\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(151,0,'box4 title4','','<p>An example module using the <strong>box4 title4</strong> module suffix.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consecetur adipiscing elit donec sit amet nibh.</p>\r\n\r\n<a href=\"#\" class=\"readon\">Read More ...</a>',5,'sidebar-a',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"box4 title4\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(152,0,'box3 title3','','<p>An example module using the <strong>box3 title3</strong> module suffix.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consecetur adipiscing elit donec sit amet nibh.</p>\r\n\r\n<a href=\"#\" class=\"readon\">Read More ...</a>',16,'sidebar-a',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"box3 title3\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(155,0,'Login Form','','',1,'top-b',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_login',1,0,'{\"pretext\":\"\",\"posttext\":\"\",\"login\":\"\",\"logout\":\"\",\"greeting\":\"1\",\"name\":\"1\",\"usesecure\":\"0\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"horizontal-login nomargintop\",\"cache\":\"0\"}',0,'*'),(156,0,'Popular Features.','','',1,'sprocket-tabs-frontpage',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_roksprocket',1,0,'{\"provider\":\"joomla\",\"layout\":\"tabs\",\"joomla_filters\":{\"1\":{\"root\":{\"category\":\"14\"}}},\"joomla_sort\":\"automatic\",\"joomla_sort_manual_append\":\"after\",\"tabs_themes\":\"default\",\"mosaic_themes\":\"default\",\"headlines_themes\":\"default\",\"lists_themes\":\"default\",\"display_limit\":\"\\u221e\",\"lists_enable_accordion\":\"1\",\"tabs_position\":\"top\",\"headlines_label_text\":\"\",\"features_themes\":\"slideshow\",\"lists_previews_length\":\"20\",\"features_show_title\":\"1\",\"tabs_animation\":\"slideandfade\",\"headlines_previews_length\":\"20\",\"lists_strip_html_tags\":\"1\",\"tabs_autoplay\":\"0\",\"lists_items_per_page\":\"5\",\"features_show_article_text\":\"1\",\"headlines_show_arrows\":\"show\",\"mosaic_columns\":\"3\",\"features_previews_length\":\"\\u221e\",\"features_strip_html_tags\":\"1\",\"mosaic_previews_length\":\"20\",\"headlines_animation\":\"slideandfade\",\"tabs_autoplay_delay\":\"5\",\"features_show_arrows\":\"show\",\"lists_show_arrows\":\"show\",\"mosaic_strip_html_tags\":\"1\",\"features_show_pagination\":\"1\",\"mosaic_items_per_page\":\"5\",\"headlines_autoplay\":\"0\",\"lists_show_pagination\":\"1\",\"tabs_resize_enable\":\"0\",\"tabs_resize_width\":\"0\",\"tabs_resize_height\":\"0\",\"features_animation\":\"crossfade\",\"lists_autoplay\":\"0\",\"tabs_previews_length\":\"0\",\"mosaic_article_details\":\"0\",\"headlines_autoplay_delay\":\"5\",\"features_autoplay\":\"1\",\"lists_autoplay_delay\":\"5\",\"tabs_strip_html_tags\":\"0\",\"mosaic_animations\":[\"fade\",\"scale\",\"rotate\"],\"headlines_resize_enable\":\"0\",\"headlines_resize_width\":\"0\",\"headlines_resize_height\":\"0\",\"mosaic_ordering\":[\"default\",\"title\",\"date\",\"random\"],\"features_autoplay_delay\":\"5\",\"lists_resize_enable\":\"0\",\"lists_resize_width\":\"0\",\"lists_resize_height\":\"0\",\"features_resize_enable\":\"0\",\"features_resize_width\":\"0\",\"features_resize_height\":\"0\",\"headlines_description_default\":\"primary\",\"headlines_image_default\":\"primary\",\"tabs_title_default\":\"title\",\"features_title_default\":\"title\",\"lists_title_default\":\"title\",\"features_description_default\":\"primary\",\"headlines_image_default_custom\":\"\",\"tabs_icon_default\":\"primary\",\"lists_image_default\":\"primary\",\"lists_description_default\":\"primary\",\"features_image_default\":\"primary\",\"lists_image_default_custom\":\"\",\"tabs_icon_default_custom\":\"\",\"headlines_link_default\":\"primary\",\"features_image_default_custom\":\"\",\"lists_link_default\":\"primary\",\"headlines_link_default_custom\":\"\",\"tabs_link_default\":\"primary\",\"lists_link_default_custom\":\"\",\"tabs_link_default_custom\":\"\",\"features_link_default\":\"primary\",\"features_link_default_custom\":\"\",\"mosaic_resize_enable\":\"0\",\"mosaic_resize_width\":\"0\",\"mosaic_resize_height\":\"0\",\"mosaic_title_default\":\"title\",\"tabs_description_default\":\"primary\",\"mosaic_description_default\":\"primary\",\"mosaic_image_default\":\"primary\",\"mosaic_image_default_custom\":\"\",\"mosaic_link_default\":\"primary\",\"mosaic_link_default_custom\":\"\",\"cache\":\"0\",\"moduleclass_sfx\":\"\",\"module_cache\":\"1\",\"cache_time\":\"900\"}',0,'*'),(157,0,'Recent [span class=\"hidden-tablet\"]News[/span]','','<div class=\"box2 largepaddingall\">\r\n<h4 class=\"nomargintop medmarginbottom\"><a href=\"#\">Flexible Layouts.</a></h4>\r\n<p class=\"rt-image hidden-large\">\r\n<img alt=\"image\" src=\"images/rocketlauncher/frontpage/sidebar-a/img1.jpg\" />\r\n</p>\r\n<p class=\"rt-image visible-large\">\r\n<img alt=\"image\" src=\"images/rocketlauncher/frontpage/sidebar-a/img1-large.jpg\" />\r\n</p>\r\n<div class=\"rt-teaser\">Responsive Modes</div>\r\n<span>Adaptable layout for mobile<span class=\"visible-large\"> (portrait / landscape)</span>, tablet and desktop displays.</span>\r\n</div>\r\n\r\n<div class=\"box2 largepaddingall\">\r\n<h4 class=\"nomargintop medmarginbottom\"><a href=\"#\">Gantry 4 Core.</a></h4>\r\n<p class=\"rt-image hidden-large\">\r\n<img alt=\"image\" src=\"images/rocketlauncher/frontpage/sidebar-a/img2.jpg\" />\r\n</p>\r\n<p class=\"rt-image visible-large\">\r\n<img alt=\"image\" src=\"images/rocketlauncher/frontpage/sidebar-a/img2-large.jpg\" />\r\n</p><div class=\"rt-teaser\">Advanced Features</div>\r\n<span>Configure an array of features with the Gantry Framework<span class=\"visible-large\">\'s custom interface</span>.</span>\r\n</div>\r\n\r\n<div class=\"box2 largepaddingall\">\r\n<h4 class=\"nomargintop medmarginbottom\"><a href=\"#\">Multiple Styles</a></h4>\r\n<p class=\"rt-image hidden-large\">\r\n<img alt=\"image\" src=\"images/rocketlauncher/frontpage/sidebar-a/img3.jpg\" />\r\n</p>\r\n<p class=\"rt-image visible-large\">\r\n<img alt=\"image\" src=\"images/rocketlauncher/frontpage/sidebar-a/img3-large.jpg\" />\r\n</p><div class=\"rt-teaser\">Configurable Presets</div>\r\n<span>A wide selection of preset<span class=\"visible-large\"> style</span>s and module <span class=\"visible-large\">variations</span><span class=\"hidden-large\">suffixes</span> are available.</span>\r\n</div>',3,'sidebar-a',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"title1 title3 rt-box2-stack nopaddingall nomarginleft nomarginbottom\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(159,0,'About Cerulean.','','<div>\r\n<span class=\"rt-image rt-floatleft\">\r\n<img src=\"images/rocketlauncher/frontpage/sidebar-b/img1.jpg\" alt=\"image\">\r\n</span>\r\n<small class=\"hidden-tablet\">Choose between a static or a <a href=\"index.php?option=com_content&amp;view=article&amp;id=6&amp;Itemid=107\">RokGallery</a> powered slideshow in the template <strong>header</strong><span class=\"visible-large\">, with its standard configuration options</span>.</small>\r\n<small class=\"visible-tablet\">Choose between a static or a <a href=\"index.php?option=com_content&amp;view=article&amp;id=6&amp;Itemid=107\">RokGallery</a> slideshow header.</small>\r\n</div>\r\n\r\n<div class=\"clear largemarginbottom\"></div>\r\n\r\n<div>\r\n<span class=\"rt-image rt-floatleft\">\r\n<img src=\"images/rocketlauncher/frontpage/sidebar-b/img2.jpg\" alt=\"image\">\r\n</span>\r\n<small class=\"hidden-tablet\">The <a href=\"index.php?option=com_content&amp;view=article&amp;id=5&amp;Itemid=106\">dropdown menu</a> supports multiple columns, <strong>inline icons</strong>, subtext<span class=\"visible-large\">, inline modules and positions,</span> and much more.</small>\r\n<small class=\"visible-tablet\">The <a href=\"index.php?option=com_content&amp;view=article&amp;id=5&amp;Itemid=106\">dropdown menu</a> supports <strong>inline icons</strong> and much more.</small>\r\n</div>\r\n\r\n<div class=\"clear largemarginbottom\"></div>\r\n\r\n<div>\r\n<span class=\"rt-image rt-floatleft\">\r\n<img src=\"images/rocketlauncher/frontpage/sidebar-b/img3.jpg\" alt=\"image\">\r\n</span>\r\n<small class=\"hidden-tablet\">Select the custom <a href=\"#\">Cerulean</a> article/blog layout <span class=\"visible-large\">options in the menu manager</span> to display the overhanging <strong>ribbon date</strong>.</small>\r\n<small class=\"visible-tablet\">Select the <a href=\"#\">Cerulean</a> article/blog layout for a custom <strong>ribbon date</strong>.</small>\r\n</div>\r\n\r\n<div class=\"clear\"></div>\r\n',2,'sidebar-b',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"box5\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(160,0,'Gantry Extras.','','',3,'sidebar-b',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_roksprocket',1,1,'{\"provider\":\"joomla\",\"layout\":\"lists\",\"joomla_filters\":{\"1\":{\"root\":{\"category\":\"15\"}}},\"joomla_sort\":\"automatic\",\"joomla_sort_manual_append\":\"after\",\"headlines_themes\":\"default\",\"tabs_themes\":\"default\",\"mosaic_themes\":\"default\",\"lists_themes\":\"default\",\"tabs_position\":\"top\",\"lists_enable_accordion\":\"1\",\"display_limit\":\"\\u221e\",\"features_themes\":\"slideshow\",\"headlines_label_text\":\"\",\"features_show_title\":\"1\",\"lists_previews_length\":\"20\",\"headlines_previews_length\":\"20\",\"tabs_animation\":\"slideandfade\",\"lists_strip_html_tags\":\"1\",\"lists_items_per_page\":\"5\",\"mosaic_columns\":\"3\",\"tabs_autoplay\":\"0\",\"features_show_article_text\":\"1\",\"headlines_show_arrows\":\"show\",\"features_previews_length\":\"\\u221e\",\"features_strip_html_tags\":\"1\",\"headlines_animation\":\"slideandfade\",\"lists_show_arrows\":\"show\",\"mosaic_previews_length\":\"20\",\"tabs_autoplay_delay\":\"5\",\"features_show_arrows\":\"show\",\"mosaic_strip_html_tags\":\"1\",\"mosaic_items_per_page\":\"5\",\"lists_show_pagination\":\"1\",\"features_show_pagination\":\"1\",\"headlines_autoplay\":\"0\",\"tabs_resize_enable\":\"0\",\"tabs_resize_width\":\"0\",\"tabs_resize_height\":\"0\",\"mosaic_article_details\":\"0\",\"features_animation\":\"crossfade\",\"headlines_autoplay_delay\":\"5\",\"tabs_previews_length\":\"0\",\"lists_autoplay\":\"0\",\"tabs_strip_html_tags\":\"0\",\"mosaic_animations\":[\"fade\",\"scale\",\"rotate\"],\"features_autoplay\":\"1\",\"lists_autoplay_delay\":\"5\",\"headlines_resize_enable\":\"0\",\"headlines_resize_width\":\"0\",\"headlines_resize_height\":\"0\",\"mosaic_ordering\":[\"default\",\"title\",\"date\",\"random\"],\"features_autoplay_delay\":\"5\",\"lists_resize_enable\":\"0\",\"lists_resize_width\":\"0\",\"lists_resize_height\":\"0\",\"features_resize_enable\":\"0\",\"features_resize_width\":\"0\",\"features_resize_height\":\"0\",\"headlines_description_default\":\"primary\",\"features_title_default\":\"title\",\"tabs_title_default\":\"title\",\"headlines_image_default\":\"primary\",\"lists_title_default\":\"title\",\"features_description_default\":\"primary\",\"lists_description_default\":\"primary\",\"headlines_image_default_custom\":\"\",\"lists_image_default\":\"primary\",\"tabs_icon_default\":\"primary\",\"features_image_default\":\"primary\",\"tabs_icon_default_custom\":\"\",\"lists_image_default_custom\":\"\",\"headlines_link_default\":\"primary\",\"lists_link_default\":\"none\",\"headlines_link_default_custom\":\"\",\"features_image_default_custom\":\"\",\"tabs_link_default\":\"primary\",\"lists_link_default_custom\":\"index.php?option=com_content&view=article&id=6&Itemid=107\",\"features_link_default\":\"primary\",\"tabs_link_default_custom\":\"\",\"features_link_default_custom\":\"\",\"mosaic_resize_enable\":\"0\",\"mosaic_resize_width\":\"0\",\"mosaic_resize_height\":\"0\",\"mosaic_title_default\":\"title\",\"tabs_description_default\":\"primary\",\"mosaic_description_default\":\"primary\",\"mosaic_image_default\":\"primary\",\"mosaic_image_default_custom\":\"\",\"mosaic_link_default\":\"primary\",\"mosaic_link_default_custom\":\"\",\"cache\":\"0\",\"moduleclass_sfx\":\"box1 rt-flush\",\"module_cache\":\"1\",\"cache_time\":\"900\"}',0,'*'),(161,0,'Cerulean[span class=\"hidden-tablet\"] Demo[/span].  [span class=\"icon-chevron-down rt-teaser\"][/span]','','<p>RocketLauncher is a customized Joomla install, that installs a replica of the demo.</p>\r\n\r\n<p class=\"hidden-tablet\">All sample content images, shown in this demo, will be replaced with blanks in the RocketLauncher for copyright reasons.</p>',4,'sidebar-b',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"box3 nomarginbottom\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(162,0,'Demo Info.  [span class=\"icon-chevron-down rt-teaser\"][/span]','','<p>All demo content is for <strong>sample</strong> purposes only, intended to show a live site. All images are licensed from <a href=\"http://www.shutterstock.com\" target=\"_blank\"><strong>ShutterStock</strong></a> for  exclusive use on this <strong>demo</strong> site.</p>\r\n\r\n<p>\r\n    <img class=\"rt-noborder\" src=\"images/rocketlauncher/frontpage/footer/logo-footer.png\" alt=\"Logo\" />\r\n</p>',1,'footer-a',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"nomarginbottom nopaddingbottom nomargintop medpaddingtop\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(163,0,'Top Features. [span class=\"icon-chevron-down rt-teaser\"][/span]','','<p class=\"smallpaddingbottom\">\r\n    <span class=\"hidden-tablet\"><strong>RokSprocket</strong> is a multi-purpose content module with <strong>integrated</strong> template styling.</span>\r\n    <span class=\"visible-tablet\">RokSprocket is a multi-purpose extension with integrated  styling.</span>\r\n    <br class=\"hidden-tablet\" />\r\n    <small>26 Nov, 2012 17:07</small>\r\n</p>\r\n\r\n<p class=\"rt-dashed-divider\"></p>\r\n\r\n<p class=\"smallpaddingtop\">    \r\n	<span class=\"hidden-tablet\">The <a href=\"#\">dropdown menu</a> is an advanced CSS driven system with <strong>mobile</strong> support.</span>\r\n	<span class=\"visible-tablet\">The dropdown menu is an advanced CSS driven system.</span>\r\n	<br class=\"hidden-tablet\" />\r\n	<small>23 Nov, 2012 12:46</small>\r\n</p>',1,'footer-b',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"nomarginbottom nopaddingbottom nomargintop medpaddingtop hidden-phone\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(164,0,'Contact Us.  [span class=\"icon-chevron-down rt-teaser\"][/span]','','<div class=\"gantry-width-10 gantry-width-block largemarginright\">\r\n    <h4 class=\"smallmargintop\"><span class=\"icon-phone\"></span></h4>\r\n</div>\r\n<div class=\"gantry-width-80 gantry-width-block\">\r\n    <strong>+1 (555) 555-555-5555</strong><br />\r\n    <small>+1 (555) 555-555-5556</small>\r\n</div>\r\n\r\n<div class=\"clear medmarginbottom\">&nbsp;</div>\r\n\r\n<div class=\"gantry-width-10 gantry-width-block largemarginright\">\r\n    <h4 class=\"smallmargintop\"><span class=\"icon-home\"></span></h4>\r\n</div>\r\n<div class=\"gantry-width-80 gantry-width-block\">\r\n    <span>123 Joomla! Boulevard</span><br />\r\n      <small>Seattle, WA 00000, USA</small> \r\n</div>\r\n\r\n<div class=\"clear medmarginbottom\">&nbsp;</div>\r\n\r\n<div class=\"gantry-width-10 gantry-width-block largemarginright\">\r\n    <span class=\"icon-envelope-alt\"></span>\r\n</div>\r\n<div class=\"gantry-width-80 gantry-width-block\">\r\n    <span>noreply@domain.com</span>\r\n</div>\r\n\r\n<div class=\"clear largemarginbottom\">&nbsp;</div>\r\n\r\n<div class=\"gantry-width-10 gantry-width-block largemarginright\">\r\n    <h4 class=\"smallmargintop\"><span class=\"icon-random\"></span></h4>\r\n</div>\r\n<div class=\"gantry-width-80 gantry-width-block\">\r\n\r\n    <div class=\"rt-social-buttons\">\r\n        <a class=\"social-button rt-facebook-btn\" href=\"http://www.facebook.com/RocketTheme\"><span></span></a>\r\n        <a class=\"social-button rt-twitter-btn\" href=\"https://twitter.com/rockettheme\"><span></span></a>\r\n		<a class=\"social-button rt-google-btn\" href=\"https://plus.google.com/114430407008695950828/posts\"><span></span></a>\r\n		<a class=\"social-button rt-rss-btn\" href=\"http://www.rockettheme.com/blog?format=feed&amp;type=rss\"><span></span></a>\r\n	</div>\r\n</div>	\r\n\r\n<div class=\"clear\"></div>',1,'footer-c',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"nomarginbottom nopaddingbottom nomargintop medpaddingtop hidden-phone\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(167,0,'Forced Positions','','<p>There are times when you just don\'t want to have your modules taking up all the room in a horizontal row no matter what the layout. For example you might want to have a module on the left and a module on the right, with nothing in the middle.</p>\r\n\r\n<p>This is made easy with Gantry with the Force Positions parameter for each layout, allowing you to set the count to a specific row number, such as 4, even if 4 modules are not published for that row.</p>\r\n',15,'sidebar-a',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"box2 title1\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(168,0,'Gantry Grid Distribution','','<div class=\"custombox2 title1\">\r\n  <p>Configure at <strong>Admin &rarr; Extensions &rarr; Template Manager &rarr; rt_cerulean</strong>, then go to <strong>Layouts</strong> to set the grid widths and allocated positions.</p>\r\n\r\n<div class=\"rt-image\">\r\n  <img alt=\"image\" src=\"images/rocketlauncher/module-positions/grid-distribution.jpg\">\r\n</div></div>',2,'sidebar-a',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"box1 title2\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(169,0,'Grid Sizes','','<p>Configure at <strong>Admin &rarr; Extensions &rarr; Template Manager &rarr; rt_cerulean</strong>, then go to <strong>Layouts</strong> to set the grid widths and allocated positions.</p>\r\n\r\n<p>By default, each grid is given an <strong>equal</strong> distribution, but this can be modified to a <strong>custom</strong> distribution between modules, such as <strong>3/4/5</strong> instead of <strong>4/4/4</strong>. These options are available for when <strong>2-6</strong> modules are present.</p>',21,'sidebar-a',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"box4 title3\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(170,0,'box1 title2','','<p>An example module using the <strong>box1 title2</strong> module suffix.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consecetur adipiscing elit donec sit amet nibh.</p>\r\n\r\n<a href=\"#\" class=\"readon\">Read More ...</a>',9,'sidebar-a',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"box1 title2\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(171,0,'box5','','<p>An example module using the <strong>box5</strong> module suffix.</p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consecetur adipiscing elit donec sit amet nibh.</p>',5,'content-bottom-a',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"box5\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(172,0,'RokSprocket','','<p>RokSprocket is a revolutionary new extension for Joomla 2.5 / 3.0 designed to give you an incredible level of control over how you present your content. Sophisticated content filters, robust layout modes and options, integration with multiple content providers, and a streamlined powerful yet user friendly experience from start to finish.</p>\r\n\r\n<div class=\"rt-image rt-center\">\r\n  <img alt=\"image\" src=\"images/rocketlauncher/extensions/roksprocket.png\" class=\"rt-noborder\">\r\n</div>',1,'feature-a',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"box1 title2\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(173,0,'RokGallery','','<p>RokGallery is a ground-up revolutionary gallery extension, developed to be hugely flexible, versatile and user friendly. The system itself is built on a custom tag-based architecture with the ability to have multiple tag-based galleries. It uses design and concepts that have been traditionally reserved for platform-native applications.</p>\r\n\r\n<div class=\"rt-image rt-center\">\r\n  <img alt=\"image\" src=\"images/rocketlauncher/extensions/rokgallery.png\" class=\"rt-noborder\">\r\n</div>',1,'feature-c',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,1,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"box1 title2\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(175,0,'Menu Presets','','<div class=\"rt-center\">\r\n  <a href=\"?presets=preset1\" class=\"rt-floatleft largemarginbottom\">\r\n    <p>Preset 1</p>\r\n    <span class=\"rt-image\">\r\n      <img src=\"images/rocketlauncher/styles/preset1.jpg\" width=\"75\" height=\"120\" alt=\"Preset 1\" />\r\n    </span>\r\n  </a>\r\n  <a href=\"?presets=preset2\" class=\"rt-floatleft largemarginbottom nomarginright\">\r\n    <p>Preset 2</p>\r\n    <span class=\"rt-image\">\r\n      <img src=\"images/rocketlauncher/styles/preset2.jpg\" width=\"75\" height=\"120\" alt=\"Preset 2\" />\r\n    </span>\r\n  </a>\r\n  \r\n  <div class=\"clear\"></div>\r\n  \r\n  <a href=\"?presets=preset3\" class=\"rt-floatleft largemarginbottom\">\r\n    <p>Preset 3</p>\r\n    <span class=\"rt-image\">\r\n      <img src=\"images/rocketlauncher/styles/preset3.jpg\" width=\"75\" height=\"120\" alt=\"Preset 3\" />\r\n    </span>\r\n  </a>\r\n  <a href=\"?presets=preset4\" class=\"rt-floatleft largemarginbottom nomarginright\">\r\n    <p>Preset 4</p>\r\n    <span class=\"rt-image\">\r\n      <img src=\"images/rocketlauncher/styles/preset4.jpg\" width=\"75\" height=\"120\" alt=\"Preset 4\" />\r\n    </span>\r\n  </a>\r\n  \r\n  <div class=\"clear\"></div>\r\n  \r\n  <a href=\"?presets=preset5\" class=\"rt-floatleft\">\r\n    <p>Preset 5</p>\r\n    <span class=\"rt-image\">\r\n      <img src=\"images/rocketlauncher/styles/preset5.jpg\" width=\"75\" height=\"120\" alt=\"Preset 5\" />\r\n    </span>\r\n  </a>\r\n  <a href=\"?presets=preset6\" class=\"rt-floatleft nomarginright\">\r\n    <p>Preset 6</p>\r\n    <span class=\"rt-image\">\r\n      <img src=\"images/rocketlauncher/styles/preset6.jpg\" width=\"75\" height=\"120\" alt=\"Preset 6\" />\r\n    </span>\r\n  </a>\r\n    \r\n  <div class=\"clear\"></div>\r\n\r\n</div>',1,'menu-presets',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_custom',1,0,'{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*'),(176,0,'Search Our Site','','',1,'sidebar-b',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_search',1,1,'{\"label\":\"\",\"width\":\"20\",\"text\":\"\",\"button\":\"1\",\"button_pos\":\"right\",\"imagebutton\":\"\",\"button_text\":\"Go\",\"opensearch\":\"1\",\"opensearch_title\":\"\",\"set_itemid\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\" box4 rt-suspend\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"itemid\"}',0,'*'),(177,0,'FP RokGallery','','',1,'slideshow',0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',1,'mod_rokgallery',1,0,'{\"gallery_id\":\"8\",\"link\":\"none\",\"default_menuitem\":\"133\",\"title\":\"1\",\"caption\":\"1\",\"sort_by\":\"gallery_ordering\",\"sort_direction\":\"ASC\",\"limit_count\":\"10\",\"css_style\":\"light\",\"layout\":\"slideshow\",\"columns\":\"1\",\"arrows\":\"yes\",\"navigation\":\"none\",\"animation_type\":\"random\",\"animation_duration\":\"500\",\"autoplay_enabled\":\"0\",\"autoplay_delay\":\"7\",\"showcase_arrows\":\"onhover\",\"showcase_image_position\":\"left\",\"showcase_imgpadding\":\"0\",\"showcase_animation_type\":\"random\",\"showcase_captionsanimation\":\"crossfade\",\"showcase_animation_duration\":\"500\",\"showcase_autoplay_enabled\":\"0\",\"showcase_autoplay_delay\":\"7\",\"showcase_responsive_arrows\":\"onhover\",\"showcase_responsive_image_position\":\"left\",\"showcase_responsive_imgpadding\":\"0\",\"showcase_responsive_animation_type\":\"random\",\"showcase_responsive_captionsanimation\":\"crossfade\",\"showcase_responsive_animation_duration\":\"500\",\"showcase_responsive_autoplay_enabled\":\"0\",\"showcase_responsive_autoplay_delay\":\"7\",\"backgroundimage\":\"\",\"cache\":\"0\",\"moduleclass_sfx\":\"\",\"cache_time\":\"900\",\"cachemode\":\"static\"}',0,'*');

INSERT IGNORE INTO `#__modules_menu` (`moduleid`, `menuid`) VALUES (2,0),(3,0),(4,0),(6,0),(7,0),(8,0),(9,0),(10,0),(12,0),(13,0),(14,0),(15,0),(79,0),(86,0),(90,102),(91,102),(92,102),(93,102),(94,102),(95,102),(96,103),(97,103),(98,103),(99,103),(100,103),(101,104),(102,104),(103,105),(104,105),(105,106),(106,106),(107,106),(108,106),(109,106),(110,106),(111,106),(113,107),(114,107),(115,107),(116,107),(117,108),(117,112),(117,117),(117,119),(118,108),(118,112),(118,117),(118,119),(119,108),(120,108),(121,108),(122,108),(123,108),(123,112),(123,117),(123,118),(123,119),(124,108),(124,110),(124,112),(124,117),(124,118),(124,119),(125,108),(125,110),(125,112),(125,117),(125,118),(125,119),(126,109),(127,109),(128,106),(128,109),(128,110),(128,111),(128,112),(128,118),(128,119),(129,106),(129,109),(129,110),(129,111),(129,112),(130,109),(131,109),(132,111),(133,111),(134,111),(135,117),(136,117),(137,118),(138,109),(138,110),(138,111),(138,118),(139,106),(139,109),(139,110),(139,112),(139,117),(139,118),(139,119),(140,0),(141,0),(142,104),(143,104),(144,104),(145,104),(146,104),(147,104),(148,104),(149,104),(150,104),(151,104),(152,104),(155,0),(156,101),(157,101),(159,101),(160,101),(161,101),(162,101),(163,101),(164,101),(167,103),(168,103),(169,103),(170,104),(171,104),(172,107),(173,107),(175,0),(176,101),(176,133),(176,134),(176,135),(176,136),(177,101);

INSERT IGNORE INTO `#__rokcandy` (`id`, `catid`, `macro`, `html`, `published`, `checked_out`, `checked_out_time`, `ordering`, `params`) VALUES (20,11,'[h1]{text}[/h1]','<h1>{text}</h1>',1,0,'0000-00-00 00:00:00',1,''),(21,11,'[h2]{text}[/h2]','<h2>{text}</h2>',1,0,'0000-00-00 00:00:00',2,''),(22,11,'[h3]{text}[/h3]','<h3>{text}</h3>',1,0,'0000-00-00 00:00:00',3,''),(23,11,'[h4]{text}[/h4]','<h4>{text}</h4>',1,0,'0000-00-00 00:00:00',4,''),(24,11,'[h5]{text}[/h5]','<h5>{text}</h5>',1,0,'0000-00-00 00:00:00',5,''),(25,11,'[b]{text}[/b]','<strong>{text}</strong>',1,0,'0000-00-00 00:00:00',6,''),(26,11,'[i]{text}[/i]','<em>{text}</em>',1,0,'0000-00-00 00:00:00',7,''),(27,11,'[code]{text}[/code]','<code>{text}</code>',1,0,'0000-00-00 00:00:00',8,''),(28,11,'[span class=\"{class}\"]{text}[/span]','<span class=\"{class}\">{text}</span>',1,0,'0000-00-00 00:00:00',9,'');

INSERT IGNORE INTO `#__rokcommon_configs` (`id`, `extension`, `type`, `file`, `priority`) VALUES (23,'rokgallery','container','/components/com_rokgallery/container.xml',10),(24,'rokgallery','library','/components/com_rokgallery/lib',10),(25,'roksprocket','container','/components/com_roksprocket/container.xml',10),(26,'roksprocket','library','/components/com_roksprocket/lib',10);

INSERT IGNORE INTO `#__rokgallery_file_tags` (`file_id`, `tag`) VALUES (26,'fp-rokgallery'),(27,'fp-rokgallery'),(28,'fp-rokgallery');

INSERT IGNORE INTO `#__rokgallery_files` (`id`, `filename`, `guid`, `md5`, `title`, `description`, `license`, `xsize`, `ysize`, `filesize`, `type`, `published`, `created_at`, `updated_at`, `slug`) VALUES (26,'gallery1.jpg','546aca5c-77b3-4711-a229-b67113898504','8844bace6c7fc6371abf774e89a5be00','Responsive Layout','The template\'s structure adapts to a device\'s display size such as mobiles or tablets.',NULL,1240,550,129275,'jpg',0,'2012-12-03 13:41:17','2012-12-03 13:42:11','gallery1'),(27,'gallery2.jpg','ba7512d5-774f-4858-86ba-80d2a18734ae','8844bace6c7fc6371abf774e89a5be00','Dropdown Menu','Advanced CSS driven menu with inline modules, icons, multiple columns and other features.',NULL,1240,550,129275,'jpg',0,'2012-12-03 13:41:17','2012-12-03 13:42:27','gallery2'),(28,'gallery3.jpg','85d8139c-c1f3-46e9-c389-b6fff15cda0b','8844bace6c7fc6371abf774e89a5be00','Integrated Slideshow','Powered by RokGallery, the header slideshow is quick to setup and easy to configure.',NULL,1240,550,129275,'jpg',0,'2012-12-03 13:41:18','2012-12-03 13:41:57','gallery3');

INSERT IGNORE INTO `#__rokgallery_files_index` (`keyword`, `field`, `position`, `id`) VALUES ('adapts','description',3,26),('devices','description',6,26),('display','description',7,26),('layout','title',1,26),('mobiles','description',11,26),('responsive','title',0,26),('structure','description',2,26),('tablets','description',13,26),('templates','description',1,26),('advanced','description',0,27),('columns','description',9,27),('css','description',1,27),('driven','description',2,27),('dropdown','title',0,27),('features','description',12,27),('icons','description',7,27),('inline','description',5,27),('modules','description',6,27),('multiple','description',8,27),('configure','description',13,28),('header','description',4,28),('integrated','title',0,28),('powered','description',0,28),('quick','description',7,28),('rokgallery','description',2,28),('setup','description',9,28),('slideshow','description',5,28),('slideshow','title',1,28);

INSERT IGNORE INTO `#__rokgallery_galleries` (`id`, `name`, `filetags`, `width`, `height`, `keep_aspect`, `force_image_size`, `thumb_xsize`, `thumb_ysize`, `thumb_background`, `thumb_keep_aspect`, `auto_publish`) VALUES (2,'Preset 1','a:1:{i:0;s:7:\"preset1\";}',1240,550,0,1,120,60,'transparent',0,1),(3,'Preset 3','a:1:{i:0;s:7:\"preset3\";}',1240,550,0,1,120,60,'transparent',0,1),(4,'Preset 2','a:1:{i:0;s:7:\"preset2\";}',1240,550,0,1,120,60,'transparent',0,1),(5,'Preset 4','a:1:{i:0;s:7:\"preset4\";}',1240,550,0,1,120,60,'transparent',0,1),(6,'Preset 5','a:1:{i:0;s:7:\"preset5\";}',1240,550,0,1,120,60,'transparent',0,1),(7,'Preset 6','a:1:{i:0;s:7:\"preset6\";}',1240,550,0,1,120,60,'transparent',0,1),(8,'FP RokGallery','a:1:{i:0;s:13:\"fp-rokgallery\";}',1240,550,0,1,120,60,'transparent',0,1);

INSERT IGNORE INTO `#__rokgallery_schema_version` (`version`) VALUES (2);

INSERT IGNORE INTO `#__rokgallery_slices` (`id`, `file_id`, `gallery_id`, `guid`, `title`, `caption`, `link`, `filesize`, `xsize`, `ysize`, `published`, `admin_thumb`, `manipulations`, `palette`, `created_at`, `updated_at`, `slug`, `thumb_xsize`, `thumb_ysize`, `thumb_keep_aspect`, `thumb_background`, `ordering`) VALUES (60,26,NULL,'1430148e-f158-4bd5-fad4-378097cfa078','Admin Thumbnail','Admin Thumbnail',NULL,17470,300,180,0,1,'a:2:{i:0;O:37:\"RokGallery_Manipulation_Action_Resize\":4:{s:7:\"\0*\0type\";s:6:\"resize\";s:5:\"width\";i:406;s:6:\"height\";i:180;s:8:\"\0*\0setup\";b:1;}i:1;O:35:\"RokGallery_Manipulation_Action_Crop\":6:{s:7:\"\0*\0type\";s:4:\"crop\";s:4:\"left\";i:53;s:3:\"top\";i:0;s:5:\"width\";i:300;s:6:\"height\";i:180;s:8:\"\0*\0setup\";b:1;}}',NULL,'2012-12-03 13:41:17','2012-12-03 13:41:17','admin-thumbnail',150,150,1,NULL,12),(61,27,NULL,'11ef40ce-5baf-4dbd-84bd-4bd4408c894e','Admin Thumbnail','Admin Thumbnail',NULL,17470,300,180,0,1,'a:2:{i:0;O:37:\"RokGallery_Manipulation_Action_Resize\":4:{s:7:\"\0*\0type\";s:6:\"resize\";s:5:\"width\";i:406;s:6:\"height\";i:180;s:8:\"\0*\0setup\";b:1;}i:1;O:35:\"RokGallery_Manipulation_Action_Crop\":6:{s:7:\"\0*\0type\";s:4:\"crop\";s:4:\"left\";i:53;s:3:\"top\";i:0;s:5:\"width\";i:300;s:6:\"height\";i:180;s:8:\"\0*\0setup\";b:1;}}',NULL,'2012-12-03 13:41:18','2012-12-03 13:41:18','admin-thumbnail-10',150,150,1,NULL,13),(62,28,NULL,'ab362bf9-6e6b-4e9d-fda8-ac904d8b291d','Admin Thumbnail','Admin Thumbnail',NULL,17470,300,180,0,1,'a:2:{i:0;O:37:\"RokGallery_Manipulation_Action_Resize\":4:{s:7:\"\0*\0type\";s:6:\"resize\";s:5:\"width\";i:406;s:6:\"height\";i:180;s:8:\"\0*\0setup\";b:1;}i:1;O:35:\"RokGallery_Manipulation_Action_Crop\":6:{s:7:\"\0*\0type\";s:4:\"crop\";s:4:\"left\";i:53;s:3:\"top\";i:0;s:5:\"width\";i:300;s:6:\"height\";i:180;s:8:\"\0*\0setup\";b:1;}}',NULL,'2012-12-03 13:41:18','2012-12-03 13:41:18','admin-thumbnail-11',150,150,1,NULL,14),(63,27,8,'07ab6909-22f3-4375-f5b2-4ff959ff6f2b','Dropdown Menu','Advanced CSS driven menu with inline modules, icons, multiple columns and other features.',NULL,149346,1240,550,1,0,'a:2:{i:0;O:37:\"RokGallery_Manipulation_Action_Resize\":4:{s:7:\"\0*\0type\";s:6:\"resize\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"550\";s:8:\"\0*\0setup\";b:1;}i:1;O:35:\"RokGallery_Manipulation_Action_Crop\":6:{s:7:\"\0*\0type\";s:4:\"crop\";s:4:\"left\";i:0;s:3:\"top\";i:0;s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"550\";s:8:\"\0*\0setup\";b:1;}}',NULL,'2012-12-03 13:41:42','2012-12-03 13:44:07','gallery2',120,60,0,'transparent',0),(64,26,8,'b0d91b61-de5a-4441-f47d-e070083c1e93','Responsive Layout','The template\'s structure adapts to a device\'s display size such as mobiles or tablets.',NULL,149346,1240,550,1,0,'a:2:{i:0;O:37:\"RokGallery_Manipulation_Action_Resize\":4:{s:7:\"\0*\0type\";s:6:\"resize\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"550\";s:8:\"\0*\0setup\";b:1;}i:1;O:35:\"RokGallery_Manipulation_Action_Crop\":6:{s:7:\"\0*\0type\";s:4:\"crop\";s:4:\"left\";i:0;s:3:\"top\";i:0;s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"550\";s:8:\"\0*\0setup\";b:1;}}',NULL,'2012-12-03 13:41:43','2012-12-03 13:42:11','gallery1',120,60,0,'transparent',1),(65,28,8,'12c82813-06fb-4b7d-a188-8ea37efd8bff','Integrated Slideshow','Powered by RokGallery, the header slideshow is quick to setup and easy to configure.',NULL,149346,1240,550,1,0,'a:2:{i:0;O:37:\"RokGallery_Manipulation_Action_Resize\":4:{s:7:\"\0*\0type\";s:6:\"resize\";s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"550\";s:8:\"\0*\0setup\";b:1;}i:1;O:35:\"RokGallery_Manipulation_Action_Crop\":6:{s:7:\"\0*\0type\";s:4:\"crop\";s:4:\"left\";i:0;s:3:\"top\";i:0;s:5:\"width\";s:4:\"1240\";s:6:\"height\";s:3:\"550\";s:8:\"\0*\0setup\";b:1;}}',NULL,'2012-12-03 13:41:43','2012-12-03 13:44:07','gallery3',120,60,0,'transparent',2);

INSERT IGNORE INTO `#__rokgallery_slices_index` (`keyword`, `field`, `position`, `id`) VALUES ('admin','caption',0,60),('admin','title',0,60),('thumbnail','caption',1,60),('thumbnail','title',1,60),('admin','caption',0,61),('admin','title',0,61),('thumbnail','caption',1,61),('thumbnail','title',1,61),('admin','caption',0,62),('admin','title',0,62),('thumbnail','caption',1,62),('thumbnail','title',1,62),('advanced','caption',0,63),('columns','caption',9,63),('css','caption',1,63),('driven','caption',2,63),('dropdown','title',0,63),('features','caption',12,63),('icons','caption',7,63),('inline','caption',5,63),('modules','caption',6,63),('multiple','caption',8,63),('adapts','caption',3,64),('devices','caption',6,64),('display','caption',7,64),('layout','title',1,64),('mobiles','caption',11,64),('responsive','title',0,64),('structure','caption',2,64),('tablets','caption',13,64),('templates','caption',1,64),('configure','caption',13,65),('header','caption',4,65),('integrated','title',0,65),('powered','caption',0,65),('quick','caption',7,65),('rokgallery','caption',2,65),('setup','caption',9,65),('slideshow','caption',5,65),('slideshow','title',1,65);

INSERT IGNORE INTO `#__roksprocket_items` (`id`, `module_id`, `provider`, `provider_id`, `order`, `params`) VALUES (9,'153','joomla','6',0,'{\"features_item_title\":\"Versatile RokSprocket\",\"features_item_description\":\"is a multi-faceted content display module, that has support for several layout modes.\",\"features_item_image\":\"{\'type\':\'mediamanager\',\'path\':\'images\\/rocketlauncher\\/frontpage\\/roksprocket-features\\/img1.jpg\',\'preview\':\'\',\'link\':\'index.php?option=com_media&view=images&layout=default&tmpl=component&e_name=items_joomla_6__params_features_item_image\'}\",\"features_item_link\":\"-default-\",\"tabs_item_title\":\"-default-\",\"lists_item_title\":\"-default-\",\"mosaic_item_title\":\"-default-\",\"tabs_item_icon\":\"-default-\",\"mosaic_item_description\":\"-default-\",\"lists_item_image\":\"-default-\",\"mosaic_item_image\":\"-default-\",\"tabs_item_link\":\"-default-\",\"tabs_item_description\":\"-default-\",\"mosaic_item_link\":\"-default-\",\"lists_item_link\":\"-default-\",\"mosaic_item_tags\":null,\"lists_item_description\":\"-default-\",\"headlines_item_image\":\"-default-\",\"headlines_item_link\":\"-default-\",\"headlines_item_description\":\"-default-\"}'),(10,'153','joomla','1',1,'{\"features_item_title\":\"Gantry 4 Template\",\"features_item_description\":\"features a responsive layout, that adapts automatically to the viewing device.\",\"features_item_image\":\"{\'type\':\'mediamanager\',\'path\':\'images\\/rocketlauncher\\/frontpage\\/roksprocket-features\\/img2.jpg\',\'preview\':\'\',\'link\':\'index.php?option=com_media&view=images&layout=default&tmpl=component&e_name=items_joomla_1__params_features_item_image\'}\",\"features_item_link\":\"-default-\",\"tabs_item_title\":\"-default-\",\"lists_item_title\":\"-default-\",\"mosaic_item_title\":\"-default-\",\"tabs_item_icon\":\"-default-\",\"mosaic_item_description\":\"-default-\",\"lists_item_image\":\"-default-\",\"mosaic_item_image\":\"-default-\",\"tabs_item_link\":\"-default-\",\"tabs_item_description\":\"-default-\",\"mosaic_item_link\":\"-default-\",\"lists_item_link\":\"-default-\",\"mosaic_item_tags\":null,\"lists_item_description\":\"-default-\",\"headlines_item_image\":\"-default-\",\"headlines_item_link\":\"-default-\",\"headlines_item_description\":\"-default-\"}'),(11,'153','joomla','4',2,'{\"features_item_title\":\"Rich Set of Typography\",\"features_item_description\":\"offering a wide selection of custom typography, based on Twitter\'s bootstrap providing consistent and rich web elements.\",\"features_item_image\":\"{\'type\':\'mediamanager\',\'path\':\'images\\/rocketlauncher\\/frontpage\\/roksprocket-features\\/img3.jpg\',\'preview\':\'\',\'link\':\'index.php?option=com_media&view=images&layout=default&tmpl=component&e_name=items_joomla_4__params_features_item_image\'}\",\"features_item_link\":\"-default-\",\"tabs_item_title\":\"-default-\",\"lists_item_title\":\"-default-\",\"mosaic_item_title\":\"-default-\",\"tabs_item_icon\":\"-default-\",\"mosaic_item_description\":\"-default-\",\"lists_item_image\":\"-default-\",\"mosaic_item_image\":\"-default-\",\"tabs_item_link\":\"-default-\",\"tabs_item_description\":\"-default-\",\"mosaic_item_link\":\"-default-\",\"lists_item_link\":\"-default-\",\"mosaic_item_tags\":null,\"lists_item_description\":\"-default-\",\"headlines_item_image\":\"-default-\",\"headlines_item_link\":\"-default-\",\"headlines_item_description\":\"-default-\"}'),(12,'153','joomla','10',3,'{\"features_item_title\":\"Multiple Variations\",\"features_item_description\":\"eight preset style variations with Cerulean, offering an array of possibilities for easy setup and configuration.\",\"features_item_image\":\"{\'type\':\'mediamanager\',\'path\':\'images\\/rocketlauncher\\/frontpage\\/roksprocket-features\\/img4.jpg\',\'preview\':\'\',\'link\':\'index.php?option=com_media&view=images&layout=default&tmpl=component&e_name=items_joomla_10__params_features_item_image\'}\",\"features_item_link\":\"-default-\",\"tabs_item_title\":\"-default-\",\"lists_item_title\":\"-default-\",\"mosaic_item_title\":\"-default-\",\"tabs_item_icon\":\"-default-\",\"mosaic_item_description\":\"-default-\",\"lists_item_image\":\"-default-\",\"mosaic_item_image\":\"-default-\",\"tabs_item_link\":\"-default-\",\"tabs_item_description\":\"-default-\",\"mosaic_item_link\":\"-default-\",\"lists_item_link\":\"-default-\",\"mosaic_item_tags\":null,\"lists_item_description\":\"-default-\",\"headlines_item_image\":\"-default-\",\"headlines_item_link\":\"-default-\",\"headlines_item_description\":\"-default-\"}'),(49,'166','joomla','24',0,'{\"lists_item_title\":\"-default-\",\"lists_item_image\":\"-default-\",\"lists_item_link\":\"-default-\",\"lists_item_description\":\"-default-\",\"mosaic_item_title\":\"-default-\",\"tabs_item_title\":\"-default-\",\"mosaic_item_description\":\"-default-\",\"tabs_item_icon\":\"-default-\",\"mosaic_item_image\":\"-default-\",\"tabs_item_link\":\"-default-\",\"tabs_item_description\":\"-default-\",\"mosaic_item_link\":\"-default-\",\"mosaic_item_tags\":null,\"features_item_title\":\"-default-\",\"headlines_item_image\":\"-default-\",\"features_item_description\":\"-default-\",\"headlines_item_link\":\"-default-\",\"features_item_image\":\"-default-\",\"headlines_item_description\":\"-default-\",\"features_item_link\":\"-default-\"}'),(50,'166','joomla','25',1,'{\"lists_item_title\":\"-default-\",\"lists_item_image\":\"-default-\",\"lists_item_link\":\"-default-\",\"lists_item_description\":\"-default-\",\"mosaic_item_title\":\"-default-\",\"tabs_item_title\":\"-default-\",\"mosaic_item_description\":\"-default-\",\"tabs_item_icon\":\"-default-\",\"mosaic_item_image\":\"-default-\",\"tabs_item_link\":\"-default-\",\"tabs_item_description\":\"-default-\",\"mosaic_item_link\":\"-default-\",\"mosaic_item_tags\":null,\"features_item_title\":\"-default-\",\"headlines_item_image\":\"-default-\",\"features_item_description\":\"-default-\",\"headlines_item_link\":\"-default-\",\"features_item_image\":\"-default-\",\"headlines_item_description\":\"-default-\",\"features_item_link\":\"-default-\"}'),(51,'166','joomla','26',2,'{\"lists_item_title\":\"-default-\",\"lists_item_image\":\"-default-\",\"lists_item_link\":\"-default-\",\"lists_item_description\":\"-default-\",\"mosaic_item_title\":\"-default-\",\"tabs_item_title\":\"-default-\",\"mosaic_item_description\":\"-default-\",\"tabs_item_icon\":\"-default-\",\"mosaic_item_image\":\"-default-\",\"tabs_item_link\":\"-default-\",\"tabs_item_description\":\"-default-\",\"mosaic_item_link\":\"-default-\",\"mosaic_item_tags\":null,\"features_item_title\":\"-default-\",\"headlines_item_image\":\"-default-\",\"features_item_description\":\"-default-\",\"headlines_item_link\":\"-default-\",\"features_item_image\":\"-default-\",\"headlines_item_description\":\"-default-\",\"features_item_link\":\"-default-\"}'),(70,'156','joomla','21',0,'{\"tabs_item_title\":\"-default-\",\"tabs_item_icon\":\"-default-\",\"tabs_item_link\":\"index.php?option=com_content&view=article&id=6&Itemid=107\",\"tabs_item_description\":\"-default-\",\"mosaic_item_title\":\"-default-\",\"lists_item_title\":\"-default-\",\"mosaic_item_description\":\"-default-\",\"lists_item_image\":\"-default-\",\"mosaic_item_image\":\"-default-\",\"mosaic_item_link\":\"-default-\",\"lists_item_link\":\"-default-\",\"mosaic_item_tags\":null,\"features_item_title\":\"-default-\",\"headlines_item_image\":\"-default-\",\"features_item_description\":\"-default-\",\"lists_item_description\":\"-default-\",\"headlines_item_link\":\"-default-\",\"features_item_image\":\"-default-\",\"headlines_item_description\":\"-default-\",\"features_item_link\":\"-default-\"}'),(71,'156','joomla','22',1,'{\"tabs_item_title\":\"Menu <span class=\'hidden-tablet\'>System<\\/span>\",\"tabs_item_icon\":\"-default-\",\"tabs_item_link\":\"index.php?option=com_content&view=article&id=5&Itemid=106\",\"tabs_item_description\":\"-default-\",\"mosaic_item_title\":\"-default-\",\"lists_item_title\":\"-default-\",\"mosaic_item_description\":\"-default-\",\"lists_item_image\":\"-default-\",\"mosaic_item_image\":\"-default-\",\"mosaic_item_link\":\"-default-\",\"lists_item_link\":\"-default-\",\"mosaic_item_tags\":null,\"features_item_title\":\"-default-\",\"headlines_item_image\":\"-default-\",\"features_item_description\":\"-default-\",\"lists_item_description\":\"-default-\",\"headlines_item_link\":\"-default-\",\"features_item_image\":\"-default-\",\"headlines_item_description\":\"-default-\",\"features_item_link\":\"-default-\"}'),(72,'156','joomla','23',2,'{\"tabs_item_title\":\"-default-\",\"tabs_item_icon\":\"-default-\",\"tabs_item_link\":\"index.php?option=com_content&view=article&id=10&Itemid=111\",\"tabs_item_description\":\"-default-\",\"mosaic_item_title\":\"-default-\",\"lists_item_title\":\"-default-\",\"mosaic_item_description\":\"-default-\",\"lists_item_image\":\"-default-\",\"mosaic_item_image\":\"-default-\",\"mosaic_item_link\":\"-default-\",\"lists_item_link\":\"-default-\",\"mosaic_item_tags\":null,\"features_item_title\":\"-default-\",\"headlines_item_image\":\"-default-\",\"features_item_description\":\"-default-\",\"lists_item_description\":\"-default-\",\"headlines_item_link\":\"-default-\",\"features_item_image\":\"-default-\",\"headlines_item_description\":\"-default-\",\"features_item_link\":\"-default-\"}'),(76,'160','joomla','24',0,'{\"lists_item_title\":\"-default-\",\"lists_item_image\":\"-default-\",\"lists_item_link\":\"-default-\",\"lists_item_description\":\"-default-\",\"tabs_item_title\":\"-default-\",\"mosaic_item_title\":\"-default-\",\"tabs_item_icon\":\"-default-\",\"mosaic_item_description\":\"-default-\",\"mosaic_item_image\":\"-default-\",\"tabs_item_link\":\"-default-\",\"tabs_item_description\":\"-default-\",\"mosaic_item_link\":\"-default-\",\"mosaic_item_tags\":null,\"features_item_title\":\"-default-\",\"headlines_item_image\":\"-default-\",\"features_item_description\":\"-default-\",\"headlines_item_link\":\"-default-\",\"features_item_image\":\"-default-\",\"headlines_item_description\":\"-default-\",\"features_item_link\":\"-default-\"}'),(77,'160','joomla','25',1,'{\"lists_item_title\":\"-default-\",\"lists_item_image\":\"-default-\",\"lists_item_link\":\"-default-\",\"lists_item_description\":\"-default-\",\"tabs_item_title\":\"-default-\",\"mosaic_item_title\":\"-default-\",\"tabs_item_icon\":\"-default-\",\"mosaic_item_description\":\"-default-\",\"mosaic_item_image\":\"-default-\",\"tabs_item_link\":\"-default-\",\"tabs_item_description\":\"-default-\",\"mosaic_item_link\":\"-default-\",\"mosaic_item_tags\":null,\"features_item_title\":\"-default-\",\"headlines_item_image\":\"-default-\",\"features_item_description\":\"-default-\",\"headlines_item_link\":\"-default-\",\"features_item_image\":\"-default-\",\"headlines_item_description\":\"-default-\",\"features_item_link\":\"-default-\"}'),(78,'160','joomla','26',2,'{\"lists_item_title\":\"-default-\",\"lists_item_image\":\"-default-\",\"lists_item_link\":\"-default-\",\"lists_item_description\":\"-default-\",\"tabs_item_title\":\"-default-\",\"mosaic_item_title\":\"-default-\",\"tabs_item_icon\":\"-default-\",\"mosaic_item_description\":\"-default-\",\"mosaic_item_image\":\"-default-\",\"tabs_item_link\":\"-default-\",\"tabs_item_description\":\"-default-\",\"mosaic_item_link\":\"-default-\",\"mosaic_item_tags\":null,\"features_item_title\":\"-default-\",\"headlines_item_image\":\"-default-\",\"features_item_description\":\"-default-\",\"headlines_item_link\":\"-default-\",\"features_item_image\":\"-default-\",\"headlines_item_description\":\"-default-\",\"features_item_link\":\"-default-\"}');

INSERT IGNORE INTO `#__template_styles` (`id`, `template`, `client_id`, `home`, `title`, `params`) VALUES (5,'hathor',1,'0','Hathor - Default','{\"showSiteName\":\"0\",\"colourChoice\":\"\",\"boldText\":\"0\"}'),(7,'rt_cerulean',0,'1','Cerulean - Default','{\"master\":\"true\",\"current_id\":\"7\",\"template_full_name\":\"Cerulean\",\"grid_system\":\"12\",\"template_prefix\":\"cerulean-\",\"cookie_time\":\"31536000\",\"override_set\":\"2.5\",\"name\":\"Preset1\",\"copy_lang_files_if_diff\":\"1\",\"logo\":{\"enabled\":\"1\",\"position\":\"top-a\",\"type\":\"cerulean\",\"custom\":{\"image\":\"\"}},\"main\":{\"accent\":\"#c71b1b\",\"accent2\":\"redcolor\",\"body\":\"light\",\"bg\":\"blue\"},\"headerimage\":{\"enabled\":\"0\",\"image\":\"\"},\"font\":{\"family\":\"s:cerulean\",\"size\":\"default\",\"size-is\":\"default\"},\"viewswitcher-priority\":\"1\",\"logo-priority\":\"2\",\"copyright-priority\":\"3\",\"styledeclaration-priority\":\"4\",\"fontsizer-priority\":\"5\",\"date-priority\":\"7\",\"totop-priority\":\"8\",\"systemmessages-priority\":\"9\",\"morearticles-priority\":\"12\",\"smartload-priority\":\"13\",\"pagesuffix-priority\":\"14\",\"resetsettings-priority\":\"15\",\"analytics-priority\":\"16\",\"dropdownmenu-priority\":\"18\",\"jstools-priority\":\"21\",\"moduleoverlays-priority\":\"22\",\"rtl-priority\":\"23\",\"splitmenu-priority\":\"24\",\"webfonts-priority\":\"27\",\"styledeclaration-enabled\":\"1\",\"social\":{\"enabled\":\"0\",\"position\":\"copyright-c\",\"twitter\":\"\",\"facebook\":\"\",\"google\":\"\",\"rss\":\"\"},\"date\":{\"enabled\":\"0\",\"position\":\"top-d\",\"clientside\":\"0\",\"formats\":\"%A, %B %d, %Y\"},\"fontsizer\":{\"enabled\":\"0\",\"position\":\"feature-b\"},\"login\":{\"enabled\":\"0\",\"position\":\"utility-c\",\"text\":\"Member Login\",\"logouttext\":\"Logout\"},\"popup\":{\"enabled\":\"0\",\"position\":\"utility-d\",\"text\":\"Popup Module\",\"width\":\"250\",\"height\":\"235\"},\"branding\":{\"enabled\":\"0\",\"position\":\"copyright-a\"},\"copyright\":{\"enabled\":\"1\",\"position\":\"copyright-a\",\"text\":\"Designed by RocketTheme\",\"layout\":\"a:1:{i:12;a:1:{i:2;a:2:{i:0;i:10;i:1;i:2;}}}\",\"showall\":\"0\",\"showmax\":\"6\"},\"totop\":{\"enabled\":\"1\",\"position\":\"copyright-b\",\"text\":\"TOP\"},\"systemmessages\":{\"enabled\":\"1\",\"position\":\"drawer\"},\"resetsettings\":{\"enabled\":\"0\",\"position\":\"copyright-d\",\"text\":\"Reset Settings\"},\"analytics\":{\"enabled\":\"0\",\"code\":\"\",\"position\":\"analytics\"},\"menu\":{\"enabled\":\"1\",\"type\":\"dropdownmenu\",\"dropdownmenu\":{\"theme\":\"gantry-dropdown\",\"limit_levels\":\"0\",\"startLevel\":\"0\",\"showAllChildren\":\"1\",\"class_sfx\":\"top\",\"cache\":\"0\",\"menutype\":\"mainmenu\",\"position\":\"header-a\",\"responsive-menu\":\"panel\",\"enable-current-id\":\"0\",\"module_cache\":\"1\"},\"splitmenu\":{\"mainmenu-limit_levels\":\"1\",\"mainmenu-startLevel\":\"0\",\"mainmenu-endLevel\":\"0\",\"mainmenu-class_sfx\":\"top\",\"submenu-limit_levels\":\"1\",\"submenu-startLevel\":\"1\",\"submenu-endLevel\":\"9\",\"cache\":\"0\",\"menutype\":\"mainmenu\",\"theme\":\"gantry-splitmenu\",\"mainmenu-position\":\"header-a\",\"submenu-position\":\"sidebar-a\",\"submenu-title\":\"1\",\"submenu-class_sfx\":\"\",\"submenu-module_sfx\":\"box1 title2\",\"responsive-menu\":\"panel\",\"roknavmenu_dropdown_enable-current-id\":\"0\",\"module_cache\":\"1\"}},\"top\":{\"layout\":\"a:1:{i:12;a:1:{i:2;a:2:{i:0;i:4;i:1;i:8;}}}\",\"showall\":\"0\",\"showmax\":\"6\"},\"header\":{\"layout\":\"a:1:{i:12;a:1:{i:2;a:2:{i:0;i:9;i:1;i:3;}}}\",\"showall\":\"0\",\"showmax\":\"6\"},\"showcase\":{\"layout\":\"3,3,3,3\",\"showall\":\"0\",\"showmax\":\"6\"},\"feature\":{\"layout\":\"3,3,3,3\",\"showall\":\"0\",\"showmax\":\"6\"},\"utility\":{\"layout\":\"3,3,3,3\",\"showall\":\"0\",\"showmax\":\"6\"},\"maintop\":{\"layout\":\"3,3,3,3\",\"showall\":\"0\",\"showmax\":\"6\"},\"mainbodyPosition\":\"a:1:{i:12;a:2:{i:3;a:3:{s:2:\\\"mb\\\";i:5;s:2:\\\"sa\\\";i:3;s:2:\\\"sb\\\";i:4;}i:2;a:2:{s:2:\\\"mb\\\";i:8;s:2:\\\"sa\\\";i:4;}}}\",\"mainbottom\":{\"layout\":\"3,3,3,3\",\"showall\":\"0\",\"showmax\":\"6\"},\"extension\":{\"layout\":\"3,3,3,3\",\"showall\":\"0\",\"showmax\":\"6\"},\"bottom\":{\"layout\":\"3,3,3,3\",\"showall\":\"0\",\"showmax\":\"6\"},\"footer\":{\"layout\":\"3,3,3,3\",\"showall\":\"0\",\"showmax\":\"6\"},\"bottommenu\":{\"layout\":\"3,3,3,3\",\"showall\":\"0\",\"showmax\":\"6\"},\"layout-mode\":\"responsive\",\"loadtransition\":\"0\",\"component-enabled\":\"1\",\"mainbody-enabled\":\"1\",\"rtl-enabled\":\"1\",\"pagesuffix-enabled\":\"1\",\"selectivizr-enabled\":\"0\",\"less\":{\"compression\":\"1\",\"compilewait\":\"2\",\"debugheader\":\"0\"},\"ie7splash-enabled\":\"1\",\"k2\":\"1\"}'),(8,'protostar',0,'0','protostar - Default','{\"templateColor\":\"#08C\",\"templateBackgroundColor\":\"#F4F6F7\",\"logoFile\":\"\",\"sitetitle\":\"\",\"sitedescription\":\"\",\"googleFont\":\"1\",\"googleFontName\":\"Open+Sans\",\"fluidContainer\":\"0\"}'),(9,'isis',1,'1','isis - Default','{\"templateColor\":\"\",\"logoFile\":\"\"}'),(10,'beez3',0,'0','beez3 - Default','{\"wrapperSmall\":53,\"wrapperLarge\":72,\"logo\":\"\",\"sitetitle\":\"\",\"sitedescription\":\"\",\"navposition\":\"center\",\"bootstrap\":\"\",\"templatecolor\":\"nature\",\"headerImage\":\"\",\"backgroundcolor\":\"#eee\"}');

INSERT IGNORE INTO `#__update_sites` (`update_site_id`, `name`, `type`, `location`, `enabled`, `last_check_timestamp`, `extra_query`) VALUES (1,'Joomla! Core','collection','https://update.joomla.org/core/sts/list_sts.xml',1,0,''),(3,'Accredited Joomla! Translations','collection','https://update.joomla.org/language/translationlist_3.xml',1,0,''),(4,'Joomla! Update Component Update Site','extension','http://update.joomla.org/core/extensions/com_joomlaupdate.xml',1,0,''),(5,'RocketTheme Update Directory','collection','http://updates.rockettheme.com/joomla/updates.xml',1,0,''),(8,'Gantry','extension','http://updates.gantry.org/4.0/joomla/pkg_gantry.xml',1,0,''),(9,'Gantry','collection','http://updates.gantry.org/4.0/joomla/list.xml',1,0,'');

INSERT IGNORE INTO `#__update_sites_extensions` (`update_site_id`, `extension_id`) VALUES (1,700),(3,802),(4,28),(5,10008),(5,10010),(5,10012),(5,10015),(5,10017),(5,10021),(5,10024),(5,10026),(5,10064),(5,10065),(5,10067),(5,10068),(5,10069),(5,10072),(5,10073),(8,10060),(9,10060);

SET FOREIGN_KEY_CHECKS=1;